<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling">
<xsl:output encoding="UTF-8" method="xml"/>

<xsl:template match="/*">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="/sm:armoireUiTemplate">
<xsl:copy>
<xsl:apply-templates select="@*"/>
<xsl:apply-templates select="sm:windowTitle"/>
<xsl:if test="/sm:armoireUiTemplate/sm:styleResources/@styleSheet">
<sm:styles>
<sm:styleSheet src="{/sm:armoireUiTemplate/sm:styleResources/@styleSheet}" srcFrom="templateResources" media="all"/>
</sm:styles>
</xsl:if>
<xsl:apply-templates select="sm:metaTags"/>
<xsl:apply-templates select="*[local-name(.) != 'windowTitle' and local-name(.) != 'metaTags']"/>
</xsl:copy>
</xsl:template>

	
<xsl:template match="sm:container">
<xsl:copy>
<xsl:attribute name="numberOfContainers">5</xsl:attribute>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
	
	
<xsl:template match="sm:styleResources">
<sm:resources sc:refUri="{@sc:refUri}">
<xsl:if test="@favicon"><xsl:attribute name="favicon"><xsl:value-of select="@favicon"/></xsl:attribute></xsl:if>		
</sm:resources>
</xsl:template>
	
	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
		
</xsl:stylesheet>
