<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:xhtml="http://www.w3.org/1999/xhtml">
<xsl:output encoding="UTF-8" method="xml"/>
<xsl:param name="pParam"/>


	
<xsl:template match="@name">
<xsl:attribute name="name"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:param/@name">
<xsl:attribute name="name"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:mainFile/@name">
<xsl:attribute name="name"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:WPageMaster/@name">
<xsl:attribute name="name"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:meta/@name">
<xsl:attribute name="name"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
	
	
<xsl:template match="@prefix">
<xsl:attribute name="prefix"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
<xsl:template match="@prefixIfExist">
<xsl:attribute name="prefixIfExist"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
<xsl:template match="@suffix">
<xsl:attribute name="suffix"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
<xsl:template match="@suffixIfExist">
<xsl:attribute name="suffixIfExist"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:extraNamespace/@prefix | sm:namespaceToDeclare/@prefix | sm:declareNs/@prefix | sm:excludeResultPrefix/@prefix | sm:extraNamespace/@prefix | sm:localOutlineUiWidget//@prefix | sm:outlineUiWidget//@prefix">
<xsl:attribute name="name"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
	
	
<xsl:template match="sm:ttCloseButton/@title">
<xsl:attribute name="title"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
<xsl:template match="xhtml:img/@title">
<xsl:attribute name="title"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
	
	
<xsl:template match="@popupLinkText">
<xsl:attribute name="popupLinkText"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
	
	
<xsl:template match="xhtml:img/@alt">
<xsl:attribute name="alt"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
	
	
<xsl:template match="sm:option/@label">
<xsl:attribute name="label"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>

	
<xsl:template match="sm:ttCloseButton/@caption">
<xsl:attribute name="label"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>

	
<xsl:template match="@category">
<xsl:attribute name="category"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:dataBlock/@category">
<xsl:attribute name="category"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:sequenceDeclaration/@category">
<xsl:attribute name="category"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:dataBlockDeclaration/@category">
<xsl:attribute name="category"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:sequence/@category">
<xsl:attribute name="category"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:caption/@category">
<xsl:attribute name="category"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
	
	
<xsl:template match="@quickHelp">
<xsl:attribute name="quickHelp"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
	
	
<xsl:template match="sm:fixedString/@value">
<xsl:attribute name="value"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:externalUrl/sm:fixedString/@value">
<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:outlineClasses/sm:fixedString/@value">
<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:externalUrl/sm:fixedString/@value">
<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:leftOperand/sm:fixedString/@value">
<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:rightOperand/sm:fixedString/@value">
<xsl:attribute name="value"><xsl:value-of select="."/></xsl:attribute>
</xsl:template>
	
<xsl:template match="sm:textLeafTagAsGap/@noSolutionContent">
<xsl:attribute name="noSolutionContent"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>

	
<xsl:template match="sm:fixedTitle/@value">
<xsl:attribute name="value"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>

	
<xsl:template match="sm:WText/@value">
<xsl:attribute name="value"><xsl:call-template name="loc"/></xsl:attribute>
</xsl:template>
		
	
<xsl:template name="loc">
<xsl:choose>
<xsl:when test="contains(., '￼')"><xsl:value-of select="."/></xsl:when>
<xsl:otherwise>￼;<xsl:value-of select="."/>￼</xsl:otherwise>
</xsl:choose>
</xsl:template>

	
	
	
<xsl:template match="@*|node()">
<xsl:copy>
<xsl:apply-templates select="@*|node()"/>
</xsl:copy>
</xsl:template>
</xsl:stylesheet>
