<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
		xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
		xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
		xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet"
		exclude-result-prefixes="sc sp sm xsl xsl"
		version="1.0">
<xsl0:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>
	
<xsl0:variable name="pPath" select="concat(sm:identification/@targetPrefix, ':', sm:identification/@code)"/>
	
<xsl0:template match="sm:compositionPrim">
<xsl0:value-of select="execute(setEntryBuffer('ns', string(sm:identification/@targetPrefix), string(sm:identification/@targetNamespace)))"/>
<xsl0:value-of select="execute(setEntryBuffer('ns', 'sp', 'http://www.utc.fr/ics/scenari/v3/primitive'))"/>
<xsl0:value-of select="execute(setEntryBuffer('xslExcludePrefix', string(sm:identification/@targetPrefix)))"/>
<xsl0:value-of select="execute(setEntryBuffer('xslExcludePrefix', 'sp'))"/>
<xsl:template match="{$pPath}" mode="titleNode">
<xsl0:variable name="vMeta" select="si(sm:structure/sm:meta, agent(concat('@', getIdFromPath(sm:structure/sm:meta/@sc:refUri))))"/>
<xsl0:choose>
<xsl0:when test="$vMeta">
<xsl:variable name="vTitle">
<xsl0:value-of select="resultatAgent($vMeta/xslGenTitle)" disable-output-escaping="yes"/>
</xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{{$vTitleInMeta}}"/>
</xsl0:when>
<xsl0:otherwise>
<titleNode title=""/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
<xsl:template match="{$pPath}" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl0:apply-templates select="sm:structure/*"/>
</xsl0:template>
	
<xsl0:template match="sm:part[@family='sub-level']">
<xsl:template match="{$pPath}/sp:{@code}">
<node xp="{$pPath}/sp:{@code}[{{count(preceding-sibling::sp:{@code}) + 1}}]" name="{@name}">
<xsl0:variable name="vMeta" select="si(sm:meta, agent(concat('@', getIdFromPath(sm:meta/@sc:refUri))))"/>
<xsl0:variable name="vMetaIfExternalized" select="si(sm:metaIfExternalized, agent(concat('@', getIdFromPath(sm:metaIfExternalized/@sc:refUri))))"/>
<xsl0:choose>
<xsl0:when test="$vMeta or $vMetaIfExternalized">
<xsl:variable name="vTitle">
<xsl0:choose>
<xsl0:when test="$vMeta and $vMetaIfExternalized">
<xsl:choose>
<xsl:when test="{resultatAgent($vMeta/qNameTagRootModel)}">
<xsl0:value-of select="resultatAgent($vMeta/xslGenTitle)" disable-output-escaping="yes"/>
</xsl:when>
<xsl:otherwise>
<xsl0:value-of select="resultatAgent($vMetaIfExternalized/xslGenTitle)" disable-output-escaping="yes"/>
</xsl:otherwise>
</xsl:choose>
</xsl0:when>
<xsl0:when test="$vMeta">
<xsl0:value-of select="resultatAgent($vMeta/xslGenTitle)" disable-output-escaping="yes"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="resultatAgent($vMetaIfExternalized/xslGenTitle)" disable-output-escaping="yes"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{{$vTitleInMeta}}"/>
<sfacet:callOutline refUri="{{@sc:refUri}}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{{@sc:refUri}}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{{$vTitleInMeta}}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</xsl0:when>
<xsl0:otherwise>
						
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{{@sc:refUri}}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</xsl0:otherwise>
</xsl0:choose>
</node>
</xsl:template>
</xsl0:template>
	
	
	
<xsl0:template match="sm:set | sm:alternative">
<xsl0:apply-templates/>
</xsl0:template>
	
<xsl0:template match="*"/>
<xsl0:template match="text()|@*"/>
</xsl0:stylesheet>