<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	exclude-result-prefixes="sc sp sm xsl"
	version="1.0">
<xsl0:output method="xml" indent="yes" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>
	
<xsl0:variable name="pPath" select="concat(sm:identification/@targetPrefix, ':', sm:identification/@code)"/>
	
<xsl0:template match="sm:compositionPrim">
<xsl0:value-of select="execute(setEntryBuffer('ns', string(sm:identification/@targetPrefix), string(sm:identification/@targetNamespace)))"/>
<xsl0:value-of select="execute(setEntryBuffer('ns', 'sp', 'http://www.utc.fr/ics/scenari/v3/primitive'))"/>
<xsl0:value-of select="execute(setEntryBuffer('xslExcludePrefix', string(sm:identification/@targetPrefix)))"/>
<xsl0:value-of select="execute(setEntryBuffer('xslExcludePrefix', 'sp'))"/>			
<xsl0:variable name="vMeta" select="computeNodeAgent('//agentMeta')"/>
<xsl0:if test="$vMeta">
			
<xsl:template match="{$pPath}">
<xsl0:value-of select="resultatAgent($vMeta/xslGenTitle)" disable-output-escaping="yes"/>
</xsl:template>
</xsl0:if>
<xsl0:apply-templates select="sm:structure/*"/>

<xsl:template match="*"/>
<xsl:template match="text()|@*"/>
</xsl0:template>
	
	
<xsl0:template match="sm:part">
<xsl:template match="sp:{@code}">
<xsl0:variable name="vMeta" select="si(sm:meta, agent(concat('@', getIdFromPath(sm:meta/@sc:refUri))))"/>
<xsl0:variable name="vMetaIfExternalized" select="si(sm:metaIfExternalized, agent(concat('@', getIdFromPath(sm:metaIfExternalized/@sc:refUri))))"/>
<xsl0:variable name="vWhenSet">
<xsl0:variable name="vMetaTitle" select="resultatAgent($vMeta/xslGenTitle)"/>
<xsl0:if test="$vMetaTitle">
<xsl:when test="{resultatAgent($vMeta/qNameTagRootModel)}">
<xsl0:value-of select="$vMetaTitle" disable-output-escaping="yes"/>
</xsl:when>
</xsl0:if>
<xsl0:variable name="vMetaExtTitle" select="resultatAgent($vMetaIfExternalized/xslGenTitle)"/>
<xsl0:if test="$vMetaExtTitle">
<xsl:when test="{resultatAgent($vMetaIfExternalized/qNameTagRootModel)}">
<xsl0:value-of select="$vMetaExtTitle" disable-output-escaping="yes"/>
</xsl:when>
</xsl0:if>
<xsl0:if test="@internalized != 'never'">
<xsl0:for-each select="sm:allowedModel[not(@restrictUserDep='neverInternalized')]">
<xsl0:variable name="vAgtModel" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl0:if test="resultatAgent($vAgtModel/isInternalizable)='true'">
<xsl0:variable name="vModelTitle" select="resultatAgent($vAgtModel/xslGenTitle)"/>
<xsl0:if test="$vModelTitle">
<xsl:when test="{resultatAgent($vAgtModel/qNameTagRootModel)}">
<xsl:for-each select="{resultatAgent($vAgtModel/qNameTagRootModel)}">
<xsl0:value-of select="$vModelTitle" disable-output-escaping="yes"/>
</xsl:for-each>
</xsl:when>
</xsl0:if>
</xsl0:if>
</xsl0:for-each>
</xsl0:if>
</xsl0:variable>
<xsl0:if test="$vWhenSet">
<xsl:choose>
<xsl0:copy-of select="$vWhenSet"/>
</xsl:choose>
</xsl0:if>
</xsl:template>
</xsl0:template>
	
<xsl0:template match="sm:set | sm:alternative">
<xsl0:apply-templates/>
</xsl0:template>
	
<xsl0:template match="*"/>
<xsl0:template match="text()|@*"/>
</xsl0:stylesheet>