<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xsl sm sc scodPp java xalan office text table fo draw svg xlink style">
	
<xsl0:include href="bsco:sm/od/utils.xsl"/>
	
		
<xsl0:include href="bsco:sm/od/widgets/W_box.xsl.xsl"/> 
<xsl0:include href="bsco:sm/od/widgets/W_object.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/widgets/W_inline.xsl.xsl"/> 
<xsl0:include href="bsco:sm/od/widgets/W_inlineExtended.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/widgets/W_captionBlock.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/widgets/W_flowArea.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/widgets/W_index.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/widgets/W_link.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/widgets/W_list.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/widgets/W_paragraph.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/widgets/W_pictureBlock.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/widgets/W_section.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/widgets/W_tableOfContents.xsl.xsl"/>
         
      
	
<xsl0:template match="sm:fixedString" name="sm:fixedString"><xsl:text><xsl0:value-of select="@value"/></xsl:text></xsl0:template>
		
	
<xsl0:template match="sm:formattingMark" name="sm:formattingMark"><xsl0:apply-templates select="*"/></xsl0:template>
<xsl0:template match="sm:dynamicString" name="sm:dynamicString"><xsl0:apply-templates select="*"/></xsl0:template>
	
<xsl0:template match="sm:tabulation"><text:tab/></xsl0:template>
<xsl0:template match="sm:nonBreakingSpace"><xsl:text>&#160;</xsl:text></xsl0:template>
<xsl0:template match="sm:lineBreak"><text:line-break/></xsl0:template>
			
<xsl0:template match="sm:freeSelect"><xsl:value-of select="{@xpath}"/></xsl0:template>
		
<xsl0:template match="sm:freeXslFragment"><xsl0:copy-of select="parseXml(concat('&lt;root&gt;',.,'&lt;/root&gt;'))/*/*"/></xsl0:template>
		
<xsl0:template match="sm:wspInfo">
<xsl0:value-of select="@prefix"/>
<xsl0:choose>
<xsl0:when test="@type='modName'"><xsl0:value-of select="resultatAgent('/@@/namePrimary')"/></xsl0:when>
<xsl0:when test="@type='modKey'"><xsl0:value-of select="resultatAgent('/@@/keyPrimary')"/></xsl0:when>
<xsl0:when test="@type='modVersion'"><xsl0:value-of select="concat(resultatAgent('/@@/version/major'), '.', resultatAgent('/@@/version/medium'))"/></xsl0:when>
<xsl0:when test="@type='modVersionFull'"><xsl0:value-of select="resultatAgent('/@@/version')"/></xsl0:when>
<xsl0:when test="@type='scenariVersion'"><xsl0:value-of select="concat(resultatAgent('/@@/scenari.version/major'), '.', resultatAgent('/@@/scenari.version/medium'))"/></xsl0:when>
<xsl0:when test="@type='scenariVersionFull'"><xsl0:value-of select="resultatAgent('/@@/scenari.version')"/></xsl0:when>
</xsl0:choose>
<xsl0:value-of select="@suffix"/>
</xsl0:template>
		
		
<xsl0:template match="sm:pageNumber"><text:page-number text:select-page="current"/></xsl0:template>
		
<xsl0:template match="sm:pageCount"><text:page-count/></xsl0:template>		
		
<xsl0:template match="sm:refHeading">
<xsl0:variable name="vDisplay">
<xsl0:choose>
<xsl0:when test="@format='number and name'">
						number-and-name
</xsl0:when>
<xsl0:when test="@format='number'">
						plain-number
</xsl0:when>
<xsl0:otherwise>
						name
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<text:chapter text:display="{normalize-space($vDisplay)}" text:outline-level="{@level}"/>
</xsl0:template>
		
<xsl0:variable name="vBookmarkIdPrefix">scIdBkm_</xsl0:variable>
<xsl0:template match="sm:refBookmark">
<xsl0:variable name="vFormat">
<xsl0:choose>
<xsl0:when test="@format='chapter number'">
						chapter
</xsl0:when>
<xsl0:when test="@format='content text'">
						text
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="@format"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:variable name="vRefId">
<xsl0:apply-templates select="sm:bookmarkId/*"/>
</xsl:variable>
<text:bookmark-ref text:reference-format="{normalize-space($vFormat)}" text:ref-name="{$vBookmarkIdPrefix}{{$vRefId}}"/>
</xsl0:template>
		
<xsl0:template match="sm:refFileName">
<xsl0:variable name="vDisplay">
<xsl0:choose>
<xsl0:when test="@format='name and extension'">
						name-and-extension
</xsl0:when>
<xsl0:when test="@format='path'">
						full
</xsl0:when>
<xsl0:otherwise>
						name
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<text:file-name text:display="{normalize-space($vDisplay)}"/>
</xsl0:template>
		
		
<xsl0:template match="sm:bookmark" name="sm:bookmark">
<xsl:variable name="vId">
<xsl0:apply-templates select="sm:id/*"/>
</xsl:variable>
<text:bookmark-start text:name="{$vBookmarkIdPrefix}{{$vId}}"/>
<xsl0:apply-templates select="sm:content/*"/>
<text:bookmark-end text:name="{$vBookmarkIdPrefix}{{$vId}}"/>
</xsl0:template>
		
	
		
<xsl0:template match="sm:dataBlock" name="sm:dataBlock">
<scodPp:dataBlock category="{@category}" id="db_{generate-id()}_{{alphaHash(codeAgent('//'))}}_{{generate-id()}}_{{java:hIncreaseOne(getEntryBuffer('counters', 'datablock'))}}">
<xsl:variable name="vId">
<xsl0:choose>
<xsl0:when test="boolean(sm:blockId/*)"><xsl0:apply-templates select="sm:blockId"/></xsl0:when>
<xsl0:when test="boolean(sm:sortKey/*)"><xsl0:apply-templates select="sm:sortKey"/></xsl0:when>
<xsl0:otherwise><xsl0:apply-templates select="sm:label"/></xsl0:otherwise>
</xsl0:choose>
</xsl:variable>
<xsl:variable name="vSortKey">
<xsl0:choose>
<xsl0:when test="boolean(sm:sortKey/*)"><xsl0:apply-templates select="sm:sortKey"/></xsl0:when>
<xsl0:when test="boolean(sm:label/*)"><xsl0:apply-templates select="sm:label"/></xsl0:when>
<xsl0:otherwise><xsl:value-of select="$vId"/></xsl0:otherwise>
</xsl0:choose>
</xsl:variable>
<scodPp:id value="{{normalize-space($vId)}}"/>
<xsl0:apply-templates select="sm:overrideContentDeclaration"/>
<scodPp:sortKey value="{{normalize-space($vSortKey)}}"/>
<scodPp:title><xsl0:apply-templates select="sm:label"/></scodPp:title>
<scodPp:data><xsl0:apply-templates select="sm:data"/></scodPp:data>
</scodPp:dataBlock>
</xsl0:template>
<xsl0:template match="sm:overrideContentDeclaration"><scodPp:overrideContentDeclaration><xsl0:apply-templates select="*"/></scodPp:overrideContentDeclaration></xsl0:template>
<xsl0:template match="sm:label | sm:sortKey | sm:blockId | sm:data"><xsl0:apply-templates/></xsl0:template>
		
<xsl0:template match="sm:ifRefBlock" name="sm:ifRefBlock">
<scodPp:ifRefBlock position="{@position}">
<xsl0:apply-templates/>
</scodPp:ifRefBlock>
</xsl0:template>
<xsl0:template match="sm:refBlock" name="sm:refBlock">
<xsl0:for-each select="*">
<xsl0:choose>
<xsl0:when test="name()='sm:blockPage'"><scodPp:refBlock format="page" position="{../@position}"/></xsl0:when>
<xsl0:when test="name()='sm:blockTitle'"><scodPp:refBlock format="text" position="{../@position}"/></xsl0:when>
<xsl0:when test="name()='sm:blockChapter'"><scodPp:refBlock format="chapter" position="{../@position}"/></xsl0:when>
<xsl0:when test="name()='sm:blockDirection'"><scodPp:refBlock format="direction" position="{../@position}"/></xsl0:when>
</xsl0:choose>
</xsl0:for-each>
</xsl0:template>
<xsl0:template match="sm:callBlockData" name="sm:callBlockData"><scodPp:block.data/></xsl0:template>
		
<xsl0:template match="sm:callBlockLabel" name="sm:callBlockLabel"><scodPp:block.label/></xsl0:template>
		
<xsl0:template match="sm:callBlockPosition" name="sm:callBlockPosition"><scodPp:block.position format="{si(@numbering, @numbering, 1)}"/></xsl0:template>
		
<xsl0:template match="sm:callBlockPages" name="sm:callBlockPages"><scodPp:callBlockPages separator="{@separator}"/></xsl0:template>
		
<xsl0:template match="sm:hyperlink[sm:link/sm:toBlock]" name="sm:hyperlink_block">
<scodPp:refBlock format="xlink" position="{sm:link/sm:toBlock/@position}">
<xsl0:apply-templates select="sm:label/*"/>
</scodPp:refBlock>
</xsl0:template>
		
<xsl0:template match="sm:hyperlink[sm:link/sm:toUrl]" name="sm:hyperlink_url">
<text:a xlink:type="simple">
<xsl:attribute name="xlink:href">
<xsl0:apply-templates select="sm:link/sm:toUrl/*"/>
</xsl:attribute>
<xsl0:apply-templates select="sm:label/*"/>
</text:a>
</xsl0:template>
		
		
<xsl0:template match="sm:callModel" name="sm:callModel">
<xsl0:for-each select="*">
<xsl:value-of disable-output-escaping="yes">
<xsl0:attribute name="select">
<xsl0:choose>
<xsl0:when test="name()='sm:root'">resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>/getContent'))</xsl0:when>
<xsl0:when test="name()='sm:current'">resultatAgent(concat('@', switchAxis(codeAgent('//'), '<xsl0:value-of select="@axis"/>'), '/getContent'))</xsl0:when>
<xsl0:when test="name()='sm:agentPath'">resultatAgent(agent('<xsl0:value-of select="@path"/>', $vDialog))</xsl0:when>
<xsl0:when test="name()='sm:lookForAscendants'">resultatAgent(concat('@', switchAxis(codeAgent(lookForAscendants($vDialog,'<xsl0:value-of select="returnFirst(@direction,'currentToRoot')"/>'<xsl0:apply-templates select="*" mode="callModel"/>)), '<xsl0:value-of select="@axis"/>'), '/getContent'))</xsl0:when>
</xsl0:choose>
</xsl0:attribute>
</xsl:value-of>
</xsl0:for-each>
</xsl0:template>
<xsl0:template match="sm:callableModel" mode="callModel">,'<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))"/>'</xsl0:template>
	
		
		
<xsl0:template name="tGetStyle">
<xsl0:variable name="vEltCateg">
<xsl0:call-template name="tGetWidgetCateg">
<xsl0:with-param name="pLocalName"><xsl0:value-of select="local-name()"/></xsl0:with-param>
</xsl0:call-template>
</xsl0:variable>
<xsl0:value-of select="si(@globalStyle, concat($vEltCateg, '_', @globalStyle), @style)"/>
</xsl0:template>
		
		
<xsl0:template name="tGetBlockCode">
<xsl0:variable name="vCode" select="returnFirst(@globalStyle, @style, concat(local-name(), '_', @role))"/>
<xsl0:value-of select="concat(si(@globalStyle, '_globalsStyles', returnFirst(resultatAgent('../blocksListCode', .), resultatAgent('//blocksListCode', .))), '_',$vCode)"/>
</xsl0:template>
		
</xsl0:stylesheet>
