<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xsl sm sc scodPp java xalan office text table fo draw svg xlink style">
	
<xsl0:template match="sm:WCaptionBlock" name="sm:WCaptionBlock">
<xsl:comment># sm:WCaptionBlock</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
                
<xsl0:variable name="vCategoryId" select="sm:caption/@category"/>
        
<xsl:variable name="vTitleContent{generate-id()}"><xsl0:apply-templates select="sm:title"/></xsl:variable>
<xsl:variable name="vIsTitleMandatory{generate-id()}"><xsl0:value-of select="boolean(sm:title/sm:fixedTitle)"/></xsl:variable>
<xsl:variable name="vIsTitlePresent{generate-id()}"><xsl:value-of select="string-length(normalize-space($vTitleContent{generate-id()}))&gt;0 or $vIsTitleMandatory{generate-id()}='true'"/></xsl:variable>
<xsl:variable name="vDataContent{generate-id()}"><xsl0:apply-templates select="*[name()!='sm:title' and name()!='sm:caption']"/></xsl:variable>

<xsl:choose>
<xsl:when test="string-length(normalize-space($vTitleContent{generate-id()}))&gt;0 or string-length(normalize-space($vDataContent{generate-id()}))&gt;0">
                
<text:p text:style-name="_scod_noDisplay">&#160;</text:p>
<text:p text:style-name="_scod_noDisplayNoKeep">
                        
<draw:frame>
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p[draw:frame]/draw:frame/@*"><xsl:copy-of select="."/></xsl:for-each>
<draw:text-box fo:min-height="[scodPp[xpath:..//*[name()='draw:frame'][last()]/@*[name()='svg:height']]scodPp]">
<xsl0:variable name="vCaptionTitle">
<xsl:if test="$vIsTitlePresent{generate-id()}='true'">
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p[draw:frame]/draw:frame/draw:text-box/text:p/@text:style-name}}">
<xsl0:if test="$vCategoryId">
<xsl:variable name="vCategoryAgtPath" select="'/@@/odSequence/cat_{$vCategoryId}'"/>
<xsl:variable name="vCategoryDefaulAgtPath" select="'/@@/odSequence/default'"/>
<xsl:variable name="vPrefix" select="si(actifAgent($vCategoryAgtPath), resultatAgent(concat($vCategoryAgtPath, '/prefix')), resultatAgent(concat($vCategoryDefaulAgtPath, '/prefix')))"/>
<xsl:variable name="vSeparator" select="si(actifAgent($vCategoryAgtPath), resultatAgent(concat($vCategoryAgtPath, '/separator')), resultatAgent(concat($vCategoryDefaulAgtPath, '/separator')))"/>
<xsl:variable name="vFormat" select="si(actifAgent($vCategoryAgtPath), resultatAgent(concat($vCategoryAgtPath, '/numbering')), resultatAgent(concat($vCategoryDefaulAgtPath, '/numbering')))"/>
<xsl:if test="string-length(normalize-space($vPrefix))&gt;0"><xsl:value-of select="$vPrefix"/></xsl:if>
<xsl:if test="normalize-space($vFormat)!='none'"><text:sequence text:ref-name="ooow:{$vCategoryId}+1" text:name="{$vCategoryId}" text:formula="ooow:{$vCategoryId}+1" style:num-format="{{$vFormat}}"/></xsl:if>
<xsl:value-of select="$vSeparator"/>
</xsl0:if><xsl:value-of select="$vTitleContent{generate-id()}" disable-output-escaping="yes"/>
</text:p>
</xsl:if>
</xsl0:variable>
<xsl0:if test="@position='top'">
<xsl0:copy-of select="$vCaptionTitle"/>
</xsl0:if>
<text:p text:style-name="_scod_noDisplayNoKeep">
<scodPp:conditionalFrame>
<draw:frame>
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p[draw:frame]/draw:frame/draw:text-box/text:p/draw:frame/@*"><xsl:copy-of select="."/></xsl:for-each>
<draw:text-box fo:min-height="[scodPp[xpath:..//*[name()='draw:frame'][last()]/@*[name()='svg:height']]scodPp]">
<xsl:copy-of select="$vDataContent{generate-id()}"/>
</draw:text-box> 
</draw:frame>
</scodPp:conditionalFrame>
</text:p>
<xsl0:if test="not(@position='top')">
<xsl0:copy-of select="$vCaptionTitle"/>
</xsl0:if>
</draw:text-box>
</draw:frame>
</text:p>
<text:p text:style-name="_scod_noDisplayNoKeep">&#160;</text:p>
                
</xsl:when>
<xsl:otherwise>
<scodPp:error type="info" phase="generation" text="Bloc ignoré">Le widget "<xsl0:value-of select="name()"/>" de code "<xsl0:value-of select="$vBlockCode"/>" ne possède pas de contenu.</scodPp:error>
</xsl:otherwise>
</xsl:choose>
</xsl0:template>
    
</xsl0:stylesheet>
