<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xsl sm sc scodPp java xalan office text table fo draw svg xlink style">
	
	
<xsl0:template match="sm:WIndex" name="sm:WIndex">
<xsl:comment># sm:WIndex</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<xsl0:variable name="vOdContent">
<text:illustration-index text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:illustration-index/@text:style-name}}" text:protected="true" text:name="{chaineProtegeAttHtml(sm:title)}">
<text:illustration-index-source text:caption-sequence-name="{@refCategory}" text:caption-sequence-format="text">
<text:index-title-template text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:illustration-index/text:illustration-index-source/text:index-title-template/@text:style-name}}"><xsl0:value-of select="sm:title"/></text:index-title-template>
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:illustration-index/text:illustration-index-source/text:illustration-index-entry-template">
<xsl:copy-of select="."/>
</xsl:for-each>
</text:illustration-index-source>
<text:index-body>
<text:index-title text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:illustration-index/text:index-body/text:index-title/@text:style-name}}" text:name="{chaineProtegeAttHtml(sm:title)}">
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:illustration-index/text:index-body/text:index-title/text:p/@text:style-name}}"><xsl0:value-of select="sm:title"/></text:p>
</text:index-title>
</text:index-body>
</text:illustration-index>
<text:p text:style-name="_scod_noDisplayNoKeep">&#160;</text:p>
</xsl0:variable>
<xsl0:choose>
<xsl0:when test="not(@hideIfNoEntry) or @hideIfNoEntry='yes'">
<scodPp:ifSequence category="{@refCategory}">
<xsl0:copy-of select="$vOdContent"/>
</scodPp:ifSequence>
</xsl0:when>
<xsl0:otherwise>
<xsl0:copy-of select="$vOdContent"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
    
</xsl0:stylesheet>
