<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="xsl sm sc scodPp java xalan office text table fo draw svg xlink style">
	
	
<xsl0:template match="sm:WTableOfContents" name="sm:WTableOfContents">
<xsl:comment># sm:WTableOfContents</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
        
<text:table-of-content text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/@text:style-name}}" text:protected="true" text:name="{chaineProtegeAttHtml(sm:title)}">
<text:table-of-content-source text:use-outline-level="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/text:table-of-content-source/@text:use-outline-level, 'true')}}" 
                                          text:use-index-marks="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/text:table-of-content-source/@text:use-index-marks, 'true')}}" 
                                          text:use-index-source-styles="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/text:table-of-content-source/@text:use-index-source-styles, 'false')}}" 
                                          text:index-scope="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/text:table-of-content-source/@text:index-scope, 'document')}}"
                                          text:outline-level="{{returnFirst(getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/text:table-of-content-source/@text:outline-level, '10')}}"
                                          >
<xsl:if test="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/text:table-of-content-source/@text:use-outline-level='true'">
<xsl:attribute name="text:outline-level"><xsl:value-of select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/text:table-of-content-source/@text:outline-level"/></xsl:attribute>
</xsl:if>
<text:index-title-template text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/text:table-of-content-source/text:index-title-template/@text:style-name}}"><xsl0:value-of select="sm:title"/></text:index-title-template>
<xsl:for-each select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/text:table-of-content-source/*[name()!='text:index-title-template']">
<xsl:copy-of select="."/>
</xsl:for-each>
</text:table-of-content-source>
<text:index-body>
<text:index-title text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/text:index-body/text:index-title/@text:style-name}}" text:name="{chaineProtegeAttHtml(sm:title)}">
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:table-of-content/text:index-body/text:index-title/text:p/@text:style-name}}"><xsl0:value-of select="sm:title"/></text:p>
</text:index-title>
                
</text:index-body>
</text:table-of-content>
<text:p text:style-name="_scod_noDisplayNoKeep">&#160;</text:p>
</xsl0:template>
    
</xsl0:stylesheet>
