<?xml version="1.0" encoding="UTF-8"?>

 

<xsl:stylesheet version="1.0" 
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns="http://www.mozilla.org/xbl"
				xmlns:xul="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
				xmlns:html="http://www.w3.org/1999/xhtml"
				xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
				xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
				xmlns:java="http://xml.apache.org/xslt/java"
				exclude-result-prefixes="sm sc java">
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
	
<xsl:variable name="vParamEditor" select="self::sm:formEditor"/>
<xsl:variable name="vInlineBhv" select="$vParamEditor/sm:inlineBehaviors"/>

	
<xsl:variable name="vVisibleExtBlockTags" select="/sm:textPrim/sm:structure/sm:blockTags/sm:extBlockTag[resultatAgent(concat('//isExtBlock_', @role)) = 'true']"/>
<xsl:variable name="vVisibleObjectLeafTags" select="/sm:textPrim/sm:structure/sm:inlineTags/sm:objectLeafTag[resultatAgent(concat('//isObjectLeaf_', @role)) = 'true']"/>
<xsl:variable name="vVisibleInlineImgTags" select="/sm:textPrim/sm:structure/sm:inlineTags/sm:inlineImgTag[resultatAgent(concat('//isInlineImg_', @role)) = 'true']"/>
<xsl:variable name="vVisibleULinkTags" select="/sm:textPrim/sm:structure/sm:inlineTags/sm:uLinkTag[resultatAgent(concat('//isULink_', @role)) = 'true']"/>

	
<xsl:variable name="isInlineTags" select="$vVisibleObjectLeafTags or $vVisibleInlineImgTags or $vVisibleULinkTags or boolean(/sm:textPrim/sm:structure/sm:inlineTags[sm:noteTag or sm:phraseTag or sm:inlineStyleTag or sm:textLeafTag or sm:emptyLeafTag])"/>
<xsl:variable name="isListTags" select="boolean(/sm:textPrim/sm:structure/sm:blockTags/*[contains(local-name(), 'List')])"/>
<xsl:variable name="isTableTags" select="boolean(/sm:textPrim/sm:structure/sm:blockTags/sm:tableTag)"/>
<xsl:variable name="isBlockTags" select="boolean($vVisibleExtBlockTags or /sm:textPrim/sm:structure/sm:blockTags/sm:emptyBlockTag)"/>
<xsl:variable name="isInsertChars" select="boolean($vParamEditor/sm:insertCharacters/*)"/>
<xsl:variable name="isLinkTags" select="$vVisibleExtBlockTags or $vVisibleObjectLeafTags or $vVisibleInlineImgTags or $vVisibleULinkTags"/>
<xsl:variable name="isMetaTags" select="boolean(/sm:textPrim/sm:structure/descendant::sm:meta)"/>

	
<xsl:template match="sm:textPrim">
<xsl:apply-templates select="sm:structure"/>
</xsl:template>
	
	
	
<xsl:template match="sm:formEditor">
<xsl:apply-templates select="/sm:textPrim/sm:structure"/>
</xsl:template>
	
<xsl:template match="sm:structure">
<xsl:variable name="vTables" select="sm:blockTags/sm:tableTag"/>
<bindings>
<binding id="zone" extends="chrome://scenariWsp/content/widgets/xed/richText/textBase.xbl.xml#zone">
<resources>
<image src="chrome://scenariXedLib/content/libUiBase/skin/img/error.png"/>
<image src="chrome://scenariXedLib/content/libUiBase/skin/img/errorS.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/caretDragOver.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/tag.png"/>
<xsl:if test="/sm:textPrim/sm:structure/sm:inlineTags/sm:noteTag">
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/note.png"/>
</xsl:if>
<xsl:if test="$isInlineTags">
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/styler.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/styler_off.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/stylerRem.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/stylerRem_off.png"/>
</xsl:if>
<xsl:if test="$isListTags">
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/insertList.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/unwrapList.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/unwrapList_off.png"/>
</xsl:if>
<xsl:if test="$isTableTags">
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/table.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/tableCreatorBg.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/tableCreatorFg.png"/>
</xsl:if>
<xsl:if test="$isBlockTags">
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/insertBlock.png"/>
</xsl:if>
<xsl:if test="$isInsertChars">
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/insertChar.png"/>
</xsl:if>
<xsl:if test="$isBlockTags or $isInlineTags">
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/link.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/link_off.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/meta.png"/>
<image src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/meta_off.png"/>
</xsl:if>
</resources>
<implementation>
<property name="fCodeModel" onget="return '{resultatAgent('//codeModel')}';"/>
<property name="fHtmlStyleSheet" onget="return '{resultatAgent('../textHtmlEdit.css', 'act:')}';"/>
<property name="fUrlCssShowTag" onget="return '{resultatAgent('../textHtmlTag.css', 'act:')}';"/>
<property name="isEditorWithBlocks" onget="return {boolean(sm:blockTags/*)};" readonly="true"/>
<property name="img_CaretDragOver" onget="return 'chrome://scenariXedLib/content/libUiExtra/scRichText/img/caretDragOver.png';" readonly="true"/>
<method name="initClasses">
<body>
				if( ! window._<xsl:value-of select="resultatAgent('//codeModel')"/>_classes) window._<xsl:value-of select="resultatAgent('//codeModel')"/>_classes = this.buildClasses();
				return window._<xsl:value-of select="resultatAgent('//codeModel')"/>_classes;
</body>
</method>
<method name="buildClasses">
<body>￼@.jsStr￼
var vClasses = {};
vClasses._xml = {}; 
vClasses.HTML = {
	type : 0,
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass === vClasses.BODY;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole){
		return false;
	}
};
vClasses.HEAD = vClasses.HTML;
vClasses.TITLE = vClasses.HTML;
vClasses["#document"] = vClasses.HTML;
vClasses["#document-fragment"] = {
	type : 0,
	isChildAllowed : function(pParentNode, pChildClass) {
		if(pParentNode.fHtmlContext) return vClasses[pParentNode.fHtmlContext.nodeName].isChildAllowed(pParentNode.fHtmlContext, pChildClass);
		return true;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole){
		if(pAncHtmlNode.fHtmlContext) return vClasses[pAncHtmlNode.fHtmlContext.nodeName].isDescForbidden(pAncHtmlNode.fHtmlContext, pDescClass, pDescRole);
		return false;
	}
};

vClasses["html:error"] = vClasses["html:iframe"] = vClasses["html:span"] = {
	type: 8
};
vClasses.BR = {
	type : 9
};
vClasses["#text"] = {
	type : 10,
	isInlineSibling : true,
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isInlineSibling;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole){
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml["#text"] = vClasses["#text"];
vClasses.BODY = {
	type : 6,
	isParaParent : true,
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isParaSibling;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole){
		return false;
	}
};

<xsl:variable name="vParaTagList" select="sm:blockTags/sm:paraTag"/>
vClasses.PARA = {
	type : 5,
	isParaSibling : true,
	isDefined : function(pNode){
		return true;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isInlineSibling;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}<xsl:if test="$vParaTagList">,
	isClonable : true,
	getStructuralNodes : function(pNode){
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vParaTagList">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}
		return null;
	}
</xsl:if>
};
vClasses._xml.para = vClasses.PARA;


<xsl:variable name="vSimpleLists" select="sm:blockTags/sm:simpleListTag"/>
vClasses.DIR = {
	type : 6,
	isParaSibling : true,
	isSplitable : true,
	getStructuralNodes : function(pNode){<xsl:if test="$vSimpleLists">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vSimpleLists">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}</xsl:if>
		return null;
	},
	hasTitle : function(pNode){ 
<xsl:if test="$vSimpleLists">
<xsl:variable name="vTitles" select="$vSimpleLists[sm:titleTag]"/>
<xsl:if test="$vTitles">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vTitles">case "<xsl:value-of select="@role"/>" : return <xsl:value-of select="si(sm:titleTag/@usage='required', '2', '1')"/>; 
</xsl:for-each>
		}</xsl:if>
</xsl:if>
		return 0;
	},
	isDefined : function(pNode){<xsl:if test="$vSimpleLists">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vSimpleLists">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}</xsl:if>
		return false;
	},
	getDefaultRole : function(pNode, pParentHtmlNode){
		var vParentNode = pParentHtmlNode||pNode.parentNode;
<xsl:for-each select="$vSimpleLists">if(! vClasses[vParentNode.nodeName].isDescForbidden(vParentNode, this, "<xsl:value-of select="@role"/>")) return "<xsl:value-of select="@role"/>";
</xsl:for-each>
		return null;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass === vClasses.MEMBER || pChildClass === vClasses.TITLE;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.simpleList = vClasses.DIR;
vClasses.MEMBER = {
	type : 5,
	isClonable : true,
	nameForParaSibling : "para", //Indique qu'il faut renommer cette balise si elle est replacée dans un contexte de paraSibling.
	getStructuralNodes : function(pNode){
<xsl:if test="$vSimpleLists">
		switch(pNode.parentNode.getAttribute("role")||"") {
<xsl:for-each select="$vSimpleLists">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(sm:memberTag/@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', sm:memberTag)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', sm:memberTag)"/>", <xsl:if test="sm:memberTag/sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode){
		return true;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isInlineSibling;
	},
	isDeletable : function(pHtmlNode) {
		var vSibling = pHtmlNode.nextElementSibling;
		if(vSibling) return true;
		vSibling = pHtmlNode.previousElementSibling;
		if(vSibling &amp;&amp; vSibling.nodeName=="MEMBER") return true;
		return false;
	}, 
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		var vP = pAncHtmlNode.parentNode;
		if(!vP &amp;&amp; pAncHtmlNode.fHtmlContext) return vClasses[pAncHtmlNode.fHtmlContext.nodeName].isDescForbidden(pAncHtmlNode.fHtmlContext, pDescClass, pDescRole);
		return vClasses[vP.nodeName].isDescForbidden(vP, pDescClass, pDescRole);
	}
};
vClasses._xml.member = vClasses.MEMBER;
<xsl:variable name="vItemizedLists" select="sm:blockTags/sm:itemizedListTag"/>
vClasses.UL = {
	type : 6,
	isParaSibling : true,
	isSplitable : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vItemizedLists">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vItemizedLists">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	hasTitle : function(pNode){ 
<xsl:if test="$vItemizedLists">
<xsl:variable name="vTitles" select="$vItemizedLists[sm:titleTag]"/>
<xsl:if test="$vTitles">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vTitles">case "<xsl:value-of select="@role"/>" : return <xsl:value-of select="si(sm:titleTag/@usage='required', '2', '1')"/>; 
</xsl:for-each>
		}</xsl:if>
</xsl:if>
		return 0;
	},
	isDefined : function(pNode){
<xsl:if test="$vItemizedLists">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vItemizedLists">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	getDefaultRole : function(pNode, pParentHtmlNode){
		var vParentNode = pParentHtmlNode||pNode.parentNode;
<xsl:for-each select="$vItemizedLists">if(! vClasses[vParentNode.nodeName].isDescForbidden(vParentNode, this, "<xsl:value-of select="@role"/>")) return "<xsl:value-of select="@role"/>";
</xsl:for-each>
		return null;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return (pChildClass === vClasses.LITEM  || pChildClass === vClasses.TITLE);
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.itemizedList = vClasses.UL;
<xsl:variable name="vOrderedLists" select="sm:blockTags/sm:orderedListTag"/>
vClasses.OL = {
	type : 6,
	isParaSibling : true,
	isSplitable : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vOrderedLists">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vOrderedLists">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	hasTitle : function(pNode){ 
<xsl:if test="$vOrderedLists">
<xsl:variable name="vTitles" select="$vOrderedLists[sm:titleTag]"/>
<xsl:if test="$vTitles">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vTitles">case "<xsl:value-of select="@role"/>" : return <xsl:value-of select="si(sm:titleTag/@usage='required', '2', '1')"/>; 
</xsl:for-each>
		}</xsl:if>
</xsl:if>
		return 0;
	},
	isDefined : function(pNode){
<xsl:if test="$vOrderedLists">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vOrderedLists">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	getDefaultRole : function(pNode, pParentHtmlNode){
		var vParentNode = pParentHtmlNode||pNode.parentNode;
<xsl:for-each select="$vOrderedLists">if(! vClasses[vParentNode.nodeName].isDescForbidden(vParentNode, this, "<xsl:value-of select="@role"/>")) return "<xsl:value-of select="@role"/>";
</xsl:for-each>
		return null;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return (pChildClass === vClasses.LITEM || pChildClass === vClasses.TITLE);
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.orderedList = vClasses.OL;
vClasses.LITEM = {
	type : 6,
	isParaParent : true,
	isSplitable : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vItemizedLists or $vOrderedLists">
	if(pNode.parentNode.localName=="ul"){<xsl:if test="$vItemizedLists">
		switch(pNode.parentNode.getAttribute("role")||"") {
<xsl:for-each select="$vItemizedLists">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(sm:listItemTag/@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', sm:listItemTag)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', sm:listItemTag)"/>", <xsl:if test="sm:listItemTag/sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}</xsl:if>
	} else {<xsl:if test="$vOrderedLists">
		switch(pNode.parentNode.getAttribute("role")||"") {
<xsl:for-each select="$vOrderedLists">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(sm:listItemTag/@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', sm:listItemTag)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', sm:listItemTag)"/>", <xsl:if test="sm:listItemTag/sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}</xsl:if>
	}
</xsl:if>
	return null;
	},
	isDefined : function(pNode){
		return true;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isParaSibling;
	},
	isDeletable : function(pHtmlNode) {
		var vSibling = pHtmlNode.nextElementSibling;
		if(vSibling) return true;
		vSibling = pHtmlNode.previousElementSibling;
		if(vSibling &amp;&amp; vSibling.nodeName=="LITEM") return true;
		return false;
	}, 
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.listItem = vClasses.LITEM;

vClasses.TITLE = {
	type : 5,
	isRequired : true,
	nameForParaSibling : "para", //Indique qu'il faut renommer cette balise si elle est replacée dans un contexte de paraSibling.
	getStructuralNodes : function(pNode){
<xsl:if test="sm:blockTags/sm:*[sm:titleTag]">
		var vList = pNode.parentNode;
		if(vList.nodeName=="DIR") {
<xsl:if test="$vSimpleLists[sm:titleTag]">
			switch(pNode.parentNode.getAttribute("role")||"") {
<xsl:for-each select="$vSimpleLists[sm:titleTag]">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(sm:titleTag/@name)"/>", _node:pNode};
</xsl:for-each>
			}
</xsl:if>
		} else if(vList.nodeName=="UL") {
<xsl:if test="$vItemizedLists[sm:titleTag]">
			switch(pNode.parentNode.getAttribute("role")||"") {
<xsl:for-each select="$vItemizedLists[sm:titleTag]">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(sm:titleTag/@name)"/>", _node:pNode};
</xsl:for-each>
			}
</xsl:if>
		} else if(vList.nodeName=="OL") {
<xsl:if test="$vOrderedLists[sm:titleTag]">
			switch(pNode.parentNode.getAttribute("role")||"") {
<xsl:for-each select="$vOrderedLists[sm:titleTag]">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(sm:titleTag/@name)"/>", _node:pNode};
</xsl:for-each>
			}
</xsl:if>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode, pParentNode){
<xsl:if test="sm:blockTags/sm:*[sm:titleTag]">
		var vList = pParentNode || pNode.parentNode;
		var vIsHtml = vList.namespaceURI == dom.HTMLNS;
		if(vIsHtml ? vList.nodeName=="DIR" : vList.localName=="simpleList") {
<xsl:if test="$vSimpleLists[sm:titleTag]">
			switch(vList.getAttribute("role")||"") {
<xsl:for-each select="$vSimpleLists[sm:titleTag]">case "<xsl:value-of select="@role"/>" : return true;
</xsl:for-each>
			}
</xsl:if>
		} else if(vIsHtml ? vList.nodeName=="UL" : vList.localName=="itemizedList") {
<xsl:if test="$vItemizedLists[sm:titleTag]">
			switch(vList.getAttribute("role")||"") {
<xsl:for-each select="$vItemizedLists[sm:titleTag]">case "<xsl:value-of select="@role"/>" : return true;
</xsl:for-each>
			}
</xsl:if>
		} else if(vIsHtml ? vList.nodeName=="OL" : vList.localName=="orderedList") {
<xsl:if test="$vOrderedLists[sm:titleTag]">
			switch(vList.getAttribute("role")||"") {
<xsl:for-each select="$vOrderedLists[sm:titleTag]">case "<xsl:value-of select="@role"/>" : return true;
</xsl:for-each>
			}
</xsl:if>
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isInlineSibling;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.title = vClasses.TITLE;

vClasses.TABLE = {
	type : 6,
	isParaSibling : true,
	isForced : true,
	isHighlightable : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vTables">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vTables">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	hasCaption : function(pNode){ 
<xsl:if test="$vTables">
<xsl:variable name="vCaptions" select="$vTables[sm:captionTag]"/>
<xsl:if test="$vCaptions">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vCaptions">case "<xsl:value-of select="@role"/>" : return <xsl:value-of select="si(sm:captionTag/@usage='required', '2', '1')"/>; 
</xsl:for-each>
		}</xsl:if>
</xsl:if>
		return 0;
	},
	isRowSpanAllowed : function(pTableNode){ 
<xsl:if test="$vTables">
		switch(pTableNode.getAttribute("role")||"") {
<xsl:for-each select="$vTables">case "<xsl:value-of select="@role"/>" : return <xsl:value-of select="si(@rowSpan='allowed', '1', '0')"/>; 
</xsl:for-each>
		}
</xsl:if>
		return 0;
	},
	isColSpanAllowed : function(pTableNode){ 
<xsl:if test="$vTables">
		switch(pTableNode.getAttribute("role")||"") {
<xsl:for-each select="$vTables">case "<xsl:value-of select="@role"/>" : return <xsl:value-of select="si(@colSpan='allowed', '1', '0')"/>; 
</xsl:for-each>
		}
</xsl:if>
		return 0;
	},
	_Def : {
<xsl:for-each select="$vTables">"<xsl:value-of select="@role"/>" : {
		colRoles : ["<xsl:value-of select="concatExpr(sm:columnTag, concat(@role, '&quot;'), ',&quot;')"/>],
		colNames : ["<xsl:value-of select="concatExpr(sm:columnTag, concat(@name, '&quot;'), ',&quot;')"/>],
		rowRoles : ["<xsl:value-of select="concatExpr(sm:rowTag, concat(@role, '&quot;'), ',&quot;')"/>],
		rowNames : ["<xsl:value-of select="concatExpr(sm:rowTag, concat(@name, '&quot;'), ',&quot;')"/>],
		cellRoles : ["<xsl:value-of select="concatExpr(sm:cellTag, concat(@role, '&quot;'), ',&quot;')"/>], 
		cellNames : ["<xsl:value-of select="concatExpr(sm:cellTag, concat(@name, '&quot;'), ',&quot;')"/>]
	},
</xsl:for-each>"#emptyArray" : []
	},
	listColumnRoles : function(pNode){
		var vDef = this._Def[pNode.getAttribute("role")||""];
		return vDef ? vDef.colRoles : this._Def["#emptyArray"];
	},
	listRowRoles : function(pNode){
		var vDef = this._Def[pNode.getAttribute("role")||""];
		return vDef ? vDef.rowRoles : this._Def["#emptyArray"];
	},
	listCellRoles : function(pNode){
		var vDef = this._Def[pNode.getAttribute("role")||""];
		return vDef ? vDef.cellRoles : this._Def["#emptyArray"];
	},
	listColumnNames : function(pNode){
		var vDef = this._Def[pNode.getAttribute("role")||""];
		return vDef ? vDef.colNames : this._Def["#emptyArray"];
	},
	listRowNames : function(pNode){
		var vDef = this._Def[pNode.getAttribute("role")||""];
		return vDef ? vDef.rowNames : this._Def["#emptyArray"];
	},
	listCellNames : function(pNode){
		var vDef = this._Def[pNode.getAttribute("role")||""];
		return vDef ? vDef.cellNames : this._Def["#emptyArray"];
	},
	isDefined : function(pNode){
<xsl:if test="$vTables">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vTables">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	getDefaultRole : function(pNode, pParentHtmlNode){
		var vParentNode = pParentHtmlNode||pNode.parentNode;
<xsl:for-each select="$vTables">if( ! vClasses[vParentNode.nodeName].isDescForbidden(vParentNode, this, "<xsl:value-of select="@role"/>")) return "<xsl:value-of select="@role"/>";
</xsl:for-each>
		return null;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return (pChildClass === vClasses.CAPTION || pChildClass === vClasses.COL || pChildClass === vClasses.TR);
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.table = vClasses.TABLE;
vClasses.CAPTION = {
	type : 5,
	isRequired : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vTables[sm:captionTag]">
		switch(pNode.parentNode.getAttribute("role")||"") {
<xsl:for-each select="$vTables[sm:captionTag]">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(sm:captionTag/@name)"/>", _node:pNode};
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode, pTable){
<xsl:if test="$vTables[sm:captionTag]">
		var vTable = pTable || pNode.parentNode;
		switch(vTable.getAttribute("role")||"") {
<xsl:for-each select="$vTables[sm:captionTag]">case "<xsl:value-of select="@role"/>" : return true;
</xsl:for-each>
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isInlineSibling;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.caption = vClasses.CAPTION;
vClasses.COL = {
	type : 6,
	isRequired : true,
	isForced : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vTables">
		switch(pNode.parentNode.getAttribute("role")||"") {
<xsl:for-each select="$vTables">case "<xsl:value-of select="@role"/>" : 
			switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="sm:columnTag">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", _node:pNode}
</xsl:for-each>
			}
		break; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode, pTable){
<xsl:if test="$vTables">
		var vTable = pTable || pNode.parentNode;
		switch(vTable.getAttribute("role")||"") {
<xsl:for-each select="$vTables">case "<xsl:value-of select="@role"/>" :
			switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="sm:columnTag">case "<xsl:value-of select="@role"/>" :
</xsl:for-each>
				return true;
			}
		break; 
</xsl:for-each>
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return false;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	},
	_Def : vClasses.TABLE._Def,
	getDefaultRole : function(pNode, pTable){
		var vTable = pTable || pNode.parentNode;
		var vTableRole = vTable.getAttribute("role") || "";
		var vTableDef = this._Def[vTableRole];
		return vTableDef ? vTableDef.colRoles[0] : null;
	}
};
vClasses._xml.column = vClasses.COL;
vClasses.TR = {
	type : 6,
	isRequired : true,
	isForced : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vTables">
		switch(pNode.parentNode.getAttribute("role")||"") {
<xsl:for-each select="$vTables">case "<xsl:value-of select="@role"/>" : 
			switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="sm:rowTag">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}
</xsl:for-each>
			}
		break; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode, pTable){
<xsl:if test="$vTables">
		var vTable = pTable || pNode.parentNode;
		switch(vTable.getAttribute("role")||"") {
<xsl:for-each select="$vTables">case "<xsl:value-of select="@role"/>" :
			switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="sm:rowTag">case "<xsl:value-of select="@role"/>" :
</xsl:for-each>
				return true;
			}
		break; 
</xsl:for-each>
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass === vClasses.TD;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	},
	_Def : vClasses.TABLE._Def,
	getDefaultRole : function(pNode, pTable){
		var vTable = pTable || pNode.parentNode;
		var vTableRole = vTable.getAttribute("role") || "";
		var vTableDef = this._Def[vTableRole];
		return vTableDef ? vTableDef.rowRoles[0] : null;
	}
};
vClasses._xml.row = vClasses.TR;
vClasses.TD = {
	type : 6,
	isParaParent : true,
	isRequired : true,
	isForced : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vTables">
		switch(pNode.parentNode.parentNode.getAttribute("role")||"") {
<xsl:for-each select="$vTables">case "<xsl:value-of select="@role"/>" : 
			switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="sm:cellTag">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}
</xsl:for-each>
			}
		break; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode, pRow){
<xsl:if test="$vTables">
		var vRow = pRow || pNode.parentNode;
		switch(vRow.parentNode.getAttribute("role")||"") {
<xsl:for-each select="$vTables">case "<xsl:value-of select="@role"/>" :
			switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="sm:cellTag">case "<xsl:value-of select="@role"/>" :
</xsl:for-each>
				return true;
			}
		break; 
</xsl:for-each>
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isParaSibling;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		//On interdit les tables dans les tables.
		if(pDescClass === vClasses.TABLE || pDescClass === vClasses.CAPTION || pDescClass === vClasses.COL || pDescClass === vClasses.TR) return true;
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	},
	_Def : vClasses.TABLE._Def,
	getDefaultRole : function(pNode, pRow){
		var vRow = pRow || pNode.parentNode;
		var vTableRole = vRow.parentNode.getAttribute("role") || "";
		var vTableDef = this._Def[vTableRole];
		return vTableDef ? vTableDef.cellRoles[0] : null;
	}
};
vClasses._xml.cell = vClasses.TD;
<xsl:variable name="vExtBlockTagList" select="sm:blockTags/sm:extBlockTag"/>
vClasses.EXTBLOCK = {
	type : 6,
	isParaSibling : true,
	isForced : true,
	isHighlightable : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vExtBlockTagList">
		switch(pNode.nodeType==1 ? pNode.getAttribute("role")||"" : pNode) {
<xsl:for-each select="$vExtBlockTagList">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", hasLinkEditor:true, linkEditorFunc:"linkEditor_extBlock", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
<xsl:if test="$vExtBlockTagList">
	regexpSgn : {
<xsl:for-each select="$vExtBlockTagList">"<xsl:value-of select="@role"/>" : /<xsl:value-of select="concatExpr(sm:allowedModel, concat('.*', resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/sgn')), '\b.*'), '|')"/>/,
</xsl:for-each>
	},
</xsl:if>
	hasCaption : function(pNode){ 
<xsl:if test="$vExtBlockTagList">
<xsl:variable name="vCaptions" select="$vExtBlockTagList[sm:captionBlockTag]"/>
<xsl:if test="$vCaptions">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vCaptions">case "<xsl:value-of select="@role"/>" : return <xsl:value-of select="si(sm:captionBlockTag/@usage='required', '2', '1')"/>; 
</xsl:for-each>
		}</xsl:if>
</xsl:if>
		return 0;
	},
	isDefined : function(pNode){
<xsl:if test="$vExtBlockTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vExtBlockTagList">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	getDefaultRole : function(pNode, pParentHtmlNode){
		var vParentNode = pParentHtmlNode||pNode.parentNode;
<xsl:for-each select="$vExtBlockTagList">if( ! vClasses[vParentNode.nodeName].isDescForbidden(vParentNode, this, "<xsl:value-of select="@role"/>")) return "<xsl:value-of select="@role"/>";
</xsl:for-each>
		return null;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return (pChildClass === vClasses.CAPTIONBLOCK);
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	},
	onDoubleClick : function(pWindow, pZoneEditor, pNode) {
		var vRefUri = pNode.getAttribute("refUri");
		if(vRefUri) pWindow.desk.openRefUri(vRefUri, ";newTab;");
	}
};
vClasses._xml.extBlock = vClasses.EXTBLOCK;
vClasses.CAPTIONBLOCK = {
	type : 5,
	isRequired : true,
	getStructuralNodes : function(pNode){
<xsl:if test="sm:blockTags/sm:extBlockTag[sm:captionBlockTag]">
		switch(pNode.parentNode.getAttribute("role")||"") {
<xsl:for-each select="sm:blockTags/sm:extBlockTag[sm:captionBlockTag]">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(sm:captionBlockTag/@name)"/>", _node:pNode};
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode, pExtBlock){
<xsl:if test="sm:blockTags/sm:extBlockTag[sm:captionBlockTag]">
		var vParent = pExtBlock || pNode.parentNode;
		switch(vParent.getAttribute("role")||"") {
<xsl:for-each select="sm:blockTags/sm:extBlockTag[sm:captionBlockTag]">case "<xsl:value-of select="@role"/>" : return true;
</xsl:for-each>
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isInlineSibling;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.captionBlock = vClasses.CAPTIONBLOCK;

<xsl:variable name="vEmptyBlockTagList" select="sm:blockTags/sm:emptyBlockTag"/>
vClasses.EMPTYBLOCK = {
	type : 6,
	isParaSibling : true,
	isForced : true,
	isHighlightable : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vEmptyBlockTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vEmptyBlockTagList">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode};
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode){
<xsl:if test="$vEmptyBlockTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vEmptyBlockTagList">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return false;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return true;
	},
	getDefaultRole : function(pNode, pParentHtmlNode){
		var vParentNode = pParentHtmlNode||pNode.parentNode;
<xsl:for-each select="$vEmptyBlockTagList">if(! vClasses[vParentNode.nodeName].isDescForbidden(vParentNode, this, "<xsl:value-of select="@role"/>")) return "<xsl:value-of select="@role"/>";
</xsl:for-each>
		return null;
	}
};
vClasses._xml.emptyBlock = vClasses.EMPTYBLOCK;


<xsl:variable name="vPhraseTagList" select="sm:inlineTags/sm:phraseTag"/>
vClasses.PHRASE = {
	type : 4,
	isInlineSibling : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vPhraseTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vPhraseTagList">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode){
<xsl:if test="$vPhraseTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vPhraseTagList">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isInlineSibling;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.phrase = vClasses.PHRASE;
<xsl:variable name="vULinkTagList" select="sm:inlineTags/sm:uLinkTag"/>
vClasses.ULINK = {
	type : 4,
	isInlineSibling : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vULinkTagList">
		switch(pNode.nodeType==1 ? pNode.getAttribute("role")||"" : pNode) {
<xsl:for-each select="$vULinkTagList">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", hasLinkEditor:true, linkEditorFunc:"<xsl:value-of select="si(sm:refItem, 'linkEditor_uLinkRefItem', 'linkEditor_uLinkUrl')"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isRefItem : function(pNode){
<xsl:if test="$vULinkTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vULinkTagList">case "<xsl:value-of select="@role"/>" : return <xsl:value-of select="si(sm:refItem, 'true', 'false')"/>; 
</xsl:for-each>
		}
</xsl:if>
		return false;
	},
<xsl:if test="$vULinkTagList[sm:refItem]">
	regexpSgn : {
<xsl:for-each select="$vULinkTagList[sm:refItem]">"<xsl:value-of select="@role"/>" : /<xsl:value-of select="concatExpr(sm:refItem/sm:allowedModel, concat('.*', resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/sgn')), '\b.*'), '|', '.*')"/>/,
</xsl:for-each>
	},
</xsl:if>
	isDefined : function(pNode){
<xsl:if test="$vULinkTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vULinkTagList">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isInlineSibling;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.uLink = vClasses.ULINK;
<xsl:variable name="vInlineStyleTagList" select="sm:inlineTags/sm:inlineStyleTag"/>
vClasses.INLINESTYLE = {
	type : 3,
	isInlineSibling : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vInlineStyleTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vInlineStyleTagList">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode){
<xsl:if test="$vInlineStyleTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vInlineStyleTagList">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return pChildClass.isInlineSibling;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.inlineStyle = vClasses.INLINESTYLE;
<xsl:variable name="vTextLeafTagList" select="sm:inlineTags/sm:textLeafTag"/>
vClasses.TEXTLEAF = {
	type : 2,
	isInlineSibling : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vTextLeafTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vTextLeafTagList">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode){
<xsl:if test="$vTextLeafTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vTextLeafTagList">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return false;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.textLeaf = vClasses.TEXTLEAF;
<xsl:variable name="vInlineImgTagList" select="sm:inlineTags/sm:inlineImgTag"/>
vClasses.IMG = {
	type : 1,
	isInlineSibling : true,
	isForced : true,
	isHighlightable : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vInlineImgTagList">
		switch(pNode.nodeType==1 ? pNode.getAttribute("role")||"" : pNode) {
<xsl:for-each select="$vInlineImgTagList">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", hasLinkEditor:true, linkEditorFunc:"linkEditor_inlineImg", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>}
</xsl:if>
		return null;
	},
<xsl:if test="$vInlineImgTagList">
	regexpSgn : {
<xsl:for-each select="$vInlineImgTagList">"<xsl:value-of select="@role"/>" : /<xsl:value-of select="concatExpr(sm:allowedModel, concat('.*', resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/sgn')), '\b.*'), '|')"/>/,
</xsl:for-each>
	},
</xsl:if>
	isDefined : function(pNode){
<xsl:if test="$vInlineImgTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vInlineImgTagList">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return false;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	},
	getAltTextTitle : function(pNode){
<xsl:if test="$vInlineImgTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vInlineImgTagList">case "<xsl:value-of select="@role"/>" : return "<xsl:value-of select="chaineProtegeJs(sm:alternativeText/@name)"/>";
</xsl:for-each>
		}
</xsl:if>
		return false;
	},
	onDoubleClick : function(pWindow, pZoneEditor, pNode) {
		var vRefUri = pNode.getAttribute("refUri");
		if(vRefUri) pWindow.desk.openRefUri(vRefUri, ";newTab;");
	}
};
vClasses._xml.inlineImg = vClasses.IMG;
<xsl:variable name="vNoteTagList" select="sm:inlineTags/sm:noteTag"/>
vClasses.NOTE = {
	type : 1,
	isInlineSibling : true,
	isForced : true,
	isHighlightable : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vNoteTagList">
		switch(pNode.nodeType==1 ? pNode.getAttribute("role")||"" : pNode) {
<xsl:for-each select="$vNoteTagList">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", hasSubEditor:true, urlSubEditor:"<xsl:value-of select="resultatAgent(concat('../noteProps_', @role, '.xul'), 'act:')"/>", _node:pNode}; 
</xsl:for-each>
		}
</xsl:if>
		return null;
	},
	isDefined : function(pNode){
<xsl:if test="$vNoteTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vNoteTagList">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return false;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.note = vClasses.NOTE;
<xsl:variable name="vObjectLeafTagList" select="sm:inlineTags/sm:objectLeafTag"/>
vClasses.OBJECTLEAF = {
	type : 1,
	isInlineSibling : true,
	isForced : true,
	isHighlightable : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vObjectLeafTagList">
		switch(pNode.nodeType==1 ? pNode.getAttribute("role")||"" : pNode) {
<xsl:for-each select="$vObjectLeafTagList">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", hasLinkEditor:true, linkEditorFunc:"linkEditor_objectLeaf", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>}</xsl:if>
		return null;
	},
<xsl:if test="$vObjectLeafTagList">
	regexpSgn : {
<xsl:for-each select="$vObjectLeafTagList[sm:refItem]">"<xsl:value-of select="si(@role, @role, '#default')"/>" : /<xsl:value-of select="concatExpr(sm:refItem/sm:allowedModel, concat('.*', resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/sgn')), '\b.*'), '|', '.*')"/>/,
</xsl:for-each>},
</xsl:if>
	isDefined : function(pNode){
<xsl:if test="$vObjectLeafTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vObjectLeafTagList">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>return true;
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return false;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	},
	onDoubleClick : function(pWindow, pZoneEditor, pNode) {
		var vRefUri = pNode.getAttribute("refUri");
		if(vRefUri) pWindow.desk.openRefUri(vRefUri, ";newTab;");
	}
};
vClasses._xml.objectLeaf = vClasses.OBJECTLEAF;
<xsl:variable name="vEmptyLeafTagList" select="sm:inlineTags/sm:emptyLeafTag"/>
vClasses.EMPTYLEAF = {
	type : 1,
	isInlineSibling : true,
	isForced : true,
	isHighlightable : true,
	getStructuralNodes : function(pNode){
<xsl:if test="$vEmptyLeafTagList">
		switch(pNode.nodeType==1 ? pNode.getAttribute("role")||"" : pNode) {
<xsl:for-each select="$vEmptyLeafTagList">case "<xsl:value-of select="@role"/>" : return {title:"<xsl:value-of select="chaineProtegeJs(@name)"/>", <xsl:if test="resultatAgent('//isMetaEnabled', .)">hasSubEditor:true, urlSubEditor:"chrome://scenariWsp/content/widgets/xed/richText/metaEditor.xul", urlXedMeta:"<xsl:value-of select="resultatAgent('//getUrlXedMeta', .)"/>", <xsl:if test="sm:meta/@usage='optional'">isMetaOptional:true, </xsl:if></xsl:if>_node:pNode}; 
</xsl:for-each>}
</xsl:if>
		return null;
	},
	isDefined : function(pNode){
<xsl:if test="$vEmptyLeafTagList">
		switch(pNode.getAttribute("role")||"") {
<xsl:for-each select="$vEmptyLeafTagList">case "<xsl:value-of select="@role"/>" :  
</xsl:for-each>
			return true;
		}
</xsl:if>
		return false;
	},
	isChildAllowed : function(pParentNode, pChildClass) {
		return false;
	},
	isDescForbidden : function(pAncHtmlNode, pDescClass, pDescRole) {
		return vClasses[pAncHtmlNode.parentNode.nodeName].isDescForbidden(pAncHtmlNode.parentNode, pDescClass, pDescRole);
	}
};
vClasses._xml.emptyLeaf = vClasses.EMPTYLEAF;

//Compatibilité Gecko191 (nodeName en majuscule) et Gecko192 (nodeName en minuscule)
for(var vKey in vClasses) {
	var vLowerC = vKey.toLowerCase();
	if(vLowerC != vKey) vClasses[vLowerC] = vClasses[vKey];
}

return vClasses;
				￼￼</body>
</method>
￼@.jsStr?uri=sc:sm:￼
<method name="initToolBar">
<body>
				try{
					if(this.fRichTextInput.isReadOnly) return;
					var vDoc = this.fToolBar.ownerDocument;
					var sXbl = this;
					var sParentNode = this.fToolBar;
<xsl:choose>
<xsl:when test="$vParamEditor/sm:toolbar">
<xsl:apply-templates select="$vParamEditor/sm:toolbar/*" mode="toolbar"/>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="separator_toolbar"/>
<xsl:if test="$isInlineTags">
<xsl:call-template name="insertInlineTags_toolbar"/>
<xsl:call-template name="removeInlineTags_toolbar"/>
</xsl:if>
<xsl:if test="$isListTags">
<xsl:call-template name="insertListTags_toolbar"/>
<xsl:call-template name="unwrapList_toolbar"/>
</xsl:if>
<xsl:if test="$isTableTags">
<xsl:call-template name="tableOptions_toolbar"/>
</xsl:if>
<xsl:if test="$isBlockTags">
<xsl:call-template name="insertBlockTags_toolbar"/>
</xsl:if>
<xsl:if test="$isInsertChars">
<xsl:call-template name="insertChars_toolbar"/>
</xsl:if>
<xsl:choose>
<xsl:when test="$isInlineTags or $isListTags or $isTableTags or isBlockTags">
<xsl:call-template name="separator_toolbar"/>
<xsl:call-template name="toggleStructuredMarks_toolbar"/>
<xsl:if test="$isLinkTags"><xsl:call-template name="showLink_toolbar"/></xsl:if>
<xsl:if test="$isMetaTags"><xsl:call-template name="showMeta_toolbar"/></xsl:if>
</xsl:when>
<xsl:when test="$isMetaTags">
<xsl:call-template name="separator_toolbar"/>
<xsl:call-template name="showMeta_toolbar"/>
</xsl:when>
</xsl:choose>
</xsl:otherwise>
</xsl:choose>
					} catch(e){xed.debug(e);}
</body>
</method>
<method name="refreshToolbar">
<parameter name="pSelection"/>
<parameter name="pSelectedNode"/>
<body>
					if(this.fRichTextInput.isReadOnly) return;
					if(!this.fToolBar) return;
					
					var vInlineParent = null;
          if(this.getBlockWrappingSel()) vInlineParent = this.buildRemoveInlinePopup();
                    					
					this.refreshActions(this.fToolBar);
					
<xsl:for-each select="$vParamEditor/sm:inlineBehaviors[sm:textLeafBehavior/sm:controller]">
					var vUrlCtrl;
					if(vInlineParent &amp;&amp; vInlineParent.nodeName == "TEXTLEAF") {
						switch(vInlineParent.getAttribute("role")) {<xsl:for-each select="sm:textLeafBehavior[sm:controller]">
						case '<xsl:value-of select="@role"/>' : vUrlCtrl = "<xsl:value-of select="resultatAgent('//', 
									concat(
										'res:src=wsp:', 
										sm:controller/@sc:refUri, 
										';dst=',
										'content/', resultatAgent('//codeModel'), '/ctrl_',@role
									))"/>/controller.xul"; break;</xsl:for-each>
						}
					}
					this.setNodeController(vUrlCtrl, vInlineParent);
</xsl:for-each>
</body>
</method>
￼￼
￼@.jsStr￼
			
<method name="buildInsertInlinePopup">
<parameter name="pPopup"/>
<body>
<xsl:for-each select="sm:inlineTags/sm:inlineStyleTag">
<xsl:call-template name="defaultGenericActions"/>
</xsl:for-each>
<xsl:if test="sm:inlineTags/sm:inlineStyleTag">			
						this.createSeparator(pPopup);
</xsl:if>
<xsl:for-each select="sm:inlineTags/sm:phraseTag">
<xsl:call-template name="defaultGenericActions"/>
</xsl:for-each>
<xsl:for-each select="$vVisibleULinkTags">
<xsl:call-template name="defaultGenericActions"/>
</xsl:for-each>
<xsl:for-each select="$vVisibleObjectLeafTags">
<xsl:call-template name="defaultGenericActions"/>
</xsl:for-each>
<xsl:if test="sm:inlineTags/sm:phraseTag or $vVisibleULinkTags or $vVisibleObjectLeafTags">	
						this.createSeparator(pPopup);
</xsl:if>
<xsl:for-each select="sm:inlineTags/sm:textLeafTag">
<xsl:call-template name="defaultGenericActions"/>
</xsl:for-each>
<xsl:for-each select="sm:inlineTags/sm:emptyLeafTag">
<xsl:call-template name="defaultGenericActions"/>
</xsl:for-each>
<xsl:if test="sm:inlineTags/sm:textLeafTag|sm:inlineTags/sm:emptyLeafTag">			
						this.createSeparator(pPopup);
</xsl:if>
<xsl:for-each select="$vVisibleInlineImgTags">
<xsl:call-template name="defaultGenericActions"/>
</xsl:for-each>
<xsl:if test="sm:inlineTags/sm:noteTag and $vVisibleInlineImgTags">			
						this.createSeparator(pPopup);
</xsl:if>
<xsl:for-each select="sm:inlineTags/sm:noteTag">
<xsl:call-template name="defaultGenericActions"/>
</xsl:for-each>
					
					if(pPopup.lastChild &amp;&amp; pPopup.lastChild.localName=="menuseparator") pPopup.removeChild(pPopup.lastChild);
</body>
</method>
<xsl:if test="$isListTags">
			
<method name="buildInsertListsPopup">
<parameter name="pPopup"/>
<body>
<xsl:for-each select="sm:blockTags/sm:simpleListTag">
<xsl:call-template name="defaultGenericActions"/>
</xsl:for-each>
<xsl:for-each select="sm:blockTags/sm:itemizedListTag">
<xsl:call-template name="defaultGenericActions"/>
</xsl:for-each>
<xsl:for-each select="sm:blockTags/sm:orderedListTag">
<xsl:call-template name="defaultGenericActions"/>
</xsl:for-each>
</body>
</method>
</xsl:if>
￼￼
￼@.jsStr?uri=sc:sm:￼
<xsl:if test="$isTableTags">
<method name="buildTablePopup">
<parameter name="pPopup"/>
<parameter name="pOnlyRefresh"/>
<parameter name="pWithAddTableEntries"/>
<body>
				var vClassTable = this.fClasses["TABLE"];
				var vTable = null;
				var vNodeContext = this.fHTMLEditor.selection.anchorNode;
				var vNd = vNodeContext;
				while(vNd) {
					if(vNd.nodeName == "TABLE") {
						vTable = vNd;
						break;
					}
					vNd = vNd.parentNode;
				}
				
				while(pPopup.hasChildNodes()) pPopup.removeChild(pPopup.lastChild);
				
				var vItem;
				if(pWithAddTableEntries) {
<xsl:for-each select="$vTables">this.action_generic(pPopup, "insert", "table", "<xsl:value-of select="@role"/>", xed.formatStr("￼Insérer : %s...￼", "￼?uri=￼<xsl:value-of select="chaineProtegeJs(@name)"/>￼￼"));
</xsl:for-each>
				}
				if(vTable) {
					
					if(pPopup.hasChildNodes()) pPopup.appendChild(document.createElementNS(dom.XULNS, "menuseparator"));
					
					var vColRoles = vClassTable.listColumnRoles(vTable);
					if(vColRoles &amp;&amp; vColRoles.length &gt; 1) {
						var vColNames = vClassTable.listColumnNames(vTable);
						var vTableMenu = pPopup.appendChild(document.createElementNS(dom.XULNS, "menu"));
						vTableMenu.setAttribute("label", "￼Insérer une colonne...￼");
						var vTablePopup = vTableMenu.appendChild(document.createElementNS(dom.XULNS, "menupopup"));
						for(var i = 0; i &lt; vColRoles.length; i++) {
							vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
							vItem.setAttribute("label", vColNames[i]);
							vItem.setAttribute("cmd", "insCol");
							vItem.setAttribute("role", vColRoles[i]);
						}
					} else {
						vItem = pPopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
						vItem.setAttribute("label", "￼Insérer une colonne￼");
						vItem.setAttribute("cmd", "insCol");
						vItem.setAttribute("role", vColRoles[0]);
					}
					var vRowRoles = vClassTable.listRowRoles(vTable);
					if(vRowRoles &amp;&amp; vRowRoles.length &gt; 1) {
						var vRowNames = vClassTable.listRowNames(vTable);
						var vTableMenu = pPopup.appendChild(document.createElementNS(dom.XULNS, "menu"));
						vTableMenu.setAttribute("label", "￼Insérer une ligne...￼");
						var vTablePopup = vTableMenu.appendChild(document.createElementNS(dom.XULNS, "menupopup"));
						for(var i = 0; i &lt; vRowRoles.length; i++) {
							vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
							vItem.setAttribute("label", vRowNames[i]);
							vItem.setAttribute("cmd", "insRow");
							vItem.setAttribute("role", vRowRoles[i]);
						}
					} else {
						vItem = pPopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
						vItem.setAttribute("label", "￼Insérer une ligne￼");
						vItem.setAttribute("cmd", "insRow");
						vItem.setAttribute("role", vRowRoles[0]);
					}
					
					pPopup.appendChild(document.createElementNS(dom.XULNS, "menuseparator"));
					if(vClassTable.isRowSpanAllowed(vTable) || vClassTable.isColSpanAllowed(vTable)) {
						vItem = pPopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
						vItem.setAttribute("label", "￼Fusionner les cellules￼");
						vItem.setAttribute("cmd", "span_cells");
						if(this.getCellsToSpan()==null) vItem.setAttribute("disabled", "true");
						vItem = pPopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
						vItem.setAttribute("label", "￼Défusionner les cellules￼");
						vItem.setAttribute("cmd", "unspan_cells");
						if( ! this.getCellsToUnspan()) vItem.setAttribute("disabled", "true");
						pPopup.appendChild(document.createElementNS(dom.XULNS, "menuseparator"));
					}
					
					if(vColRoles &amp;&amp; vColRoles.length &gt; 1) {
						var vColNames = vClassTable.listColumnNames(vTable);
						var vTableMenu = pPopup.appendChild(document.createElementNS(dom.XULNS, "menu"));
						vTableMenu.setAttribute("label", "￼Type de colonnes...￼");
						var vTablePopup = vTableMenu.appendChild(document.createElementNS(dom.XULNS, "menupopup"));
						for(var i = 0; i &lt; vColRoles.length; i++) {
							vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
							vItem.setAttribute("label", vColNames[i]);
							vItem.setAttribute("cmd", "colRole");
							vItem.setAttribute("role", vColRoles[i]);
						}
					}
					
					var vTableMenu = pPopup.appendChild(document.createElementNS(dom.XULNS, "menu"));
					vTableMenu.setAttribute("label", "￼Largeur de colonne...￼");
					var vTablePopup = vTableMenu.appendChild(document.createElementNS(dom.XULNS, "menupopup"));
					vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼Ajuster au contenu￼");
					vItem.setAttribute("cmd", "colWidth");
					vItem.setAttribute("value", "a");
					vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼Equilibrer￼");
					vItem.setAttribute("cmd", "colWidth");
					vItem.setAttribute("value", "=");
					if(this.fHTMLEditor.selection.rangeCount &lt;= 1) vItem.setAttribute("disabled", "true");
					vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼Editer...￼");
					vItem.setAttribute("cmd", "colWidth");
					vItem.setAttribute("value", "?");
					
					vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuseparator"));
					vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼+ 10%￼");
					vItem.setAttribute("cmd", "colWidth");
					vItem.setAttribute("value", "1.1");
					vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼+ 20%￼");
					vItem.setAttribute("cmd", "colWidth");
					vItem.setAttribute("value", "1.2");
					vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼+ 50%￼");
					vItem.setAttribute("cmd", "colWidth");
					vItem.setAttribute("value", "1.5");
					vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼+ 100%￼");
					vItem.setAttribute("cmd", "colWidth");
					vItem.setAttribute("value", "2");
					vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼- 10%￼");
					vItem.setAttribute("cmd", "colWidth");
					vItem.setAttribute("value", ".9");
					vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼- 20%￼");
					vItem.setAttribute("cmd", "colWidth");
					vItem.setAttribute("value", ".9");
					vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼- 50%￼");
					vItem.setAttribute("cmd", "colWidth");
					vItem.setAttribute("value", ".5");
					
					if(vRowRoles &amp;&amp; vRowRoles.length &gt; 1) {
						var vRowNames = vClassTable.listRowNames(vTable);
						var vTableMenu = pPopup.appendChild(document.createElementNS(dom.XULNS, "menu"));
						vTableMenu.setAttribute("label", "￼Type de lignes...￼");
						var vTablePopup = vTableMenu.appendChild(document.createElementNS(dom.XULNS, "menupopup"));
						for(var i = 0; i &lt; vRowRoles.length; i++) {
							vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
							vItem.setAttribute("label", vRowNames[i]);
							vItem.setAttribute("cmd", "rowRole");
							vItem.setAttribute("role", vRowRoles[i]);
						}
					}
					
					var vCellRoles = vClassTable.listCellRoles(vTable);
					if(vCellRoles &amp;&amp; vCellRoles.length &gt; 1) {
						var vCellNames = vClassTable.listCellNames(vTable);
						var vTableMenu = pPopup.appendChild(document.createElementNS(dom.XULNS, "menu"));
						vTableMenu.setAttribute("label", "￼Type de cellules...￼");
						var vTablePopup = vTableMenu.appendChild(document.createElementNS(dom.XULNS, "menupopup"));
						for(var i = 0; i &lt; vCellRoles.length; i++) {
							vItem = vTablePopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
							vItem.setAttribute("label", vCellNames[i]);
							vItem.setAttribute("cmd", "cellRole");
							vItem.setAttribute("role", vCellRoles[i]);
						}
					}
				}
				if(pPopup.hasChildNodes()) pPopup.appendChild(document.createElementNS(dom.XULNS, "menuseparator"));
				vItem = pPopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
				vItem.setAttribute("label", "￼Supprimer ligne(s)￼");
				vItem.setAttribute("cmd", "delete_row");
				if( ! vTable) vItem.setAttribute("disabled", "true");
				vItem = pPopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
				vItem.setAttribute("label", "￼Supprimer colonne(s)￼");
				vItem.setAttribute("cmd", "delete_column");
				if( ! vTable) vItem.setAttribute("disabled", "true");
				vItem = pPopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
				vItem.setAttribute("label", "￼Supprimer le tableau￼");
				vItem.setAttribute("cmd", "delete_table");
				if( ! vTable) vItem.setAttribute("disabled", "true");
				
				pPopup.fRichTextZone = this;
				if(!pOnlyRefresh) pPopup.addEventListener("command", function(pEvent){
					try{
						pEvent.stopPropagation();
						var vItem = pEvent.originalTarget;
						var vCmd = vItem.getAttribute("cmd");
						switch(vCmd) {
						case "insRow" : 
							this.fRichTextZone.insert_row(vItem.getAttribute("role"));
							break;
						case "insCol" :
							this.fRichTextZone.insert_col(vItem.getAttribute("role"));
							break;
						case "colRole":
							this.fRichTextZone.update_colRole(vItem.getAttribute("role"));
							break;
						case "rowRole":
							this.fRichTextZone.update_rowRole(vItem.getAttribute("role"));
							break;
						case "cellRole":
							this.fRichTextZone.update_cellRole(vItem.getAttribute("role"));
							break;
						case "colWidth":
							this.fRichTextZone.update_colWidth(vItem.getAttribute("value"));
							break;
						default :
							this.fRichTextZone[vCmd].call(this.fRichTextZone);
							break;
						}
					}catch(e){xed.debug(e);}
				}, false);
</body>
</method>
</xsl:if>
<xsl:if test="$isBlockTags">
<method name="buildBlockPopup">
<parameter name="pPopup"/>
<parameter name="pOnlyRefresh"/>
<body>
				var vClassExtBlock = this.fClasses.EXTBLOCK;
				var vClassEmptyBlock = this.fClasses.EMPTYBLOCK;
				var vNodeContext = this.fHTMLEditor.selection.anchorNode;
				var vClassContext = this.fClasses[vNodeContext.nodeName];
				
				if(pOnlyRefresh) while(pPopup.hasChildNodes()) pPopup.removeChild(pPopup.lastChild);
				else {
					var sXbl = this;
					pPopup.addEventListener("command", function(pEvent){
						try{
							pEvent.stopPropagation();
							var vRole = pEvent.originalTarget.getAttribute("role");
							var vTag = pEvent.originalTarget.getAttribute("tag");
							sXbl.insertBlock(vTag, vRole);
						}catch(e){xed.debug(e);}
					}, false);
				}
				
				var vBlock = this.getEditableBlockFromNode(vNodeContext);
				var vNotInsertable = vBlock ? ! this.fClasses[vBlock.nodeName].isClonable : false;
				
				var vItem;
<xsl:for-each select="$vVisibleExtBlockTags">
					var vItem = pPopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼?uri=￼<xsl:value-of select="chaineProtegeJs(@name)"/>￼￼");
					//vItem.setAttribute("label", xed.formatStr("￼Insérer : %s...￼", "￼?uri=￼<xsl:value-of select="chaineProtegeJs(@name)"/>￼￼"));
					vItem.setAttribute("tag", "extBlock");
					vItem.setAttribute("role", "<xsl:value-of select="@role"/>");
					if(vNotInsertable || vClassContext.isDescForbidden(vNodeContext, vClassExtBlock, "<xsl:value-of select="@role"/>")) vItem.setAttribute("disabled", "true");
</xsl:for-each>
<xsl:for-each select="sm:blockTags/sm:emptyBlockTag">
					var vItem = pPopup.appendChild(document.createElementNS(dom.XULNS, "menuitem"));
					vItem.setAttribute("label", "￼?uri=￼<xsl:value-of select="chaineProtegeJs(@name)"/>￼￼");
					//vItem.setAttribute("label", xed.formatStr("￼Insérer : %s...￼", "￼?uri=￼<xsl:value-of select="chaineProtegeJs(@name)"/>￼￼"));
					vItem.setAttribute("tag", "emptyBlock");
					vItem.setAttribute("role", "<xsl:value-of select="@role"/>");
					if(vNotInsertable || vClassContext.isDescForbidden(vNodeContext, vClassEmptyBlock, "<xsl:value-of select="@role"/>")) vItem.setAttribute("disabled", "true");
</xsl:for-each>
</body>
</method>
</xsl:if>
<xsl:if test="$isInsertChars">
<method name="buildInsertCharsPopup">
<parameter name="pPopup"/>
<body>
					var vDoc = pPopup.ownerDocument;	
					var vPopupRoot = vDoc.createElementNS(dom.XULNS, "vbox");
					vPopupRoot.setAttribute("maxwidth", "600");
					
					pPopup.appendChild(vPopupRoot);
					￼?uri=￼
					var vData = <xsl:apply-templates select="$vParamEditor/sm:insertCharacters"/>;
					￼￼
					for each (var vGrp in vData) {
						if(!vGrp) continue;
						if(vGrp.nm) {
							var vDesc = vDoc.createElementNS(dom.XULNS, "description");
							vDesc.setAttribute("style", "font-style: italic; color: grey;");
							vDesc.setAttribute("value", vGrp.nm);
							vPopupRoot.appendChild(vDesc);
						}
						var vCont =  vDoc.createElementNS(dom.XULNS, "box");
						vCont.setAttribute("style", "display: block;");
						for each (var vC in vGrp.chars) {
							if(!vC) continue;
							var vCar = vDoc.createElementNS(dom.XULNS, "toolbarbutton");
							if(typeof vC == "string") {
								vCar.setAttribute("label", vC);
								vCar.setAttribute("value", vC);
							} else {
								vCar.setAttribute("label", vC.n);
								vCar.setAttribute("value", vC.v);
							}
							vCont.appendChild(vCar);
						}
						vPopupRoot.appendChild(vCont);
					}
					var sXbl = this;
					pPopup.addEventListener("command", function(pEvent){
						try{
							pEvent.stopPropagation();
							var vVal = pEvent.originalTarget.getAttribute("value");
							if(vVal) {
								sXbl.fHTMLEditor.QueryInterface(Components.interfaces.nsIPlaintextEditor).insertText(vVal);
								sXbl.fRichTextInput.setDirty(true);
							}
						}catch(e){xed.debug(e);}
					}, false);
</body>
</method>
</xsl:if>
			
<method name="onKeyBinding">
<parameter name="pCharCode"/>
<parameter name="pEvent"/>
<body>
				var vChar = String.fromCharCode(pCharCode);
				switch(vChar) {
<xsl:for-each select="$vParamEditor/sm:inlineBehaviors/sm:noteBehavior[sm:keyBinding]">
	case '￼?uri=￼<xsl:value-of select="chaineProtegeJs(string(sm:keyBinding/@char))"/>￼￼'.toLowerCase() : {
		this.insert_note("<xsl:value-of select="@role"/>");
		break;
	}
</xsl:for-each>
<xsl:for-each select="$vParamEditor/sm:inlineBehaviors/sm:uLinkBehavior[sm:keyBinding]">
	case '￼?uri=￼<xsl:value-of select="chaineProtegeJs(string(sm:keyBinding/@char))"/>￼￼'.toLowerCase() : {
		this.<xsl:value-of select="si(@mode='toggle', 'toggle', 'insert')"/>_uLink("<xsl:value-of select="@role"/>");
		break;
	}
</xsl:for-each>
<xsl:for-each select="$vParamEditor/sm:inlineBehaviors/sm:phraseBehavior[sm:keyBinding]">
	case '￼?uri=￼<xsl:value-of select="chaineProtegeJs(string(sm:keyBinding/@char))"/>￼￼'.toLowerCase() : {
		this.<xsl:value-of select="si(@mode='toggle', 'toggle', 'insert')"/>_phrase("<xsl:value-of select="@role"/>");
		break;
	}
</xsl:for-each>
<xsl:for-each select="$vParamEditor/sm:inlineBehaviors/sm:inlineStyleBehavior[sm:keyBinding]">
	case '￼?uri=￼<xsl:value-of select="chaineProtegeJs(string(sm:keyBinding/@char))"/>￼￼'.toLowerCase() : {
		this.<xsl:value-of select="si(@mode='toggle', 'toggle', 'insert')"/>_inlineStyle("<xsl:value-of select="@role"/>");
		break;
	}
</xsl:for-each>
<xsl:for-each select="$vParamEditor/sm:inlineBehaviors/sm:textLeafBehavior[sm:keyBinding]">
	case '￼?uri=￼<xsl:value-of select="chaineProtegeJs(string(sm:keyBinding/@char))"/>￼￼'.toLowerCase() : {
		this.<xsl:value-of select="si(@mode='toggle', 'toggle', 'insert')"/>_textLeaf("<xsl:value-of select="@role"/>");
		break;
	}
</xsl:for-each>
<xsl:for-each select="$vParamEditor/sm:inlineBehaviors/sm:objectLeafBehavior[sm:keyBinding]">
	case '￼?uri=￼<xsl:value-of select="chaineProtegeJs(string(sm:keyBinding/@char))"/>￼￼'.toLowerCase() : {
		this.insert_objectLeaf("<xsl:value-of select="@role"/>");
		break;
	}
</xsl:for-each>
<xsl:for-each select="$vParamEditor/sm:inlineBehaviors/sm:emptyLeafBehavior[sm:keyBinding]">
	case '￼?uri=￼<xsl:value-of select="chaineProtegeJs(string(sm:keyBinding/@char))"/>￼￼'.toLowerCase() : {
		this.insert_emptyLeaf("<xsl:value-of select="@role"/>");
		break;
	}
</xsl:for-each>
<xsl:for-each select="$vParamEditor/sm:inlineBehaviors/sm:inlineImgBehavior[sm:keyBinding]">
	case '￼?uri=￼<xsl:value-of select="chaineProtegeJs(string(sm:keyBinding/@char))"/>￼￼'.toLowerCase() : {
		this.insert_inlineImg("<xsl:value-of select="@role"/>");
		break;
	}
</xsl:for-each>
<xsl:for-each select="$vParamEditor/sm:blocksBehaviors/sm:simpleListBehavior[sm:keyBinding]">
	case '￼?uri=￼<xsl:value-of select="chaineProtegeJs(string(sm:keyBinding/@char))"/>￼￼'.toLowerCase() : {
		this.insert_simpleList("<xsl:value-of select="@role"/>");
		break;
	}
</xsl:for-each>
<xsl:for-each select="$vParamEditor/sm:blocksBehaviors/sm:itemizedListBehavior[sm:keyBinding]">
	case '￼?uri=￼<xsl:value-of select="chaineProtegeJs(string(sm:keyBinding/@char))"/>￼￼'.toLowerCase() : {
		this.insert_itemizedList("<xsl:value-of select="@role"/>");
		break;
	}
</xsl:for-each>
<xsl:for-each select="$vParamEditor/sm:blocksBehaviors/sm:orderedListBehavior[sm:keyBinding]">
	case '￼?uri=￼<xsl:value-of select="chaineProtegeJs(string(sm:keyBinding/@char))"/>￼￼'.toLowerCase() : {
		this.insert_orderedList("<xsl:value-of select="@role"/>");
		break;
	}
</xsl:for-each>
				default: 
					return false;
				}
				return true;
</body>
</method>
			
<method name="newBlockOnDoubleReturn">
<parameter name="pParentPara"/>
<body>
<xsl:if test="$vParamEditor/sm:blocksBehaviors/sm:onDoubleReturn">
					var vParentClass = this.fClasses[pParentPara.nodeName];
					var vRole = null;
<xsl:for-each select="$vParamEditor/sm:blocksBehaviors/sm:onDoubleReturn">if( ! vParentClass.isDescForbidden(pParentPara, this.fClasses.EMPTYBLOCK, "<xsl:value-of select="@role"/>")) vRole = "<xsl:value-of select="@role"/>";
</xsl:for-each>
					if(vRole!=null) {
						var vXmlDoc = this.ownerDocument.implementation.createDocument(null, null, null);
						var vEmptyBlock = vXmlDoc.appendChild(vXmlDoc.createElementNS("http://www.utc.fr/ics/scenari/v3/core", "emptyBlock"));
						if(vRole) vEmptyBlock.setAttribute("role", vRole);
						return vXmlDoc;
					}
</xsl:if>
					return null;
</body>
</method>
</implementation>
</binding>
	
	
	
<binding id="popupMenu" extends="chrome://scenariXedLib/content/libUiBase/widgets/xedUiRichTextInput.xbl.xml#popupMenu">
<implementation>
			
<method name="fillPopup">
<parameter name="pPopup"/>
<body>
				try {
					var sXbl = this.fRichTextZone;
					while(pPopup.hasChildNodes()) pPopup.removeChild(pPopup.lastChild);
					this.xFillPopupStandard(pPopup);
					if(sXbl.fRichTextInput.isReadOnly) return;
					var vPaste = pPopup.getElementsByAttribute("cmd", "cmd_paste")[0];
					var vItemsMimeTypeAllowed = sXbl.fExtItemsMimeTypeAllowed;
					if(vItemsMimeTypeAllowed &amp;&amp; vPaste.hasAttribute("disabled") &amp;&amp; transf.isClipboardContainMimeTypes(vItemsMimeTypeAllowed)) {
						vPaste.removeAttribute("disabled");
					}
					
					//Coller sans retour charriot
					if(xed_transf.isClipboardContainTextUnicode() &amp;&amp; sXbl.fHTMLEditor.selection.rangeCount == 1) {
						var vPasteNoReturn = pPopup.insertBefore(document.createElementNS(XULNS, "menuitem"), vPaste.nextSibling);
						vPasteNoReturn.setAttribute("label", "￼Coller sans retour à la ligne￼");
						vPasteNoReturn.setAttribute("cmd", "cmd_pasteNoReturn");
					}
					
					//Ouvrir cet item
					var vNode = sXbl.getSelectedNode();
					if(vNode &amp;&amp; vNode.nodeType==3) vNode = vNode.parentNode;
					if(vNode &amp;&amp; vNode.getAttribute("refUri")) {
						pPopup.appendChild(document.createElementNS(dom.XULNS, "menuseparator"));
						var vItem = document.createElementNS(dom.XULNS, "menuitem");
						vItem.setAttribute("label", "￼Ouvrir l'item lié...￼");
						vItem.setAttribute("cmd", "openItem");
						vItem.fHtmlNode = vNode;
						pPopup.appendChild(vItem);
					}
					
					var sParentNode = pPopup;
<xsl:choose>
<xsl:when test="$vParamEditor/sm:contextMenu/sm:sameAsToolbar and $vParamEditor/sm:toolbar/*">
<xsl:apply-templates select="$vParamEditor/sm:toolbar/*" mode="menu"/>
</xsl:when>
<xsl:when test="not($vParamEditor/sm:contextMenu)">
<xsl:call-template name="separator_menu"/>
<xsl:if test="$isInlineTags">
<xsl:call-template name="insertInlineTags_menu"/>
<xsl:call-template name="removeInlineTags_menu"/>
</xsl:if>
<xsl:if test="$isListTags">
<xsl:call-template name="insertListTags_menu"/>
<xsl:call-template name="unwrapList_menu"/>
</xsl:if>
<xsl:if test="$isTableTags">
<xsl:call-template name="tableOptions_menu"/>
</xsl:if>
<xsl:if test="$isBlockTags">
<xsl:call-template name="insertBlockTags_menu"/>
</xsl:if>
<xsl:if test="$isInsertChars">
<xsl:call-template name="insertChars_menu"/>
</xsl:if>
<xsl:choose>
<xsl:when test="$isInlineTags or $isListTags or $isTableTags or isBlockTags">
<xsl:call-template name="separator_menu"/>
<xsl:call-template name="toggleStructuredMarks_menu"/>
<xsl:if test="$isLinkTags"><xsl:call-template name="showLink_menu"/></xsl:if>
<xsl:if test="$isMetaTags"><xsl:call-template name="showMeta_menu"/></xsl:if>
</xsl:when>
<xsl:when test="$isMetaTags">
<xsl:call-template name="separator_menu"/>
<xsl:call-template name="showMeta_menu"/>
</xsl:when>
</xsl:choose>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="$vParamEditor/sm:contextMenu/*" mode="menu"/>
</xsl:otherwise>
</xsl:choose>
					//Activation...
					sXbl.refreshActions(pPopup);
				} catch(e){xed.debug(e);}
</body>
</method>
<method name="doCommandMenu">
<parameter name="pEvent"/>
<body>
				try {
					pEvent.stopPropagation();
					var vCmd = pEvent.originalTarget.getAttribute('cmd');
					if(vCmd) {
						switch(vCmd) {
							case "cmd_copy" :
								this.fRichTextZone.cmdCopy();
								break;
							case "cmd_cut" :
								this.fRichTextZone.cmdCut();
								break;
							case "cmd_paste" :
								this.fRichTextZone.cmdPaste();
								break;
							case "cmd_delete" :
								this.fRichTextZone.cmdDelete();
								break;
							case "openItem" :
								var vNode = pEvent.originalTarget.fHtmlNode;
								window.desk.openRefUri(vNode.getAttribute("refUri"), ";newTab;");
								break;
							case "cmd_pasteNoReturn" :
								this.fRichTextZone.cmdPasteNoReturn();
								break;
							case "cmd_undo" :
							case "cmd_redo" :
								this.fRichTextZone.fRichTextInput.setDirty(true);
								//On continue //break;
							default :
								document.commandDispatcher.getControllerForCommand(vCmd).doCommand(vCmd);
						} 
					}
				}catch(e){log.debug(e);}
</body>
</method>
</implementation>
</binding>
	
	
	
<xsl:for-each select="sm:inlineTags/sm:noteTag">
<binding id="note_{@role}">
<content>
<html:img style="vertical-align:text-top;" src="chrome://scenariXedLib/content/libUiExtra/scRichText/img/note.png"/>
</content>
</binding>
</xsl:for-each>

￼￼
</bindings>
</xsl:template>
	
	
	
<xsl:template match="sm:insertCharacters">[<xsl:apply-templates/>null]</xsl:template>
<xsl:template match="sm:charGroup">{nm:"<xsl:value-of select="chaineProtegeJs(@name)"/>",chars:[<xsl:apply-templates/>null]},</xsl:template>
<xsl:template match="sm:char[@name]">{n:"<xsl:value-of select="chaineProtegeJs(@name)"/>",v:"<xsl:value-of select="chaineProtegeJs(@value)"/>"},</xsl:template>
<xsl:template match="sm:char">"<xsl:value-of select="chaineProtegeJs(@value)"/>",</xsl:template>
	
	
<xsl:template name="defaultGenericActions">
<xsl:variable name="vRole" select="string(@role)"/>
<xsl:variable name="vTagName" select="substring-before(local-name(), 'Tag')"/>
<xsl:variable name="vBehaviorTagName" select="concat($vTagName, 'Behavior')"/>
<xsl:variable name="vBehavior" select="$vParamEditor/descendant::*[local-name()=$vBehaviorTagName][string(@role)=$vRole]"/>
<xsl:text/>this.action_generic(pPopup, "<xsl:value-of select="si($vBehavior/@mode='toggle', 'toggle', 'insert')"/>", "<xsl:value-of select="$vTagName"/>", "<xsl:value-of select="$vRole"/>", "<xsl:value-of select="chaineProtegeJs(@name)"/>", "￼?uri=￼<xsl:value-of select="chaineProtegeJs(string($vBehavior/sm:keyBinding/@char))"/>￼￼");
</xsl:template>

	
<!-- ￼@.jsStr?uri=sc:sm:￼ -->
	
<xsl:template name="insertInlineTags_toolbar" match="sm:insertInlineTags" mode="toolbar">sXbl.action_insertInlineTags(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Insérer dans le paragraphe...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/styler.png</xsl:with-param></xsl:call-template>);			
</xsl:template>
<xsl:template name="insertInlineTags_menu" match="sm:insertInlineTags" mode="menu">sXbl.action_insertInlineTags(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Insérer dans le paragraphe...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/styler.png</xsl:with-param></xsl:call-template>);			
</xsl:template>
	
<xsl:template name="removeInlineTags_toolbar" match="sm:removeInlineTags" mode="toolbar">sXbl.action_removeInlineTags(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Eliminer une balise de paragraphe...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/stylerRem.png</xsl:with-param></xsl:call-template>, <xsl:call-template name="disabledIconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/stylerRem_off.png</xsl:with-param></xsl:call-template>);
</xsl:template>
<xsl:template name="removeInlineTags_menu" match="sm:removeInlineTags" mode="menu">sXbl.action_removeInlineTags(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Eliminer du paragraphe...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/stylerRem.png</xsl:with-param></xsl:call-template>, <xsl:call-template name="disabledIconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/stylerRem_off.png</xsl:with-param></xsl:call-template>);
</xsl:template>
	
<xsl:template name="insertListTags_toolbar" match="sm:insertListTags" mode="toolbar">sXbl.action_insertListTags(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Insérer une liste...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/insertList.png</xsl:with-param></xsl:call-template>);
</xsl:template>
<xsl:template name="insertListTags_menu" match="sm:insertListTags" mode="menu">sXbl.action_insertListTags(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Liste...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/insertList.png</xsl:with-param></xsl:call-template>);
</xsl:template>
					
<xsl:template name="unwrapList_toolbar" match="sm:unwrapList" mode="toolbar">sXbl.action_unwrapList(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Sortir de la liste￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/unwrapList.png</xsl:with-param></xsl:call-template>, <xsl:call-template name="disabledIconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/unwrapList_off.png</xsl:with-param></xsl:call-template>);
</xsl:template>
<xsl:template name="unwrapList_menu" match="sm:unwrapList" mode="menu">sXbl.action_unwrapList(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Sortir de la liste￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/unwrapList.png</xsl:with-param></xsl:call-template>, <xsl:call-template name="disabledIconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/unwrapList_off.png</xsl:with-param></xsl:call-template>);
</xsl:template>
					
<xsl:template name="tableOptions_toolbar" match="sm:tableOptions" mode="toolbar">sXbl.action_tableOptions(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Insérer / modifier un tableau...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/table.png</xsl:with-param></xsl:call-template>, <xsl:value-of select="not(@insertTableTags='no')"/>);
</xsl:template>
<xsl:template name="tableOptions_menu" match="sm:tableOptions" mode="menu">sXbl.action_tableOptions(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Tableau...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/table.png</xsl:with-param></xsl:call-template>, <xsl:value-of select="not(@insertTableTags='no')"/>);
</xsl:template>
	
<xsl:template name="insertBlockTags_toolbar" match="sm:insertBlockTags" mode="toolbar">
		sXbl.action_insertBlockTags(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Insérer un bloc...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/insertBlock.png</xsl:with-param></xsl:call-template>);
</xsl:template>
<xsl:template name="insertBlockTags_menu" match="sm:insertBlockTags" mode="menu">sXbl.action_insertBlockTags(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Bloc...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/insertBlock.png</xsl:with-param></xsl:call-template>);
</xsl:template>
	
<xsl:template name="insertChars_toolbar" match="sm:insertChars" mode="toolbar">sXbl.action_insertChars(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Insérer des caractères spéciaux...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/insertChars.png</xsl:with-param></xsl:call-template>);
</xsl:template>
<xsl:template name="insertChars_menu" match="sm:insertChars" mode="menu">sXbl.action_insertChars(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Caractères spéciaux...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/insertChars.png</xsl:with-param></xsl:call-template>);
</xsl:template>
	
<xsl:template name="toggleStructuredMarks_toolbar" match="sm:toggleStructuredMarks" mode="toolbar">sXbl.action_toggleStructuredMarks(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Marquer / cacher la structure du texte￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/tag.png</xsl:with-param></xsl:call-template>);
</xsl:template>
<xsl:template name="toggleStructuredMarks_menu" match="sm:toggleStructuredMarks" mode="menu">sXbl.action_toggleStructuredMarks(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Structure du texte￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/tag.png</xsl:with-param></xsl:call-template>);
</xsl:template>
	
<xsl:template name="showLink_toolbar" match="sm:showLink" mode="toolbar">sXbl.action_showLink(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Editer le lien...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/link.png</xsl:with-param></xsl:call-template>, <xsl:call-template name="disabledIconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/link_off.png</xsl:with-param></xsl:call-template>);
</xsl:template>
<xsl:template name="showLink_menu" match="sm:showLink" mode="menu">sXbl.action_showLink(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Editer le lien...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/link.png</xsl:with-param></xsl:call-template>, <xsl:call-template name="disabledIconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/link_off.png</xsl:with-param></xsl:call-template>);
</xsl:template>
	
<xsl:template name="showMeta_toolbar" match="sm:showMeta" mode="toolbar">sXbl.action_showMeta(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Propriétés...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/meta.png</xsl:with-param></xsl:call-template>, <xsl:call-template name="disabledIconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/meta_off.png</xsl:with-param></xsl:call-template>);
</xsl:template>
<xsl:template name="showMeta_menu" match="sm:showMeta" mode="menu">sXbl.action_showMeta(sParentNode, <xsl:call-template name="titleAction"><xsl:with-param name="pDefault">￼Propriétés...￼</xsl:with-param></xsl:call-template>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/meta.png</xsl:with-param></xsl:call-template>, <xsl:call-template name="disabledIconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/meta_off.png</xsl:with-param></xsl:call-template>);
</xsl:template>
	
<xsl:template match="sm:menu" mode="toolbar">var vActionMenu = {
			fXbl: sXbl,
			handleEvent: function(pEvent){
				pEvent.stopPropagation();
				if(pEvent.eventPhase != 2 ) return;
				var sParentNode = pEvent.target;
				var sXbl = this.fXbl;
				if(!this.fIsFilled) {
					this.fIsFilled = true;
<xsl:apply-templates mode="menu"/>
				}
				//Activation...
				sXbl.refreshActions(sParentNode);
			}
		}
		sXbl.createMenuElt(sParentNode, vActionMenu, <xsl:call-template name="titleAction"/>, <xsl:call-template name="iconAction"><xsl:with-param name="pDefault">chrome://scenariXedLib/content/libUiExtra/scRichText/img/defaultMenu.png</xsl:with-param></xsl:call-template>);
</xsl:template>
	
<xsl:template match="sm:menu" mode="menu">var vActionMenu = {
			fXbl: sXbl,
			handleEvent: function(pEvent){
				pEvent.stopPropagation();
				if(pEvent.eventPhase != 2 ) return;
				var sParentNode = pEvent.target;
				var sXbl = this.fXbl;
				if(!this.fIsFilled) {
					this.fIsFilled = true;
<xsl:apply-templates mode="menu"/>
				}
				//Activation...
				sXbl.refreshActions(sParentNode);
			}
		}
		sXbl.createMenuElt(sParentNode, vActionMenu, <xsl:call-template name="titleAction"/>, <xsl:call-template name="iconAction"/>);
</xsl:template>

<xsl:template name="genericAction" match="sm:insert_simpleList|sm:insert_itemizedList|sm:insert_orderedList|sm:insert_table|sm:insert_extBlock|sm:insert_emptyBlock|sm:insert_note|sm:insert_uLink|sm:insert_phrase|sm:insert_inlineStyle|sm:insert_textLeaf|sm:insert_objectLeaf|sm:insert_emptyLeaf|sm:insert_inlineImg" mode="toolbar">
<xsl:variable name="vRole" select="@role"/>
<xsl:variable name="vTagName" select="substring-after(local-name(), '_')"/>
<xsl:variable name="vStructTagName" select="concat($vTagName, 'Tag')"/>
<xsl:variable name="vTitle" select="si($vRole, /sm:textPrim/sm:structure/descendant::*[local-name()=$vStructTagName][@role=$vRole]/@name, /sm:textPrim/sm:structure/descendant::*[local-name()=$vStructTagName][not(@role)]/@name)"/>
<xsl:variable name="vBehaviorTagName" select="concat($vTagName, 'Behavior')"/>
<xsl:variable name="vBehavior" select="$vParamEditor/descendant::*[local-name()=$vBehaviorTagName][string(@role)=$vRole]"/>
<xsl:text/>sXbl.action_generic(sParentNode, "<xsl:value-of select="si($vBehavior/@mode='toggle', 'toggle', 'insert')"/>", "<xsl:value-of select="$vTagName"/>", "<xsl:value-of select="$vRole"/>", <xsl:call-template name="titleAction"><xsl:with-param name="pDefault" select="$vTitle"/></xsl:call-template>, "￼?uri=￼<xsl:value-of select="chaineProtegeJs(string($vBehavior/sm:keyBinding/@char))"/>￼￼", <xsl:call-template name="iconAction"/>, <xsl:call-template name="disabledIconAction"/>, "<xsl:value-of select="chaineProtegeJs(@textStyle)"/>");
</xsl:template>
<xsl:template match="sm:insert_simpleList|sm:insert_itemizedList|sm:insert_orderedList|sm:insert_table|sm:insert_extBlock|sm:insert_emptyBlock|sm:insert_note|sm:insert_uLink|sm:insert_phrase|sm:insert_inlineStyle|sm:insert_textLeaf|sm:insert_objectLeaf|sm:insert_emptyLeaf|sm:insert_inlineImg" mode="menu">
<xsl:call-template name="genericAction"/>
</xsl:template>
	
	
<xsl:template name="separator_toolbar" match="sm:separator" mode="toolbar">sXbl.createSeparator(sParentNode);
</xsl:template>
<xsl:template name="separator_menu" match="sm:separator" mode="menu">sXbl.createSeparator(sParentNode);
</xsl:template>
	
	
<!-- ￼￼  FIN boutons toolbar et menus (et du contexte de localisation @.jsStr?uri=sc:sm:) -->
	
	
<xsl:template name="titleAction">
<xsl:param name="pDefault"/>
<xsl:choose>
<xsl:when test="@title">"￼?uri=￼<xsl:value-of select="chaineProtegeJs(@title)"/>￼￼"</xsl:when>
<xsl:otherwise>"<xsl:value-of select="$pDefault"/>"</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="iconAction">
<xsl:param name="pDefault"/>
<xsl:variable name="vUriRes" select="sm:icon/@sc:refUri"/>
<xsl:choose>
<xsl:when test="$vUriRes">"<xsl:value-of select="resultatAgent('//', concat(
								'res:src=wsp:', 
								$vUriRes, 
								';dst=content/', 
								resultatAgent('//codeModel'),
								'/img/',
								alphaHash($vUriRes),
								'_',
								extractFileNameFromPath($vUriRes)
								)
							)"/>"</xsl:when>
<xsl:when test="sm:icon">""</xsl:when>
<xsl:otherwise>"<xsl:value-of select="$pDefault"/>"</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="disabledIconAction">
<xsl:param name="pDefault"/>
<xsl:variable name="vUriRes" select="sm:disabledIcon/@sc:refUri"/>
<xsl:choose>
<xsl:when test="$vUriRes">"<xsl:value-of select="resultatAgent('//', concat(
								'res:src=wsp:', 
								$vUriRes, 
								';dst=content/', 
								resultatAgent('//codeModel'),
								'/img/',
								alphaHash($vUriRes),
								'_',
								extractFileNameFromPath($vUriRes)
								)
							)"/>"</xsl:when>
<xsl:when test="sm:disabledIcon">""</xsl:when>
<xsl:otherwise>"<xsl:value-of select="$pDefault"/>"</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
	
<xsl:template match="node()"/>

</xsl:stylesheet>