<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core">
<xsl:output method="text" encoding="UTF-8"/>

<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:variable name="vStruct" select="/sm:textPrim/sm:structure"/>
	
<xsl:template match="sm:textPrim|sm:formEditor">@charset "UTF-8";
@namespace url("http://www.w3.org/1999/xhtml");

html{
	font: message-box;
	overflow: hidden;
}

*[focused] {
	outline: 1px dashed Navy !important;
}

body{
	margin: 2px;
	white-space: normal;
	background-color: white;
}

body[readonly][inputFocused] {
	background-color: #EEEEEE;
}
<xsl:choose>
<xsl:when test="not($vStruct/sm:blockTags)">
para{
	display: block;
	-moz-user-select: text;
	min-height:1.2em;
}
</xsl:when>
<xsl:otherwise>
para{
	display: block;
	-moz-user-select: text;
	margin: 2px;
	padding: 1px;
	min-height:1.2em;
}
<xsl:if test="$vStruct/sm:blockTags/sm:itemizedListTag">
ul{
	list-style-type: disc;
	-moz-padding-start: 30px;
	margin: 0.5em 0;
}
</xsl:if>
<xsl:if test="$vStruct/sm:blockTags/sm:orderedListTag">

ol{
	list-style-type: decimal;
	-moz-padding-start: 30px;
	margin: 0.5em 0;
}
</xsl:if>
<xsl:if test="$vStruct/sm:blockTags/sm:itemizedListTag or $vStruct/sm:blockTags/sm:orderedListTag">
litem{
	display: list-item;
	margin-bottom:4px;
}
</xsl:if>
<xsl:if test="$vStruct/sm:blockTags/sm:simpleListTag">
dir{
	list-style-type: square;
	-moz-padding-start: 30px;
	margin: 0.5em 0;
}
member{
	display: list-item;
	-moz-user-select: text;
	margin-bottom:4px;
	min-height:1.2em;
}
</xsl:if>

<xsl:if test="$vStruct/sm:blockTags/sm:*/sm:titleTag">
title{
	display:block;
	-moz-user-select: text;
	-moz-user-focus: normal;
	margin-top: 6px;
	margin-bottom: 4px;
	min-height:1.2em;
	border-top: 1px solid #D5D5D5;
	text-align: center;
}
</xsl:if>
<xsl:if test="$vStruct/sm:blockTags/sm:tableTag">
table{
	table-layout: fixed;
	border: 1px solid black;
	margin: 5px auto;
	font: inherit;
	border-collapse: collapse;
}
td{
	border: 1px solid black;
	vertical-align: middle;
	empty-cells: show;
}
caption{
	-moz-user-select: text;
	-moz-user-focus: normal;
	margin-top: 6px;
	min-height:1.2em;
	border-top: 1px solid #D5D5D5;
	text-align: center;
}
</xsl:if>
</xsl:otherwise>
</xsl:choose>

<xsl:if test="$vStruct/sm:blockTags/sm:extBlockTag">
extBlock{
	-moz-binding:url("chrome://scenariXedLib/content/libUiExtra/scRichText/textBase.xbl.xml#extBlock");
	-moz-user-focus: normal;
	-moz-user-select: -moz-none;
	position:relative;
	display: block;
	margin: 5px auto;
	text-align: center;
	width: 98%;
}
extBlock>iframe{
	-moz-user-select: -moz-none;
	margin: 5px 2%;
	border: 1px solid  #D5D5D5;
	width: 96%;
}
extBlock>error{
	display : none;
}
extBlock[error=true]>error{
	display : block;
	background: no-repeat url(chrome://scenariXedLib/content/libUiBase/skin/img/error.png) center center;
	min-height: 15px;
}
captionblock{
	display:block;
	-moz-user-select: text;
	-moz-user-focus: normal;
	margin-top: 6px;
	min-height:1.2em;
	border-top: 1px solid #D5D5D5;
	text-align: center;
}
</xsl:if>

<xsl:if test="$vStruct/sm:blockTags/sm:emptyBlockTag">
emptyBlock{
	display: block;
	-moz-user-focus: normal;
	-moz-user-select: -moz-none;
	margin: 5px;
	text-align: center;
	min-height: 1em;
}
</xsl:if>
<xsl:if test="$vStruct/sm:inlineTags/sm:noteTag">
note{
	cursor: pointer;
}
note>* {
	-moz-user-select: none; 
}
note[error]{
	background: no-repeat url(chrome://scenariXedLib/content/libUiBase/skin/img/errorS.png) center;
	width: 15px;
	height: 15px;
	border: 1px solid white; /* sinon pas affiché, bug Gecko1.9 ? */
}
note[error]>*{
	opacity: .5;
}
<xsl:for-each select="$vStruct/sm:inlineTags/sm:noteTag">
note<xsl:value-of select="si(@role, concat('[role=&quot;', @role, '&quot;'))"/> {
	-moz-binding:url("<xsl:value-of select="resultatAgent('../text.xbl.xml', 'act:')"/>#note_");
}
</xsl:for-each>
</xsl:if>
<xsl:if test="$vStruct/sm:inlineTags/sm:objectLeafTag">
objectLeaf{
	-moz-binding:url("chrome://scenariXedLib/content/libUiExtra/scRichText/textBase.xbl.xml#objectLeaf");
	cursor: default;
	-moz-user-select: all;
	background-color: #faf0e6;
	border:1px dotted lightgrey; 
	color:grey;
	margin: 0px 1px; 
}
objectLeaf[error="true"]{
	-moz-padding-end: 12px !important; 

	background-repeat: no-repeat ! important;
	background-image: url(chrome://scenariXedLib/content/libUiBase/skin/img/error.png) ! important;
	background-position: right ! important;
}
</xsl:if>
<xsl:if test="$vStruct/sm:inlineTags/sm:emptyLeafTag">
emptyLeaf{
	cursor: default;
	-moz-user-select: all;
	background-color: #faf0e6;
	border:1px dotted lightgrey; 
	color:grey;
	margin: 0px 1px; 
}
emptyLeaf[error="true"]{
	-moz-padding-end: 12px !important; 

	background-repeat: no-repeat ! important;
	background-image: url(chrome://scenariXedLib/content/libUiBase/skin/img/error.png) ! important;
	background-position: right ! important;
}
</xsl:if>
<xsl:if test="$vStruct/sm:inlineTags/sm:uLinkTag">
uLink[url=""],
uLink[refUri=""],
uLink[error="true"]{
	-moz-padding-end: 12px !important;

	background-repeat: no-repeat ! important;
	background-image: url(chrome://scenariXedLib/content/libUiBase/skin/img/error.png) ! important;
	background-position: right ! important;
}
</xsl:if>
<xsl:if test="$vStruct/sm:inlineTags/sm:inlineImgTag">
img {
	-moz-user-focus: normal !important;
	cursor:default;
	margin: 0px 1px; 
}
img[error="true"]{
	-moz-padding-start: 12px !important;
	background-repeat: no-repeat ! important;
	background-image: url(chrome://scenariXedLib/content/libUiBase/skin/img/error.png) ! important;
	background-position: left ! important;
}

img:-moz-broken{
	background: no-repeat url(chrome://scenariXedLib/content/libUiExtra/scRichText/img/error.png) center;
	width: 15px;
	height: 15px;
}
</xsl:if>


<xsl:apply-templates select="sm:htmlStyle">
<xsl:with-param name="pParentRule" select="''"/>
</xsl:apply-templates>

</xsl:template>

<xsl:template match="sm:htmlStyle">
<xsl:param name="pParentRule"/>
<xsl:variable name="vTag">
<xsl:choose>
<xsl:when test="@tag='inlineImg'">img</xsl:when>
<xsl:when test="@tag='simpleList'">dir</xsl:when>
<xsl:when test="@tag='itemizedList'">ul</xsl:when>
<xsl:when test="@tag='orderedList'">ol</xsl:when>
<xsl:when test="@tag='listItem'">litem</xsl:when>
<xsl:when test="@tag='column'">col</xsl:when>
<xsl:when test="@tag='row'">tr</xsl:when>
<xsl:when test="@tag='cell'">td</xsl:when>
<xsl:otherwise><xsl:value-of select="@tag"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="vRule" select="si(@role, concat($pParentRule, $vTag, '[role=', @role, ']'), concat($pParentRule, $vTag))"/>
<xsl:value-of select="si(@pseudoClass, concat($vRule, ':', @pseudoClass), $vRule)"/>{
<xsl:apply-templates mode="styles"/>
		}
<xsl:apply-templates select="sm:htmlStyle">
<xsl:with-param name="pParentRule" select="concat($vRule, '>')"/>
</xsl:apply-templates>
</xsl:template>
<xsl:template match="sm:entryStyle" mode="styles">
<xsl:value-of select="@key"/> : <xsl:value-of select="@value"/>;
</xsl:template>
<xsl:template match="sm:entryImgStyle" mode="styles">
<xsl:value-of select="@key"/> : url("<xsl:value-of select="resultatAgent('//', concat(
									'res:src=wsp:', 
									@sc:refUri, 
									';dst=content/', 
									resultatAgent('//codeModel'),
									'/img/',
									alphaHash(@sc:refUri),
									'_',
									extractFileNameFromPath(@sc:refUri)
									)
								)"/>");
</xsl:template>
<xsl:template match="*" mode="styles"/>
<xsl:template match="@*|text()" mode="styles"/>

<xsl:template name="getIconUrl">
<xsl:param name="vUriRes"/>
<xsl:value-of select="resultatAgent('//', concat(
								'res:src=wsp:', 
								$vUriRes, 
								';dst=content/', 
								resultatAgent('//codeModel'),
								'/img/',
								alphaHash($vUriRes),
								'_',
								extractFileNameFromPath($vUriRes)
								)
							)"/>
</xsl:template>
</xsl:stylesheet>