<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	version="1.0"
	exclude-result-prefixes="sm sc xalan">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:variable name="vStructureModel" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))/sm:structure"/>

	
	
<xsl:template match="sm:extBlockTag" mode="in">
<xsl:variable name="vRole" select="@role"/>
<xsl:apply-templates mode="subCalls">
<xsl:with-param name="pRole" select="@role"/>
<xsl:with-param name="pAllowedModels" select="$vStructureModel/sm:blockTags/sm:extBlockTag[@role=$vRole]/sm:allowedModel"/>
</xsl:apply-templates>
</xsl:template>
	
<xsl:template match="sm:inlineImgTag" mode="in">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vDefModel" select="$vStructureModel/sm:inlineTags/sm:inlineImgTag[@role=current()/@role]"/>
<xsl:if test="$vDefModel">
<xsl:for-each select="$vDefModel/sm:allowedModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="xhtmlContent"/>
</xsl:for-each>
</xsl:if>
</xsl:template>	
	
<xsl:template match="sm:uLinkTag" mode="in">
<xsl:variable name="vRole" select="@role"/>
<xsl:apply-templates mode="subCalls">
<xsl:with-param name="pRole" select="@role"/>
<xsl:with-param name="pAllowedModels" select="$vStructureModel/sm:inlineTags/sm:uLinkTag[@role=$vRole]/sm:refItem/sm:allowedModel"/>
</xsl:apply-templates>
</xsl:template>
	
<xsl:template match="sm:objectLeafTag" mode="in">
<xsl:variable name="vRole" select="@role"/>
<xsl:apply-templates mode="subCalls">
<xsl:with-param name="pRole" select="@role"/>
<xsl:with-param name="pAllowedModels" select="$vStructureModel/sm:inlineTags/sm:objectLeafTag[@role=$vRole]/sm:refItem/sm:allowedModel"/>
</xsl:apply-templates>
</xsl:template>
	
<xsl:template match="text()|@*" mode="in"/>
	
	
	
<xsl:template match="sm:callSubModel" mode="subCalls">
<xsl:param name="pRole"/>
<xsl:param name="pAllowedModels"/>
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vView" select="si(../self::sm:link or ../self::sm:ifNoPage, 'navigation', 'xhtmlContent')"/>
<xsl:for-each select="$pAllowedModels">
<call model="{@sc:refUri}" axis="{$vAxis}" view="{$vView}" role="{$pRole}"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:lookForExistingSubModelPage" mode="subCalls">
<xsl:param name="pRole"/>
<xsl:param name="pAllowedModels"/>
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vView" select="'navigation'"/>
<xsl:for-each select="$pAllowedModels">
<call model="{@sc:refUri}" axis="{$vAxis}" view="{$vView}" role="{$pRole}"/>
</xsl:for-each>
<xsl:apply-templates mode="subCalls">
<xsl:with-param name="pRole" select="$pRole"/>
<xsl:with-param name="pAllowedModels" select="$pAllowedModels"/>
</xsl:apply-templates>
</xsl:template>
	
<xsl:template match="sm:subModelTitle" mode="subCalls">
<xsl:param name="pRole"/>
<xsl:param name="pAllowedModels"/>
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="$pAllowedModels">
<call model="{@sc:refUri}" axis="{$vAxis}" view="title" role="{$pRole}"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="*" mode="subCalls">
<xsl:param name="pRole"/>
<xsl:param name="pAllowedModels"/>
<xsl:apply-templates mode="subCalls">
<xsl:with-param name="pRole" select="$pRole"/>
<xsl:with-param name="pAllowedModels" select="$pAllowedModels"/>
</xsl:apply-templates>
</xsl:template>
<xsl:template match="text()|@*" mode="subCalls"/>
	
</xsl:stylesheet>
