<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="sm java sc xhtml sp xsl">
	
	
	
	
<xsl0:template name="linkOptions">
<xsl0:param name="pWidthDefault"/>
<xsl0:param name="pHeightDefault"/>
<xsl0:choose>
<xsl0:when test="sm:link">
<xsl0:for-each select="sm:link">
<xsl0:call-template name="xLinkOptions">
<xsl0:with-param name="pWidthDefault" select="$pWidthDefault"/>
<xsl0:with-param name="pHeightDefault" select="$pHeightDefault"/>
</xsl0:call-template>
</xsl0:for-each>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="xLinkOptions">
<xsl0:with-param name="pWidthDefault" select="$pWidthDefault"/>
<xsl0:with-param name="pHeightDefault" select="$pHeightDefault"/>
</xsl0:call-template>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

	
<xsl0:template name="linkOptionsXsl">
<xsl0:param name="pWidthDefault"/>
<xsl0:param name="pHeightDefault"/>
<xsl0:choose>
<xsl0:when test="sm:link">
<xsl0:for-each select="sm:link">
<xsl0:call-template name="xLinkOptionsXsl">
<xsl0:with-param name="pWidthDefault" select="$pWidthDefault"/>
<xsl0:with-param name="pHeightDefault" select="$pHeightDefault"/>
</xsl0:call-template>
</xsl0:for-each>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="xLinkOptionsXsl">
<xsl0:with-param name="pWidthDefault" select="$pWidthDefault"/>
<xsl0:with-param name="pHeightDefault" select="$pHeightDefault"/>
</xsl0:call-template>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

	
<xsl0:template name="linkHref">
<xsl0:param name="pUrl"/>
<xsl0:param name="pOptions"/>
<xsl0:param name="pExtraOptions"/>
		
<xsl0:param name="pInFixedData"/>

<xsl0:choose>
<xsl0:when test="sm:link">
<xsl0:for-each select="sm:link">
<xsl0:call-template name="xLinkHref">
<xsl0:with-param name="pUrl" select="$pUrl"/>
<xsl0:with-param name="pOptions" select="$pOptions"/>
<xsl0:with-param name="pExtraOptions" select="$pExtraOptions"/>
<xsl0:with-param name="pInFixedData" select="$pInFixedData"/>
</xsl0:call-template>
</xsl0:for-each>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="xLinkHref">
<xsl0:with-param name="pUrl" select="$pUrl"/>
<xsl0:with-param name="pOptions" select="$pOptions"/>
<xsl0:with-param name="pExtraOptions" select="$pExtraOptions"/>
<xsl0:with-param name="pInFixedData" select="$pInFixedData"/>
</xsl0:call-template>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

	
<xsl0:template name="linkHrefXsl">
<xsl0:param name="pUrl"/>
<xsl0:param name="pOptions"/>
<xsl0:param name="pExtraOptions"/>

<xsl0:choose>
<xsl0:when test="sm:link">
<xsl0:for-each select="sm:link">
<xsl0:call-template name="xLinkHrefXsl">
<xsl0:with-param name="pUrl" select="$pUrl"/>
<xsl0:with-param name="pOptions" select="$pOptions"/>
<xsl0:with-param name="pExtraOptions" select="$pExtraOptions"/>
</xsl0:call-template>
</xsl0:for-each>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="xLinkHrefXsl">
<xsl0:with-param name="pUrl" select="$pUrl"/>
<xsl0:with-param name="pOptions" select="$pOptions"/>
<xsl0:with-param name="pExtraOptions" select="$pExtraOptions"/>
</xsl0:call-template>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

	
	
<xsl0:template name="xLinkOptions">
<xsl0:param name="pWidthDefault"/>
<xsl0:param name="pHeightDefault"/>
<xsl0:choose>
<xsl0:when test="@target='subWindow'">
<xsl0:value-of select="si(sm:behavior/@allowImbrication='yes','IMBR:true,','')"/>
<xsl0:value-of select="si(sm:behavior/@openInParent='yes','ANCHORPATH:&quot;bod:&quot;,ANCHORCTX:window.parent,','')"/>
<xsl0:value-of select="si(sm:position/sm:free/@width,concat('WIDTH:',sm:position/sm:free/@width,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:free/@height,concat('HEIGHT:',sm:position/sm:free/@height,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:free/@top,concat('TOP:',sm:position/sm:free/@top,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:free/@left,concat('LEFT:',sm:position/sm:free/@left,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:centerScreen,concat('CENTERSCREEN:true,WIDTH:',sm:position/sm:centerScreen/@width,',WIDTH:',sm:position/sm:centerScreen/@width,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:maximized,'MAXIMIZED:true,','')"/>
<xsl0:value-of select="si(sm:windowFeatures/@scrollbars='no','SCROLLBARS:false,','')"/>
<xsl0:value-of select="si(sm:windowFeatures/@resizable='yes','RESIZEABLE:true,','')"/>
<xsl0:value-of select="si(sm:windowFeatures/@extraOptions, concat(sm:windowFeatures/@extraOptions, ','), '')"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="si(sm:position/sm:free/@width, concat('width=', sm:position/sm:free/@width, ','), '')"/>
<xsl0:value-of select="si(sm:position/sm:free/@height, concat('height=', sm:position/sm:free/@height, ','), '')"/>
<xsl0:value-of select="si(sm:position/sm:free/@top, concat('top=', sm:position/sm:free/@top, ','), '')"/>
<xsl0:value-of select="si(sm:position/sm:free/@left, concat('left=', sm:position/sm:free/@left, ','), '')"/>
<xsl0:if test="boolean(sm:position/sm:centerScreen)">
<xsl0:variable name="vWidth" select="si(boolean(sm:position/sm:centerScreen/@width), sm:position/sm:centerScreen/@width, si(string-length($pWidthDefault)=0, '800', $pWidthDefault))"/>
<xsl0:variable name="vHeight" select="si(boolean(sm:position/sm:centerScreen/@height), sm:position/sm:centerScreen/@height, si(string-length($pHeightDefault)=0, '600', $pHeightDefault))"/>
<xsl0:value-of select="concat('width=&quot;+Math.min(', $vWidth, ',screen.availWidth)+&quot;,height=&quot;+Math.min(', $vHeight, ',screen.availWidth)+&quot;,left=&quot;', '+(screen.availWidth-', $vWidth, ')/2+&quot;,top=&quot;', '+(screen.availHeight-', $vHeight, ')/2+&quot;,')"/>
</xsl0:if>
<xsl0:value-of select="si(sm:position/sm:maximized, concat('top=0,left=0,width=&quot;', '+(screen.availWidth-(scCoLib.isIE?8:0))', '+&quot;,height=&quot;', '+(screen.availHeight-(scCoLib.isIE?30:0))', '+&quot;,'),'')"/>
<xsl0:value-of select="si(sm:windowFeatures/@scrollbars, concat('scrollbars=', sm:windowFeatures/@scrollbars, ','), '')"/>
<xsl0:value-of select="si(sm:windowFeatures/@resizable, concat('resizable=', sm:windowFeatures/@resizable, ','), '')"/>
<xsl0:value-of select="si(sm:windowFeatures/@toolbar, concat('toolbar=', sm:windowFeatures/@toolbar, ','), '')"/>
<xsl0:value-of select="si(sm:windowFeatures/@menubar, concat('menubar=', sm:windowFeatures/@menubar, ','), '')"/>
<xsl0:value-of select="si(sm:windowFeatures/@location, concat('location=', sm:windowFeatures/@location, ','), '')"/>
<xsl0:value-of select="si(sm:windowFeatures/@extraOptions, concat(sm:windowFeatures/@extraOptions, ','), '')"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template name="xLinkOptionsXsl">
<xsl0:param name="pWidthDefault"/>
<xsl0:param name="pHeightDefault"/>
<xsl0:choose>
<xsl0:when test="@target='subWindow'">
<xsl0:value-of select="si(sm:behavior/@allowImbrication='yes','IMBR:true,','')"/>
<xsl0:value-of select="si(sm:behavior/@openInParent='yes','ANCHORPATH:&quot;bod:&quot;,ANCHORCTX:window.parent,','')"/>
<xsl0:value-of select="si(sm:position/sm:free/@width,concat('WIDTH:',sm:position/sm:free/@width,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:free/@height,concat('HEIGHT:',sm:position/sm:free/@height,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:free/@top,concat('TOP:',sm:position/sm:free/@top,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:free/@left,concat('LEFT:',sm:position/sm:free/@left,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:centerScreen,concat('CENTERSCREEN:true,WIDTH:',sm:position/sm:centerScreen/@width,',WIDTH:',sm:position/sm:centerScreen/@width,','),'')"/>
<xsl0:value-of select="si(sm:position/sm:maximized,'MAXIMIZED:true,','')"/>
<xsl0:value-of select="si(sm:windowFeatures/@scrollbars='no','SCROLLBARS:false,','')"/>
<xsl0:value-of select="si(sm:windowFeatures/@resizable='yes','RESIZEABLE:true,','')"/>
<xsl0:value-of select="si(sm:windowFeatures/@extraOptions, concat(sm:windowFeatures/@extraOptions, ','), '')"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="si(sm:position/sm:free/@width, concat('width=', sm:position/sm:free/@width, ','), '')"/>
<xsl0:value-of select="si(sm:position/sm:free/@height, concat('height=', sm:position/sm:free/@height, ','), '')"/>
<xsl0:value-of select="si(sm:position/sm:free/@top, concat('top=', sm:position/sm:free/@top, ','), '')"/>
<xsl0:value-of select="si(sm:position/sm:free/@left, concat('left=', sm:position/sm:free/@left, ','), '')"/>
<xsl0:if test="boolean(sm:position/sm:centerScreen)">
<xsl:variable name="vWidth">
<xsl0:choose>
<xsl0:when test="sm:position/sm:centerScreen/@width"><xsl0:value-of select="sm:position/sm:centerScreen/@width"/></xsl0:when>
<xsl0:otherwise><xsl0:copy-of select="$pWidthDefault"/></xsl0:otherwise>
</xsl0:choose>
</xsl:variable>
<xsl:variable name="vHeight">
<xsl0:choose>
<xsl0:when test="sm:position/sm:centerScreen/@height"><xsl0:value-of select="sm:position/sm:centerScreen/@height"/></xsl0:when>
<xsl0:otherwise><xsl0:copy-of select="$pHeightDefault"/></xsl0:otherwise>
</xsl0:choose>
</xsl:variable>
<xsl:value-of select="concat('width=&quot;+Math.min(', si($vWidth,$vWidth,'800'), ',screen.availWidth)+&quot;,height=&quot;+Math.min(', si($vHeight,$vHeight,'600'), ',screen.availWidth)+&quot;,left=&quot;', '+(screen.availWidth-', si($vWidth,$vWidth,'800'), ')/2+&quot;,top=&quot;', '+(screen.availHeight-', si($vHeight,$vHeight,'600'), ')/2+&quot;,')"/>
</xsl0:if>
<xsl0:value-of select="si(sm:position/sm:maximized, concat('top=0,left=0,width=&quot;', '+(screen.availWidth-(scCoLib.isIE?8:0))', '+&quot;,height=&quot;', '+(screen.availHeight-(scCoLib.isIE?30:0))', '+&quot;,'),'')"/>
<xsl0:value-of select="si(sm:windowFeatures/@scrollbars, concat('scrollbars=', sm:windowFeatures/@scrollbars, ','), '')"/>
<xsl0:value-of select="si(sm:windowFeatures/@resizable, concat('resizable=', sm:windowFeatures/@resizable, ','), '')"/>
<xsl0:value-of select="si(sm:windowFeatures/@toolbar, concat('toolbar=', sm:windowFeatures/@toolbar, ','), '')"/>
<xsl0:value-of select="si(sm:windowFeatures/@menubar, concat('menubar=', sm:windowFeatures/@menubar, ','), '')"/>
<xsl0:value-of select="si(sm:windowFeatures/@location, concat('location=', sm:windowFeatures/@location, ','), '')"/>
<xsl0:value-of select="si(sm:windowFeatures/@extraOptions, concat(sm:windowFeatures/@extraOptions, ','), '')"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template name="xLinkHref">
<xsl0:param name="pUrl"/>
<xsl0:param name="pOptions"/>
<xsl0:param name="pExtraOptions"/>
<xsl0:param name="pInFixedData"/>

<xsl0:variable name="vOptions"><xsl0:value-of select="$pOptions"/><xsl0:value-of select="$pExtraOptions"/></xsl0:variable>
<xsl0:choose>
<xsl0:when test="@target='subWindow'">
<xsl0:attribute name="target">_blank</xsl0:attribute>
<xsl0:attribute name="href"><xsl0:value-of select="si(sm:behavior/@addLinkInHref='yes',$pUrl,'#')"/></xsl0:attribute>
<xsl0:attribute name="{returnFirst(sm:behavior/@trigger,'onclick')}">scDynUiMgr.displaySubWindow(this,&quot;<xsl0:value-of select="$pUrl"/>&quot;,&quot;<xsl0:value-of select="si(@windowName, @windowName, 'subWindow')"/>&quot;<xsl0:if test="string-length($vOptions)&gt;0">,<xsl0:if test="not($pInFixedData)">{</xsl0:if>{<xsl0:value-of select="substring($vOptions,0,string-length($vOptions))"/>}<xsl0:if test="not($pInFixedData)">}</xsl0:if></xsl0:if>);return false;</xsl0:attribute>
<xsl0:if test="sm:behavior/@trigger='ondblclick'"><xsl0:attribute name="onclick">return false;</xsl0:attribute></xsl0:if>
</xsl0:when>
<xsl0:when test="$vOptions!='' or sm:behavior">
<xsl0:attribute name="href"><xsl0:value-of select="si(sm:behavior/@addLinkInHref='yes',$pUrl,'#')"/></xsl0:attribute>
<xsl0:attribute name="{returnFirst(sm:behavior/@trigger,'onclick')}">window.open(&quot;<xsl0:value-of select="$pUrl"/>&quot;,<xsl0:choose>
<xsl0:when test="@target='newWindow'">&quot;_blank&quot;</xsl0:when>
<xsl0:when test="@target='sameWindow'">&quot;_self&quot;</xsl0:when>
<xsl0:when test="@target='parentWindow'">&quot;_parent&quot;</xsl0:when>
<xsl0:when test="@target='topWindow'">&quot;_top&quot;</xsl0:when>
<xsl0:when test="@target='namedWindow'">&quot;<xsl0:value-of select="si(@windowName, @windowName, '_blank')"/>&quot;</xsl0:when>
<xsl0:otherwise>&quot;_self&quot;</xsl0:otherwise>
</xsl0:choose>,&quot;<xsl0:value-of select="substring($vOptions,0,string-length($vOptions))"/>&quot;);return false;</xsl0:attribute>
<xsl0:if test="sm:behavior/@trigger='ondblclick'"><xsl0:attribute name="onclick">return false;</xsl0:attribute></xsl0:if>
<xsl0:if test="sm:behavior/@addLinkInHref='yes'">
<xsl0:attribute name="target">
<xsl0:choose>
<xsl0:when test="@target='newWindow'">_blank</xsl0:when>
<xsl0:when test="@target='sameWindow'">_self</xsl0:when>
<xsl0:when test="@target='parentWindow'">_parent</xsl0:when>
<xsl0:when test="@target='topWindow'">_top</xsl0:when>
<xsl0:when test="@target='namedWindow'"><xsl0:value-of select="si(@windowName, @windowName, '_blank')"/></xsl0:when>
<xsl0:otherwise>_self</xsl0:otherwise>
</xsl0:choose>
</xsl0:attribute>
</xsl0:if>
</xsl0:when>
<xsl0:otherwise>
<xsl0:attribute name="href"><xsl0:value-of select="$pUrl"/></xsl0:attribute>
<xsl0:attribute name="target">
<xsl0:choose>
<xsl0:when test="@target='newWindow'">_blank</xsl0:when>
<xsl0:when test="@target='sameWindow'">_self</xsl0:when>
<xsl0:when test="@target='parentWindow'">_parent</xsl0:when>
<xsl0:when test="@target='topWindow'">_top</xsl0:when>
<xsl0:when test="@target='namedWindow'"><xsl0:value-of select="si(@windowName, @windowName, '_blank')"/></xsl0:when>
<xsl0:otherwise>_self</xsl0:otherwise>
</xsl0:choose>
</xsl0:attribute>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

	
<xsl0:template name="xLinkHrefXsl">
<xsl0:param name="pUrl"/>
<xsl0:param name="pOptions"/>
<xsl0:param name="pExtraOptions"/>

<xsl0:choose>
<xsl0:when test="@target='subWindow'">
<xsl0:attribute name="target">_blank</xsl0:attribute>
<xsl:attribute name="href"><xsl0:choose><xsl0:when test="sm:behavior/@addLinkInHref='yes'"><xsl0:copy-of select="$pUrl"/></xsl0:when><xsl0:otherwise>#</xsl0:otherwise></xsl0:choose></xsl:attribute>
<xsl:variable name="vOptions"><xsl0:copy-of select="$pOptions"/><xsl0:copy-of select="$pExtraOptions"/></xsl:variable>
<xsl:attribute name="{returnFirst(sm:behavior/@trigger,'onclick')}">scDynUiMgr.displaySubWindow(this,&quot;<xsl0:copy-of select="$pUrl"/>&quot;,&quot;<xsl0:value-of select="si(@windowName, @windowName, 'subWindow')"/>&quot;<xsl:if test="string-length($vOptions)&gt;0">,{<xsl:value-of select="substring($vOptions,0,string-length($vOptions))"/>}</xsl:if>);return false;</xsl:attribute>
<xsl0:if test="sm:behavior/@trigger='ondblclick'"><xsl:attribute name="onclick">return false;</xsl:attribute></xsl0:if>
</xsl0:when>
<xsl0:when test="boolean($pOptions) or sm:behavior">
<xsl0:if test="sm:behavior/@trigger='ondblclick'"><xsl0:attribute name="onclick">return false;</xsl0:attribute></xsl0:if>
<xsl0:if test="sm:behavior/@addLinkInHref='yes'">
<xsl0:attribute name="target">
<xsl0:choose>
<xsl0:when test="@target='newWindow'">_blank</xsl0:when>
<xsl0:when test="@target='sameWindow'">_self</xsl0:when>
<xsl0:when test="@target='parentWindow'">_parent</xsl0:when>
<xsl0:when test="@target='topWindow'">_top</xsl0:when>
<xsl0:when test="@target='namedWindow'"><xsl0:value-of select="si(@windowName, @windowName, '_blank')"/></xsl0:when>
<xsl0:otherwise>_self</xsl0:otherwise>
</xsl0:choose>
</xsl0:attribute>
</xsl0:if>
<xsl:variable name="vOptions"><xsl0:copy-of select="$pOptions"/><xsl0:copy-of select="$pExtraOptions"/></xsl:variable>
<xsl:attribute name="href"><xsl0:choose><xsl0:when test="sm:behavior/@addLinkInHref='yes'"><xsl0:copy-of select="$pUrl"/></xsl0:when><xsl0:otherwise>#</xsl0:otherwise></xsl0:choose></xsl:attribute>
<xsl:attribute name="{returnFirst(sm:behavior/@trigger,'onclick')}">window.open(&quot;<xsl0:copy-of select="$pUrl"/>&quot;,<xsl0:choose>
<xsl0:when test="@target='newWindow'">&quot;_blank&quot;</xsl0:when>
<xsl0:when test="@target='sameWindow'">&quot;_self&quot;</xsl0:when>
<xsl0:when test="@target='parentWindow'">&quot;_parent&quot;</xsl0:when>
<xsl0:when test="@target='topWindow'">&quot;_top&quot;</xsl0:when>
<xsl0:when test="@target='namedWindow'">&quot;<xsl0:value-of select="si(@windowName, @windowName, '_blank')"/>&quot;</xsl0:when>
<xsl0:otherwise>&quot;_self&quot;</xsl0:otherwise>
</xsl0:choose>,&quot;<xsl:value-of select="substring($vOptions,0,string-length($vOptions))"/>&quot;);return false;</xsl:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl0:attribute name="target">
<xsl0:choose>
<xsl0:when test="@target='newWindow'">_blank</xsl0:when>
<xsl0:when test="@target='sameWindow'">_self</xsl0:when>
<xsl0:when test="@target='parentWindow'">_parent</xsl0:when>
<xsl0:when test="@target='topWindow'">_top</xsl0:when>
<xsl0:when test="@target='namedWindow'"><xsl0:value-of select="si(@windowName, @windowName, '_blank')"/></xsl0:when>
<xsl0:otherwise>_self</xsl0:otherwise>
</xsl0:choose>
</xsl0:attribute>
<xsl:attribute name="href"><xsl0:copy-of select="$pUrl"/></xsl:attribute>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
</xsl0:stylesheet>
