<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
		xmlns:xsl0="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
		xmlns:java="http://xml.apache.org/xslt/java" 
		exclude-result-prefixes="sm sc xsl java"
		version="1.0">

<xsl0:import href="bsco:sm/web/sm_WImg.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WLink.xml.xsl"/>

<xsl0:output method="xml" indent="no" encoding="UTF-8"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>
	
<xsl0:variable name="vCodeTemplate" select="resultatDialogue('.../codeTemplate')"/>
<xsl0:variable name="vDestUrlTemplateResInSite" select="resultatAgent('templateResources')"/>

<xsl0:template match="sm:callMainZone"><xsl:value-of select="resultatAgent($vDialog, 'zone:mainZone')" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callZone"><xsl:value-of select="resultatAgent($vDialog, 'zone:{@key}')" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:windowTitle/sm:callRootModel | sm:meta/sm:callRootModel">
<xsl:value-of select="parseXml(concat('&lt;content>',resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '{getAxisSuffix(@axis)}/xhtmlContent')),'&lt;/content>'))"/>
</xsl0:template>
<xsl0:template match="sm:callRootModel">
<xsl0:choose>
<xsl0:when test="@navCtx='generatorRoot'">
<xsl:value-of disable-output-escaping="yes" select="resultat(agent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '{getAxisSuffix(@axis)}/xhtmlContent')),dialog(concat('/@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))),'{getAxisSuffix(resultatAgent('//agentGenerator', 'rootAxis'))}')))" />
</xsl0:when>
<xsl0:otherwise>
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>	

	
<xsl0:template match="sm:choose">
<xsl:choose>
<xsl0:apply-templates/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''/@@/tplCond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise">
<xsl:otherwise>
<xsl0:apply-templates/>
</xsl:otherwise>
</xsl0:template>

	
<xsl0:template match="sm:Widget"><xsl:value-of select="resultatAgent('/@@/tplWidget_{getIdFromPath(@sc:refUri)}', null)" disable-output-escaping="yes"/></xsl0:template>	

	
<xsl0:template match="sm:WXhtmlFragment">
<xsl:text disable-output-escaping="yes"><xsl0:value-of select="concat('&lt;![CDATA[', ., ']]&gt;')" disable-output-escaping="yes"/></xsl:text>
</xsl0:template>

	
<xsl0:template match="sm:WLink">
<xsl0:variable name="vOptions">
<xsl0:call-template name="linkOptions"/>
</xsl0:variable>
<a>
<xsl0:call-template name="idAtt"/>
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="linkHrefXsl">
<xsl0:with-param name="pUrl"><xsl0:apply-templates mode="wlinkUrl" select="sm:link/*"/></xsl0:with-param>
<xsl0:with-param name="pOptions"><xsl0:value-of select="$vOptions"/></xsl0:with-param>
</xsl0:call-template>
<xsl0:if test="sm:labelTitle">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/node()"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/node()) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="sm:label/node()"/></span></xsl0:otherwise>
</xsl0:choose></a>
</xsl0:template>
<xsl0:template match="sm:fixedURL" mode="wlinkUrl"><xsl0:value-of select="@url"/></xsl0:template>
<xsl0:template match="sm:next" mode="wlinkUrl"><xsl:value-of select="resultatDialogue($vDialog, 'act:cdaction=GoToNext')"/></xsl0:template>
<xsl0:template match="sm:previous" mode="wlinkUrl"><xsl:value-of select="resultatDialogue($vDialog, 'act:cdaction=GoToPrec')"/></xsl0:template>
<xsl0:template match="sm:home" mode="wlinkUrl"><xsl:value-of select="resultatDialogue('/@@', 'act:')"/></xsl0:template>
<xsl0:template match="sm:callRootModel" mode="wlinkUrl"><xsl:value-of select="resultatDialogue(concat('/@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))),'{getAxisSuffix(@axis)}'), 'act:')"/></xsl0:template>
<xsl0:template match="*|text()|@*" mode="wlinkUrl"/>

	
<xsl0:template match="sm:WButton">
<a href="#">
<xsl0:call-template name="idAtt"/>
<xsl0:attribute name="onclick">
<xsl0:choose>
<xsl0:when test="sm:action/sm:close">window.top.close();</xsl0:when>
<xsl0:when test="sm:action/sm:print">window.print();</xsl0:when>
<xsl0:when test="sm:action/sm:jsFragment"><xsl0:value-of select="sm:action/sm:jsFragment/@command"/></xsl0:when>
</xsl0:choose>return false;</xsl0:attribute>
<xsl0:call-template name="classAtt"/>
<xsl0:if test="boolean(sm:labelTitle)">
<xsl0:attribute name="title"><xsl0:apply-templates select="sm:labelTitle/node()"/></xsl0:attribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/node()) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="sm:label/node()"/></span></xsl0:otherwise>
</xsl0:choose></a>
</xsl0:template>

	
<xsl0:template match="sm:WObject">
<object codebase="{sm:codebase/@value}" classid="{sm:classid/@value}" height="{sm:height/sm:fixedValue/@value}" width="{sm:width/sm:fixedValue/@value}">
<xsl0:call-template name="idAtt"/>
<xsl0:call-template name="classAtt"/>
<xsl:variable name="vSrc" select="translatePubPath2DestUrl(&quot;{resultatAgent('//',
				concat(
					'res:src=wsp:', 
					@sc:refUri, 
					';mutabledst=',
					resultatDialogue('.../destPathTemplateResInSite'),
					'/',
					java:substring(string(@sc:refUri), java:lastIndexOf(string(@sc:refUri), '/')+1)
				))
				}&quot;)"/>
<param name="src" value="{{$vSrc}}"/>
<xsl0:apply-templates select="sm:param" mode="objParams"/>
<embed pluginspage="{sm:pluginspage/@value}" height="{sm:height/sm:fixedValue/@value}" width="{sm:width/sm:fixedValue/@value}" type="{sm:type/@value}" src="{{$vSrc}}">
<xsl0:call-template name="classAtt"/>
<xsl0:if test="@id">
<xsl0:attribute name="name"><xsl0:value-of select="@id"/></xsl0:attribute>
</xsl0:if>
<xsl0:apply-templates select="sm:param" mode="objParamsEmbedAtts"/>
</embed>
<xsl0:if test="boolean(sm:altContent)">
<noembed>
<xsl0:apply-templates select="sm:altContent/node()"/>
</noembed>	
</xsl0:if>
</object>
</xsl0:template>

	
<xsl0:template match="sm:WImg">
<xsl0:variable name="vPathPrefix" select="si(@srcFrom='widgetResources', concat($vDestUrlTemplateResInSite,'/'), si(@srcFrom='skin', '/site/skin/', '/'))"/>
<img alt="{@alt}">
<xsl0:call-template name="imgSrcAtts"><xsl0:with-param name="pPathPrefix" select="$vPathPrefix"/></xsl0:call-template> 
<xsl0:if test="@title">
<xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute>
</xsl0:if>
<xsl0:call-template name="idAtt"/>
<xsl0:call-template name="classAtt"/>
</img>
</xsl0:template>

<xsl0:template match="sm:param" mode="objParams">
<param name="{@name}">
<xsl0:attribute name="value"><xsl0:apply-templates mode="xhtmlUrl"/></xsl0:attribute>
</param> 
</xsl0:template>
<xsl0:template match="node()" mode="objParams"/>

<xsl0:template match="sm:param" mode="objParamsEmbedAtts">
<xsl0:attribute name="{@name}"><xsl0:apply-templates mode="xhtmlUrl"/></xsl0:attribute>
</xsl0:template>
<xsl0:template match="node()" mode="objParamsEmbedAtts"/>

<xsl0:template match="sm:fixedValue" mode="xhtmlUrl"><xsl0:value-of select="@value"/></xsl0:template>
<xsl0:template match="node()" mode="xhtmlUrl"/>

<xsl0:template match="sm:title">
<xsl0:apply-templates/>
</xsl0:template>
	
	
<xsl0:template match="sm:rootTitle">
<xsl0:choose>
<xsl0:when test="@type='shortTitle'"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '{getAxisSuffix(@axis)}/shortTitleText'))"/></xsl0:when>
<xsl0:otherwise><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '{getAxisSuffix(@axis)}/fullTitleText'))"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:pageTitle"><xsl:value-of select="intituleAgent($vDialog)"/></xsl0:template>
<xsl0:template match="sm:fixedString"><xsl0:value-of select="@value"/></xsl0:template>
	
		
<xsl0:template match="sm:favicon">
<link rel="shortcut icon">
<xsl0:attribute name="type">
<xsl0:variable name="vExt" select="java:toLowerCase(substring-after(@src,'.'))"/>
<xsl0:value-of select="concat('image/',si($vExt = 'ico','x-icon',$vExt))"/>
</xsl0:attribute>
<xsl0:attribute name="href">
<xsl0:choose>
<xsl0:when test="@srcFrom='publishFiles'">{resultatAgent('//', 'pubres:/<xsl0:value-of select="@src"/>')}</xsl0:when>
<xsl0:when test="@srcFrom='skin'">{resultatAgent('//', 'pubres:/site/skin/<xsl0:value-of select="@src"/>')}</xsl0:when>
<xsl0:otherwise>{resultatAgent('//', 'pubres:<xsl0:value-of select="$vDestUrlTemplateResInSite"/>/<xsl0:value-of select="@src"/>')}</xsl0:otherwise>
</xsl0:choose>
</xsl0:attribute>
</link>
</xsl0:template>

	
<xsl0:template match="sm:meta" mode="metaTags">
<meta>
<xsl0:attribute name="{si(@name,'name','http-equiv')}"><xsl0:value-of select="si(@name,@name,si(@http-equiv,@http-equiv,''))"/></xsl0:attribute>
<xsl:attribute name="content"><xsl0:apply-templates select="*"/></xsl:attribute>
</meta>
</xsl0:template>
<xsl0:template match="sm:fixedContent"><xsl0:value-of select="@value"/></xsl0:template>
	
	
<xsl0:template match="sm:styleSheet">
<link type="text/css" rel="{si(@rel,@rel,'stylesheet')}">
<xsl0:attribute name="href">
<xsl0:choose>
<xsl0:when test="@srcFrom='publishFiles'">{resultatAgent('//', 'pubres:/<xsl0:value-of select="@src"/>')}</xsl0:when>
<xsl0:when test="@srcFrom='skin'">{resultatAgent('//', 'pubres:/site/skin/<xsl0:value-of select="@src"/>')}</xsl0:when>
<xsl0:otherwise>{resultatAgent('//', 'pubres:<xsl0:value-of select="$vDestUrlTemplateResInSite"/>/<xsl0:value-of select="@src"/>')}</xsl0:otherwise>
</xsl0:choose>
</xsl0:attribute>
<xsl0:if test="@media"><xsl0:attribute name="media"><xsl0:value-of select="@media"/></xsl0:attribute></xsl0:if>
<xsl0:if test="@title"><xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute></xsl0:if>
</link>
</xsl0:template>

	
<xsl0:template match="sm:script">
<script type="{@type}">
<xsl0:if test="@src">
<xsl0:attribute name="src">
<xsl0:choose>
<xsl0:when test="@srcFrom='publishFiles'">{resultatAgent('//', 'pubres:/<xsl0:value-of select="@src"/>')}</xsl0:when>
<xsl0:when test="@srcFrom='skin'">{resultatAgent('//', 'pubres:/site/skin/<xsl0:value-of select="@src"/>')}</xsl0:when>
<xsl0:otherwise>{resultatAgent('//', 'pubres:<xsl0:value-of select="$vDestUrlTemplateResInSite"/>/<xsl0:value-of select="@src"/>')}</xsl0:otherwise>
</xsl0:choose>
</xsl0:attribute>
</xsl0:if>
<xsl0:apply-templates/>
</script>
</xsl0:template>
	
	
<xsl0:template name="classAtt">
<xsl0:param name="pSuffix"/>
<xsl0:if test="@widgetClass or @class">
<xsl0:attribute name="class"><xsl0:value-of select="concat(addSuffixOnWords(@widgetClass, $pSuffix),si(@widgetClass,' ',''),@class)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>
<xsl0:template name="idAtt">
<xsl0:if test="@id">
<xsl0:attribute name="id"><xsl0:value-of select="@id"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>

<xsl0:template name="initBuffers">
		
<xsl0:value-of select="execute(resultatAgent('templateResources'))"/>
		
<xsl0:value-of select="execute(
		    initBuffer('checkBlock', java:java.util.HashSet.new()), 
		    resultatAgent('//agentGenerator', 'fillBuffersPostXslFragmentXhtml:xhtml'),
		    resultatAgent('//agentGenerator', 'fillBufferCoLib'),
		    si(.//sm:link[@target='subWindow'], resultatAgent('//agentGenerator', 'fillBufferDynUiMgr')),
		    si(.//sm:WBasket, resultatAgent('//agentGenerator', 'fillBufferBasketPostXsl'))
		   )"/>
<xsl0:variable name="pathFillBuffer" select="concat('templatesCalled/', resultatDialogue('.../codeTemplate'), '/fillBuffers')"/>
		
<xsl0:for-each select="agentsLies(dialog('...//linksTransf'))">
			
<xsl0:value-of select="resultatAgent(agent($pathFillBuffer, .))"/>
</xsl0:for-each>
		
<xsl0:for-each select="parseXml(resultatAgent('//calledStylableList'))/liste/item">
<xsl0:value-of select="resultatAgent(concat(., '/fillBuffers'))"/>
</xsl0:for-each>
<xsl0:value-of select="initBuffer('checkBlock')"/>
</xsl0:template>
</xsl0:stylesheet>