<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:template name="idInView">
<xsl:if test="@idInView">
<xsl:attribute name="id">
<xsl:choose>
<xsl:when test="self::sm:blocksTab">tab_</xsl:when>
<xsl:when test="self::sm:formEditorTab">tab_</xsl:when>
<xsl:when test="self::sm:textEditorTab">tab_</xsl:when>
<xsl:when test="self::sm:generatorsBlock">block_</xsl:when>
<xsl:when test="self::sm:previewBlock">block_</xsl:when>
<xsl:when test="self::sm:technicalInfoBlock">block_</xsl:when>
<xsl:when test="self::sm:xmlViewBlock">block_</xsl:when>
<xsl:when test="self::sm:block">block_</xsl:when>
<xsl:when test="self::sm:genBox">genBox_</xsl:when>
</xsl:choose>
<xsl:value-of select="@idInView"/>
</xsl:attribute>
</xsl:if>
</xsl:template>
	
	
<xsl:template name="tabStyle">
		
<xsl:variable name="vTabType">
<xsl:choose>
<xsl:when test="sm:previewBlock or sm:block[@code='size']">preview</xsl:when>
<xsl:when test="sm:displayingBlock">dynGen</xsl:when>
<xsl:when test="sm:generatorsBlock">gen</xsl:when>
<xsl:when test="sm:technicalInfoBlock">info</xsl:when>
</xsl:choose>
</xsl:variable>
		
<xsl:choose>
<xsl:when test="sm:tabUi/@color"><xsl:attribute name="color"><xsl:value-of select="sm:tabUi/@color"/></xsl:attribute></xsl:when>
<xsl:when test="local-name()='formEditorTab' or local-name()='textEditorTab'"></xsl:when>
<xsl:when test="$vTabType='preview'"><xsl:attribute name="color">#b8eba1</xsl:attribute></xsl:when>
<xsl:when test="$vTabType='dynGen'"><xsl:attribute name="color">#e9b96e</xsl:attribute></xsl:when>
<xsl:when test="$vTabType='gen'"><xsl:attribute name="color">#ffe5a8</xsl:attribute></xsl:when>
<xsl:when test="$vTabType='info'"><xsl:attribute name="color">#9abbff</xsl:attribute></xsl:when>
</xsl:choose>
		
<xsl:choose>
<xsl:when test="sm:tabUi/sm:icon">
<xsl:attribute name="icon">
<xsl:value-of select="si(sm:tabUi/sm:icon/@sc:refUri, resultatAgent('//', 
						concat('res:src=wsp:', sm:tabUi/sm:icon/@sc:refUri,
						';mutabledst=content/_mainview/', returnFirst(@idInView, generate-id()), '.png',
						';transform=img2img&amp;outType=PNG&amp;sizeRules=Px(Bounds(maxW''40''maxH''16''))'
					)))"/>
</xsl:attribute>
</xsl:when>
<xsl:when test="local-name()='formEditorTab' or local-name()='textEditorTab'"></xsl:when>
<xsl:when test="$vTabType='preview'"><xsl:attribute name="icon">chrome://scenariWsp/content/widgets/sctab/icon/preview.png</xsl:attribute></xsl:when>
<xsl:when test="$vTabType='dynGen'"><xsl:attribute name="icon">chrome://scenariWsp/content/widgets/sctab/icon/dynGen.png</xsl:attribute></xsl:when>
<xsl:when test="$vTabType='gen'"><xsl:attribute name="icon">chrome://scenariWsp/content/widgets/sctab/icon/gen.png</xsl:attribute></xsl:when>
<xsl:when test="$vTabType='info'"><xsl:attribute name="icon">chrome://scenariWsp/content/widgets/sctab/icon/props.png</xsl:attribute></xsl:when>
</xsl:choose>
</xsl:template>
	
		
<xsl:template name="tGetRightsMainviewAttributes">
<xsl:param name="pRightsTag"/>
<xsl:if test="$pRightsTag/sm:writePerm">
<xsl:attribute name="writePerm"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath($pRightsTag/sm:writePerm/@sc:refUri), '/codePerm'))"/></xsl:attribute>
</xsl:if>
<xsl:if test="$pRightsTag/sm:readPerm">
<xsl:attribute name="readPerm"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath($pRightsTag/sm:readPerm/@sc:refUri), '/codePerm'))"/></xsl:attribute>
</xsl:if>
</xsl:template>
		
</xsl:stylesheet>
