<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
        xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
        xmlns:java="http://xml.apache.org/xslt/java" 
        version="1.0">
<xsl:output method="text" encoding="UTF-8"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
    
<xsl:variable name="vDefaultResps" select="/*/sm:defaultResponsibilities"/>
    
    
<xsl:template match="sm:class">
    	
    	
<xsl:apply-templates select="sm:freeModelExtPoint"/>
    	
    	
<xsl:choose>
<xsl:when test="sm:ribbons | sm:mainView">
<xsl:apply-templates select="sm:ribbons/* | sm:mainView/sm:ribbons/*"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="/*/sm:defaultMainView/sm:ribbons/*"/>
</xsl:otherwise>
</xsl:choose>
    	
    	
<xsl:choose>
<xsl:when test="sm:responsibilities">
    			
<xsl:if test="sm:responsibilities/sm:responsibility">
		pModelExtPoints.registerSvcByLib('ribbonResp', 101, 'chrome://scenariCollab/content/widgets/ribbon/resp/ribbonResp.jsm');
		pModelExtPoints.addSvcToList('ribbon:wsp', 'ribbonResp', 101, 'ribbonResp', 15);<xsl:text/>		
<xsl:apply-templates select="sm:responsibilities/sm:responsibility"/>
</xsl:if>
</xsl:when>
<xsl:when test="$vDefaultResps/sm:responsibility[@addInClasses='all']">
		pModelExtPoints.registerSvcByLib('ribbonResp', 101, 'chrome://scenariCollab/content/widgets/ribbon/resp/ribbonResp.jsm');
		pModelExtPoints.addSvcToList('ribbon:wsp', 'ribbonResp', 101, 'ribbonResp', 15);<xsl:text/>		
<xsl:apply-templates select="$vDefaultResps/sm:responsibility[@addInClasses='all']"/>
</xsl:when>
</xsl:choose>
</xsl:template>
    
    
<xsl:template match="sm:freeModelExtPoint">
<xsl:variable name="vStr" select="java:replace(string(.), '[chromeContentPrefixUrl]', concat('chrome://', resultatAgent('/@@/chromeCode'),'/content'))"/>
<xsl:value-of select="java:replaceAll(string($vStr), '\[chromeContentResUrlKey=([a-zA-Z0-9]*)\]', concat('chrome:\/\/', resultatAgent('/@@/chromeCode'),'\/content\/_wspUi\/freeUiResM\/$1'))"/>
</xsl:template>
    
    
<xsl:template match="sm:webRibbon">
    	if(!this.ribbon) Components.utils.import("chrome://scenariWsp/content/widgets/ribbon/ribbon.jsm");
    	var vRibbonAreaCd = "bdWebRibbon#<xsl:value-of select="generate-id()"/>";
    	// # Déclaration des actions<xsl:apply-templates/>
    	// # Déclaration du ribbonArea
		var vRibbonArea   = new ribbon.RibbonArea(vRibbonAreaCd).setLabel("<xsl:value-of select="@name"/>").setBinding("chrome://scenariWsp/content/widgets/ribbon/actions/actions.xbl.xml#actions");
		pModelExtPoints.addToList('ribbon:wsp', vRibbonAreaCd, 101, vRibbonArea, '<xsl:value-of select="returnFirst(@sortKey, '100')"/>');
</xsl:template>
<xsl:template match="sm:openWebButton | sm:copyUrlButton | sm:mailToButton">
    	var vBtnCd 		= "actionWebRibbon#<xsl:value-of select="generate-id()"/>";
    	var vBtnAction 	= new actions.Action(vBtnCd).setLabel("<xsl:value-of select="@name"/>");
    	
<xsl:if test="@description">
    		vBtnAction.setDescription("<xsl:value-of select="@description"/>");
</xsl:if>
    	
<xsl:choose>
<xsl:when test="sm:icon/@sc:refUri">
    			vBtnAction.setIcon("<xsl:value-of select="resultatAgent('//', 	concat('res:src=wsp:', sm:icon/@sc:refUri,
																';mutabledst=content/_mainview/', concat('rb_', generate-id()), '.png',
																';transform=img2img&amp;outType=PNG&amp;sizeRules=Px(Bounds(maxW''16''maxH''16''))'))"/>");</xsl:when>
<xsl:when test="self::sm:openWebButton">vBtnAction.setIcon("chrome://scenariWsp/content/res/ico16/linkView.png")</xsl:when>
<xsl:when test="self::sm:copyUrlButton">vBtnAction.setIcon("chrome://scenariWsp/content/res/ico16/linkCopy.png")</xsl:when>
<xsl:when test="self::sm:mailToButton">vBtnAction.setIcon("chrome://scenariWsp/content/res/ico16/linkMail.png")</xsl:when>
</xsl:choose>
		vBtnAction.execute = function(pEvent, pContext){
			try{
				var vUriObject = uriObj.searchUriObject(pContext.window.document);
				var vUrl = "/u/itemDynGen/"+ encodeURIComponent(vUriObject.getWspCd()) + "/<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(sm:interactiveGenerator/@sc:refUri), '/codeGenerator'))"/>/refUri'" + system.encodeUrl2(vUriObject.getRefUri().replace(/'/g, "''")) + "'/co";
				vUrl = vUriObject.getDataProvider().getServiceUrl(vUrl, true);
<xsl:choose>
<xsl:when test="self::sm:openWebButton">system.openExternalUrl(vUrl);</xsl:when>
<xsl:when test="self::sm:copyUrlButton">Cc["@mozilla.org/widget/clipboardhelper;1"].getService(Ci.nsIClipboardHelper).copyString(vUrl);</xsl:when>
<xsl:when test="self::sm:mailToButton">system.openExternalUrl("mailto:?body="+encodeURIComponent(vUrl))</xsl:when>
</xsl:choose>
			}catch(e){log.debug(e)}
		};
		pModelExtPoints.addToList("ribbonArea:btns:"+vRibbonAreaCd+":actions", vBtnCd, 101, vBtnAction, <xsl:value-of select="position()"/>);
</xsl:template>
    
<xsl:template match="sm:responsibility">
<xsl:variable name="vResp" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl:if test="$vResp">
		pModelExtPoints.addToList('resps:', '<xsl:value-of select="resultatAgent($vResp/codeResp)"/>', <xsl:value-of select="resultatAgent('//levelAutority')"/>, {<xsl:value-of select="resultatAgent($vResp/declareRespSrcInClassExtPoints)"/>,
			required: <xsl:value-of select="@usage='required'"/>
			}, <xsl:value-of select="position()"/>0);<xsl:text/>
</xsl:if>
</xsl:template>
</xsl:stylesheet>

