<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
		xmlns:xsl0="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
		xmlns:java="http://xml.apache.org/xslt/java" 
		exclude-result-prefixes="sm sc xsl"
		version="1.0">

<xsl0:import href="bsco:sm/webSiteTemplate/template.xsl.xsl"/>

<xsl0:output method="xml" indent="no" encoding="UTF-8"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>
	
<xsl0:template match="sm:armoireUiTemplate">
		
<xsl0:call-template name="initBuffers"/>
		
<xsl:stylesheet version="1.0" exclude-result-prefixes="java">
<xsl:output method="xml" indent="no" encoding="UTF-8"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:template match="*">
		
				
<xsl0:if test="resultatAgent('//standard/mmlNamespace') = 'yes'">
					
<xsl0:variable name="vMmlXslPath" select="resultatAgent('//', 'res:src=bsco:sm/webSiteTemplate/mml;dst=ui.doss/site/lib-sm/mml')"/>
					
<xsl:processing-instruction name="xml-stylesheet">type="text/xsl" href="<xsl:value-of select="translatePubPath2DestUrl(&quot;{$vMmlXslPath}/pmathml.xsl&quot;)"/>"</xsl:processing-instruction>
</xsl0:if>
				
<html>
<xsl0:if test="resultatAgent('//standard/xslMethod') = 'xml'">
<xsl0:attribute name="xmlns">http://www.w3.org/1999/xhtml</xsl0:attribute>
</xsl0:if>
<xsl0:if test="resultatAgent('//standard/mmlNamespace') = 'yes'">
<xsl0:attribute name="xmlns:math">http://www.w3.org/1998/Math/MathML</xsl0:attribute>
</xsl0:if>
<xsl0:if test="resultatAgent('//standard/svgNamespace') = 'yes'">
<xsl0:attribute name="xmlns:svg">http://www.w3.org/2000/svg</xsl0:attribute>
</xsl0:if>
<xsl0:if test="resultatAgent('//agentGenerator', 'debug') != 'no'">
<xsl:comment>
							standard : <xsl0:value-of select="resultatAgent('//standard')"/>
							dialog : <xsl:value-of select="pathDialogAgent($vDialog)"/>
							outline : 
<xsl:value-of select="resultatAgent($vDialog, 'outline:ancestors-siblings;descendants;')"/>
</xsl:comment>
</xsl0:if>
<head>
<xsl:variable name="vWinTitle"><xsl0:apply-templates select="sm:windowTitle/*"/></xsl:variable>
<title><xsl:value-of select="normalize-space($vWinTitle)"/></title>
<xsl0:choose>
<xsl0:when test="resultatAgent('//standard/xslMethod') = 'xml'">
<meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8"/>
</xsl0:when>
<xsl0:otherwise>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
</xsl0:otherwise>
</xsl0:choose>
<xsl0:if test="@blockCache!='no'">
							
<meta http-equiv="Cache-Control" content="no-store, no-cache"/>
</xsl0:if>
<meta http-equiv="Content-Style-Type" content="text/css"/>
<xsl0:apply-templates select="sm:metaTags/*" mode="metaTags"/>
						
<xsl0:apply-templates select="sm:favicon"/>

						(!(inc=css.withTag)!)
						(!(inc=css.link)!)
<xsl0:value-of select="resultatDialogue('.../initUiServices')" disable-output-escaping="yes"/>
						(!(inc=js.withTag)!)
						(!(inc=js.link)!)	
<xsl0:if test="resultatAgent('//agentGenerator', 'debug') != 'no'">
<script type="text/JavaScript">scCoLib.fDebug = true;</script>
</xsl0:if>
<xsl0:apply-templates select="sm:styles/*"/>
</head>
<body>
<div id="pageBody">
<xsl0:apply-templates select="sm:headerOut"/>
<xsl0:choose>
<xsl0:when test="sm:container/@numberOfContainers and sm:container/@numberOfContainers &gt; 0">
<xsl0:call-template name="containers">
<xsl0:with-param name="pNumCont" select="si(sm:container/@numberOfContainers,sm:container/@numberOfContainers,'0')"/>
<xsl0:with-param name="pCurrCont" select="'1'"/>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="sm:container/sm:headerIn"/>
<xsl0:apply-templates select="sm:container/sm:mainArea"/>
<xsl0:apply-templates select="sm:container/sm:footerIn"/>
</xsl0:otherwise>
</xsl0:choose>
<xsl0:apply-templates select="sm:footerOut"/>
</div>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
</xsl0:template>
<xsl0:template name="containers">
<xsl0:param name="pNumCont"/>
<xsl0:param name="pCurrCont"/>
<xsl0:choose>
<xsl0:when test="$pCurrCont &lt;= $pNumCont">
<div id="container_{$pCurrCont}">
<xsl0:call-template name="containers">
<xsl0:with-param name="pNumCont" select="$pNumCont"/>
<xsl0:with-param name="pCurrCont" select="$pCurrCont + 1"/>
</xsl0:call-template>
</div>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="sm:container/sm:headerIn"/>
<xsl0:apply-templates select="sm:container/sm:mainArea"/>
<xsl0:apply-templates select="sm:container/sm:footerIn"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
		
<xsl0:template match="sm:headerOut|sm:headerIn|sm:mainArea|sm:footerIn|sm:footerOut">
<xsl0:choose>
			
<xsl0:when test="/sm:armoireUiTemplate/@layout='div'">
<div id="DIV_{local-name(.)}">
<xsl0:if test="sm:leftColumn">
<div id="DIV_{local-name(.)}_leftColumn" style="float:left;">
<xsl0:apply-templates select="sm:leftColumn"/>
</div>
</xsl0:if>
<xsl0:if test="sm:rightColumn">
<div id="DIV_{local-name(.)}_rightColumn" style="float:right;">
<xsl0:apply-templates select="sm:rightColumn"/>
</div>
</xsl0:if>
<xsl0:if test="sm:centerColumn">
<div id="DIV_{local-name(.)}_centerColumn">
<xsl0:apply-templates select="sm:centerColumn"/>
</div>
</xsl0:if>
</div>
</xsl0:when>
			
<xsl0:otherwise>
<table id="TABLE_{local-name(.)}"><tbody><tr id="TR_{local-name(.)}">
<xsl0:if test="sm:leftColumn">
<td id="TD_{local-name(.)}_leftColumn">
<xsl0:apply-templates select="sm:leftColumn"/>
</td>
</xsl0:if>
<xsl0:if test="sm:centerColumn">
<td id="TD_{local-name(.)}_centerColumn">
<xsl0:apply-templates select="sm:centerColumn"/>
</td>
</xsl0:if>
<xsl0:if test="sm:rightColumn">
<td id="TD_{local-name(.)}_rightColumn">
<xsl0:apply-templates select="sm:rightColumn"/>
</td>
</xsl0:if>
</tr></tbody></table>					
</xsl0:otherwise>			
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:leftColumn|sm:centerColumn|sm:rightColumn">
<xsl0:apply-templates/>
</xsl0:template>
		 
	
<xsl0:template match="sm:WText">
<xsl0:value-of select="."/>
</xsl0:template>

	
<xsl0:template match="sm:WImage">
<img src="{{translatePubPath2DestUrl(&quot;{
					resultatAgent('//',
						concat(
							'res:src=wsp:', 
							@sc:refUri, 
							';mutabledst=',
							resultatDialogue('.../destPathTemplateResInSite'),
							'/',
							java:substring(string(@sc:refUri), java:lastIndexOf(string(@sc:refUri), '/')+1)
						))
				}&quot;)}}" alt="{@altText}">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="idAtt"/>
</img>
</xsl0:template>

	
<xsl0:template match="sm:WDiv">
<div>
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="idAtt"/>
<xsl0:apply-templates/>
</div>
</xsl0:template>

	
<xsl0:template match="sm:WSpan">
<span>
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="idAtt"/>
<xsl0:apply-templates/>
</span>
</xsl0:template>
	

</xsl0:stylesheet>