<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc java">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:template match="sm:mp3Viewer">
<script>
			var _Object = document.createElementNS("http://www.w3.org/1999/xhtml", "object");
			
			function init() {
				try {
					var vMainStreamSrcUri = pack.getPack(document.fUriObject.getPack()).getMainStreamSrcUri(document.fUriObject.getModel(), document.fUriObject.getShortDesc());
					//var vMp3Url = document.fUriObject.getContentUrl(vMainStreamSrcUri);
					//Besoin d'une url avec extension .mp3?... Donc usage de getUrlToLoadContent()
					var vMp3Url = document.fUriObject.getUrlToLoadContent(wsp.buildWspUri(document.fUriObject.getWspCd(), vMainStreamSrcUri));
					var vOpts = "";
<xsl:variable name="vOptions" select="sm:options/@list"/>
<xsl:choose>
<xsl:when test="$vOptions">
							vOpts = "&amp;<xsl:value-of select="chaineProtegeJs($vOptions)"/>";
</xsl:when>
<xsl:otherwise>
							var vDefOpts = "&amp;showvolume=1&amp;showstop=1&amp;showtime=1&amp;bgcolor1=53933d&amp;bgcolor2=3d6c2d&amp;buttonovercolor=86ee62&amp;sliderovercolor=86ee62&amp;width=400px&amp;height=20px";
							vOpts = "_Opts" in window ? _Opts : vDefOpts;
</xsl:otherwise>
</xsl:choose>
					
					vMp3Url = vMp3Url + vOpts;		
					//Si on est en dans un tooltip, on se met en auto-play.
					var vParent = window.frameElement;
					while(vParent) {
						if(vParent.localName=="tooltip") {
							vMp3Url += "&amp;autoplay=1&amp;showplayer=never&amp;volume=25";
							break;
						}
						vParent = vParent.parentNode;
					}
					
					var vSwf = "<xsl:value-of select="resultatAgent('//', 'res:src=bs:players/playerMp3.swf;overidedst=content/_common/playerMp3.swf')"/>";
<xsl:variable name="vOptionsMap" select="si($vOptions, java:com.scenari.s.fw.utils.HParamsQueryString.hParseQueryStringAsMap(string(sm:options/@list)))"/>
<xsl:choose>
<xsl:when test="$vOptions and java:containsKey($vOptionsMap, 'height')">
					var vHeight = <xsl:value-of select="java:get($vOptionsMap, 'height')"/>;
<xsl:if test="not(parent::sm:preview)">
					window.frameElement.setAttribute("height", vHeight);
</xsl:if>
</xsl:when>
<xsl:when test="parent::sm:preview">
					var vHeight = 20;
</xsl:when>
<xsl:otherwise>
					var vHeight = Math.min(document.documentElement.boxObject.height, 20);
</xsl:otherwise>
</xsl:choose>
<xsl:choose>
<xsl:when test="$vOptions and java:containsKey($vOptionsMap, 'width')">
					var vWidth = <xsl:value-of select="java:get($vOptionsMap, 'width')"/>;
<xsl:if test="not(parent::sm:preview)">
					window.frameElement.setAttribute("width", vWidth);
</xsl:if>
</xsl:when>
<xsl:when test="parent::sm:preview">
					var vWidth = 400;
</xsl:when>
<xsl:otherwise>
					var vWidth = document.documentElement.boxObject.width || 250;
</xsl:otherwise>
</xsl:choose>
				
					_Object.setAttribute("id", "flash");
					_Object.setAttribute("height", vHeight + "px");
					_Object.setAttribute("width", vWidth + "px");
					_Object.setAttribute("data", vSwf);
					_Object.setAttribute("allowFullScreen", "true");
					_Object.setAttribute("type", "application/x-shockwave-flash");
					var vParam = document.createElementNS("http://www.w3.org/1999/xhtml", "param");
					vParam.setAttribute("name", "FlashVars");
					vParam.setAttribute("value", 'mp3=' + vMp3Url + "&amp;width="+vWidth+ "&amp;height="+vHeight);
					_Object.appendChild(vParam);
<xsl:choose>
<xsl:when test="parent::sm:preview">
							document.getElementById("content").appendChild(_Object);
</xsl:when>
<xsl:otherwise>
							document.documentElement.appendChild(_Object);
</xsl:otherwise>
</xsl:choose>
					
				} catch(e){log.debug(e);}
			}
			
			function resize() {
				try {
					var vHeight = Math.min(document.documentElement.boxObject.height, 20);
					var vWidth = document.documentElement.boxObject.width || 250;
					_Object.setAttribute("height", vHeight + "px");
					_Object.setAttribute("width", vWidth + "px");
				} catch(e){log.debug(e);}
			}
</script>
</xsl:template>
<xsl:template match="node()"/>
</xsl:stylesheet>
