<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
	xmlns:sfm="http://www.utc.fr/ics/scenari/v3/filemeta"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sfile="http://www.utc.fr/ics/scenari/v3/file"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	exclude-result-prefixes="sm">
	
<xsl0:output method="xml" encoding="UTF-8" indent="yes" omit-xml-declaration="yes"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vXmlPrim" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
<xsl0:variable name="vCodeTransformer" select="resultatAgent('//codeTransformer')"/>
<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
	
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>

<xsl0:template match="sm:binaryOdTransf">
<structure code="{concat(resultatAgent('//agentModel', 'codeModel'), resultatAgent('//axisTransformer'))}" 
						racine="/sfile:{resultatAgent('//agentModel', 'localNameDescXml')}" 
						codecomposant="{resultatAgent('../codecomposant')}" 
						version="1.0">
<intitule type="xpath-dynamique">resultatAgent(metaAgt, 'shortTitleText')</intitule>
			
<valeur code="outFileName">
<source type="xpathOnSrc-dynamique">concat('agt',alphaHash(codeAgent('//')),'_', java:com.scenari.s.fw.utils.HCharSeqUtil.stringWithoutAccent(java:getSrcName(srcFileAgent())))</source>
</valeur>
			
<valeur code="getContent">
<source type="xslOnSrc-dynamique" href="{resultatDialogue('../contentFile', 'act:')}"/>
				
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
			
<valeur code="getContent.inline">
<source type="xslOnSrc-dynamique" href="{resultatDialogue('../contentFile.inline', 'act:')}"/>
				
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
			
<valeur code="os"><source type="fixe-systemProperties">{os.name}</source></valeur>
<valeur code="isWin"><source type="xpath-dynamique">bool2Str(si(starts-with(resultatAgent('//os'), 'Windows'), true(), false()))</source></valeur>
			
			
<xsl0:apply-templates select="sm:content/* | sm:fullTitleText | sm:shortTitleText" mode="mAgt"/>
			
			
<redirect code="metaAgt">
<pathAgent type="xpath-statique">concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent()), '/meta.xml')), '_meta')</pathAgent>
</redirect>
			
			
<valeur code="codeMeta">
<source type="xpath-statique">concat(getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent()), '/meta.xml')), '_meta')</source>
</valeur>
			
<xsl0:if test="count(sm:fullTitleText)=0">
                
                
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent('//metaAgt', 'fullTitleText')</source>
</valeur>
</xsl0:if>
<xsl0:if test="count(sm:shortTitleText)=0">
                
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent('//metaAgt', 'shortTitleText')</source>
</valeur>
</xsl0:if>
            
            
<xsl0:variable name="vBinaryType" select="local-name(computeNodeAgent($vAgentModel/source))"/>
<xsl0:if test="$vBinaryType='imagePrim'">
<valeur code="props">
<source type="xslOnSrc-dynamique">
<xsl0:text disable-output-escaping="yes">
<![CDATA[
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
										xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
										xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
										xmlns:xalan="http://xml.apache.org/xalan"
										version="1.0" 
										xmlns:java="http://xml.apache.org/xslt/java"
										exclude-result-prefixes="sm sc java xalan">                   
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	                   		
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
							 ]]>
</xsl0:text>
							
<xsl:template match="*">
<xsl0:variable name="vMainResDefXml" select="descendant::*[local-name()='WImage' or local-name()='WObject'][1]"/>
<xsl0:variable name="vMainResDefXml_file" select="si($vMainResDefXml, $vMainResDefXml/sm:binaryUrl)"/>
<xsl0:variable name="vMainResDefXml_size" select="si($vMainResDefXml, returnFirst($vMainResDefXml/sm:binarySize, $vMainResDefXml/sm:binaryUrl))"/>
<props>
<file source="{{java:getSrcUri(srcFileAgent())}}">
<xsl0:for-each select="$vMainResDefXml">
<xsl0:variable name="vOutType"><xsl0:apply-templates mode="outType" select="sm:binaryUrl/sm:imageTransform/*"/></xsl0:variable>
<xsl0:attribute name="outType"><xsl0:value-of select="substring-after($vOutType,'outType=')"/></xsl0:attribute>
<xsl:variable name="vTransform">
<xsl0:attribute name="select">'<xsl0:call-template name="getTransformForUrl"/>'</xsl0:attribute> 
</xsl:variable>
<xsl:attribute name="transform"><xsl:value-of select="java:replaceAll($vTransform, 'Rotate\(.*?\)', '')"/></xsl:attribute>
</xsl0:for-each>
</file>
<xsl0:choose>
<xsl0:when test="$vBinaryType='imagePrim'">
<xsl:variable name="vNativeDims" select="xalan:tokenize(resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', 'transform=img2img&amp;outType=DIMS&amp;outRules=', &quot;Str(pattern'!wpx_!hpx')&quot;)), '_')"/>
<image nativeWidth="{{round($vNativeDims[1])}}" nativeHeight="{{round($vNativeDims[2])}}">
<xsl0:for-each select="$vMainResDefXml">
<xsl:variable name="vTransformedDims">
<xsl0:attribute name="select">xalan:tokenize(resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', java:replaceAll(<xsl0:call-template name="getTransformForSize"><xsl0:with-param name="pDefaultFinalTransform" select="'img2img'"/></xsl0:call-template>, 'Rotate\(.*?\)', ''), "Str(pattern'!wpx_!hpx')")), '_')</xsl0:attribute>										
</xsl:variable>
<xsl:attribute name="transformedWidth"><xsl:value-of select="round($vTransformedDims[1])"/></xsl:attribute>
<xsl:attribute name="transformedHeight"><xsl:value-of select="round($vTransformedDims[2])"/></xsl:attribute>
<xsl:variable name="vCmDims">
<xsl0:attribute name="select">xalan:tokenize(resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', java:replaceAll(<xsl0:call-template name="getTransformForSize"><xsl0:with-param name="pDefaultFinalTransform" select="'img2img'"/></xsl0:call-template>, 'Rotate\(.*?\)', ''), "Str(pattern'!wcm_!hcm')")), '_')</xsl0:attribute>
</xsl:variable>
<xsl:attribute name="cmWidth"><xsl:value-of select="$vCmDims[1]"/></xsl:attribute>
<xsl:attribute name="cmHeight"><xsl:value-of select="$vCmDims[2]"/></xsl:attribute>
</xsl0:for-each>
</image>
</xsl0:when>
</xsl0:choose>
</props>
</xsl:template>
<xsl0:text disable-output-escaping="yes">
<![CDATA[
</xsl:stylesheet>
		                   ]]>
</xsl0:text>
</source>
<resultat cache="*"/>
</valeur>
</xsl0:if>
			
</structure>
</xsl0:template>
	
	
<xsl0:template match="sm:fullTitleText|sm:shortTitleText" mode="mAgt">
<valeur code="{local-name()}">
<source type="xslOnSrc-dynamique">
<xsl0:text disable-output-escaping="yes">
<![CDATA[
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                                   xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
                                   xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
                                   xmlns:java="http://xml.apache.org/xslt/java" 
                                   xmlns:xalan="http://xml.apache.org/xalan"
                                   exclude-result-prefixes="xalan" version="1.0">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
                   ]]>
</xsl0:text>
<xsl:template match="*">
<xsl0:apply-templates><xsl0:with-param name="pView" select="local-name()"/></xsl0:apply-templates>
</xsl:template>
<xsl0:text disable-output-escaping="yes">
<![CDATA[
</xsl:stylesheet>
                   ]]>
</xsl0:text>
</source>
</valeur>
</xsl0:template>    
    
<xsl0:template match="sm:callBinaryMeta[ancestor::sm:fullTitleText or ancestor::sm:shortTitleText]">
<xsl0:param name="pView"/>
<xsl:value-of select="resultatAgent(concat('@', resultatAgent('//codeMeta'), '{getAxisSuffix(sm:callBinaryMeta/@axis)}/{$pView}'))"/>
</xsl0:template>
    
<xsl0:template match="sm:binaryFileName">
<xsl0:choose>
<xsl0:when test="@format='trimExtension'">
<xsl:value-of select="substring-before(java:getSrcName(srcFileAgent()), '.')"/>
</xsl0:when>
<xsl0:otherwise>
<xsl:value-of select="java:getSrcName(srcFileAgent())"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
    
<xsl0:template match="sm:returnFirst">
<xsl0:param name="pView"/>
<xsl0:for-each select="*">
<xsl:variable name="rf_{generate-id()}"><xsl0:apply-templates select="."><xsl0:with-param name="pView" select="$pView"/></xsl0:apply-templates></xsl:variable>
</xsl0:for-each>
<xsl:value-of>
<xsl0:attribute name="select">
<xsl0:text>returnFirst(</xsl0:text>
<xsl0:for-each select="*">$rf_<xsl0:value-of select="generate-id()"/>,</xsl0:for-each>
<xsl0:text>'')</xsl0:text>
</xsl0:attribute>
</xsl:value-of>
</xsl0:template>
	
<xsl0:template match="text()" mode="mAgt"/>

<xsl0:template match="sm:WObject" mode="mAgt">
<set code="elt_{generate-id()}">
			
<valeur code="UriResSource">
<source type="xpath-dynamique">concat('src:', java:getSrcUri(srcFileAgent(.)))</source>
<valeur code="full"><source type="xpath-dynamique">concat(resultatAgent(..),'/', java:getSrcName(srcFileAgent(.)))</source></valeur>
</valeur>
			
<valeur code="outFileExtension">
<source type="xpath-dynamique">si(contains(resultatAgent('../genResSize'), ';r=y'), si(resultatAgent('//isWin'), '.emf', '.svm'))</source>
</valeur>
			
<valeur code="isVectorImg">
<source type="xpath-dynamique">bool2Str(si(resultatAgent('../outFileExtension')='.emf' or resultatAgent('../outFileExtension')='.svm', true(), false()))</source>
</valeur>
			
<valeur code="targetMime">
<source><xsl0:value-of select="resultatAgent('//agentModel', 'mimeTypeModel')"/></source>
</valeur>
						
			
<valeur code="outFileName">
<source type="xpathOnSrc-dynamique">concat(resultatAgent('//outFileName'), resultatAgent('../outFileExtension'))</source>
</valeur>
			
			
<valeur code="odResPath">
<source type="xpathOnSrc-dynamique">concat(resultatAgent(concat('/@@/', si(resultatAgent('../isVectorImg'), 'pathResourcesInOdFile','pathBinaryInOdFile'))), '/', resultatAgent('../outFileName'))</source>
</valeur>
			
			
			
<valeur code="genResUri">
<source type="xpathOnSrc-dynamique">resultatAgent('//', 
											concat(	'resUri:src=',resultatAgent('../UriResSource'), 
													';mutabledst=',resultatAgent('/@@/destPathBinaryTmp'), '/',resultatAgent('../outFileName'),
													';copy=res',
													';<xsl0:call-template name="getTransformForUrl"/>'
											))
</source>
</valeur>
			
			
<valeur code="genResSize">
<source type="xpathOnSrc-dynamique">resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', <xsl0:call-template name="getTransformForSize"><xsl0:with-param name="pDefaultFinalTransform">si(resultatAgent('../isVectorImg'), 'img2img', 'od2img')</xsl0:with-param></xsl0:call-template>, "Str(pattern'w=!wcm;h=!hcm;r=!rot(y,n);')"))</source>
</valeur>
			
</set>
</xsl0:template>
	

<xsl0:template match="sm:WImage" mode="mAgt">
<set code="elt_{generate-id()}">
			
<valeur code="UriResSource">
<source type="xpath-dynamique">concat('src:', java:getSrcUri(srcFileAgent(.)))</source>
<valeur code="full"><source type="xpath-dynamique">concat(resultatAgent(..),'/', java:getSrcName(srcFileAgent(.)))</source></valeur>
</valeur>
			
<valeur code="outFileExtension"/>
			
			
<valeur code="outFileName">
<source type="xpathOnSrc-dynamique">concat(resultatAgent('//outFileName'), resultatAgent('../outFileExtension'))</source>
</valeur>

			
<valeur code="getImageDeclaration">
<source type="composition-dynamique">
<c:composition xmlns:c="composition">
<draw:image xlink:href="{{resultat?agent=../odResPath}}" xlink:type="simple" xlink:show="embed" xlink:actuate="onLoad"/>
<scodPp:resources path="dest:{{resultat?agent=../genResUri}}" odPath="{{resultat?agent=../odResPath}}"/>
</c:composition>
</source>
</valeur>
					
			
<valeur code="odResPath">
<source type="xpathOnSrc-dynamique">concat(resultatAgent('/@@/pathResourcesInOdFile'), '/', resultatAgent('../outFileName'))</source>
</valeur>
			
			
<valeur code="genResUri">
<source type="xpathOnSrc-dynamique">resultatAgent('//', 
											concat(	'resUri:src=', resultatAgent('../UriResSource'), 
													';mutabledst=',resultatAgent('/@@/destPathResourcesTmp'), '/',resultatAgent('../outFileName'),
													';copy=res',
													';<xsl0:call-template name="getTransformForUrl"/>'
											))
</source>
</valeur>
			
			
<valeur code="genResSize">
<source type="xpathOnSrc-dynamique">resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', <xsl0:call-template name="getTransformForSize"><xsl0:with-param name="pDefaultFinalTransform">'img2img'</xsl0:with-param></xsl0:call-template>, "Str(pattern'w=!wcm;h=!hcm;r=!rot(y,n);')"))</source>
</valeur>
			
</set>
</xsl0:template>


	 
	
<xsl0:template name="getTransformForUrl">
<xsl0:apply-templates select="sm:binaryUrl/*" mode="transformForUrl"/>
</xsl0:template>
<xsl0:template name="getTransformForSize">
<xsl0:param name="pDefaultFinalTransform"/>
<xsl0:choose>
<xsl0:when test="sm:binarySize">
<xsl0:apply-templates select="sm:binarySize" mode="transformForSize">
<xsl0:with-param name="pDefaultFinalTransform"><xsl0:value-of select="$pDefaultFinalTransform"/></xsl0:with-param>
</xsl0:apply-templates>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="sm:binaryUrl" mode="transformForSize">
<xsl0:with-param name="pDefaultFinalTransform"><xsl0:value-of select="$pDefaultFinalTransform"/></xsl0:with-param>
</xsl0:apply-templates>
</xsl0:otherwise>
</xsl0:choose>
        
</xsl0:template>
	
	
<xsl0:template match="sm:freeTransform" mode="transformForUrl">transform=<xsl0:value-of select="si(string-length(@options)&gt;0, concat(@code, '&amp;', @options), @code)"/>&amp;</xsl0:template>
<xsl0:template match="sm:imageTransform" mode="transformForUrl">transform=img2img&amp;sizeRules=Dim(<xsl0:value-of select="si(string-length(@minTargetDpi)&gt;0, concat('minDpi''''',@minTargetDpi,''''''),'')"/><xsl0:value-of select="si(string-length(@maxTargetDpi)&gt;0, concat('maxDpi''''',@maxTargetDpi,''''''),'')"/><xsl0:apply-templates mode="sizeRules"/>)<xsl0:apply-templates mode="outType"/>&amp;</xsl0:template>
<xsl0:template match="sm:odTransform" mode="transformForUrl">', si(contains(resultatAgent('../genResSize'), ';r=y'), concat('transform=od2img&amp;sizeRules=Dim(<xsl0:apply-templates mode="sizeRules"/>)&amp;outType=',si(resultatAgent('//isWin'), 'EMF', 'SVM'))),'&amp;</xsl0:template>
<xsl0:template match="node()" mode="transformForUrl"/>
	
<xsl0:template match="sm:binaryUrl|sm:binarySize|sm:binary" mode="transformForSize">
<xsl0:param name="pDefaultFinalTransform"/>
		'<xsl0:for-each select="*"><xsl0:apply-templates mode="transformForSize" select="."/>&amp;</xsl0:for-each>
<xsl0:choose>
			
<xsl0:when test="*[local-name()!='freeTransform']">outType=DIMS&amp;outRules=</xsl0:when>
<xsl0:otherwise>transform=', <xsl0:value-of select="$pDefaultFinalTransform"/>, '&amp;outType=DIMS&amp;outRules=</xsl0:otherwise>
</xsl0:choose>'
</xsl0:template>
	
	
<xsl0:template match="sm:freeTransform" mode="transformForSize">transform=<xsl0:value-of select="si(string-length(@options)&gt;0, concat(@code, '&amp;', @options), @code)"/></xsl0:template>
<xsl0:template match="sm:imageTransform" mode="transformForSize">transform=img2img&amp;sizeRules=Dim(<xsl0:value-of select="si(string-length(@minTargetDpi)&gt;0, concat('minDpi''''',@minTargetDpi,''''''),'')"/><xsl0:value-of select="si(string-length(@maxTargetDpi)&gt;0, concat('maxDpi''''',@maxTargetDpi,''''''),'')"/><xsl0:apply-templates mode="sizeRules"/>)</xsl0:template>
<xsl0:template match="sm:odTransform" mode="transformForSize">transform=od2img&amp;sizeRules=Dim(<xsl0:apply-templates mode="sizeRules"/>)</xsl0:template>
<xsl0:template match="node()" mode="transformForSize"/>
	
	
<xsl0:template match="sm:scaleFromStandardCharSize" mode="sizeRules">ScSCS(<xsl0:value-of select="si(string-length(@targetFontSizeInPt)&gt;0, concat('fontPt''''',@targetFontSizeInPt,''''''),'')"/>)<xsl0:apply-templates select="sm:ifNoStandardCharSize/*" mode="sizeRules"/></xsl0:template>
<xsl0:template match="sm:scaleFromLimitCharSize" mode="sizeRules">ScLCS(<xsl0:value-of select="si(string-length(@targetFontSizeInPt)&gt;0, concat('fontPt''''',@targetFontSizeInPt,''''''),'')"/>)<xsl0:apply-templates select="sm:ifNoLimitCharSize/*" mode="sizeRules"/></xsl0:template>
<xsl0:template match="sm:scale" mode="sizeRules">Sc(<xsl0:value-of select="si(string-length(@ratio)&gt;0, concat('ratio''''',@ratio,''''''),'')"/><xsl0:value-of select="si(string-length(@sourceDpi)&gt;0, concat('srcDpi''''',@sourceDpi,''''''),'')"/><xsl0:value-of select="si(string-length(@sourceDpiIfNone)&gt;0, concat('srcDefDpi''''',@sourceDpiIfNone,''''''),'')"/>)</xsl0:template>
<xsl0:template match="sm:dimBounds" mode="sizeRules">Bounds(<xsl0:value-of select="si(string-length(@unit)&gt;0, concat('unit''''',@unit,''''''),'')"/><xsl0:value-of select="si(string-length(@minWidth)&gt;0, concat('minW''''',@minWidth,''''''),'')"/><xsl0:value-of select="si(string-length(@maxWidth)&gt;0, concat('maxW''''',@maxWidth,''''''),'')"/><xsl0:value-of select="si(string-length(@minHeight)&gt;0, concat('minH''''',@minHeight,''''''),'')"/><xsl0:value-of select="si(string-length(@maxHeight)&gt;0, concat('maxH''''',@maxHeight,''''''),'')"/><xsl0:apply-templates mode="sizeRules"/>)</xsl0:template>
<xsl0:template match="sm:rotate" mode="sizeRules">Rotate(<xsl0:value-of select="si(string-length(@ifExtraScaleMoreThan)&gt;0, concat('ifDiff''''',@ifExtraScaleMoreThan,''''''),'')"/><xsl0:value-of select="si(@ifSmallerThanLimitCharSizeWithFontSizeInPt, concat('ifLessLCS''''',@ifSmallerThanLimitCharSizeWithFontSizeInPt,''''''),'')"/><xsl0:value-of select="si(string-length(@ifUndefined)&gt;0, concat('ifExplicitlyAllowed''''',@ifUndefined='false',''''''),'')"/>)</xsl0:template>
<xsl0:template match="node()" mode="sizeRules"/>
	
	
<xsl0:template match="sm:outputPNG" mode="outType">&amp;outType=PNG</xsl0:template>
<xsl0:template match="sm:outputGIF" mode="outType">&amp;outType=GIF</xsl0:template>
<xsl0:template match="sm:outputJPEG" mode="outType">&amp;outType=JPEG</xsl0:template>
<xsl0:template match="node()" mode="outType"/>


<xsl0:template match="sm:choose" mode="mAgt">
<xsl0:apply-templates mode="mAgt"/>
</xsl0:template>
<xsl0:template match="sm:when[@sc:refUri]" mode="mAgt">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
<xsl0:apply-templates mode="mAgt"/>
</xsl0:template>
	
	
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<valeur code="widget_{generate-id()}" codecomposant="concat('widget_{generate-id()}_', generate-id())">
<xsl0:if test="$pPath"><xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute></xsl0:if>
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
            
<xsl0:apply-templates mode="agentsWidgetZones"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:for" mode="agentsWidgets">
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="concat('sp:', si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*'))"/>
</xsl0:apply-templates>
</xsl0:template>
    
<xsl0:template match="*" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="$pPath"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agentsWidgets"/>
    
    
<xsl0:template match="sm:odContentZone" mode="agentsWidgetZones">
<xsl0:param name="pPath"/>
<valeur code="{si(@key, concat('odContentZone_', @key), concat('XZ_', generate-id()))}">
<xsl0:if test="$pPath">
<xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">generate-id()</xsl0:attribute>
</xsl0:if>
<source type="xslOnSrc-dynamique" href="{resultatDialogue(concat('//behaviorSheet/contentFile', generate-id()), 'act:')}"/>
	        
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:for" mode="agentsWidgetZones">
<xsl0:apply-templates mode="agentsWidgetZones">
<xsl0:with-param name="pPath" select="concat('sp:', si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*'))"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="*" mode="agentsWidgetZones"/>
	 
<xsl0:template match="*"/>
</xsl0:stylesheet>
