<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:include href="bsco:sm/binaryPrims/mainviewInc.xul.xsl"/>
	
<xsl:variable name="vIsOd" select="boolean(sm:identification[starts-with(@mimeTypes, 'application/vnd.oasis.opendocument.')])"/>
<xsl:variable name="vIsFlash" select="boolean(sm:identification[starts-with(@mimeTypes, 'application/x-shockwave-flash')])"/>
<xsl:variable name="vIsPdf" select="boolean(sm:identification[starts-with(@mimeTypes, 'application/pdf')])"/>
<xsl:variable name="vIsSizeBlockUsable" select="$vIsOd or $vIsFlash or $vIsPdf"/>
	
<xsl:template match="sm:previewBlock" mode="mainview">
		
<xsl:if test="not($vAuthoring/sm:sizeBlock) or not(../sm:block[@code='size'][not(@usedIn='nonBinaryClasses')]) or not($vIsSizeBlockUsable)">
<xsl:choose>
<xsl:when test="$vAuthoring/sm:preview/sm:htmlViewer/*">
<xsl:variable name="vTransform">
<xsl:apply-templates select="$vAuthoring/sm:preview/sm:htmlViewer/sm:fromBinary/*"/>
</xsl:variable>
<blockhtml titleblock="{@name}" onopenblock="this.setAttribute('src', document.fUriObject.getContentUrl(vMainStreamSrcUri, {si(string-length(normalize-space($vTransform))&gt;0, concat('''transform=', normalize-space($vTransform), ''''), 'null')}));">
<xsl:if test="$vIsOd">
<xsl:attribute name="codeblock">ODpreview</xsl:attribute>
</xsl:if>
<xsl:call-template name="idInView"/>
<xsl:call-template name="displayMode"/>
</blockhtml>
</xsl:when>
<xsl:when test="$vAuthoring/sm:preview/sm:imageViewer/*">
<xsl:variable name="vTransform">
<xsl:apply-templates select="$vAuthoring/sm:preview/sm:imageViewer/sm:fromBinary/*"/>
</xsl:variable>
<blockimage titleblock="{@name}">
<xsl:if test="string-length(normalize-space($vTransform))&gt;0">
<xsl:attribute name="transform">transform=<xsl:value-of select="normalize-space($vTransform)"/></xsl:attribute>
</xsl:if>
<xsl:call-template name="idInView"/>
<xsl:call-template name="displayMode"/>
</blockimage>
</xsl:when>
</xsl:choose>
</xsl:if>
</xsl:template>
<xsl:template match="sm:freeTransform"><xsl:if test="@code"><xsl:value-of select="@code"/><xsl:if test="@options">&amp;<xsl:value-of select="@options"/></xsl:if></xsl:if></xsl:template>
	
<xsl:template match="sm:block[@code='size'][not(@usedIn='nonBinaryClasses')]" mode="mainview">
<xsl:if test="$vIsSizeBlockUsable and $vAuthoring/sm:sizeBlock">
<blockscsize titleblock="{@name}">
<xsl:attribute name="viewer">
<xsl:choose>
<xsl:when test="$vIsOd">image</xsl:when>
<xsl:when test="$vIsFlash">html</xsl:when>
<xsl:when test="$vIsPdf">html</xsl:when>
</xsl:choose>
</xsl:attribute>
<xsl:attribute name="restransform">
<xsl:choose>
<xsl:when test="$vIsOd">transform=od2img&amp;outType=PNG</xsl:when>
<xsl:otherwise/>
</xsl:choose>
</xsl:attribute>
<xsl:attribute name="dimstransform">
<xsl:text>transform=</xsl:text>
<xsl:choose>
<xsl:when test="$vIsOd">od2img</xsl:when>
<xsl:when test="$vIsFlash">swf2dims</xsl:when>
<xsl:when test="$vIsPdf">pdf2img</xsl:when>
</xsl:choose>
</xsl:attribute>
<xsl:if test="$vIsReadOnly"><xsl:attribute name="readonly">true</xsl:attribute></xsl:if>
<xsl:call-template name="idInView"/>
<xsl:call-template name="displayMode"/>
<xsl:apply-templates select="$vAuthoring/sm:sizeBlock/*"/>
</blockscsize>
</xsl:if>
</xsl:template>
<xsl:template match="sm:sizeBlock/*">
<scsizetab type="{local-name(.)}">
<xsl:apply-templates select="sm:defaultValue"/>
<xsl:if test="@name">
<xsl:attribute name="title"><xsl:value-of select="@name"/></xsl:attribute>
</xsl:if>
<xsl:if test="sm:editor">
<xsl:attribute name="editable">true</xsl:attribute>
</xsl:if>
<xsl:if test="sm:editor/sm:textRef">
<xsl:attribute name="textref"><xsl:value-of select="sm:editor/sm:textRef/text()"/></xsl:attribute>
</xsl:if>
</scsizetab>
</xsl:template>
<xsl:template match="sm:standardCharSize/sm:defaultValue">
<xsl:attribute name="defaultvalue">
<xsl:value-of select="returnFirst(100 div $vAuthoring/sm:sizeBlock/sm:standardCharSize/sm:defaultValue/@scaleFromSource * 10, 10)"/>
</xsl:attribute>
</xsl:template>
<xsl:template match="sm:limitCharSize/sm:defaultValue">
<xsl:attribute name="defaultvalue"><xsl:value-of select="@scaleFromStandardCharsize"/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:rotation/sm:defaultValue">
<xsl:attribute name="defaultvalue"><xsl:value-of select="@allowed='false'"/></xsl:attribute>
</xsl:template>
	
</xsl:stylesheet>
