<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc java">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:template match="sm:previewMini">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="sm:flashViewer">
<xsl:variable name="vTransform"><xsl:apply-templates select="sm:fromBinary/sm:freeTransform"/></xsl:variable>
<xsl:processing-instruction name="xml-stylesheet">href="chrome://scenariWsp/content/windows/subView/subview.css" type="text/css"</xsl:processing-instruction>
<window onload="init();" style="border:1px solid gray; background-color:#FFFFFF;">
<script src="chrome://scenariWsp/content/windows/subView/subview.js"/>
<script>
	function init() {
		try {
			var vMainStreamSrcUri = pack.getPack(document.fUriObject.getPack()).getMainStreamSrcUri(document.fUriObject.getModel(), document.fUriObject.getShortDesc());
<xsl:choose>
<xsl:when test="$vTransform">
			var vSwf = document.fUriObject.getContentUrl(vMainStreamSrcUri, "<xsl:value-of select="chaineProtegeJs($vTransform)"/>");	
</xsl:when>
<xsl:otherwise>
			var vSwf = document.fUriObject.getContentUrl(vMainStreamSrcUri);	
</xsl:otherwise>
</xsl:choose>
			
			var vHeight = document.documentElement.boxObject.height || 150;
			var vWidth = document.documentElement.boxObject.width || 250;
		
			var vObject = document.createElementNS("http://www.w3.org/1999/xhtml", "object");
			vObject.setAttribute("height", (vHeight-2) + "px");
			vObject.setAttribute("width", (vWidth-2) + "px");
			vObject.setAttribute("data", vSwf);
			vObject.setAttribute("bgcolor", "#EEEEEE");
			vObject.setAttribute("type", "application/x-shockwave-flash");
			document.documentElement.appendChild(vObject);
			
		} catch(e){log.debug(e);}
	}
</script>
</window>
</xsl:template>
	
<xsl:template match="sm:imageViewer">
<xsl:processing-instruction name="xml-stylesheet">href="chrome://scenariWsp/content/windows/subView/subview.css" type="text/css"</xsl:processing-instruction>
<window align="center" style="border:1px solid gray; background-color:#FFFFFF;">
<script src="chrome://scenariWsp/content/windows/subView/subview.js"/>
<itemimage scaleproportionnal="true" flex="1">
<xsl:apply-templates select="sm:fromBinary/sm:freeTransform"/>
</itemimage>
</window>
</xsl:template>	
	
<xsl:template match="sm:freeTransform">
<xsl:attribute name="transform">transform=<xsl:value-of select="@code"/><xsl:if test="@options">&amp;<xsl:value-of select="@options"/></xsl:if></xsl:attribute>
</xsl:template>
<xsl:template match="node()"/>
	
</xsl:stylesheet>
