<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="sm sc sp xsl java xalan xhtml">
	
<xsl0:import href="bsco:sm/web/sm_WImg.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WLink.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WTooltip.xml.xsl"/>
	
		
<xsl0:template name="classAtt">
<xsl0:param name="pExtraClasses"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="@widgetClass or $pExtraClasses">
<xsl0:attribute name="class"><xsl0:value-of select="concat(addSuffixOnWords(@widgetClass, $pSuffix),si(@widgetClass,' ',''),$pExtraClasses)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>
<xsl0:template name="classAttTitle">
<xsl0:param name="pWidgetClass"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="$pWidgetClass">
<xsl0:attribute name="class"><xsl0:value-of select="addSuffixOnWords($pWidgetClass, $pSuffix)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>
	
		
<xsl0:template name="sizeAtts">
<xsl0:param name="pDefaultFinalTransform"/>
<xsl0:param name="pWidthToAdd" select="0"/>
<xsl0:param name="pHeightToAdd" select="0"/>
<xsl0:choose>
<xsl0:when test="sm:declareSize[@width or @height]">
<xsl:attribute name="width"><xsl0:value-of select="sm:declareSize/@width + $pWidthToAdd"/></xsl:attribute>
<xsl:attribute name="height"><xsl0:value-of select="sm:declareSize/@height + $pHeightToAdd"/></xsl:attribute>
</xsl0:when>
<xsl0:when test="sm:declareSize">
<xsl0:call-template name="sizeVars">
<xsl0:with-param name="pWidget" select="."/>
<xsl0:with-param name="pDefaultFinalTransform" select="$pDefaultFinalTransform"/>
<xsl0:with-param name="pWidthToAdd" select="$pWidthToAdd"/>
<xsl0:with-param name="pHeightToAdd" select="$pHeightToAdd"/>
</xsl0:call-template>
<xsl:attribute name="width">
<xsl:choose>
<xsl:when test="number($vProps{generate-id(.)}[1])&lt;=0">
<xsl:value-of select="'{returnFirst(sm:declareSize/@minWidth,'0')}'"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="round(java:getWidth($vPropsObj{generate-id()}))"/>
</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<xsl:attribute name="height">
<xsl:choose>
<xsl:when test="number($vProps{generate-id(.)}[2])&lt;=0">
<xsl:value-of select="'{returnFirst(sm:declareSize/@minHeight,'0')}'"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="round(java:getHeight($vPropsObj{generate-id()}))"/>
</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
</xsl0:when>
</xsl0:choose>
</xsl0:template>
<xsl0:template name="sizeAttWidth">
<xsl0:if test="sm:declareSize/@width"><xsl:attribute name="width"><xsl0:value-of select="sm:declareSize/@width"/></xsl:attribute></xsl0:if>
</xsl0:template>
<xsl0:template name="sizeStyles">
<xsl0:call-template name="sizeStylesVars">
<xsl0:with-param name="pWidget" select="."/>
<xsl0:with-param name="pDefaultFinalTransform" select="'img2img'"/>
</xsl0:call-template>
<xsl:attribute name="style">width:<xsl:value-of select="java:getWidth($vStylesPropsObj{generate-id()})"/>cm;height:<xsl:value-of select="java:getHeight($vStylesPropsObj{generate-id()})"/>cm;</xsl:attribute>
</xsl0:template>
<xsl0:template name="sizeVars">
<xsl0:param name="pWidget" select="."/>
<xsl0:param name="pDefaultFinalTransform"/>
<xsl0:param name="pWidthToAdd" select="0"/>
<xsl0:param name="pHeightToAdd" select="0"/>
<xsl:variable name="vProps{generate-id($pWidget)}">
<xsl0:attribute name="select">xalan:tokenize(resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', '<xsl0:apply-templates mode="getTransformForSize" select="$pWidget/sm:binaryUrl"><xsl0:with-param name="pDefaultFinalTransform" select="$pDefaultFinalTransform"/></xsl0:apply-templates>', "outRules=Str(pattern'!wpx_!hpx')")), '_')</xsl0:attribute>
</xsl:variable>
<xsl:variable name="vPropsObj{generate-id($pWidget)}" select="java:com.scenari.s.co.transform.img.ImgUtil.getSize(number($vProps{generate-id($pWidget)}[1]) + {$pWidthToAdd}, number($vProps{generate-id($pWidget)}[2]) + {$pHeightToAdd}, '{$pWidget/sm:declareSize/@scale}', '{$pWidget/sm:declareSize/@minWidth}', '{$pWidget/sm:declareSize/@minHeight}', '{$pWidget/sm:declareSize/@maxWidth}', '{$pWidget/sm:declareSize/@maxHeight}')"/>
</xsl0:template>
<xsl0:template name="sizeStylesVars">
<xsl0:param name="pWidget" select="."/>
<xsl0:param name="pDefaultFinalTransform"/>
<xsl:variable name="vStylesProps{generate-id($pWidget)}">
<xsl0:attribute name="select">xalan:tokenize(resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', '<xsl0:apply-templates mode="getTransformForSize" select="$pWidget/sm:binaryUrl"><xsl0:with-param name="pDefaultFinalTransform" select="$pDefaultFinalTransform"/></xsl0:apply-templates>', "outRules=Str(pattern'!wcm_!hcm')")), '_')</xsl0:attribute>
</xsl:variable>
<xsl:variable name="vStylesPropsObj{generate-id($pWidget)}" select="java:com.scenari.s.co.transform.img.ImgUtil.getSize(number($vStylesProps{generate-id($pWidget)}[1]), number($vStylesProps{generate-id($pWidget)}[2]), '', '', '', '', '')"/>
</xsl0:template>
	
		
<xsl0:template name="longDescAtt">
<xsl0:if test="sm:longDesc">
<xsl:attribute name="longdesc"><xsl0:apply-templates select="sm:longDesc/sm:link/*" mode="pathNavXsl"/></xsl:attribute>
</xsl0:if>
</xsl0:template>

	
<xsl0:template match="sm:binaryFileName[@format='trimExtension']" mode="content"><xsl:value-of select="substring-before(java:getSrcName(srcFileAgent()), '.')"/></xsl0:template>
<xsl0:template match="sm:binaryFileName" mode="content"><xsl:value-of select="java:getSrcName(srcFileAgent())"/></xsl0:template>

	
<xsl0:template match="sm:chooseOnBinary" mode="content">
<xsl:variable name="vProps{generate-id()}">
<xsl0:attribute name="select">xalan:tokenize(resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?', '<xsl0:apply-templates mode="getTransformForSize" select="sm:binary"/>', "outRules=Str(pattern'!wpx_!hpx_!scs_!lcs')")), '_')</xsl0:attribute>
</xsl:variable>
<xsl:variable name="vWidth{generate-id()}" select="number($vProps{generate-id()}[1])"/>
<xsl:variable name="vHeight{generate-id()}" select="number($vProps{generate-id()}[2])"/>
<xsl:variable name="vScs{generate-id()}" select="number($vProps{generate-id()}[3])"/>
<xsl:variable name="vLcs{generate-id()}" select="number($vProps{generate-id()}[4])"/>
<xsl:choose>
<xsl0:apply-templates mode="content"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:choose" mode="content">
<xsl:choose>
<xsl0:apply-templates mode="content"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when" mode="content">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:whenSize" mode="content">
<xsl:when test="{concat(si(@widthOver, concat('$vWidth', generate-id(..), '&gt;', @widthOver, ' or ')), si(@heightOver, concat('$vHeight', generate-id(..), '&gt;', @heightOver, ' or ')), 'false()')}">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:whenCharSize" mode="content">
<xsl:when test="{concat(si(@standardFontSizeOver, concat('$vScs', generate-id(..), '&gt;', @standardFontSizeOver, ' or ')), si(@limitFontSizeOver, concat('$vLcs', generate-id(..), '&gt;', @limitFontSizeOver, ' or ')), 'false()')}">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="content">
<xsl:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl:otherwise>
</xsl0:template>

	
<xsl0:template match="sm:WObject" mode="content">
<xsl0:variable name="vUrl">{<xsl0:apply-templates mode="getBinaryUrl" select="sm:binaryUrl"/>}<xsl0:apply-templates select="sm:param[@type='url']" mode="urlInlineParams"/></xsl0:variable>
<object codebase="{sm:codebase/@value}" classid="{sm:classid/@value}">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="sizeAtts"/>
<xsl0:call-template name="crossRefEntries"/>
<param name="src" value="{$vUrl}"/>
<xsl0:apply-templates select="sm:param[not(@type) or @type!='url']" mode="content"/>
<embed pluginspage="{sm:pluginspage/@value}" src="{$vUrl}">
<xsl0:call-template name="classAtt"/>
<xsl0:apply-templates select="sm:param[not(@type) or @type!='url']" mode="contentEmbedAtts"/>
<xsl0:call-template name="sizeAtts"/>
<xsl0:call-template name="crossRefEntries"/>
</embed>
</object>
</xsl0:template>

	
<xsl0:template match="sm:WFlash" mode="content">
<xsl0:variable name="vUrl">{<xsl0:apply-templates mode="getBinaryUrl" select="sm:binaryUrl"/>}<xsl0:apply-templates select="sm:param[@type='url']" mode="urlInlineParams"/></xsl0:variable>
<object type="application/x-shockwave-flash" data="{$vUrl}">
<xsl0:call-template name="classAtt"/>
<xsl0:choose>
<xsl0:when test="parent::sm:link">
<xsl0:attribute name="width">100%</xsl0:attribute>
<xsl0:attribute name="height">100%</xsl0:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="sizeAtts">
<xsl0:with-param name="pDefaultFinalTransform" select="'swf2dims'"/>
</xsl0:call-template>
</xsl0:otherwise>
</xsl0:choose>
<xsl0:call-template name="crossRefEntries"/>
<param name="movie" value="{$vUrl}" />
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="content"/>
<xsl0:apply-templates select="sm:alt/*" mode="content"/>
</object>

</xsl0:template>
<xsl0:template match="sm:WFlash/sm:alt/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>

	
<xsl0:template match="sm:WVideoFlv" mode="content">
<xsl0:variable name="vParams">
<xsl0:if test="sm:options/@autoPlay='true'">&amp;autoplay=1</xsl0:if>
<xsl0:if test="sm:options/@autoLoad='true' and not(sm:options/@autoPlay='true')">&amp;autoload=1</xsl0:if>
<xsl0:if test="sm:options/@loop='true'">&amp;loop=1</xsl0:if>
<xsl0:if test="sm:options/@volume and not(sm:options/@volume=100)">&amp;volume=<xsl0:value-of select="sm:options/@volume"/></xsl0:if>
<xsl0:if test="sm:interface/@bgImageSrc">&amp;skin={resultatAgent('//', 'pubres:/<xsl0:value-of select="concat(si(sm:interface/@srcFrom='skin','site/skin/',''),sm:interface/@bgImageSrc)"/>')}</xsl0:if>
<xsl0:if test="sm:interface/@bgColor">&amp;bgcolor=<xsl0:value-of select="sm:interface/@bgColor"/></xsl0:if>
<xsl0:if test="sm:interface/@topColor">&amp;bgcolor1=<xsl0:value-of select="sm:interface/@topColor"/></xsl0:if>
<xsl0:if test="sm:interface/@bottomColor">&amp;bgcolor2=<xsl0:value-of select="sm:interface/@bottomColor"/></xsl0:if>
<xsl0:if test="sm:interface/@margin">&amp;margin=<xsl0:value-of select="sm:interface/@margin"/></xsl0:if>
<xsl0:if test="sm:start/@imageSrc">&amp;startimage={resultatAgent('//', 'pubres:/<xsl0:value-of select="concat(si(sm:start/@srcFrom='skin','site/skin/',''),sm:start/@bgImageSrc)"/>')}</xsl0:if>
<xsl0:if test="sm:start/@bgColor">&amp;videobgcolor=<xsl0:value-of select="sm:start/@bgColor"/></xsl0:if>
<xsl0:if test="sm:start/@title">&amp;title=<xsl0:value-of select="sm:start/@title"/></xsl0:if>
<xsl0:if test="sm:start/@titleSize">&amp;titlesize=<xsl0:value-of select="sm:start/@titleSize"/></xsl0:if>
<xsl0:if test="sm:start/@titleColor">&amp;titlecolor=<xsl0:value-of select="sm:start/@titleColor"/></xsl0:if>
<xsl0:if test="sm:player/@show and not(sm:player/@show='autohide')">&amp;showplayer=<xsl0:value-of select="sm:player/@show"/></xsl0:if>
<xsl0:if test="sm:player/@bgColor">&amp;playercolor=<xsl0:value-of select="sm:player/@bgColor"/></xsl0:if>
<xsl0:if test="sm:player/@alpha">&amp;playeralpha=<xsl0:value-of select="sm:player/@alpha"/></xsl0:if>
<xsl0:if test="sm:player/@hideTimeout">&amp;playertimeout=<xsl0:value-of select="sm:player/@hideTimeout"/></xsl0:if>
<xsl0:if test="sm:buttons/@color">&amp;buttoncolor=<xsl0:value-of select="sm:buttons/@color"/></xsl0:if>
<xsl0:if test="sm:buttons/@overColor">&amp;buttonovercolor=<xsl0:value-of select="sm:buttons/@overColor"/></xsl0:if>
<xsl0:if test="sm:stopButton">&amp;showstop=1</xsl0:if>
<xsl0:if test="sm:stopButton/@cancelLoad">&amp;loadonstop=0</xsl0:if>
<xsl0:if test="sm:volumeButton">&amp;showvolume=1</xsl0:if>
<xsl0:if test="sm:timeButton">&amp;showtime=1</xsl0:if>
<xsl0:if test="sm:fullscreenButton">&amp;showfullscreen=1</xsl0:if>
<xsl0:if test="sm:slider/@topColor">&amp;slidercolor1=<xsl0:value-of select="sm:slider/@topColor"/></xsl0:if>
<xsl0:if test="sm:slider/@bottomColor">&amp;slidercolor2=<xsl0:value-of select="sm:slider/@bottomColor"/></xsl0:if>
<xsl0:if test="sm:slider/@overColor">&amp;sliderovercolor=<xsl0:value-of select="sm:slider/@overColor"/></xsl0:if>
<xsl0:if test="sm:loadingBar/@show and not(sm:loadingBar/@show='autohide')">&amp;showloading=<xsl0:value-of select="sm:loadingBar/@show"/></xsl0:if>
<xsl0:if test="sm:loadingBar/@color">&amp;loadingcolor=<xsl0:value-of select="sm:loadingBar/@color"/></xsl0:if>
<xsl0:if test="sm:iconPlay">&amp;showiconplay=1</xsl0:if>
<xsl0:if test="sm:iconPlay/@color">&amp;iconplaycolor=<xsl0:value-of select="sm:iconPlay/@color"/></xsl0:if>
<xsl0:if test="sm:iconPlay/@bgColor">&amp;iconplaybgcolor=<xsl0:value-of select="sm:iconPlay/@bgColor"/></xsl0:if>
<xsl0:if test="sm:iconPlay/@alpha">&amp;iconplaybgalpha=<xsl0:value-of select="sm:iconPlay/@alpha"/></xsl0:if>
<xsl0:if test="sm:configFile">&amp;<xsl0:value-of select="si(sm:configFile/@format='xml','configxml','config')"/>={resultatAgent('//', 'pubres:/<xsl0:value-of select="concat(si(sm:configFile/@srcFrom='skin','site/skin/',''),sm:configFile/@src)"/>')}</xsl0:if>
</xsl0:variable>
<xsl0:variable name="vUrl">{java:com.scenari.m.ge.generator.base.GeneratorBase.buildRelativeUrl($flashPlayerFlv, <xsl0:apply-templates mode="getBinaryUrl" select="sm:binaryUrl"/>)}</xsl0:variable>
<object type="application/x-shockwave-flash" data="{{$flashPlayerFlv}}">
<xsl0:call-template name="classAtt"/>
<xsl0:choose>
<xsl0:when test="parent::sm:link">
<xsl0:attribute name="width">100%</xsl0:attribute>
<xsl0:attribute name="height">100%</xsl0:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="sizeAtts">
<xsl0:with-param name="pDefaultFinalTransform" select="'ffmpeg'"/>
<xsl0:with-param name="pHeightToAdd" select="si(sm:interface/@margin, sm:interface/@margin * 2, 10) + si(sm:player/@show='always', 20, 0)"/>
<xsl0:with-param name="pWidthToAdd" select="si(sm:interface/@margin,sm:interface/@margin * 2, 10)"/>
</xsl0:call-template>
</xsl0:otherwise>
</xsl0:choose>
<xsl0:call-template name="crossRefEntries"/>
<param name="movie" value="{{$flashPlayerFlv}}" />
<xsl0:choose>
<xsl0:when test="sm:interface/@bgColor">
<param name="bgcolor" value="{sm:interface/@bgColor}" />
</xsl0:when>
<xsl0:otherwise>
<param name="wmode" value="{returnFirst(sm:pluginConfig/@wmode,'transparent')}"/>
</xsl0:otherwise>
</xsl0:choose>
<xsl0:if test="sm:fullscreenButton">
<param name="allowFullScreen" value="true"/>
</xsl0:if>
<param name="FlashVars" value="flv={$vUrl}{$vParams}" />
<xsl0:apply-templates select="sm:alt/*" mode="content"/>
</object>
</xsl0:template>
<xsl0:template match="sm:WVideoFlv/sm:alt/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>
	
	
<xsl0:template match="sm:WVideo" mode="content">
<xsl0:variable name="vUrlParams"><xsl0:apply-templates select="sm:param[@type='url']" mode="urlInlineParams"/></xsl0:variable>
<xsl0:variable name="vUrlNoParams"><xsl0:apply-templates mode="getBinaryUrl" select="sm:binaryUrl"/></xsl0:variable>
<xsl0:variable name="vUrl">{<xsl0:value-of select="$vUrlNoParams"/>}<xsl0:value-of select="$vUrlParams"/></xsl0:variable>
<xsl0:choose>
			
<xsl0:when test="sm:pluginType/@value='quicktime'">
<object codebase="http://www.apple.com/qtactivex/qtplugin.cab" classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="sizeAtts">
<xsl0:with-param name="pHeightToAdd" select="si(sm:showControls/@value, si(sm:showControls/@value='true',15,0), 15)"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<param name="src" value="{$vUrl}"/>
<param name="autoplay"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:autoStart/@value, sm:autoStart/@value, 'false')"/></xsl0:attribute></param>
<param name="controller"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:showControls/@value, sm:showControls/@value, 'true')"/></xsl0:attribute></param>
<param name="loop"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:loop/@value, sm:loop/@value, 'false')"/></xsl0:attribute></param>
<param value="aspect" name="scale"/>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="content"/>
<embed pluginspage="http://www.apple.com/quicktime/download/" src="{$vUrl}" type="video/quicktime">
<xsl0:call-template name="classAtt"/>
<xsl0:attribute name="autoplay"><xsl0:value-of select="si(sm:autoStart/@value, sm:autoStart/@value, 'false')"/></xsl0:attribute>
<xsl0:attribute name="controller"><xsl0:value-of select="si(sm:showControls/@value, sm:showControls/@value, 'true')"/></xsl0:attribute>
<xsl0:attribute name="loop"><xsl0:value-of select="si(sm:loop/@value, sm:loop/@value, 'false')"/></xsl0:attribute>
<xsl0:attribute name="scale">aspect</xsl0:attribute>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="contentEmbedAtts"/>
<xsl0:call-template name="sizeAtts">
<xsl0:with-param name="pHeightToAdd" select="si(sm:showControls/@value, si(sm:showControls/@value='true',15,0), 15)"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
</embed>
</object>
</xsl0:when>
			
<xsl0:when test="sm:pluginType/@value='mediaplayer'">
<object codebase="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=6,4,5,715" classid="CLSID:22d6f312-b0f6-11d0-94ab-0080c74c7e95" standby="Loading..." type="application/x-oleobject">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="sizeAtts">
<xsl0:with-param name="pHeightToAdd" select="si(sm:showControls/@value, si(sm:showControls/@value='true',45,0), 45)"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<param name="src" value="{$vUrl}"/>
<param name="autoStart"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:autoStart/@value, sm:autoStart/@value, 'false')"/></xsl0:attribute></param>
<param name="showControls"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:showControls/@value, sm:showControls/@value, 'true')"/></xsl0:attribute></param>
<param name="loop"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:loop/@value, sm:loop/@value, 'false')"/></xsl0:attribute></param>
<param value="false" name="transparentatStart"/>
<param value="false" name="animationatStart"/>
<param value="false" name="autosize"/>
<param value="0" name="displaysize"/>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="content"/>
<embed pluginspage="http://www.microsoft.com/windows/windowsmedia/download/" src="{$vUrl}" type="application/x-mplayer2">
<xsl0:call-template name="classAtt"/>
<xsl0:attribute name="autostart"><xsl0:value-of select="si(sm:autoStart/@value, si(sm:autoStart/@value='true','-1','0'), '0')"/></xsl0:attribute>
<xsl0:attribute name="showcontrols"><xsl0:value-of select="si(sm:showControls/@value, si(sm:showControls/@value='true','-1','0'), 'true')"/></xsl0:attribute>
<xsl0:attribute name="ShowStatusBar"><xsl0:value-of select="si(sm:showControls/@value, si(sm:showControls/@value='true','-1','0'), 'true')"/></xsl0:attribute>
<xsl0:attribute name="loop"><xsl0:value-of select="si(sm:loop/@value, si(sm:loop/@value='true','-1','0'), 'false')"/></xsl0:attribute>
<xsl0:attribute name="showDisplay">0</xsl0:attribute>
<xsl0:attribute name="autosize">0</xsl0:attribute>
<xsl0:attribute name="displaysize">0</xsl0:attribute>
<xsl0:attribute name="showstatusbar">0</xsl0:attribute>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="contentEmbedAtts"/>
<xsl0:call-template name="sizeAtts">
<xsl0:with-param name="pHeightToAdd" select="si(sm:showControls/@value, si(sm:showControls/@value='true',45,0), 45)"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
</embed>
</object>
</xsl0:when>
			
<xsl0:when test="sm:pluginType/@value='realplayer'">
<object classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="sizeAtts"/>
<xsl0:call-template name="crossRefEntries"/>
<param name="src" value="{$vUrl}"/>
<param name="console" value="{generate-id()}_{{idExportAgent($vAgent)}}"/>
<param name="autostart"><xsl0:attribute name="value"><xsl0:value-of select="boolean(sm:autoStart/@value)"/></xsl0:attribute></param>
<param name="controls"><xsl0:attribute name="value">ImageWindow</xsl0:attribute></param>
<param name="loop"><xsl0:attribute name="value"><xsl0:value-of select="boolean(sm:loop/@value)"/></xsl0:attribute></param>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="content"/>
<embed console="{generate-id()}_{{idExportAgent($vAgent)}}" src="{$vUrl}" type="audio/x-pn-realaudio-plugin">
<xsl0:call-template name="classAtt"/>
<xsl0:attribute name="autostart"><xsl0:value-of select="boolean(sm:autoStart/@value)"/></xsl0:attribute>
<xsl0:attribute name="controls">ImageWindow</xsl0:attribute>
<xsl0:attribute name="loop"><xsl0:value-of select="boolean(sm:loop/@value)"/></xsl0:attribute>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="contentEmbedAtts"/>
<xsl0:call-template name="sizeAtts"/>
<xsl0:call-template name="crossRefEntries"/>
</embed>
</object>
<xsl0:if test="not(sm:showControls/@value='false')">
<br/><object classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA">
<xsl0:call-template name="classAtt"/>
<xsl0:attribute name="height">30</xsl0:attribute>
<xsl0:call-template name="sizeAttWidth"/>
<param name="src" value="{$vUrl}"/>
<param name="console" value="{generate-id()}_{{idExportAgent($vAgent)}}"/>
<param name="autostart"><xsl0:attribute name="value"><xsl0:value-of select="boolean(sm:autoStart/@value)"/></xsl0:attribute></param>
<param name="controls"><xsl0:attribute name="value">ControlPanel</xsl0:attribute></param>
<param name="loop"><xsl0:attribute name="value"><xsl0:value-of select="boolean(sm:loop/@value)"/></xsl0:attribute></param>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="content"/>
<embed console="{generate-id()}_{{idExportAgent($vAgent)}}"  src="{{{$vUrlNoParams}}}" type="audio/x-pn-realaudio-plugin">
<xsl0:call-template name="classAtt"/>
<xsl0:attribute name="height">30</xsl0:attribute>
<xsl0:attribute name="autostart"><xsl0:value-of select="boolean(sm:autoStart/@value)"/></xsl0:attribute>
<xsl0:attribute name="controls">ControlPanel</xsl0:attribute>
<xsl0:attribute name="loop"><xsl0:value-of select="boolean(sm:loop/@value)"/></xsl0:attribute>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="contentEmbedAtts"/>
<xsl0:call-template name="sizeAttWidth"/>
</embed>
</object>
</xsl0:if>
</xsl0:when>
			
<xsl0:when test="sm:pluginType/@value='flashPlayer'">
<xsl0:variable name="vUrlRel">{java:com.scenari.m.ge.generator.base.GeneratorBase.buildRelativeUrl($flashPlayerVideo, <xsl0:value-of select="$vUrlNoParams"/>)}</xsl0:variable>
<object width="{returnFirst(sm:declareSize/@width, 270)}" height="{returnFirst(sm:declareSize/@height, si(sm:showControls/@value='true', 250, 202))}" classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="crossRefEntries"/>
<param name="src" value="{{$flashPlayerVideo}}{$vUrlParams}"/>
<param name="flashVars" value="src={$vUrlRel}&amp;autostart={si(sm:autoStart/@value='true', '1', '0')}&amp;loop={si(sm:loop/@value='true', '1', '0')}&amp;showcontrols={si(sm:showControls/@value='false', '0', '1')}"/>
<param name="quality" value="high"/>
<param name="wmode" value="transparent"/>
<param name="bgcolor" value="#FFFFFF"/>
<param name="menu" value="false"/>
<param name="allowScriptAccess" value="sameDomain"/>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="content"/>
<embed width="{returnFirst(sm:declareSize/@width, 270)}" 
						   height="{returnFirst(sm:declareSize/@height, si(sm:showControls/@value='true', 250, 202))}" 
						   pluginspage="http://www.macromedia.com/go/getflash/" 
						   src="{{$flashPlayerVideo}}{$vUrlParams}" 
						   flashVars="src={$vUrlRel}&amp;autostart={si(sm:autoStart/@value='true', '1', '0')}&amp;loop={si(sm:loop/@value='true', '1', '0')}&amp;showcontrols={si(sm:showControls/@value='false', '0', '1')}" 
						   type="application/x-shockwave-flash">
<xsl0:call-template name="classAtt"/>
<xsl0:attribute name="quality">high</xsl0:attribute>
<xsl0:attribute name="wmode">transparent</xsl0:attribute>
<xsl0:attribute name="bgcolor">#FFFFFF</xsl0:attribute>
<xsl0:attribute name="menu">false</xsl0:attribute>
<xsl0:attribute name="allowScriptAccess">sameDomain</xsl0:attribute>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="contentEmbedAtts"/>
<xsl0:call-template name="crossRefEntries"/>
</embed>
</object>
</xsl0:when>
</xsl0:choose>
</xsl0:template>

	
<xsl0:template match="sm:WAudioMp3" mode="content">
<xsl0:variable name="vUrl">{<xsl0:apply-templates mode="getBinaryUrl" select="sm:binaryUrl"/>}</xsl0:variable>
<xsl0:variable name="vParams">
<xsl0:if test="sm:declareSize/@width">&amp;width=<xsl0:value-of select="sm:declareSize/@width"/></xsl0:if>
<xsl0:if test="sm:declareSize/@height">&amp;height=<xsl0:value-of select="sm:declareSize/@height"/></xsl0:if>
<xsl0:if test="sm:options/@autoPlay='true'">&amp;autoplay=1</xsl0:if>
<xsl0:if test="sm:options/@autoLoad='true' and not(sm:options/@autoPlay='true')">&amp;autoload=1</xsl0:if>
<xsl0:if test="sm:options/@loop='true'">&amp;loop=1</xsl0:if>
<xsl0:if test="sm:options/@volume and not(sm:options/@volume=100)">&amp;volume=<xsl0:value-of select="sm:options/@volume"/></xsl0:if>
<xsl0:if test="sm:interface/@bgImageSrc">&amp;skin={resultatAgent('//', 'pubres:/<xsl0:value-of select="concat(si(sm:interface/@srcFrom='skin','site/skin/',''),sm:interface/@bgImageSrc)"/>')}</xsl0:if>
<xsl0:if test="sm:interface/@bgColor">&amp;bgcolor=<xsl0:value-of select="sm:interface/@bgColor"/></xsl0:if>
<xsl0:if test="sm:interface/@topColor">&amp;bgcolor1=<xsl0:value-of select="sm:interface/@topColor"/></xsl0:if>
<xsl0:if test="sm:interface/@bottomColor">&amp;bgcolor2=<xsl0:value-of select="sm:interface/@bottomColor"/></xsl0:if>
<xsl0:if test="sm:buttons/@width">&amp;buttonwidth=<xsl0:value-of select="sm:buttons/@width"/></xsl0:if>
<xsl0:if test="sm:buttons/@color">&amp;buttoncolor=<xsl0:value-of select="sm:buttons/@color"/></xsl0:if>
<xsl0:if test="sm:buttons/@overColor">&amp;buttonovercolor=<xsl0:value-of select="sm:buttons/@overColor"/></xsl0:if>
<xsl0:if test="sm:stopButton">&amp;showstop=1</xsl0:if>
<xsl0:if test="sm:infoButton">&amp;showinfo=1</xsl0:if>
<xsl0:if test="sm:infoButton/@textColor">&amp;textcolor=<xsl0:value-of select="sm:infoButton/@textColor"/></xsl0:if>
<xsl0:if test="sm:volumeButton">&amp;showvolume=1</xsl0:if>
<xsl0:if test="sm:volumeButton/@width">&amp;volumewidth=<xsl0:value-of select="sm:volumeButton/@width"/></xsl0:if>
<xsl0:if test="sm:volumeButton/@height">&amp;volumeheight=<xsl0:value-of select="sm:volumeButton/@height"/></xsl0:if>
<xsl0:if test="sm:slider/@show='false'">&amp;showslider=0</xsl0:if>
<xsl0:if test="sm:slider/@width">&amp;sliderwidth=<xsl0:value-of select="sm:slider/@width"/></xsl0:if>
<xsl0:if test="sm:slider/@height">&amp;sliderheight=<xsl0:value-of select="sm:slider/@height"/></xsl0:if>
<xsl0:if test="sm:slider/@topColor">&amp;slidercolor1=<xsl0:value-of select="sm:slider/@topColor"/></xsl0:if>
<xsl0:if test="sm:slider/@bottomColor">&amp;slidercolor2=<xsl0:value-of select="sm:slider/@bottomColor"/></xsl0:if>
<xsl0:if test="sm:slider/@overColor">&amp;sliderovercolor=<xsl0:value-of select="sm:slider/@overColor"/></xsl0:if>
<xsl0:if test="sm:loadingBar/@show and not(sm:loadingBar/@show='autohide')">&amp;showloading=<xsl0:value-of select="sm:loadingBar/@show"/></xsl0:if>
<xsl0:if test="sm:loadingBar/@color">&amp;loadingcolor=<xsl0:value-of select="sm:loadingBar/@color"/></xsl0:if>
<xsl0:if test="sm:configFile">&amp;<xsl0:value-of select="si(sm:configFile/@format='xml','configxml','config')"/>={resultatAgent('//', 'pubres:/<xsl0:value-of select="concat(si(sm:configFile/@srcFrom='skin','site/skin/',''),sm:configFile/@src)"/>')}</xsl0:if>
</xsl0:variable>
<object type="application/x-shockwave-flash" data="{{$flashPlayerMp3}}" width="{returnFirst(sm:declareSize/@width, 200)}" height="{returnFirst(sm:declareSize/@height, 20)}">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="crossRefEntries"/>
<param name="movie" value="{{$flashPlayerMp3}}" />
<xsl0:choose>
<xsl0:when test="sm:interface/@bgColor">
<param name="bgcolor" value="{sm:interface/@bgColor}" />
</xsl0:when>
<xsl0:otherwise>
<param name="wmode" value="{returnFirst(sm:pluginConfig/@wmode,'transparent')}"/>
</xsl0:otherwise>
</xsl0:choose>
<param name="FlashVars" value="mp3={$vUrl}{$vParams}"/>
<xsl0:apply-templates select="sm:alt/*" mode="content"/>
</object>
</xsl0:template>
<xsl0:template match="sm:WAudioMp3/sm:alt/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>

	
<xsl0:template match="sm:WAudio" mode="content">
<xsl0:variable name="vUrlParams"><xsl0:apply-templates select="sm:param[@type='url']" mode="urlInlineParams"/></xsl0:variable>
<xsl0:variable name="vUrlNoParams"><xsl0:apply-templates mode="getBinaryUrl" select="sm:binaryUrl"/></xsl0:variable>
<xsl0:variable name="vUrl">{<xsl0:value-of select="$vUrlNoParams"/>}<xsl0:value-of select="$vUrlParams"/></xsl0:variable>
<xsl0:choose>
			
<xsl0:when test="sm:pluginType/@value='quicktime'">
<object codebase="http://www.apple.com/qtactivex/qtplugin.cab" classid="clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B" 
						height="{si(not(sm:showControls/@value='false'), returnFirst(sm:declareSize/@height, '16'), '0')}">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="sizeAttWidth"/>
<xsl0:call-template name="crossRefEntries"/>
<param name="src" value="{$vUrl}"/>
<param name="autoplay"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:autoStart/@value, sm:autoStart/@value, 'false')"/></xsl0:attribute></param>
<param name="controller"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:showControls/@value, sm:showControls/@value, 'true')"/></xsl0:attribute></param>
<param name="loop"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:loop/@value, sm:loop/@value, 'false')"/></xsl0:attribute></param>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="content"/>
<embed pluginspage="http://www.apple.com/quicktime/download/" src="{$vUrl}" type="video/quicktime"
						   height="{si(not(sm:showControls/@value='false'), returnFirst(sm:declareSize/@height, '16'), '0')}">
<xsl0:call-template name="classAtt"/>
<xsl0:attribute name="autoplay"><xsl0:value-of select="si(sm:autoStart/@value, sm:autoStart/@value, 'false')"/></xsl0:attribute>
<xsl0:attribute name="controller"><xsl0:value-of select="si(sm:showControls/@value, sm:showControls/@value, 'true')"/></xsl0:attribute>
<xsl0:attribute name="loop"><xsl0:value-of select="si(sm:loop/@value, sm:loop/@value, 'false')"/></xsl0:attribute>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="contentEmbedAtts"/>
<xsl0:call-template name="sizeAttWidth"/>
<xsl0:call-template name="crossRefEntries"/>
</embed>
</object>
</xsl0:when>
			
<xsl0:when test="sm:pluginType/@value='mediaplayer'">
<object codebase="http://activex.microsoft.com/activex/controls/mplayer/en/nsmp2inf.cab#Version=6,4,5,715" classid="CLSID:22d6f312-b0f6-11d0-94ab-0080c74c7e95" standby="Loading..." type="application/x-oleobject"
						height="{si(not(sm:showControls/@value='false'), returnFirst(sm:declareSize/@height, '45'), '0')}">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="sizeAttWidth"/>
<xsl0:call-template name="crossRefEntries"/>
<param name="src" value="{$vUrl}"/>
<param name="autoStart"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:autoStart/@value, sm:autoStart/@value, 'false')"/></xsl0:attribute></param>
<param name="showControls"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:showControls/@value, sm:showControls/@value, 'true')"/></xsl0:attribute></param>
<param name="loop"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:loop/@value, sm:loop/@value, 'false')"/></xsl0:attribute></param>
<param value="false" name="transparentatStart"/>
<param value="false" name="animationatStart"/>
<param value="false" name="autosize"/>
<param value="0" name="displaysize"/>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="content"/>
<embed pluginspage="http://www.microsoft.com/windows/windowsmedia/download/" src="{$vUrl}" type="application/x-mplayer2"
						   height="{si(not(sm:showControls/@value='false'), returnFirst(sm:declareSize/@height, '45'), '0')}">
<xsl0:call-template name="classAtt"/>
<xsl0:attribute name="autostart"><xsl0:value-of select="si(sm:autoStart/@value, si(sm:autoStart/@value='true','-1','0'), '0')"/></xsl0:attribute>
<xsl0:attribute name="showcontrols"><xsl0:value-of select="si(sm:showControls/@value, si(sm:showControls/@value='true','-1','0'), 'true')"/></xsl0:attribute>
<xsl0:attribute name="ShowStatusBar"><xsl0:value-of select="si(sm:showControls/@value, si(sm:showControls/@value='true','-1','0'), 'true')"/></xsl0:attribute>
<xsl0:attribute name="loop"><xsl0:value-of select="si(sm:loop/@value, si(sm:loop/@value='true','-1','0'), 'false')"/></xsl0:attribute>
<xsl0:attribute name="showDisplay">0</xsl0:attribute>
<xsl0:attribute name="autosize">0</xsl0:attribute>
<xsl0:attribute name="displaysize">0</xsl0:attribute>
<xsl0:attribute name="showstatusbar">0</xsl0:attribute>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="contentEmbedAtts"/>
<xsl0:call-template name="sizeAttWidth"/>
<xsl0:call-template name="crossRefEntries"/>
</embed>
</object>
</xsl0:when>
			
<xsl0:when test="sm:pluginType/@value='realplayer'">
<object classid="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA" height="{si(not(sm:showControls/@value='false'), returnFirst(sm:declareSize/@height, '30'), '0')}">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="sizeAttWidth"/>
<xsl0:call-template name="crossRefEntries"/>
<param name="src" value="{$vUrl}"/>
<param name="autostart"><xsl0:attribute name="value"><xsl0:value-of select="si(sm:autoStart/@value, sm:autoStart/@value, 'false')"/></xsl0:attribute></param>
<param name="controls"><xsl0:attribute name="value">ControlPanel</xsl0:attribute></param>
<param name="console" value="{generate-id()}_{{idExportAgent($vAgent)}}"/>
<param name="loop"><xsl0:attribute name="value"><xsl0:value-of select="si(boolean(sm:loop/@value), sm:loop/@value, 'false')"/></xsl0:attribute></param>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="content"/>
<embed console="{generate-id()}_{{idExportAgent($vAgent)}}" src="{$vUrl}" type="audio/x-pn-realaudio-plugin"
						   height="{si(not(sm:showControls/@value='false'), returnFirst(sm:declareSize/@height, '30'), '0')}">
<xsl0:call-template name="classAtt"/>
<xsl0:attribute name="autostart"><xsl0:value-of select="si(sm:autoStart/@value, sm:autoStart/@value, 'false')"/></xsl0:attribute>
<xsl0:attribute name="controls">ControlPanel</xsl0:attribute>
<xsl0:attribute name="loop"><xsl0:value-of select="si(sm:loop/@value, sm:loop/@value, 'false')"/></xsl0:attribute>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="contentEmbedAtts"/>
<xsl0:call-template name="sizeAttWidth"/>
<xsl0:call-template name="crossRefEntries"/>
</embed>
</object>
</xsl0:when>
			
<xsl0:when test="sm:pluginType/@value='flashPlayer'">
<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://fpdownload.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0"
						height="{returnFirst(sm:declareSize/@height, '46')}" width="{returnFirst(sm:declareSize/@width, '270')}">
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="crossRefEntries"/>
<param name="src" value="{{$flashPlayerAudio}}{$vUrlParams}"/>
<param name="flashVars" value="src={{{$vUrlNoParams}}}&amp;autostart={si(sm:autoStart/@value='true', '1', '0')}&amp;loop={si(sm:loop/@value='true', '1', '0')}&amp;showcontrols={si(sm:showControls/@value='false', '0', '1')}"/>
<param name="quality" value="high"/>
<param name="wmode" value="transparent"/>
<param name="bgcolor" value="#FFFFFF"/>
<param name="menu" value="false"/>
<param name="allowScriptAccess" value="sameDomain"/>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="content"/>
<embed pluginspage="http://www.macromedia.com/go/getflash/" src="{{$flashPlayerAudio}}{$vUrlParams}" flashVars="src={{{$vUrlNoParams}}}&amp;autostart={si(sm:autoStart/@value='true', '1', '0')}&amp;loop={si(sm:loop/@value='true', '1', '0')}&amp;showcontrols={si(sm:showControls/@value='false', '0', '1')}" type="application/x-shockwave-flash"
						   height="{returnFirst(sm:declareSize/@height, '46')}" width="{returnFirst(sm:declareSize/@width, '270')}">
<xsl0:call-template name="classAtt"/>
<xsl0:attribute name="quality">high</xsl0:attribute>
<xsl0:attribute name="wmode">transparent</xsl0:attribute>
<xsl0:attribute name="bgcolor">#FFFFFF</xsl0:attribute>
<xsl0:attribute name="menu">false</xsl0:attribute>
<xsl0:attribute name="allowScriptAccess">sameDomain</xsl0:attribute>
<xsl0:apply-templates select="sm:param[count(@type)=0 or @type!='url']" mode="contentEmbedAtts"/>
<xsl0:call-template name="crossRefEntries"/>
</embed>
</object>
</xsl0:when>
</xsl0:choose>
</xsl0:template>

	
<xsl0:template match="sm:param" mode="content">
<param name="{@name}">
<xsl0:attribute name="value">{<xsl0:apply-templates mode="pathNav"/>}</xsl0:attribute>
</param> 
</xsl0:template>
<xsl0:template match="sm:param" mode="contentEmbedAtts">
<xsl0:attribute name="{@name}">{<xsl0:apply-templates mode="pathNav"/>}</xsl0:attribute>
</xsl0:template>
<xsl0:template match="sm:param" mode="urlInlineParams">
<xsl0:choose>
<xsl0:when test="position()=1">?</xsl0:when>
<xsl0:otherwise>&amp;</xsl0:otherwise>
</xsl0:choose>
<xsl0:value-of select="@name"/>={<xsl0:apply-templates mode="pathNav"/>}
</xsl0:template>
	
	
<xsl0:template match="sm:WIFrame" mode="content">
<iframe>
<xsl0:attribute name="frameborder"><xsl0:value-of select="si(@frameborder='yes','1','0')"/></xsl0:attribute>
<xsl0:if test="@scrolling"><xsl0:attribute name="scrolling"><xsl0:value-of select="@scrolling"/></xsl0:attribute></xsl0:if>
<xsl0:if test="@marginheight"><xsl0:attribute name="marginheight"><xsl0:value-of select="@marginheight"/></xsl0:attribute></xsl0:if>
<xsl0:if test="@marginwidth"><xsl0:attribute name="marginwidth"><xsl0:value-of select="@marginwidth"/></xsl0:attribute></xsl0:if>
<xsl0:attribute name="src">{<xsl0:apply-templates mode="pathNav"/>}</xsl0:attribute>
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="longDescAtt"/>
<xsl0:call-template name="sizeAtts"/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:if test="boolean(sm:frameTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:frameTitle/*" mode="content"/></addAttribute>
</xsl0:if>
</iframe>
</xsl0:template>
<xsl0:template match="sm:WIFrame/sm:frameTitle/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>
	
	
<xsl0:template match="sm:WImage" mode="content">
<xsl0:variable name="vUrl">{<xsl0:apply-templates mode="getBinaryUrl" select="sm:binaryUrl"/>}</xsl0:variable>
<xsl0:choose>
<xsl0:when test="boolean(sm:linkOverImage)">
<xsl0:variable name="vUrlLink">{<xsl0:apply-templates mode="getBinaryUrl" select="sm:linkOverImage/sm:binaryUrl"/>}</xsl0:variable>
<a href="{$vUrlLink}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="sm:linkOverImage/@class"/>
<xsl0:with-param name="pSuffix" select="'lnk'"/>
</xsl0:call-template>
<xsl0:if test="not(parent::sm:link)">
<xsl0:attribute name="target">_blank</xsl0:attribute>
</xsl0:if>
<img src="{$vUrl}">
<xsl0:if test="count(sm:alt) = 0">
<xsl0:attribute name="{si(parent::sm:link,'alt','lookForAlt')}">{resultatAgent('//fullTitleText')}</xsl0:attribute>
</xsl0:if>
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="sizeAtts"> 
<xsl0:with-param name="pDefaultFinalTransform" select="'img2img'"/>
</xsl0:call-template>
<xsl0:if test="boolean(descendant::sm:imageTransformForPrint)">
<xsl0:call-template name="sizeStyles"/> 
</xsl0:if>
<xsl0:call-template name="longDescAtt"/>
<xsl0:if test="boolean(sm:alt)">
<addAttribute name="{si(parent::sm:link,'alt','lookForAlt')}" filter="textOnly"><xsl0:apply-templates select="sm:alt/*" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:call-template name="crossRefEntries"/>
</img>
</a>
</xsl0:when>
<xsl0:otherwise>
<img src="{$vUrl}">
<xsl0:if test="count(sm:alt) = 0">
<xsl0:attribute name="{si(parent::sm:link,'alt','lookForAlt')}">{resultatAgent('//fullTitleText')}</xsl0:attribute>
</xsl0:if>
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="longDescAtt"/>
<xsl0:call-template name="sizeAtts">
<xsl0:with-param name="pDefaultFinalTransform" select="'img2img'"/>
</xsl0:call-template>
<xsl0:if test="boolean(descendant::sm:imageTransformForPrint)">
<xsl0:call-template name="sizeStyles"/> 
</xsl0:if>
<xsl0:if test="boolean(sm:alt)">
<addAttribute name="{si(parent::sm:link,'alt','lookForAlt')}" filter="textOnly"><xsl0:apply-templates select="sm:alt/*" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:call-template name="crossRefEntries"/>
</img>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:WImage/sm:alt/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>
	
	
<xsl0:template match="sm:WLink" mode="content">
<xsl0:variable name="vOptions">
<xsl0:choose>
<xsl0:when test="sm:link/sm:WImage[sm:declareSize] and (sm:link/sm:position or sm:link/sm:windowFeatures)">
<xsl0:call-template name="sizeVars">
<xsl0:with-param name="pWidget" select="sm:link/sm:WImage"/>
<xsl0:with-param name="pDefaultFinalTransform" select="'img2img'"/>
</xsl0:call-template>
<xsl0:call-template name="linkOptionsXsl">
<xsl0:with-param name="pWidthDefault">
<xsl:value-of select="round(java:getWidth($vPropsObj{generate-id(sm:link/sm:WImage)}))"/>
</xsl0:with-param>
<xsl0:with-param name="pHeightDefault">
<xsl:value-of select="round(java:getHeight($vPropsObj{generate-id(sm:link/sm:WImage)}))"/>
</xsl0:with-param>
</xsl0:call-template>
</xsl0:when>
<xsl0:when test="sm:link/sm:WFlash[sm:declareSize] and (sm:link/sm:position or sm:link/sm:windowFeatures)">
<xsl0:call-template name="sizeVars">
<xsl0:with-param name="pWidget" select="sm:link/sm:WFlash"/>
<xsl0:with-param name="pDefaultFinalTransform" select="'swf2dims'"/>
</xsl0:call-template>
<xsl0:call-template name="linkOptionsXsl">
<xsl0:with-param name="pWidthDefault">
<xsl:value-of select="round(java:getWidth($vPropsObj{generate-id(sm:link/sm:WFlash)}))"/>
</xsl0:with-param>
<xsl0:with-param name="pHeightDefault">
<xsl:value-of select="round(java:getHeight($vPropsObj{generate-id(sm:link/sm:WFlash)}))"/>
</xsl0:with-param>
</xsl0:call-template>
</xsl0:when>
<xsl0:when test="sm:link/sm:WVideoFlv[sm:declareSize] and (sm:link/sm:position or sm:link/sm:windowFeatures)">
<xsl0:call-template name="sizeVars">
<xsl0:with-param name="pWidget" select="sm:link/sm:WVideoFlv"/>
<xsl0:with-param name="pDefaultFinalTransform" select="'ffmpeg'"/>
<xsl0:with-param name="pHeightToAdd" select="si(sm:link/sm:WVideoFlv/sm:interface/@margin, sm:link/sm:WVideoFlv/sm:interface/@margin * 2, 10) + si(sm:link/sm:WVideoFlv/sm:player/@show='always', 20, 0)"/>
<xsl0:with-param name="pWidthToAdd" select="si(sm:link/sm:WVideoFlv/sm:interface/@margin, sm:link/sm:WVideoFlv/sm:interface/@margin * 2, 10)"/>
</xsl0:call-template>
<xsl0:call-template name="linkOptionsXsl">
<xsl0:with-param name="pWidthDefault">
<xsl:value-of select="round(java:getWidth($vPropsObj{generate-id(sm:link/sm:WVideoFlv)}))"/>
</xsl0:with-param>
<xsl0:with-param name="pHeightDefault">
<xsl:value-of select="round(java:getHeight($vPropsObj{generate-id(sm:link/sm:WVideoFlv)}))"/>
</xsl0:with-param>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="linkOptionsXsl"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<a>
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="linkHrefXsl">
<xsl0:with-param name="pUrl"><xsl0:apply-templates select="sm:link/*" mode="pathNavXsl"/></xsl0:with-param>
<xsl0:with-param name="pOptions" select="$vOptions"/>
<xsl0:with-param name="pExtraOptions"><xsl0:if test="sm:link/@target='subWindow'">SUBWINTI:'<xsl:value-of select="chaineProtegeJs(returnFirst(resultatAgent('//fullTitleText'), java:getSrcName(srcFileAgent()) ))"/>',</xsl0:if></xsl0:with-param>
</xsl0:call-template>
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/*" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:choose>
<xsl0:when test="count(sm:label/*) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="sm:label/*" mode="content"/></span></xsl0:otherwise>
</xsl0:choose></a>
</xsl0:template>
<xsl0:template match="sm:WLink/sm:label/sm:title | sm:WLink/sm:labelTitle/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>
	
	
<xsl0:template match="sm:WTooltip" mode="content">
<xsl0:variable name="vOptions">
<xsl0:call-template name="tooltipOptions"/>
</xsl0:variable>
<scTooltip>
<xsl0:attribute name="trigger"><xsl0:value-of select="si(sm:tooltip/sm:behavior/@trigger, sm:tooltip/sm:behavior/@trigger, 'onmouseover')"/></xsl0:attribute>
<xsl0:attribute name="class"><xsl0:value-of select="@widgetClass"/></xsl0:attribute>
<xsl0:attribute name="classRoot"><xsl0:value-of select="sm:tooltip/@class"/></xsl0:attribute>
<xsl0:attribute name="options"><xsl0:value-of select="si(string-length($vOptions)&gt;0, substring($vOptions,0,string-length($vOptions)), '')"/></xsl0:attribute>
<xsl0:if test="sm:tooltip/sm:basket">
<xsl0:attribute name="basketKey"><xsl0:value-of select="sm:tooltip/sm:basket/@key"/></xsl0:attribute>
<xsl0:attribute name="render"><xsl0:value-of select="returnFirst(sm:tooltip/sm:basket/@render,'asTooltip')"/></xsl0:attribute>
<xsl0:attribute name="basketLnk"><xsl0:value-of select="returnFirst(sm:tooltip/sm:basket/@addLinkToBasket,'yes')"/></xsl0:attribute>
<xsl:attribute name="itemKey"><xsl0:value-of select="sm:tooltip/sm:basket/@itemKey"/><xsl:value-of select="alphaHash(getIdNode(/*))"/></xsl:attribute>
</xsl0:if>
<xsl0:if test="sm:tooltip/sm:ttTitle"><scTooltipTitle><xsl0:apply-templates select="sm:tooltip/sm:ttTitle/*" mode="content"/></scTooltipTitle></xsl0:if>
<xsl0:if test="sm:tooltip/sm:ttContent"><scTooltipContent><xsl0:apply-templates select="sm:tooltip/sm:ttContent/*" mode="content"/></scTooltipContent></xsl0:if>
<xsl0:element name="{returnFirst(@tagName,'span')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="sm:label/@class"/>
<xsl0:with-param name="pSuffix" select="'_a'"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/*" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/*) = 0">&#160;</xsl0:when>
<xsl0:otherwise><xsl0:apply-templates select="sm:label/*" mode="content"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:element>
</scTooltip>
</xsl0:template>
<xsl0:template match="sm:WTooltip/sm:tooltip/sm:ttTitle/sm:title | sm:WTooltip/sm:tooltip/sm:ttContent/sm:title | sm:WTooltip/sm:label/sm:title | sm:WTooltip/sm:labelTitle/sm:title" mode="content">
<span><xsl0:apply-templates select="." mode="contentTitleIn"/></span>
</xsl0:template>
<xsl0:template match="sm:ttCloseButton" mode="content">
<a href="#" onclick="return scTooltipMgr.hideTooltip(true);">
<xsl0:call-template name="classAttTitle">
<xsl0:with-param name="pWidgetClass" select="../../../@widgetClass"/>
<xsl0:with-param name="pSuffix" select="'_x'"/>
</xsl0:call-template>
<xsl0:if test="@title"><xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute></xsl0:if>
<span><xsl0:value-of select="si(@caption, @caption, '&#160;')"/></span></a>
</xsl0:template>
	
	
<xsl0:template match="sm:WCaptionBlock" mode="content">
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:if test="@position='top'">
<ifText><div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ti'"/>
</xsl0:call-template>
<xsl0:apply-templates select="sm:caption/*" mode="content"/>
</div></ifText>
</xsl0:if>
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_co'"/>
</xsl0:call-template>
<xsl0:apply-templates select="sm:content/*" mode="content"/>
</div>
<xsl0:if test="not(@position='top')">
<ifText><div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ti'"/>
</xsl0:call-template>
<xsl0:apply-templates select="sm:caption/*" mode="content"/>
</div></ifText>
</xsl0:if>
</div>
</xsl0:template>
<xsl0:template match="sm:WCaptionBlock/sm:caption/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>
	
	
<xsl0:template match="sm:WSimpleBlock" mode="content">
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates sm:select="sm:title" mode="contentTitle">
<xsl0:with-param name="vWidgetClass" select="@widgetClass"/>
</xsl0:apply-templates>
<xsl0:apply-templates mode="content"/>
</div>
</xsl0:template>

	
<xsl0:template match="sm:WImg" mode="content">
<img alt="{@alt}">
<xsl0:call-template name="imgSrcAtts"/>
<xsl0:if test="@title">
<xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute>
</xsl0:if>
<xsl0:if test="@class">
<xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute>
</xsl0:if>
</img>
</xsl0:template>

	
<xsl0:template match="sm:binaryUrl" mode="content">
<xsl0:variable name="vUrl"><xsl0:apply-templates mode="getBinaryUrl" select="."/></xsl0:variable>
<xsl:value-of select="{$vUrl}"/>
</xsl0:template>

	
<xsl0:template match="sm:WFreeBlock" mode="content">
<xsl0:apply-templates mode="content"/>
</xsl0:template>
<xsl0:template match="sm:WFreeBlock/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>
<xsl0:template match="xhtml:*/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>
<xsl0:template match="xhtml:*" mode="content">
<xsl0:element name="{local-name()}">
<xsl0:apply-templates select="@*" mode="freeAtts"/>
<xsl0:apply-templates select="node()" mode="content"/>
</xsl0:element>
</xsl0:template>

<xsl0:template match="xhtml:img" mode="content">
<img src="{{translatePubPath2DestUrl(&quot;site/lib/{extractFileNameFromPath(@sc:refUri)}&quot;)}}" alt="{@alt}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
</img>
</xsl0:template>	

<xsl0:template match="sm:WFreeBlock//text()" mode="content">
<xsl0:if test="string-length(normalize-space(.)) &gt; 0"><xsl0:value-of select="."/></xsl0:if>
</xsl0:template>
<xsl0:template match="@*" mode="freeAtts">
<xsl0:attribute name="{local-name()}"><xsl0:value-of select="escapeXslAtt(.)"/></xsl0:attribute>
</xsl0:template>
<xsl0:template match="@sc:*" mode="freeAtts"/>

	
<xsl0:template match="sm:Widget" mode="content"><xsl:value-of select="resultatAgent(concat('widget_{generate-id(.)}_',generate-id()),.)" disable-output-escaping="yes"/></xsl0:template>

<xsl0:template match="sm:fixedString" mode="content"><xsl0:value-of select="text()"/></xsl0:template>
<xsl0:template match="sm:callBinaryMeta" mode="content">
<xsl:value-of disable-output-escaping="yes">
<xsl0:attribute name="select">resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent()), '/meta.xml')), '_meta<xsl0:value-of select="getAxisSuffix(@axis)"/>/xhtmlContent'))</xsl0:attribute>
</xsl:value-of>
</xsl0:template>
<xsl0:template match="sm:callModel" mode="content"><xsl:value-of select="resultatAgent('//callModel_{generate-id(.)}')" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="node()" mode="content"/>
	
	
<xsl0:template match="sm:title" mode="contentTitle">
<xsl0:param name="vWidgetClass"/>
<ifText><div>
<xsl0:call-template name="classAttTitle">
<xsl0:with-param name="pWidgetClass" select="$vWidgetClass"/>
<xsl0:with-param name="pSuffix" select="'_ti'"/>
</xsl0:call-template>
<span><xsl0:apply-templates select="." mode="contentTitleIn"/></span>
</div></ifText>
</xsl0:template>
<xsl0:template match="*" mode="contentTitle"/>
	
	
<xsl0:template match="sm:title[count(*)>1]" mode="contentTitleIn">
<xsl:choose>
<xsl0:apply-templates mode="titleMultiInXslWhen">
<xsl0:with-param name="pTitleFormat" select="'fullTitleText'"/>
</xsl0:apply-templates>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:title" mode="contentTitleIn">
<xsl0:choose>
<xsl0:when test="count(*) = 0">&#160;</xsl0:when>
<xsl0:otherwise>
<xsl0:choose>
<xsl0:when test="sm:binaryTitle">
<xsl0:value-of select="sm:binaryTitle/@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{sm:binaryTitle/@axis}'), '/{si(sm:binaryTitle/@format, sm:binaryTitle/@format, 'fullTitleText')}'))"/>
<xsl0:value-of select="sm:binaryTitle/@suffix"/>
</xsl0:when>
<xsl0:when test="sm:binaryMeta">
<xsl0:value-of select="sm:binaryMeta/@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent()), '/meta.xml')), '_meta{getAxisSuffix(sm:binaryMeta/@axis)}/{si(sm:binaryMeta/@format, sm:binaryMeta/@format, 'fullTitleText')}'))"/>
<xsl0:value-of select="sm:binaryMeta/@suffix"/>
</xsl0:when>
<xsl0:when test="sm:binaryFileName[@format='trimExtension']"><xsl:value-of select="substring-before(java:getSrcName(srcFileAgent()), '.')"/></xsl0:when>
<xsl0:when test="sm:binaryFileName"><xsl:value-of select="java:getSrcName(srcFileAgent())"/></xsl0:when>
<xsl0:when test="sm:dynamicString">
<xsl:value-of select="{sm:dynamicString/sm:freeSelect/@xpath}"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="sm:fixedTitle/@value"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="*" mode="contentTitleIn"/>
</xsl0:stylesheet>
