<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm xsl java xalan">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
<xsl0:variable name="vPrimSource" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
    
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
    
<xsl0:template match="sm:compositionOdtTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{resultatAgent('//axisTransformer')}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" codecomposant="{resultatAgent('codecomposant')}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<intitule type="xpath-dynamique">resultatAgent(metaAgt, 'shortTitleText')</intitule>
<valeur code="getContent">
<source type="xslOnSrc-dynamique" href="{resultatDialogue('../../contentFile', 'act:')}"/>
				
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
<xsl0:if test="computeNodeAgent($vAgentModel/source)/sm:structure/sm:meta/@sc:refUri">
				
<redirect code="metaAgt">
<pathAgent type="xpath-statique">concat('@', getIdNode(.), '_meta')</pathAgent>
</redirect>
				
<valeur code="codeMeta">
<source type="xpath-statique">concat(getIdNode(.), '_meta')</source>
</valeur>
<xsl0:if test="count(sm:fullTitleText)=0">
					
					
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent('//metaAgt', 'fullTitleText')</source>
</valeur>
</xsl0:if>
<xsl0:if test="count(sm:shortTitleText)=0">
					
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent('//metaAgt', 'shortTitleText')</source>
</valeur>
</xsl0:if>
</xsl0:if>
			
<xsl0:apply-templates select="*" mode="mAgt"/>
</structure>
</xsl0:template>
	
	
<xsl0:template match="sm:fullTitleText|sm:shortTitleText" mode="mAgt">
<valeur code="{local-name()}">
<source type="xslOnSrc-dynamique">
<xsl0:text disable-output-escaping="yes">
<![CDATA[
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	                               xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	                               xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	                               xmlns:java="http://xml.apache.org/xslt/java" 
	                               xmlns:xalan="http://xml.apache.org/xalan"
	                               exclude-result-prefixes="xalan" version="1.0">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	               ]]>
</xsl0:text>
<xsl:template match="*">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:apply-templates><xsl0:with-param name="pView" select="local-name()"/></xsl0:apply-templates>
</xsl:template>
<xsl0:text disable-output-escaping="yes">
<![CDATA[
</xsl:stylesheet>
	               ]]>
</xsl0:text>
</source>
</valeur>
</xsl0:template>	
	
<xsl0:template match="sm:callCompositionMeta[ancestor::sm:fullTitleText or ancestor::sm:shortTitleText]">
<xsl0:param name="pView"/>
<xsl:value-of select="resultatAgent(concat('@', resultatAgent('//codeMeta'), '{getAxisSuffix(@axis)}/{$pView}'))"/>
</xsl0:template>
	
<xsl0:template match="sm:callPartMeta[ancestor::sm:fullTitleText or ancestor::sm:shortTitleText]">
<xsl0:param name="pView"/>
<xsl:value-of select="resultatAgent(concat('@', getIdNode(sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}), '{getAxisSuffix(@axis)}_meta/{$pView}'))" disable-output-escaping="yes"/>
</xsl0:template>
    
<xsl0:template match="sm:callSubModel[ancestor::sm:fullTitleText or ancestor::sm:shortTitleText]">
<xsl0:param name="pView"/>
<xsl0:variable name="vXpath" select="si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')"/>
<xsl:value-of select="resultatAgent(concat('@', si((sp:{$vXpath})/@sc:refUri, getIdFromPath((sp:{$vXpath})/@sc:refUri), getIdNode(sp:{$vXpath})), '{getAxisSuffix(@axis)}', '/{$pView}'))" disable-output-escaping="yes"/>
</xsl0:template>
    
<xsl0:template match="sm:returnFirst">
<xsl0:param name="pView"/>
<xsl0:for-each select="*">
<xsl:variable name="rf_{generate-id()}"><xsl0:apply-templates select="."><xsl0:with-param name="pView" select="$pView"/></xsl0:apply-templates></xsl:variable>
</xsl0:for-each>
<xsl:value-of>
<xsl0:attribute name="select">
<xsl0:text>returnFirst(</xsl0:text>
<xsl0:for-each select="*">$rf_<xsl0:value-of select="generate-id()"/>,</xsl0:for-each>
<xsl0:text>'')</xsl0:text>
</xsl0:attribute>
</xsl:value-of>
</xsl0:template>
    	

		
<xsl0:template match="sm:when[@sc:refUri]" mode="mAgt">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
<xsl0:apply-templates select="*" mode="mAgt"/>
</xsl0:template>
	
    
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<valeur code="widget_{generate-id()}" codecomposant="concat('widget_{generate-id()}_', generate-id())">
<xsl0:if test="$pPath"><xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute></xsl0:if>
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agentsWidgetZones"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:for" mode="agentsWidgets">
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="concat('sp:', si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*'))"/>
</xsl0:apply-templates>
</xsl0:template>
	
<xsl0:template match="*" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="$pPath"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agentsWidgets"/>
	
	
<xsl0:template match="sm:odContentZone" mode="agentsWidgetZones">
<xsl0:param name="pPath"/>
<valeur code="{si(@key, concat('odContentZone_', @key), concat('XZ_', generate-id()))}">
<xsl0:if test="$pPath">
<xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">generate-id()</xsl0:attribute>
</xsl0:if>
<source type="xslOnSrc-dynamique" href="{resultatDialogue(concat('../../contentFile', generate-id()), 'act:')}"/>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
		
</xsl0:template>
<xsl0:template match="sm:for" mode="agentsWidgetZones">
<xsl0:apply-templates mode="agentsWidgetZones">
<xsl0:with-param name="pPath" select="concat('sp:', si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*'))"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="*" mode="agentsWidgetZones"/>
	
</xsl0:stylesheet>
