<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	exclude-result-prefixes="sm xsl java xalan scOrigin">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
	
<xsl0:include href="bs:content.xsl.xsl"/>
	
	
<xsl0:template match="sm:compositionXhtmlTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{getAxisSuffix(sm:axis/@code)}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}" codecomposant="{si(sm:axis/@code, concat(&quot;concat(getIdNode(..), '&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), 'getIdNode(..)')}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:if test="computeNodeAgent($vAgentModel/source)/sm:structure/sm:meta/@sc:refUri">
				
				
<valeur code="codeMeta">
<source type="xpath-statique">concat(getIdNode(.), '_meta')</source>
</valeur>
				
<valeur code="idNodePrefixMeta">
<source type="xpath-statique">getIdNode(.)</source>
</valeur>
<xsl0:if test="count(sm:fullTitleText)=0">
					
					
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/fullTitleText'))</source>
</valeur>
</xsl0:if>
<xsl0:if test="count(sm:shortTitleText)=0">
					
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/shortTitleText'))</source>
</valeur>
</xsl0:if>
</xsl0:if>
<xsl0:apply-templates/>
			
<xsl0:apply-templates mode="agts"/>
</structure>
</xsl0:template>
	
		
<xsl0:template match="sm:fullTitleText|sm:shortTitleText">
<valeur code="{local-name()}">
<source type="xpathOnSrc-dynamique">concat(<xsl0:apply-templates mode="bsTitle"><xsl0:with-param name="pView" select="local-name()"/></xsl0:apply-templates>'')</source>
</valeur>
</xsl0:template>
<xsl0:template match="sm:returnFirst" mode="bsTitle"><xsl0:param name="pView"/>returnFirst(<xsl0:apply-templates mode="bsTitle"><xsl0:with-param name="pView" select="$pView"/></xsl0:apply-templates>''), </xsl0:template>
<xsl0:template match="sm:dynamicString" mode="bsTitle"><xsl0:param name="pView"/><xsl0:value-of select="@xpath"/>, </xsl0:template>
<xsl0:template match="sm:callCompositionMeta" mode="bsTitle"><xsl0:param name="pView"/>resultatAgent(concat('@', resultatAgent('//codeMeta'), '<xsl0:value-of select="getAxisSuffix(@axis)"/>', '/<xsl0:value-of select="$pView"/>')), </xsl0:template>
<xsl0:template match="sm:callPartMeta" mode="bsTitle"><xsl0:param name="pView"/>resultatAgent(concat('@', getIdNode(sp:<xsl0:value-of select="si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')"/>), '<xsl0:value-of select="getAxisSuffix(@axis)"/>', '_meta/<xsl0:value-of select="$pView"/>')), </xsl0:template>
<xsl0:template match="sm:callSubModel" mode="bsTitle">
<xsl0:param name="pView"/>
<xsl0:variable name="vXpath" select="si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')"/>
<xsl0:text>resultatAgent(concat('@', si((sp:</xsl0:text>
<xsl0:value-of select="$vXpath"/>
<xsl0:text>)/@sc:refUri, getIdFromPath((sp:</xsl0:text>
<xsl0:value-of select="$vXpath"/>
<xsl0:text>)/@sc:refUri), getIdNode(sp:</xsl0:text>
<xsl0:value-of select="$vXpath"/>
<xsl0:text>)), '</xsl0:text>
<xsl0:value-of select="getAxisSuffix(@axis)"/>
<xsl0:text>', '/</xsl0:text>
<xsl0:value-of select="$pView"/>
<xsl0:text>')), </xsl0:text>
</xsl0:template>
<xsl0:template match="sm:fixedTitle" mode="bsTitle">'<xsl0:value-of select="escapeXpathString(@value)"/>', </xsl0:template>	
<xsl0:template match="node()" mode="bsTitle"/>
	
	
<xsl0:template match="sm:navigation">
		
<listenoeuds>
<xsl0:apply-templates mode="listenoeuds"/>
</listenoeuds>
		
<xsl0:apply-templates mode="comps"/>
</xsl0:template>
	
	
<xsl0:template match="sm:folder">
<xsl0:apply-templates select="sm:title" mode="intituleTag"/>
<descriptif type="xpath-statique"><![CDATA[concat('<root>', local-name(.), '</root>')]]></descriptif>
		
<listenoeuds>
<xsl0:apply-templates mode="listenoeuds"/>
</listenoeuds>
		
<xsl0:apply-templates mode="comps"/>
		
<xsl0:call-template name="outlineClasses"/>
		
<xsl0:call-template name="description"/>
</xsl0:template>
	
	
<xsl0:template match="sm:compositionXhtmlTransf/sm:content">
		
		
		
<valeur code="xhtmlContent">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin redirect">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:redirect">com.scenari.xsldom.xalan.lib.Redirect</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
					
<xsl:template match="*">
						
<xsl:if test="checkNoCycleAgent()">
<xsl0:apply-templates mode="content"/>
</xsl:if>
</xsl:template>
					
<xsl0:apply-templates select=".//sm:inDataOrder" mode="contentOrder"/>
<xsl:template match="text()"/>
</xsl:stylesheet>
</source>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
<xsl0:apply-templates mode="compsInContent"/>
</xsl0:template>
	
<xsl0:template match="node()"/>
	
	
<xsl0:template match="sm:page | sm:folder" mode="listenoeuds">
<noeud cle="p_{generate-id()}" type="singleton">
<ref>.@/_<xsl0:value-of select="generate-id()"/></ref>
</noeud>
</xsl0:template>
<xsl0:template match="sm:folderPreview" mode="listenoeuds">
<xsl0:apply-templates mode="listenoeuds"/>
</xsl0:template>
<xsl0:template match="sm:inDataOrder | sm:for | sm:choose" mode="listenoeuds">
<noeud cle="l_{generate-id()}" type="liste">
<listeref type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
<xsl:template match="{resultatAgent($vAgentModel/qNameTagRootModel)}">
<liste><xsl0:apply-templates mode="listenoeuds_xsl" select="."/></liste>
</xsl:template>
<xsl0:apply-templates mode="listenoeuds_tpl" select="."/>
<xsl:template match="node()"/>
</xsl:stylesheet>
</listeref>
</noeud>
</xsl0:template>
<xsl0:template match="sm:inDataOrder[count(*)=1]" mode="listenoeuds">
		
<xsl0:apply-templates mode="listenoeuds"/>
</xsl0:template>
<xsl0:template match="sm:for[count(*)=1 and not(sm:choose)]" mode="listenoeuds">
		
<noeud cle="l_{generate-id()}" type="liste">
<listeref type="xpathOnSrc-dynamique">listXmlExpr(sp:<xsl0:value-of select="si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')"/>, <xsl0:apply-templates mode="listenoeuds_item"/>)</listeref>
</noeud>
</xsl0:template>
<xsl0:template match="sm:callCompositionMeta" mode="listenoeuds">
<noeud type="singleton" cle="s_{generate-id()}"><ref type="xpath-statique">concat('@', getIdNode(.), '_meta<xsl0:value-of select="getAxisSuffix(@axis)"/>')</ref></noeud>
</xsl0:template>
	
<xsl0:template match="sm:callSubModel" mode="listenoeuds">
<noeud type="singleton" cle="s_{generate-id()}"><ref type="xpath-statique">concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '<xsl0:value-of select="getAxisSuffix(@axis)"/>')</ref></noeud>
</xsl0:template>
	
<xsl0:template match="sm:callModel" mode="listenoeuds">
<noeud type="singleton" cle="s_{generate-id()}"><ref type="resultat-dynamique">agent=//callModel_<xsl0:value-of select="generate-id()"/></ref></noeud>
</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds"/>
	
	
<xsl0:template match="sm:freeXpath" mode="listenoeuds_xsl">
<xsl:value-of>
<xsl0:attribute name="select">
<xsl0:apply-templates select="." mode="listenoeuds_item"/>
</xsl0:attribute>
</xsl:value-of>
</xsl0:template>
<xsl0:template match="sm:choose" mode="listenoeuds_xsl">
<xsl:choose>
<xsl0:apply-templates mode="listenoeuds_choose"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:inDataOrder | sm:for" mode="listenoeuds_xsl">
<xsl:apply-templates mode="{generate-id()}"/>
</xsl0:template>
<xsl0:template match="sm:*" mode="listenoeuds_xsl">
<item>
<xsl:value-of>
<xsl0:attribute name="select">
<xsl0:apply-templates select="." mode="listenoeuds_item"/>
</xsl0:attribute>
</xsl:value-of>
</item>
</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds_xsl"/>
	
	
<xsl0:template match="sm:for" mode="listenoeuds_tpl">
<xsl0:variable name="vMatch" select="si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')"/>
		
<xsl:template match="sp:{$vMatch}" mode="{si(parent::sm:inDataOrder and count(parent::sm:inDataOrder/*)&gt;1, generate-id(..), generate-id())}">
<xsl0:apply-templates mode="listenoeuds_xsl"/>
</xsl:template>
<xsl0:if test="not(parent::sm:inDataOrder)"><xsl:template match="node()" mode="{generate-id()}"/></xsl0:if>
</xsl0:template>
<xsl0:template match="sm:choose | sm:when | sm:otherwise" mode="listenoeuds_tpl">
		
<xsl0:apply-templates mode="listenoeuds_tpl"/>
</xsl0:template>
<xsl0:template match="sm:inDataOrder" mode="listenoeuds_tpl">
		
<xsl0:apply-templates mode="listenoeuds_tpl"/>
<xsl:template match="node()" mode="{generate-id()}"/>
</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds_tpl"/>
	
	
<xsl0:template match="sm:when" mode="listenoeuds_choose">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@codes">
<xsl0:value-of select="si(ancestor::sm:for, concat('../sp:', java:replaceAll(string(@codes), '\s', ' | ../sp:')), concat('sp:', java:replaceAll(string(@codes), '\s', ' | sp:')))"/>
</xsl0:when>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="listenoeuds_xsl"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="listenoeuds_choose">
<xsl:otherwise>
<xsl0:apply-templates mode="listenoeuds_xsl"/>
</xsl:otherwise>
</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds_choose"/>
	
	
<xsl0:template match="sm:page" mode="listenoeuds_item">'.@/_<xsl0:value-of select="generate-id()"/>'</xsl0:template>
<xsl0:template match="sm:for//sm:page" mode="listenoeuds_item">concat('.@/_<xsl0:value-of select="generate-id()"/>_', getIdNode(.))</xsl0:template>
<xsl0:template match="sm:folder" mode="listenoeuds_item">'.@/_<xsl0:value-of select="generate-id()"/>'</xsl0:template>
<xsl0:template match="sm:for//sm:folder" mode="listenoeuds_item">concat('.@/_<xsl0:value-of select="generate-id()"/>_', getIdNode(.))</xsl0:template>
<xsl0:template match="sm:callSubModel" mode="listenoeuds_item">concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '<xsl0:value-of select="getAxisSuffix(@axis)"/>')</xsl0:template>
<xsl0:template match="sm:callModel" mode="listenoeuds_item">resultatAgent('//callModel_<xsl0:value-of select="generate-id()"/>')</xsl0:template>
<xsl0:template match="sm:callCompositionMeta" mode="listenoeuds_item">concat('@', getIdNode(.), '_meta<xsl0:value-of select="getAxisSuffix(@axis)"/>')</xsl0:template>
<xsl0:template match="sm:freeXpath" mode="listenoeuds_item"><xsl0:value-of select="@xpath"/></xsl0:template>
<xsl0:template match="node()" mode="listenoeuds_item"/>
	
	
<xsl0:template match="sm:page" mode="pathPageInContent">
<xsl0:choose>
<xsl0:when test="boolean(ancestor::sm:for)">resultatAgent(concat('//_<xsl0:value-of select="generate-id()"/>_', getIdNode(.)), 'act:')</xsl0:when>
<xsl0:otherwise>resultatAgent('//_<xsl0:value-of select="generate-id()"/>', 'act:')</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:callSubModel" mode="pathPageInContent">resultatDialogue(concat('<xsl0:if test="not(@navCtx='preserveCurrent')">/</xsl0:if>@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '<xsl0:value-of select="getAxisSuffix(@axis)"/>'), 'act:')</xsl0:template>
<xsl0:template match="sm:callModel" mode="pathPageInContent">resultatAgent('//callModel_<xsl0:value-of select="generate-id()"/>')</xsl0:template>
<xsl0:template match="sm:callCompositionMeta" mode="pathPageInContent">resultatDialogue(concat('<xsl0:if test="not(@navCtx='preserveCurrent')">/</xsl0:if>@', getIdNode(.), '_meta<xsl0:value-of select="getAxisSuffix(@axis)"/>'), 'act:')</xsl0:template>
<xsl0:template match="sm:lookForExistingSubModelPage[sm:ifNoPage]" mode="pathPageInContent">returnFirst(<xsl0:call-template name="lookForExistingSubModelPage"/>, <xsl0:apply-templates mode="pathPageInContent" select="sm:ifNoPage/*"/>)</xsl0:template>
<xsl0:template match="sm:ifNoPage/sm:lookForExistingSubModelPage[sm:ifNoPage]" mode="pathPageInContent"><xsl0:call-template name="lookForExistingSubModelPage"/>, <xsl0:apply-templates mode="pathPageInContent" select="sm:ifNoPage/*"/></xsl0:template>
<xsl0:template match="sm:lookForExistingSubModelPage" mode="pathPageInContent"><xsl0:call-template name="lookForExistingSubModelPage"/></xsl0:template>
<xsl0:template match="sm:lookForExistingModelPage[sm:ifNoPage]" mode="pathPageInContent">returnFirst(<xsl0:call-template name="lookForExistingModelPage"/>, <xsl0:apply-templates mode="pathPageInContent" select="sm:ifNoPage/*"/>)</xsl0:template>
<xsl0:template match="sm:ifNoPage/sm:lookForExistingModelPage[sm:ifNoPage]" mode="pathPageInContent"><xsl0:call-template name="lookForExistingModelPage"/>, <xsl0:apply-templates mode="pathPageInContent" select="sm:ifNoPage/*"/></xsl0:template>
<xsl0:template match="sm:lookForExistingModelPage" mode="pathPageInContent"><xsl0:call-template name="lookForExistingModelPage"/></xsl0:template>
<xsl0:template match="sm:callPartMeta" mode="pathPageInContent">resultatDialogue(concat('<xsl0:if test="not(@navCtx='preserveCurrent')">/</xsl0:if>@', getIdNode(.), '_meta<xsl0:value-of select="getAxisSuffix(@axis)"/>'), 'act:')</xsl0:template>
<xsl0:template match="sm:externalUrl" mode="pathPageInContent"><xsl0:apply-templates mode="pathPageInContent"/></xsl0:template>
<xsl0:template match="sm:fixedString" mode="pathPageInContent">'<xsl0:value-of select="escapeXpathString(@value)"/>'</xsl0:template>
<xsl0:template name="lookForExistingSubModelPage">resultatAgent('//', concat('lookFor:dir=ancestor&amp;codeAgentPrinc=', escapeQueryString(si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>', '&amp;computeResultWithArguments=act:'))</xsl0:template>
<xsl0:template name="lookForExistingModelPage">resultatDialogue(<xsl0:apply-templates mode="callModel" select="sm:navContext/*"/>, concat('lookFor:computeResultWithArguments=act:&amp;codeAgentPrinc=', escapeQueryString(codeAgent(<xsl0:apply-templates mode="callModel" select="sm:target/*"/>))))</xsl0:template>
<xsl0:template match="node()" mode="pathPageInContent"/>
	
	
<xsl0:template match="sm:page" mode="comps">
<xsl0:param name="vRacineComp"/>
<affichage code="_{generate-id()}">
<xsl0:choose>
<xsl0:when test="$vRacineComp='$'">
					
<xsl0:apply-templates select="sm:title | ../self::sm:folderPreview/sm:title" mode="intituleTag"/>
<valeur code="idNodePrefixMeta">
<source type="xpath-statique">getIdNode(.)</source>
</valeur>
</xsl0:when>
<xsl0:when test="$vRacineComp">
					
<xsl0:attribute name="racine"><xsl0:value-of select="$vRacineComp"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">concat('_<xsl0:value-of select="generate-id()"/>_', getIdNode(.))</xsl0:attribute>
<xsl0:apply-templates select="sm:title | ../self::sm:folderPreview/preceding-sibling::sm:title" mode="intituleTag"/>
</xsl0:when>
<xsl0:otherwise>
					
<xsl0:apply-templates select="sm:title | ../self::sm:folderPreview/preceding-sibling::sm:title" mode="intituleTag"/>
</xsl0:otherwise>
</xsl0:choose>
			
<xsl0:choose>
<xsl0:when test="count(sm:path/*)">
					
<xsl0:apply-templates select="sm:path/*" mode="pathPage"/>
</xsl0:when>
<xsl0:when test="$vRacineComp">
					
<urlPage type="xpathOnSrc-dynamique">si(@sc:refUri, java:getSrcName(srcNodeByXxxPath(@sc:refUri)), '')</urlPage>
</xsl0:when>
</xsl0:choose>
<descriptif type="xpath-statique"><![CDATA[concat('<root>', local-name(.), '</root>')]]></descriptif>
<xsl0:if test="@step">
<step><xsl0:value-of select="@step"/></step>
</xsl0:if>
<xsl0:if test="../self::sm:folderPreview">
<outlineStatus>rejected</outlineStatus>
</xsl0:if>
			
<xsl0:call-template name="outlineClasses"><xsl0:with-param name="vRacineComp" select="$vRacineComp"/></xsl0:call-template>
			
<xsl0:call-template name="description"><xsl0:with-param name="vRacineComp" select="$vRacineComp"/></xsl0:call-template>
<page>
<modele><xsl0:value-of select="@template"/></modele>
<zone cle="mainZone" type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="{si(not(sm:mainZone/@format!='xhtml'), 'xml', sm:mainZone/@format)}" indent="no" omit-xml-declaration="yes"/>
						
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
						
<xsl:template match="*">
							
<xsl0:choose>
<xsl0:when test="not(sm:mainZone/@format!='xhtml')">
<zoneContent>
<xsl0:apply-templates select="sm:mainZone/*" mode="content"/>
</zoneContent>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="sm:mainZone/*" mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
						
<xsl0:apply-templates select=".//sm:inDataOrder" mode="contentOrder"/>
<xsl:template match="text()"/>
</xsl:stylesheet>
</zone>
<xsl0:for-each select="sm:zone">
<zone cle="{@key}" type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="{si(not(@format!='xhtml'), 'xml', @format)}" indent="no" omit-xml-declaration="yes"/>
							
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
							
<xsl:template match="*">
								
<xsl0:choose>
<xsl0:when test="not(@format!='xhtml')">
										
<zoneContent>
<xsl0:apply-templates select="*" mode="content"/>
</zoneContent>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="*" mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
							
<xsl0:apply-templates select=".//sm:inDataOrder" mode="contentOrder"/>
<xsl:template match="text()"/>
</xsl:stylesheet>
</zone>
</xsl0:for-each>
</page>
<xsl0:apply-templates mode="agentsWidgets"/>
</affichage>
		
<xsl0:choose>
<xsl0:when test="$vRacineComp">
				
<xsl0:apply-templates select="./*//sm:page" mode="comps">
<xsl0:with-param name="vRacineComp" select="$vRacineComp"/>
</xsl0:apply-templates>
</xsl0:when>
<xsl0:otherwise>
				
<xsl0:apply-templates mode="compsInContent"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template match="sm:folder" mode="comps">
<xsl0:param name="vRacineComp"/>
<structure code="_{generate-id()}">
<xsl0:choose>
<xsl0:when test="$vRacineComp='$'">
					
<xsl0:apply-templates select="sm:title" mode="intituleTag"/>
<descriptif type="xpath-statique"><![CDATA[concat('<root>', local-name(.), '</root>')]]></descriptif>
					
<listenoeuds>
<xsl0:apply-templates mode="listenoeuds"/>
</listenoeuds>
					
<xsl0:apply-templates mode="comps">
<xsl0:with-param name="vRacineComp" select="'$'"/>
</xsl0:apply-templates>
</xsl0:when>
<xsl0:when test="$vRacineComp">
					
<xsl0:attribute name="racine"><xsl0:value-of select="$vRacineComp"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">concat('_<xsl0:value-of select="generate-id()"/>_', getIdNode(.))</xsl0:attribute>
<xsl0:apply-templates select="sm:title" mode="intituleTag"/>
<descriptif type="xpath-statique"><![CDATA[concat('<root>', local-name(.), '</root>')]]></descriptif>
					
<listenoeuds>
<xsl0:apply-templates mode="listenoeuds"/>
</listenoeuds>
					
<xsl0:apply-templates mode="comps">
<xsl0:with-param name="vRacineComp" select="'$'"/>
</xsl0:apply-templates>
</xsl0:when>
<xsl0:otherwise>
					
<xsl0:apply-templates select="sm:title" mode="intituleTag"/>
<descriptif type="xpath-statique"><![CDATA[concat('<root>', local-name(.), '</root>')]]></descriptif>
					
<listenoeuds>
<xsl0:apply-templates mode="listenoeuds"/>
</listenoeuds>
					
<xsl0:apply-templates mode="comps"/>
</xsl0:otherwise>
</xsl0:choose>
			
<xsl0:call-template name="outlineClasses"><xsl0:with-param name="vRacineComp" select="$vRacineComp"/></xsl0:call-template>
			
<xsl0:call-template name="description"><xsl0:with-param name="vRacineComp" select="$vRacineComp"/></xsl0:call-template>
</structure>
</xsl0:template>
<xsl0:template match="sm:inDataOrder" mode="comps">
<xsl0:apply-templates mode="comps"/>
</xsl0:template>
<xsl0:template match="sm:folderPreview" mode="comps">
<xsl0:apply-templates mode="comps"/>
</xsl0:template>
<xsl0:template match="sm:for" mode="comps">
<xsl0:apply-templates mode="comps">
<xsl0:with-param name="vRacineComp" select="concat('sp:', si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*'))"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="sm:choose|sm:when|sm:otherwise" mode="comps">
<xsl0:param name="vRacineComp"/>
<xsl0:apply-templates mode="comps">
<xsl0:with-param name="vRacineComp" select="$vRacineComp"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="node()" mode="comps"/>
	
	
<xsl0:template match="sm:for" mode="compsInContent">
<xsl0:apply-templates select="./*//sm:page" mode="comps">
<xsl0:with-param name="vRacineComp" select="concat('sp:', si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*'))"/>
</xsl0:apply-templates>
</xsl0:template>
	
<xsl0:template match="sm:page" mode="compsInContent">
<xsl0:param name="vRacineComp"/>
<xsl0:apply-templates select="." mode="comps">
<xsl0:with-param name="vRacineComp" select="$vRacineComp"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="*" mode="compsInContent">
<xsl0:param name="vRacineComp"/>
<xsl0:apply-templates mode="compsInContent">
<xsl0:with-param name="vRacineComp" select="$vRacineComp"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="text()|@*" mode="compsInContent"/>

	
<xsl0:template match="sm:inDataOrder" mode="content">
		
<xsl:apply-templates mode="in_{generate-id()}"/>
</xsl0:template>
<xsl0:template match="sm:for" mode="content">
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates mode="content"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:choose" mode="content">
<xsl:choose>
<xsl0:apply-templates mode="content"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when" mode="content">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@codes">
<xsl0:value-of select="si(ancestor::sm:for, concat('../sp:', java:replaceAll(string(@codes), '\s', ' | ../sp:')), concat('sp:', java:replaceAll(string(@codes), '\s', ' | sp:')))"/>
</xsl0:when>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="content">
<xsl:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl:otherwise>
</xsl0:template>
<xsl0:template match="sm:Widget" mode="content"><xsl:value-of select="resultatAgent(concat('widget_{generate-id()}_', generate-id()),.)" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callSubModel" mode="content"><xsl:value-of select="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callModel" mode="content"><xsl:value-of select="resultatAgent('//callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callPartMeta" mode="content"><xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callCompositionMeta" mode="content"><xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="node()" mode="content"/>
	
	
<xsl0:template match="sm:inDataOrder" mode="contentOrder">
<xsl0:apply-templates mode="contentOrder"/>
<xsl:template match="node()" mode="in_{generate-id(.)}"/>
</xsl0:template>
<xsl0:template match="sm:for" mode="contentOrder">
		
<xsl:template match="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}" mode="in_{generate-id(..)}">
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:Widget" mode="contentOrder"/>
<xsl0:template match="text()" mode="contentOrder"/>
	
	
<xsl0:template match="sm:callModel" mode="agts">
<valeur code="callModel_{generate-id()}">
<xsl0:choose>
<xsl0:when test="parent::sm:link or parent::sm:ifNoPage">
					
<source type="xpath-dynamique">resultatDialogue(<xsl0:if test="not(*/@navCtx='preserveCurrent')">concat('/', </xsl0:if><xsl0:apply-templates mode="callModel"/><xsl0:if test="not(*/@navCtx='preserveCurrent')">)</xsl0:if>, 'act:')</source>
</xsl0:when>
<xsl0:when test="parent::sm:title">
					
<source type="xpath-dynamique">resultatAgent(concat(<xsl0:apply-templates mode="callModel"/>, '/<xsl0:value-of select="@view"/>'))</source>
</xsl0:when>
<xsl0:when test="/sm:compositionXhtmlTransf/sm:content or ancestor::sm:mainZone or ancestor::sm:zone or ancestor::sm:outlineClasses or ancestor::sm:description">
					
<source type="xpath-dynamique">resultatAgent(concat(<xsl0:apply-templates mode="callModel"/>, '/xhtmlContent'))</source>
</xsl0:when>
<xsl0:otherwise>
					
<source type="xpath-dynamique"><xsl0:apply-templates mode="callModel"/></source>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
</xsl0:template>
<xsl0:template match="sm:when[@sc:refUri]" mode="agts">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
<xsl0:apply-templates mode="agts"/>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agts"/>
	
	
<xsl0:template match="sm:root" mode="callModel">concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>')</xsl0:template>
<xsl0:template match="sm:current" mode="callModel">concat('@', switchAxis(codeAgent('//'), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:lookForAscendants" mode="callModel">concat('@', switchAxis(codeAgent(lookForAscendants($vDialog,'<xsl0:value-of select="returnFirst(@direction,'currentToRoot')"/>'<xsl0:apply-templates mode="callModel"/>)), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:callableModel" mode="callModel">,'<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))"/>'</xsl0:template>
<xsl0:template match="sm:agentPath" mode="callModel">pathAgent(agent('<xsl0:value-of select="@path"/>', $vDialog))</xsl0:template>
<xsl0:template match="sm:currentNav" mode="callModel">'.'</xsl0:template>
<xsl0:template match="sm:fromNewRoot" mode="callModel">concat('/', <xsl0:apply-templates mode="callModel"/>)</xsl0:template>
<xsl0:template match="text()|@*" mode="callModel"/>
	
	
<xsl0:template match="sm:fixedPath" mode="pathPage">
<urlPage><xsl0:value-of select="@value"/></urlPage>
</xsl0:template>
<xsl0:template match="node()" mode="pathPage"/>
	
	
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<valeur code="widget_{generate-id()}" codecomposant="concat('widget_{generate-id()}_', generate-id())">
<xsl0:if test="$pPath"><xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute></xsl0:if>
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agentsWidgetZones"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:for" mode="agentsWidgets">
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="concat('sp:', si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*'))"/>
</xsl0:apply-templates>
</xsl0:template>
	
	
<xsl0:template match="sm:page" mode="agentsWidgets"/>
<xsl0:template match="*" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="$pPath"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agentsWidgets"/>
	
	
<xsl0:template match="sm:xhtmlContentZone" mode="agentsWidgetZones">
<xsl0:param name="pPath"/>
<valeur code="{si(@key, concat('xhtmlContentZone_', @key), concat('XZ_', generate-id()))}">
<xsl0:if test="$pPath">
<xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">generate-id()</xsl0:attribute>
</xsl0:if>
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
					
<xsl:template match="*">
						
<xsl0:apply-templates mode="content"/>
</xsl:template>
					
<xsl0:apply-templates select=".//sm:inDataOrder" mode="contentOrder"/>
<xsl:template match="text()"/>
</xsl:stylesheet>
</source>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:urlZone" mode="agentsWidgetZones">
<xsl0:param name="pPath"/>
<valeur code="{si(@key, concat('urlZone_', @key), concat('UZ_', generate-id()))}">
<xsl0:if test="$pPath">
<xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">generate-id()</xsl0:attribute>
</xsl0:if>
<source type="xpathOnSrc-dynamique"><xsl0:apply-templates mode="pathPageInContent" select="sm:link/*"/></source>
</valeur>
</xsl0:template>
<xsl0:template match="sm:for" mode="agentsWidgetZones">
<xsl0:apply-templates mode="agentsWidgetZones">
<xsl0:with-param name="pPath" select="concat('sp:', si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*'))"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="node()" mode="agentsWidgetZones"/>
	
	
	
	
	
<xsl0:template match="sm:title" mode="intituleTag">
<xsl0:variable name="vTitleFormat" select="si(local-name(..)='page', 'shortTitleText', 'fullTitleText')"/>
<xsl0:choose>
<xsl0:when test="count(*) &gt; 1">
<intitule type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="text"/>
						
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
						
						
<xsl:template match="*">
<xsl:choose>
<xsl0:apply-templates mode="titleMultiInXslWhen">
<xsl0:with-param name="pTitleFormat" select="$vTitleFormat"/>
</xsl0:apply-templates>
</xsl:choose>
</xsl:template>
</xsl:stylesheet>
</intitule>
</xsl0:when>
<xsl0:when test="sm:compositionTitle[@prefix or @suffix]">
<intitule type="xpathOnSrc-dynamique">concat('<xsl0:value-of select="escapeXpathString(sm:compositionTitle/@prefix)"/>',
					resultatAgent(concat('@', switchAxis(codeAgent('//'), '<xsl0:value-of select="sm:compositionTitle/@axis"/>'), '/<xsl0:value-of select="si(sm:compositionTitle/@format, sm:compositionTitle/@format, $vTitleFormat)"/>')),
					'<xsl0:value-of select="escapeXpathString(sm:compositionTitle/@suffix)"/>')
</intitule>
</xsl0:when>
<xsl0:when test="sm:compositionTitle">
<intitule type="xpathOnSrc-dynamique">resultatAgent(concat('@', switchAxis(codeAgent('//'), '<xsl0:value-of select="sm:compositionTitle/@axis"/>'), '/<xsl0:value-of select="si(sm:compositionTitle/@format, sm:compositionTitle/@format, $vTitleFormat)"/>'))</intitule>
</xsl0:when>
<xsl0:when test="sm:partTitle[@prefix or @suffix]">
<intitule type="xpathOnSrc-dynamique">concat('<xsl0:value-of select="escapeXpathString(sm:partTitle/@prefix)"/>',
					resultatAgent(concat('@', getIdNode(.), '_meta<xsl0:value-of select="getAxisSuffix(sm:partTitle/@prefix)"/>/<xsl0:value-of select="si(sm:partTitle/@format, sm:partTitle/@format, $vTitleFormat)"/>')),
					'<xsl0:value-of select="escapeXpathString(sm:partTitle/@suffix)"/>')
</intitule>
</xsl0:when>
<xsl0:when test="sm:partTitle">
<intitule type="xpathOnSrc-dynamique">resultatAgent(concat('@', getIdNode(.), '_meta<xsl0:value-of select="getAxisSuffix(sm:partTitle/@prefix)"/>/<xsl0:value-of select="si(sm:partTitle/@format, sm:partTitle/@format, $vTitleFormat)"/>'))</intitule>
</xsl0:when>
<xsl0:when test="sm:subModelTitle[@prefix or @suffix]">
<intitule type="xpathOnSrc-dynamique">concat('<xsl0:value-of select="escapeXpathString(sm:subModelTitle/@prefix)"/>',
					resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '<xsl0:value-of select="getAxisSuffix(sm:subModelTitle/@axis)"/>/<xsl0:value-of select="si(sm:subModelTitle/@format, sm:subModelTitle/@format, $vTitleFormat)"/>')),
					'<xsl0:value-of select="escapeXpathString(sm:subModelTitle/@suffix)"/>')
</intitule>
</xsl0:when>
<xsl0:when test="sm:subModelTitle">
<intitule type="xpathOnSrc-dynamique">resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '<xsl0:value-of select="getAxisSuffix(sm:subModelTitle/@axis)"/>/<xsl0:value-of select="si(sm:subModelTitle/@format, sm:subModelTitle/@format, $vTitleFormat)"/>'))</intitule>
</xsl0:when>
<xsl0:when test="sm:callModel">
<intitule type="resultat-dynamique">agent=//callModel_<xsl0:value-of select="generate-id(sm:callModel)"/></intitule>
</xsl0:when>
<xsl0:when test="sm:dynamicString">
<intitule type="xpathOnSrc-dynamique"><xsl0:value-of select="sm:dynamicString/sm:freeSelect/@xpath"/></intitule>
</xsl0:when>
<xsl0:when test="sm:fixedTitle/@value">
<intitule><xsl0:value-of select="sm:fixedTitle/@value"/></intitule>
</xsl0:when>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template match="sm:compositionTitle" mode="titleMultiInXslWhen">
<xsl0:param name="pTitleFormat"/>
<xsl:when test="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{si(@format, @format, $pTitleFormat)}')) != ''">
<xsl0:value-of select="@prefix"/> 
<xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{si(@format, @format, $pTitleFormat)}'))"/>
<xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:partTitle" mode="titleMultiInXslWhen">
<xsl0:param name="pTitleFormat"/>
<xsl:when test="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/{si(@format, @format, $pTitleFormat)}')) != ''">
<xsl0:value-of select="@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/{si(@format, @format, $pTitleFormat)}'))"/>
<xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:subModelTitle" mode="titleMultiInXslWhen">
<xsl0:param name="pTitleFormat"/>
<xsl:when test="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/{si(@format, @format, $pTitleFormat)}')) != ''">
<xsl0:value-of select="@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/{si(@format, @format, $pTitleFormat)}'))"/>
<xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:callPartMeta" mode="titleMultiInXslWhen">
<xsl:when test="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/xhtmlContent')) != ''">
<xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:callSubModel" mode="titleMultiInXslWhen">
<xsl:when test="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/xhtmlContent')) != ''">
<xsl:value-of select="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:callModel" mode="titleMultiInXslWhen">
<xsl:when test="resultatAgent('//callModel_{generate-id()}') != ''">
<xsl:value-of select="resultatAgent('//callModel_{generate-id()}')">
<xsl0:if test="contains(@view,'Content')">
<xsl0:attribute name="disable-output-escaping">yes</xsl0:attribute>
</xsl0:if>
</xsl:value-of>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:dynamicString" mode="titleMultiInXslWhen">
<xsl:when test="{sm:freeSelect/@xpath} != ''">
<xsl:value-of select="{sm:freeSelect/@xpath}"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:fixedTitle" mode="titleMultiInXslWhen">
		
<xsl:otherwise>
<xsl0:value-of select="@value"/>
</xsl:otherwise>
</xsl0:template>
	
	
<xsl0:template name="crossRefEntries">
<xsl0:if test="@crossRefEntries">
<crossRef>
<xsl:variable name="vValue" select="{si(boolean(ancestor::sm:for), 'si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))', 'getIdNode(..)')}"/>
<xsl0:for-each select="xalan:tokenize(@crossRefEntries, ' ')">
<entry keyRef="{.}" value="{{$vValue}}"/>
</xsl0:for-each>
</crossRef>
</xsl0:if>
</xsl0:template>

	
<xsl0:template name="outlineClasses">
<xsl0:param name="vRacineComp"/>
<xsl0:choose>
<xsl0:when test="not(sm:outlineClasses/*)"/>
<xsl0:when test="count(sm:outlineClasses/*)=1 and sm:outlineClasses/sm:fixedString">
<valeur code="outlineClasses">
<source><xsl0:value-of select="sm:outlineClasses/sm:fixedString/@value"/></source>
</valeur>
</xsl0:when>
<xsl0:otherwise>
<valeur code="outlineClasses">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="text"/>
				    
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
				    
<xsl:template match="*">
<xsl0:apply-templates select="sm:outlineClasses/*" mode="content"/>
</xsl:template>
				    
<xsl0:apply-templates select="sm:outlineClasses//sm:inDataOrder" mode="contentOrder"/>
</xsl:stylesheet>
</source>
</valeur>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

	
<xsl0:template name="description">
<xsl0:param name="vRacineComp"/>
<valeur code="description">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
		    
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		    
<xsl:template match="*">
<xsl0:apply-templates select="sm:description/*" mode="content"/>
</xsl:template>
		    
<xsl0:apply-templates select="sm:description//sm:inDataOrder" mode="contentOrder"/>
</xsl:stylesheet>
</source>
</valeur>
</xsl0:template>

</xsl0:stylesheet>
