<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	exclude-result-prefixes="sm java sc xhtml sp xsl">
	
	

<xsl0:import href="bsco:sm/web/sm_WImg.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WLink.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WTooltip.xml.xsl"/>

		
<xsl0:template name="classAtt">
<xsl0:param name="pExtraClasses"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="@widgetClass or $pExtraClasses">
<xsl0:attribute name="class"><xsl0:value-of select="concat(addSuffixOnWords(@widgetClass, $pSuffix),si(@widgetClass,' ',''),$pExtraClasses)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>
<xsl0:template name="classAttTitle">
<xsl0:param name="pWidgetClass"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="$pWidgetClass">
<xsl0:attribute name="class"><xsl0:value-of select="addSuffixOnWords($pWidgetClass, $pSuffix)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>

	
<xsl0:template match="sm:addSrcPath" mode="content">
<scOrigin:addContextNode/>
</xsl0:template>

	
<xsl0:template match="sm:fixedString" mode="content">
<xsl0:value-of select="@value"/>
</xsl0:template>

	
<xsl0:template match="sm:WHeadingBlock" mode="content">
<scBlock>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates sm:select="sm:title" mode="contentTitleHx">
<xsl0:with-param name="vWidgetClass" select="@widgetClass"/>
</xsl0:apply-templates>
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_co'"/>
</xsl0:call-template>
<xsl0:apply-templates mode="content"/>
</div>
</scBlock>
</xsl0:template>

	
<xsl0:template match="sm:WSimpleBlock" mode="content">
<xsl0:element name="{returnFirst(@tagName,'div')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates sm:select="sm:title" mode="contentTitle">
<xsl0:with-param name="vWidgetClass" select="@widgetClass"/>
</xsl0:apply-templates>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>

	
<xsl0:template match="sm:WCollapsableBlock" mode="content">
<xsl0:variable name="vClassOpen" select="si(@widgetClass,addSuffixOnWords(@widgetClass, '_open'))"/>
<xsl0:variable name="vClassClosed" select="si(@widgetClass,addSuffixOnWords(@widgetClass, '_closed'))"/>
<xsl0:variable name="vContentPosition" select="si(@position='bottom','chi:div','chl:div')"/>
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:if test="@position='bottom'">
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_co'"/>
</xsl0:call-template>
<xsl0:if test="@defaultClosed='true'">
<addAttribute name="style">display:none;</addAttribute>
</xsl0:if>
<xsl0:apply-templates select="sm:content/*" mode="content"/>
</div>
</xsl0:if>
<a style="display:block;" href="#" class="{si(@defaultClosed='true',$vClassClosed,$vClassOpen)}" onclick="scDynUiMgr.collBlkToggle(this, scPaLib.findNode('{$vContentPosition}',this.parentNode),'{$vClassOpen}','{$vClassClosed}');return false;"> 
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/*" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="boolean(sm:label/*)">
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ti'"/>
</xsl0:call-template>
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tiIn'"/>
</xsl0:call-template>
<xsl0:apply-templates select="sm:label/*" mode="content"/>
</span>
</span>
</xsl0:when>
<xsl0:otherwise>&#160;</xsl0:otherwise>
</xsl0:choose>
</a>
<xsl0:if test="count(@position)=0 or @position='top'">
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_co'"/>
</xsl0:call-template>
<xsl0:if test="@defaultClosed='true'">
<addAttribute name="style">display:none;</addAttribute>
</xsl0:if>
<xsl0:apply-templates select="sm:content/*" mode="content"/>
</div>
</xsl0:if>
</div>
</xsl0:template>
<xsl0:template match="sm:WCollapsableBlock/sm:label/sm:title|sm:WCollapsableBlock/sm:labelTitle/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>

	
<xsl0:template match="sm:WImg" mode="content">
<img alt="{@alt}">
<xsl0:call-template name="imgSrcAtts"/>
<xsl0:if test="@title">
<xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute>
</xsl0:if>
<xsl0:if test="@class">
<xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute>
</xsl0:if>
</img>
</xsl0:template>

	
<xsl0:template match="sm:WFreeBlock" mode="content">
<xsl0:apply-templates mode="content"/>
</xsl0:template>
<xsl0:template match="sm:WFreeBlock/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>
<xsl0:template match="xhtml:*/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>
<xsl0:template match="xhtml:*" mode="content">
<xsl0:element name="{local-name()}">
<xsl0:apply-templates select="@*" mode="freeAtts"/>
<xsl0:apply-templates select="node()" mode="content"/>
</xsl0:element>
</xsl0:template>

<xsl0:template match="xhtml:img" mode="content">
<img src="{{translatePubPath2DestUrl(&quot;site/lib/{extractFileNameFromPath(@sc:refUri)}&quot;)}}" alt="{@alt}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
</img>
</xsl0:template>

<xsl0:template match="sm:WFreeBlock//text()" mode="content">
<xsl0:if test="string-length(normalize-space(.)) &gt; 0"><xsl0:value-of select="."/></xsl0:if>
</xsl0:template>
<xsl0:template match="@*" mode="freeAtts">
<xsl0:attribute name="{local-name()}"><xsl0:value-of select="escapeXslAtt(.)"/></xsl0:attribute>
</xsl0:template>
<xsl0:template match="@sc:*" mode="freeAtts"/>

	
<xsl0:template match="sm:WCaptionBlock" mode="content">
<xsl0:element name="{returnFirst(@tagName,'div')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:if test="@position='top'">
<ifText><div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ti'"/>
</xsl0:call-template>
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tiIn'"/>
</xsl0:call-template>
<xsl0:apply-templates select="sm:caption/*" mode="content"/>
</span>
</div></ifText>
</xsl0:if>
<div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_co'"/>
</xsl0:call-template>
<xsl0:apply-templates mode="content" select="sm:content/*"/>
</div>
<xsl0:if test="not(@position='top')">
<ifText><div>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_ti'"/>
</xsl0:call-template>
<span>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_tiIn'"/>
</xsl0:call-template>
<xsl0:apply-templates select="sm:caption/*" mode="content"/>
</span>
</div></ifText>
</xsl0:if>
</xsl0:element>
</xsl0:template>
<xsl0:template match="sm:WCaptionBlock/sm:caption/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>
	
	
<xsl0:template match="sm:WTable" mode="content">
<table>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates mode="content"/>
</table>
</xsl0:template>
	
	
<xsl0:template match="sm:WTableRow" mode="content">
<tr>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates mode="content"/>
</tr>
</xsl0:template>
	
	
<xsl0:template match="sm:WTableCell" mode="content">
<xsl0:element name="{returnFirst(@tagName,'td')}">
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pExtraClasses" select="@class"/>
</xsl0:call-template>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:apply-templates mode="content"/>
</xsl0:element>
</xsl0:template>
	
	
<xsl0:template match="sm:WTooltip" mode="content">
<xsl0:variable name="vOptions">
<xsl0:call-template name="tooltipOptions"/>
</xsl0:variable>
<scTooltip>
<xsl0:attribute name="trigger"><xsl0:value-of select="si(sm:tooltip/sm:behavior/@trigger, sm:tooltip/sm:behavior/@trigger, 'onmouseover')"/></xsl0:attribute>
<xsl0:attribute name="class"><xsl0:value-of select="@widgetClass"/></xsl0:attribute>
<xsl0:attribute name="classRoot"><xsl0:value-of select="sm:tooltip/@class"/></xsl0:attribute>
<xsl0:attribute name="options"><xsl0:value-of select="si(string-length($vOptions)&gt;0, substring($vOptions,0,string-length($vOptions)), '')"/></xsl0:attribute>
<xsl0:if test="sm:tooltip/sm:basket">
<xsl0:attribute name="basketKey"><xsl0:value-of select="sm:tooltip/sm:basket/@key"/></xsl0:attribute>
<xsl0:attribute name="render"><xsl0:value-of select="returnFirst(sm:tooltip/sm:basket/@render,'asTooltip')"/></xsl0:attribute>
<xsl0:attribute name="basketLnk"><xsl0:value-of select="returnFirst(sm:tooltip/sm:basket/@addLinkToBasket,'yes')"/></xsl0:attribute>
<xsl:attribute name="itemKey"><xsl0:value-of select="sm:tooltip/sm:basket/@itemKey"/><xsl:value-of select="alphaHash(si(@sc:refUri, getIdFromPath(@sc:refUri), si(name(..)='sc:item',getIdNode(..),getIdNode(.))))"/></xsl:attribute>
</xsl0:if>
<xsl0:if test="sm:tooltip/sm:ttTitle"><scTooltipTitle><xsl0:apply-templates select="sm:tooltip/sm:ttTitle/*" mode="content"/></scTooltipTitle></xsl0:if>
<xsl0:if test="sm:tooltip/sm:ttContent"><scTooltipContent><xsl0:apply-templates select="sm:tooltip/sm:ttContent/*" mode="content"/></scTooltipContent></xsl0:if>
<xsl0:element name="{returnFirst(@tagName,'span')}">
<xsl0:if test="@tagName = 'a'"><xsl0:attribute name="href">#</xsl0:attribute></xsl0:if>
<xsl0:call-template name="classAtt">
<xsl0:with-param name="pSuffix" select="'_a'"/>
<xsl0:with-param name="pExtraClasses" select="sm:label/@class"/>
</xsl0:call-template>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/*" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/*) = 0">&#160;</xsl0:when>
<xsl0:otherwise><xsl0:apply-templates select="sm:label/*" mode="content"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:element>
</scTooltip>
</xsl0:template>
<xsl0:template match="sm:WTooltip/sm:tooltip/sm:ttTitle/sm:title | sm:WTooltip/sm:label/sm:title | sm:WTooltip/sm:labelTitle/sm:title" mode="content">
<span><xsl0:apply-templates select="." mode="contentTitleIn"/></span>
</xsl0:template>
<xsl0:template match="sm:ttCloseButton" mode="content">
<a href="#" onclick="return scTooltipMgr.hideTooltip(true);">
<xsl0:call-template name="classAttTitle">
<xsl0:with-param name="pWidgetClass" select="../../../@widgetClass"/>
<xsl0:with-param name="pSuffix" select="'_x'"/>
</xsl0:call-template>
<xsl0:if test="@title"><xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute></xsl0:if>
<span><xsl0:value-of select="si(@caption, @caption, '&#160;')"/></span></a>
</xsl0:template>
	
	
<xsl0:template match="sm:WLink" mode="content">
<a>
<xsl0:call-template name="classAtt"/>
<xsl0:call-template name="linkHrefXsl">
<xsl0:with-param name="pUrl">
<xsl:value-of>
<xsl0:attribute name="select">
<xsl0:apply-templates mode="pathPageInContent" select="sm:link/*"/>
</xsl0:attribute>
</xsl:value-of>
</xsl0:with-param>
<xsl0:with-param name="pOptions">
<xsl0:call-template name="linkOptionsXsl"/>
</xsl0:with-param>
</xsl0:call-template>
<scOrigin:addContextNode/>
<xsl0:call-template name="crossRefEntries"/>
<xsl0:if test="sm:labelTitle/*">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/*" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="not(sm:label/*)">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="sm:label/*" mode="content"/></span></xsl0:otherwise>
</xsl0:choose>
</a>
</xsl0:template>
<xsl0:template match="sm:WLink/sm:label/sm:title | sm:WLink/sm:labelTitle/sm:title" mode="content">
<xsl0:apply-templates select="." mode="contentTitleIn"/>
</xsl0:template>
		
	
<xsl0:template match="sm:dynamicString" mode="content">
<xsl0:apply-templates mode="dynamicString"/>
</xsl0:template>
<xsl0:template match="sm:freeSelect" mode="dynamicString"><xsl:value-of select="{@xpath}"/></xsl0:template>
<xsl0:template match="sm:freeXslFragment" mode="dynamicString"><xsl0:copy-of select="parseXml(concat('&lt;root&gt;',.,'&lt;/root&gt;'))/*/*"/></xsl0:template>
<xsl0:template match="node()" mode="dynamicString"/>
	
		
<xsl0:template match="sm:title" mode="contentTitle">
<xsl0:param name="vWidgetClass"/>
<ifText><div>
<xsl0:call-template name="classAttTitle">
<xsl0:with-param name="pWidgetClass" select="$vWidgetClass"/>
<xsl0:with-param name="pSuffix" select="'_ti'"/>
</xsl0:call-template>
<span><xsl0:apply-templates select="." mode="contentTitleIn"/></span>
</div></ifText>
</xsl0:template>
<xsl0:template match="node()" mode="contentTitle"/>
	
		
<xsl0:template match="sm:title" mode="contentTitleHx">
<xsl0:param name="vWidgetClass"/>
<ifText><hx>
<xsl0:call-template name="classAttTitle">
<xsl0:with-param name="pWidgetClass" select="$vWidgetClass"/>
<xsl0:with-param name="pSuffix" select="'_ti'"/>
</xsl0:call-template>
<span><xsl0:apply-templates select="." mode="contentTitleIn"/></span>
</hx></ifText>
</xsl0:template>
<xsl0:template match="node()" mode="contentTitleHx"/>
	
		
<xsl0:template match="sm:title[count(*)>1]" mode="contentTitleIn">
<xsl:choose>
<xsl0:apply-templates mode="titleMultiInXslWhen">
<xsl0:with-param name="pTitleFormat" select="'fullTitleText'"/>
</xsl0:apply-templates>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:title" mode="contentTitleIn">
<xsl0:choose>
<xsl0:when test="sm:compositionTitle">
<xsl0:value-of select="sm:compositionTitle/@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{sm:compositionTitle/@axis}'), '/{si(sm:compositionTitle/@format, sm:compositionTitle/@format, 'fullTitleText')}'))"/>
<xsl0:value-of select="sm:compositionTitle/@suffix"/>
</xsl0:when>
<xsl0:when test="sm:partTitle">
<xsl0:value-of select="sm:partTitle/@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(sm:partTitle/@axis)}/{si(sm:partTitle/@format, sm:partTitle/@format, 'fullTitleText')}'))"/>
<xsl0:value-of select="sm:partTitle/@suffix"/>
</xsl0:when>
<xsl0:when test="sm:subModelTitle">
<xsl0:value-of select="sm:subModelTitle/@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(sm:subModelTitle/@axis)}/{si(sm:subModelTitle/@format, sm:subModelTitle/@format, 'fullTitleText')}'))"/>
<xsl0:value-of select="sm:subModelTitle/@suffix"/>
</xsl0:when>
<xsl0:when test="sm:callPartMeta">
<xsl0:apply-templates select="sm:callPartMeta" mode="content"/>
</xsl0:when>
<xsl0:when test="sm:callSubModel">
<xsl0:apply-templates select="sm:callSubModel" mode="content"/>
</xsl0:when>
<xsl0:when test="sm:callModel">
<xsl0:apply-templates select="sm:callModel" mode="content"/>
</xsl0:when>
<xsl0:when test="sm:dynamicString">
<xsl:value-of select="{sm:dynamicString/sm:freeSelect/@xpath}"/>
</xsl0:when>
<xsl0:when test="sm:fixedTitle">
<xsl0:value-of select="sm:fixedTitle/@value"/>
</xsl0:when>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="node()" mode="contentTitleIn"/>
	
</xsl0:stylesheet>
