<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:java="http://xml.apache.org/xslt/java" 
	version="1.0"
	exclude-result-prefixes="sm sc xalan java">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:variable name="vStructureModel" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))/sm:structure"/>
	
<xsl:template match="/sm:dataFormOdTransf">
<view code="title"/>
<view code="odContent"><xsl:apply-templates/></view>
<xsl:apply-templates mode="callBlockCategory"/>
</xsl:template>
	
<xsl:template match="sm:callSubModel">
<xsl:param name="pDomXml"/>
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vView">
<xsl:choose>
<xsl:when test="local-name(..)='fullTitleText' or local-name(..)='shortTitleText' ">title</xsl:when>
<xsl:otherwise>odContent</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="vCodes" select="si(@refCode, @refCode, ancestor::sm:forSubData/@codes)"/>
<xsl:for-each select="xalan:tokenize($vCodes, ' ')">
<xsl:variable name="vDefModel" select="$vStructureModel//sm:subData[@code=current()]"/>
<xsl:if test="boolean($vDefModel)">
<xsl:for-each select="$vDefModel/sm:allowedDataModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="{$vView}"/>
</xsl:for-each>
</xsl:if>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:current">
<call direction="current" model="{/sm:dataFormOdTransf/sm:model/@sc:refUri}" axis="{@axis}" view="odContent"/>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:root">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="agentsLies(computeNodeAgent('//agentGenerator', 'listAgentRootAllowed'))">
<call model="{java:getSrcUri(srcFileAgent(.))}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:agentPath">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="sm:callableModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:callModel/sm:lookForAscendants">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:for-each select="sm:callableModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:template>
		
<xsl:template match="sm:fieldValueOtherType">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vFor" select="ancestor::sm:forField"/>
<xsl:for-each select="xalan:tokenize($vFor/@codes, ' ')">
<xsl:variable name="vDefModel" select="$vStructureModel//sm:field[@code=current()]/sm:otherType"/>
<xsl:if test="boolean($vDefModel)">
<call model="{$vDefModel/@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:if>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:fieldValueRefItem/sm:callRefModel">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vFor" select="ancestor::sm:forField"/>
<xsl:for-each select="xalan:tokenize($vFor/@codes, ' ')">
<xsl:variable name="vDefModel" select="$vStructureModel//sm:field[@code=current()]/sm:refItem"/>
<xsl:if test="boolean($vDefModel)">
<xsl:for-each select="$vDefModel/sm:allowedModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:if>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:callRefModel">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vFor" select="ancestor::sm:forField"/>
<xsl:for-each select="xalan:tokenize($vFor/@codes, ' ')">
<xsl:variable name="vDefModel" select="$vStructureModel//sm:field[@code=current()]/sm:refItem"/>
<xsl:if test="boolean($vDefModel)">
<xsl:for-each select="$vDefModel/sm:allowedModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="odContent"/>
</xsl:for-each>
</xsl:if>
</xsl:for-each>
</xsl:template>	
	
<xsl:template match="sm:dataFormTitle">
<call model="{$vStructureModel/sm:meta/@sc:refUri}" axis="{si(@axis, @axis, si(/*/sm:axis/@code, /*/sm:axis/@code))}" view="title"/>
</xsl:template>
	
	
<xsl:template match="sm:dataBlock" mode="callBlockCategory">
<callBlockCategory code="{@category}"/>
</xsl:template>
<xsl:template match="text()|@*" mode="callBlockCategory"/>
	
	
<xsl:template match="sm:Widget">
		
<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/viewsInfo'))" disable-output-escaping="yes"/>
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="text()|@*"/>
</xsl:stylesheet>
