<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	xmlns:c="composition"
	exclude-result-prefixes="sm xsl java xalan c scOrigin">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vPrimSource" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))"/>
<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
<xsl0:variable name="vStructureModel" select="computeNodeAgent($vAgentModel/source)/sm:structure"/>
	
	
<xsl0:include href="bs:widgets.xsl.xsl"/>
<xsl0:include href="bs:common.xsl.xsl"/>
			
<xsl0:template match="sm:dataFormXhtmlTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{resultatAgent('//axisTransformer')}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" codecomposant="{resultatAgent('codecomposant')}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xsl0t/java</xsl0:attribute>
<intitule type="resultat-dynamique">agent=//fullTitleText</intitule>
						
			
<valeur code="fullTitleText">
<xsl0:choose>
<xsl0:when test="boolean(sm:fullTitleText)">
<xsl0:apply-templates select="sm:fullTitleText"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="$vPrimSource/sm:storage/sm:fullTitleBuilder"/>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
			
<valeur code="shortTitleText">
<xsl0:choose>
<xsl0:when test="boolean(sm:shortTitleText)">
<xsl0:apply-templates select="sm:shortTitleText"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:choose>
<xsl0:when test="$vPrimSource/sm:storage/sm:shortTitleBuilder/@returnFullTitleIfEmpty='yes'">
<source type="contextuel-dynamique">
<choose>
<case xpath="resultatAgent('title')" returnXpath="true"/>
<default type="resultat-dynamique">agent=//fullTitleText</default>
</choose>
</source>
<valeur code="title">
<xsl0:apply-templates select="$vPrimSource/sm:storage/sm:shortTitleBuilder"/>
</valeur>
</xsl0:when>
<xsl0:when test="$vPrimSource/sm:storage/sm:shortTitleBuilder">
<xsl0:apply-templates select="$vPrimSource/sm:storage/sm:shortTitleBuilder"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="$vPrimSource/sm:storage/sm:fullTitleBuilder"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
			
			
<xsl0:value-of select="resultatAgent('nav')" disable-output-escaping="yes"/>
			
<xsl0:apply-templates select="sm:content"/>

			
<xsl0:apply-templates mode="agts" select="descendant::sm:callModel"/>
<xsl0:apply-templates mode="agts" select="descendant::sm:when[@sc:refUri]"/>
			
</structure>
</xsl0:template>
	
<xsl0:template match="sm:content">
<valeur code="xhtmlContent">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin redirect">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:redirect">com.scenari.xsldom.xalan.lib.Redirect</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
					
					
<xsl:variable name="vCounter" select="java:com.scenari.s.fw.utils.HDouble.new()"/>

<xsl:template match="*">
<xsl0:apply-templates mode="content"/>
</xsl:template>
<xsl0:apply-templates mode="set" select="//sm:forSet"/>
</xsl:stylesheet>
</source>
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>
	
<xsl0:template match="sm:shortTitleBuilder|sm:fullTitleBuilder|sm:shortTitleText|sm:fullTitleText">
<xsl0:choose>
<xsl0:when test="count(*) = 1 and not(sm:fieldValueString[@prefixIfExist or @suffixIfExist]) and not(sm:fieldValueEnum[@prefixIfExist or @suffixIfExist])">
<xsl0:choose>
<xsl0:when test="sm:dynamicString">
<source type="xpath-statique"><xsl0:value-of select="sm:dynamicString/@xpath"/></source>
</xsl0:when>
<xsl0:when test="sm:fieldValue | sm:fieldValueString | sm:fieldValueEnum">
<source type="xslOnSrc-dynamique">
<xsl0:for-each select="*">
<xsl0:call-template name="tFieldValue.getValue"/>
</xsl0:for-each>
</source>
</xsl0:when>
<xsl0:when test="sm:fixedString">
<source><xsl0:value-of select="sm:fixedString/@value"/></source>
</xsl0:when>
<xsl0:when test="sm:callSubModel">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('idAgt'), '<xsl0:value-of select="getAxisSuffix(@axis)"/>/<xsl0:value-of select="local-name(.)"/>'))</source>
<valeur code="idAgt">
<source type="xpath-statique">si(sp:<xsl0:value-of select="sm:callSubModel/@refCode"/>/@sc:refUri, getIdFromPath(sp:<xsl0:value-of select="sm:callSubModel/@refCode"/>/@sc:refUri), getIdNode(sp:<xsl0:value-of select="sm:callSubModel/@refCode"/>))</source>
</valeur>
</xsl0:when>
</xsl0:choose>
</xsl0:when>
<xsl0:otherwise>
<source type="composition-dynamique">
<c:composition>
<xsl0:attribute name="xmlns:c">composition</xsl0:attribute>
<xsl0:apply-templates/>
</c:composition>
</source>
<xsl0:for-each select="sm:callSubModel">
<valeur code="subModel{generate-id()}">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('idAgt'), '_meta<xsl0:value-of select="getAxisSuffix(@axis)"/>/<xsl0:value-of select="local-name(..)"/>'))</source>
<valeur code="idAgt">
<source type="xpath-statique">si(sp:<xsl0:value-of select="@refCode"/>/@sc:refUri, getIdFromPath(sp:<xsl0:value-of select="@refCode"/>/@sc:refUri), getIdNode(sp:<xsl0:value-of select="@refCode"/>))</source>
</valeur>
</valeur>
</xsl0:for-each>			
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
			
<xsl0:template match="sm:dynamicString">
<c:donnee type="xpath-statique"><xsl0:value-of select="@xpath"/></c:donnee>
</xsl0:template>

<xsl0:template match="sm:fieldValue | sm:fieldValueString | sm:fieldValueEnum">
<xsl0:if test="@prefixIfExist"><c:if type="xpath-statique" test="boolean(sp:{@refCode})"><c:donnee><xsl0:value-of select="@prefixIfExist"/></c:donnee></c:if></xsl0:if><c:donnee type="xslOnSrc-dynamique"><xsl0:call-template name="tFieldValue.getValue"/></c:donnee><xsl0:if test="@suffixIfExist"><c:if type="xpath-statique" test="boolean(sp:{@refCode})"><c:donnee><xsl0:value-of select="@suffixIfExist"/></c:donnee></c:if></xsl0:if>
</xsl0:template>
<xsl0:template name="tFieldValue.getValue">
<xsl:stylesheet version="1.0">
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl:output method="text" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
<xsl:template match="*">
<xsl0:variable name="vRefCode" select="@refCode"/>
<xsl0:choose>
<xsl0:when test="local-name()='fieldValueEnum'">
<xsl0:variable name="vCodeLabel">
<xsl0:variable name="vFieldValueEnum" select="."/>
<xsl:choose>
<xsl0:for-each select="$vPrimSource//sm:field[@code=current()/@refCode]/sm:enum//sm:option">
<xsl0:variable name="vOverideLabel" select="$vFieldValueEnum/sm:option[@key=current()/@key]"/>
<xsl:when test="sp:{$vRefCode}/text()='{escapeXpathString(@key)}'"><xsl0:value-of select="si($vOverideLabel, $vOverideLabel/@label, @name)"/></xsl:when>
</xsl0:for-each>
<xsl:otherwise><xsl:value-of select="sp:{$vRefCode}"/></xsl:otherwise>
</xsl:choose>
</xsl0:variable>
<xsl0:choose>
<xsl0:when test="@format='label'"><xsl0:copy-of select="$vCodeLabel"/></xsl0:when>
<xsl0:when test="@format='key (label)'"><xsl:value-of select="."/> (<xsl0:copy-of select="$vCodeLabel"/>)</xsl0:when>
<xsl0:when test="@format='label (key)'"><xsl0:copy-of select="$vCodeLabel"/> (<xsl:value-of select="."/>)</xsl0:when>
</xsl0:choose>
</xsl0:when>
<xsl0:when test="local-name()='fieldValueDate'">
<xsl:value-of select="java:eu.scenari.modeling.dataformprim.DateFormatter.formatDate(sp:{$vRefCode}/text(),'{returnFirst(@format,'yyyy.MM.dd')}','{returnFirst(@locale,'fr-FR')}','',sp:{$vRefCode}/text())"/>
</xsl0:when>
<xsl0:otherwise><xsl:value-of select="sp:{$vRefCode}"/></xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl:stylesheet>
</xsl0:template>
	
<xsl0:template match="sm:callSubModel">
<c:resultat agent="subModel{generate-id()}"/>
</xsl0:template>
 	
<xsl0:template match="sm:fixedString"><xsl0:value-of select="@value"/></xsl0:template>
			
<xsl0:template match="node()"/>


	
	
	
<xsl0:template match="sm:forGroup" mode="content">
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates mode="content"/>
</xsl:for-each>
</xsl0:template>	
	
<xsl0:template match="sm:forSet" mode="content">
<xsl:apply-templates select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}/*" mode="set_{generate-id(.)}"/>
</xsl0:template>
	
<xsl0:template match="sm:choose" mode="content">
<xsl:choose>
<xsl0:apply-templates mode="content"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when" mode="content">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@codes">
<xsl0:value-of select="concat('sp:', java:replaceAll(string(@codes), '\s', ' | sp:'))"/>
</xsl0:when>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="content">
<xsl:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl:otherwise>
</xsl0:template>
	
<xsl0:template match="sm:forSubData" mode="content">
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates mode="content"/>
</xsl:for-each>
</xsl0:template>	
<xsl0:template match="sm:callSubModel" mode="content"><xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
	
<xsl0:template match="sm:forField" mode="content">
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates mode="content"/>
</xsl:for-each>
</xsl0:template>
	
<xsl0:template match="sm:callModel" mode="content"><xsl:value-of select="resultatAgent('//callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>
	
<xsl0:template match="sm:fieldValueString" mode="content">
<xsl0:choose>
<xsl0:when test="@cropTo"><xsl:value-of select="si(string-length(.)>{@cropTo},concat(substring(.,1,{@cropTo}),'…'),.)"/></xsl0:when>
<xsl0:otherwise><xsl:value-of select="."/></xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:fieldValueDate" mode="content">
<xsl:value-of select="java:eu.scenari.modeling.dataformprim.DateFormatter.formatDate(text(),'{returnFirst(@format,'yyyy.MM.dd')}','{returnFirst(@locale,'fr-FR')}','',text())"/>
</xsl0:template>
<xsl0:template match="sm:fieldName" mode="content">
<xsl:variable name="vCode" select="local-name(ancestor-or-self::*[starts-with(name(), 'sp:')][1])"/>
<xsl:choose>
<xsl0:for-each select="$vStructureModel//sm:field">
<xsl:when test="$vCode='{@code}'"><xsl0:value-of select="@name"/></xsl:when>
</xsl0:for-each>
<xsl:when test="boolean(true)"><xsl:value-of select="$vCode"/></xsl:when>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:fieldValueEnum" mode="content">
<xsl0:choose>
<xsl0:when test="@format='key'">
<xsl:value-of select="."/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:variable name="vCodeLabel">
<xsl0:variable name="vFieldValueEnum" select="."/>
<xsl:choose>
<xsl0:choose>
<xsl0:when test="ancestor::sm:forField/@codes='*'">
<xsl0:for-each select="$vStructureModel//sm:field/sm:enum//sm:option">
<xsl0:variable name="vFieldCode" select="ancestor::sm:field/@code"/>
<xsl0:variable name="vOverideLabel" select="$vFieldValueEnum/sm:option[@key=current()/@key]"/>
<xsl:when test="self::sp:{$vFieldCode}/text()='{escapeXpathString(@key)}'"><xsl0:value-of select="si($vOverideLabel, $vOverideLabel/@label, @name)"/></xsl:when>
</xsl0:for-each>
</xsl0:when>
<xsl0:otherwise>
<xsl0:for-each select="xalan:tokenize(ancestor::sm:forField/@codes, ' ')">
<xsl0:variable name="vFieldCode" select="."/>
<xsl0:for-each select="$vStructureModel//sm:field[@code=$vFieldCode]/sm:enum//sm:option">
<xsl0:variable name="vOverideLabel" select="$vFieldValueEnum/sm:option[@key=current()/@key]"/>
<xsl:when test="self::sp:{$vFieldCode}/text()='{escapeXpathString(@key)}'"><xsl0:value-of select="si($vOverideLabel, $vOverideLabel/@label, @name)"/></xsl:when>
</xsl0:for-each>
</xsl0:for-each>
</xsl0:otherwise>
</xsl0:choose>
<xsl:when test="true()"><xsl:value-of select="."/></xsl:when>
</xsl:choose>
</xsl0:variable>
<xsl0:choose>
<xsl0:when test="@format='label'"><xsl0:copy-of select="$vCodeLabel"/></xsl0:when>
<xsl0:when test="@format='key (label)'"><xsl:value-of select="."/> (<xsl0:copy-of select="$vCodeLabel"/>)</xsl0:when>
<xsl0:when test="@format='label (key)'"><xsl0:copy-of select="$vCodeLabel"/> (<xsl:value-of select="."/>)</xsl0:when>
</xsl0:choose>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:fieldValueOtherType" mode="content"><xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:fieldValueRefItem" mode="content"><xsl0:apply-templates mode="content"/></xsl0:template>
<xsl0:template match="sm:callRefModel" mode="content"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:Widget" mode="content"><xsl:value-of select="resultatAgent(concat('widget_{generate-id()}_',generate-id()),.)" disable-output-escaping="yes"/></xsl0:template>

<xsl0:template match="sm:dynamicString" mode="content">
<xsl0:apply-templates mode="dynamicString"/>
</xsl0:template>
<xsl0:template match="sm:freeSelect" mode="dynamicString"><xsl:value-of select="{@xpath}"/></xsl0:template>
<xsl0:template match="sm:freeXslFragment" mode="dynamicString"><xsl0:copy-of select="parseXml(concat('&lt;root&gt;',.,'&lt;/root&gt;'))/*/*"/></xsl0:template>
<xsl0:template match="node()" mode="dynamicString"/>

<xsl0:template match="node()" mode="content"/>
	
	
<xsl0:template match="sm:forSet" mode="set">
<xsl0:apply-templates mode="inSet"/>
<xsl:template match="*" mode="set_{generate-id(.)}"/>
</xsl0:template>
<xsl0:template match="sm:forField | sm:forGroup | sm:forSet | sm:forSubData" mode="inSet">
		
<xsl:template match="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}" mode="set_{generate-id(..)}">
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl0:template>
<xsl0:template match="text()|@*" mode="set"/>
<xsl0:template match="text()|@*" mode="inSet"/>

	
<xsl0:template name="crossRefEntries">
<xsl0:if test="@crossRefEntries">
<crossRef>
<xsl:variable name="vValue" select="{si(boolean(ancestor::sm:for), 'si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))', 'getIdNode(..)')}"/>
<xsl0:for-each select="xalan:tokenize(@crossRefEntries, ' ')">
<entry keyRef="{.}" value="{{$vValue}}"/>
</xsl0:for-each>
</crossRef>
</xsl0:if>
</xsl0:template>
	
	
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<valeur code="widget_{generate-id()}" codecomposant="concat('widget_{generate-id()}_', generate-id())">
<xsl0:if test="$pPath"><xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute></xsl0:if>
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agentsWidgetZones"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:forGroup|sm:forSet|sm:forSubData|sm:forField" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="concat($pPath, si($pPath, '/sp:', 'sp:'), si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*'))"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="*" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="$pPath"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agentsWidgets"/>
	
	
<xsl0:template match="sm:xhtmlContentZone" mode="agentsWidgetZones">
<valeur code="{si(@key, concat('xhtmlContentZone_', @key), concat('XZ_', generate-id()))}">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
					
<xsl:template match="*">
						
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl:stylesheet>
</source>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:urlZone" mode="agentsWidgetZones">
<valeur code="{si(@key, concat('urlZone_', @key), concat('UZ_', generate-id()))}">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
					
<xsl:template match="*">
<xsl0:apply-templates mode="nav" select="sm:link/*"/>
</xsl:template>
</xsl:stylesheet>
</source>
</valeur>
</xsl0:template>
<xsl0:template match="node()" mode="agentsWidgetZones"/>
	
</xsl0:stylesheet>
