<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm sc sp xsl java xalan">
	
	
	
	
<xsl0:template match="sm:externalUrl" mode="nav"><xsl0:apply-templates mode="string"/></xsl0:template>
<xsl0:template match="sm:fieldValueOtherType" mode="nav">
<xsl0:choose>
<xsl0:when test="@field"><xsl:value-of select="resultatAgent(concat('@', getIdNode(sp:{si(@field, java:replaceAll(string(@field), '\s', ' | sp:'), '*')}), '{getAxisSuffix(@axis)}'),'act:')" disable-output-escaping="yes"/></xsl0:when>
<xsl0:otherwise><xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '{getAxisSuffix(@axis)}'),'act:')" disable-output-escaping="yes"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:fieldValueRefItem" mode="nav">
<xsl0:choose>
<xsl0:when test="@field">
<xsl0:apply-templates mode="nav">
<xsl0:with-param name="vField" select="@field"/>
</xsl0:apply-templates>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates mode="nav"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:callRefModel" mode="nav">
<xsl0:param name="vField"/>
<xsl0:choose>
<xsl0:when test="$vField"><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(sp:{si($vField, java:replaceAll(string($vField), '\s', ' | sp:'), '*')}/@sc:refUri), '{getAxisSuffix(@axis)}'),'act:')" disable-output-escaping="yes"/></xsl0:when>
<xsl0:otherwise><xsl:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '{getAxisSuffix(@axis)}'),'act:')" disable-output-escaping="yes"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:lookForExistingRefModelPage" mode="nav">
<xsl0:param name="vField"/>
<xsl0:choose>
<xsl0:when test="$vField"><xsl:value-of select="resultatAgent('//', concat('lookFor:dir=ancestor&amp;codeAgentPrinc=', escapeQueryString(getIdFromPath(sp:{si($vField, java:replaceAll(string($vField), '\s', ' | sp:'), '*')}/@sc:refUri)), '{getAxisSuffix(@axis)}', '&amp;computeResultWithArguments=act:'))" disable-output-escaping="yes"/></xsl0:when>
<xsl0:otherwise><xsl:value-of select="resultatAgent('//', concat('lookFor:dir=ancestor&amp;codeAgentPrinc=', escapeQueryString(getIdFromPath(@sc:refUri)), '{getAxisSuffix(@axis)}', '&amp;computeResultWithArguments=act:'))" disable-output-escaping="yes"/></xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template match="sm:subData" mode="nav">
<xsl0:apply-templates mode="nav">
<xsl0:with-param name="vField" select="@field"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="sm:callSubModel" mode="nav"><xsl0:param name="vField"/><xsl:value-of select="resultatAgent(concat('@', getIdNode(sp:{si($vField, java:replaceAll(string($vField), '\s', ' | sp:'), '*')}), '_meta{getAxisSuffix(@axis)}'),'act:')" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callModel" mode="nav"><xsl:value-of select="resultatAgent('//callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="text()|@*" mode="nav"/>
	
	
<xsl0:template match="sm:fixedString" mode="string"><xsl0:value-of select="@value"/></xsl0:template>
<xsl0:template match="sm:fieldValueString" mode="string">
<xsl0:choose>
<xsl0:when test="string-length(@cropTo)>0">
<xsl:variable name="vTxt">
<xsl0:choose>
<xsl0:when test="@field"><xsl:value-of select="sp:{si(@field, java:replaceAll(string(@field), '\s', ' | sp:'), '*')}"/></xsl0:when>
<xsl0:otherwise><xsl:value-of select="."/></xsl0:otherwise>
</xsl0:choose>
</xsl:variable>			
<xsl:value-of select="si(string-length($vTxt)>{@cropTo},concat(substring($vTxt,1,{@cropTo}),'…'),$vTxt)"/></xsl0:when>
<xsl0:otherwise>
<xsl0:choose>
<xsl0:when test="@field"><xsl:value-of select="sp:{si(@field, java:replaceAll(string(@field), '\s', ' | sp:'), '*')}"/></xsl0:when>
<xsl0:otherwise><xsl:value-of select="."/></xsl0:otherwise>
</xsl0:choose>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="node()" mode="string"/>
	
		
	
<xsl0:template match="sm:callModel" mode="agts">
<valeur code="callModel_{generate-id()}">
<xsl0:choose>
<xsl0:when test="parent::sm:link">
					
<source type="xpath-dynamique">resultatDialogue(<xsl0:if test="not(*/@navCtx='preserveCurrent')">concat('/', </xsl0:if><xsl0:apply-templates mode="callModel"/><xsl0:if test="not(*/@navCtx='preserveCurrent')">)</xsl0:if>, 'act:')</source>
</xsl0:when>
<xsl0:otherwise>
					
<source type="xpath-dynamique">resultatAgent(concat(<xsl0:apply-templates mode="callModel"/>, '/xhtmlContent'))</source>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
</xsl0:template>
<xsl0:template match="sm:when[@sc:refUri]" mode="agts">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
</xsl0:template>
	
<xsl0:template match="text()|@*" mode="agts"/>

<xsl0:template match="sm:root" mode="callModel">concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>')</xsl0:template>
<xsl0:template match="sm:current" mode="callModel">concat('@', switchAxis(codeAgent('//'), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:lookForAscendants" mode="callModel">concat('@', switchAxis(codeAgent(lookForAscendants($vDialog,'<xsl0:value-of select="returnFirst(@direction,'currentToRoot')"/>'<xsl0:apply-templates mode="callModel"/>)), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:callableModel" mode="callModel">,'<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))"/>'</xsl0:template>
<xsl0:template match="sm:agentPath" mode="callModel">pathAgent(agent('<xsl0:value-of select="@path"/>', $vDialog))</xsl0:template>
<xsl0:template match="sm:currentNav" mode="callModel">'.'</xsl0:template>
<xsl0:template match="sm:fromNewRoot" mode="callModel"><xsl0:apply-templates mode="callModel"/></xsl0:template>
<xsl0:template match="text()|@*" mode="callModel"/>
</xsl0:stylesheet>
