<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	exclude-result-prefixes="sm sc sp xsl java xalan">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"  omit-xml-declaration="yes"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
	
	
<xsl0:template match="sm:dataFormXhtmlTransf">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp {resultatAgent($vAgentModel/prefixModel)} java">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
			
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
			
<xsl:template match="*">
<xsl0:apply-templates select="sm:navigation/*" mode="pathAgent"/>
</xsl:template>
</xsl:stylesheet>
</xsl0:template>
<xsl0:template match="sm:fieldValueOtherType" mode="pathAgent">
<xsl0:call-template name="otherTypePathAgent"/>
</xsl0:template>
<xsl0:template match="sm:fieldValueRefItem" mode="pathAgent">
<xsl0:apply-templates mode="pathAgent">
<xsl0:with-param name="vField" select="@field"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="sm:callRefModel" mode="pathAgent">
<xsl0:param name="vField"/>
<xsl0:call-template name="callRefModelPathAgent">
<xsl0:with-param name="vField" select="$vField"/>
</xsl0:call-template>
</xsl0:template>
<xsl0:template match="sm:subData" mode="pathAgent">
<xsl0:apply-templates mode="pathAgent">
<xsl0:with-param name="vField" select="@field"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="sm:forGroup" mode="pathAgent">
<xsl:for-each select="sp:{si(@code, java:replaceAll(string(@code), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates mode="pathAgent"/>
</xsl:for-each>
</xsl0:template>	
<xsl0:template match="sm:callSubModel" mode="pathAgent">
<xsl0:param name="vField"/>
<xsl0:call-template name="callSubModelPathAgent">
<xsl0:with-param name="vField" select="$vField"/>
</xsl0:call-template>
</xsl0:template>

	
<xsl0:template name="otherTypePathAgent">@<xsl:value-of select="getIdNode(sp:{si(@field, java:replaceAll(string(@field), '\s', ' | sp:'), '*')})"/><xsl0:value-of select="getAxisSuffix(@axis)"/></xsl0:template>
<xsl0:template name="callRefModelPathAgent"><xsl0:param name="vField"/>@<xsl:value-of select="getIdFromPath(sp:{si($vField, java:replaceAll(string($vField), '\s', ' | sp:'), '*')}/@sc:refUri)"/><xsl0:value-of select="getAxisSuffix(@axis)"/></xsl0:template>
<xsl0:template name="callSubModelPathAgent"><xsl0:param name="vField"/>@<xsl:value-of select="getIdNode(sp:{si($vField, java:replaceAll(string($vField), '\s', ' | sp:'), '*')})"/>_meta<xsl0:value-of select="getAxisSuffix(@axis)"/></xsl0:template>

<xsl0:template match="node()" mode="pathAgent"/>
<xsl0:template match="node()"/>
</xsl0:stylesheet>
