<?xml version="1.0" encoding="UTF-8"?>
 
<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:java="http://xml.apache.org/xslt/java"
		exclude-result-prefixes="java sm" 
		version="1.0">
<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
	
<xsl:include href="bs:wspoption.core.xsl"/>
	
<xsl:template match="sm:extDefinition">
<xsl:value-of select="initBuffer('genModulesForClass', java:java.util.HashSet.new())"/>
<wspOption uri="{resultatAgent('//uri')}" 
		           title="{resultatAgent('//nameWsp')}" 
		           description="{sm:help/quickHelp}" 
		           lang="{resultatAgent('//langWsp')}" 
		           key="{resultatAgent('//key')}"
		           version="{resultatAgent('//version')}"
		           >
<xsl:copy-of select="$vArguments"/>
<wspUpdate localAutoUpdate="minor">
<res key="{resultatAgent('//keyResWsp')}">
<description title="{@name}"/>
</res>
</wspUpdate>
<xsl:if test="sm:publicClasses or sm:generatorSkins or sm:mainViewsOverlays">
<systemSpace space="{resultatAgent('//rootSpaceSs')}">
<res key="{resultatAgent('//keyResSs')}">
<description title="{@name} (ss)"/>
</res>
</systemSpace>
</xsl:if>
			
<systemSpace space="{resultatAgent('//rootSpaceBs')}" optional="true">
<res key="{resultatAgent('//keyResBs')}">
<description title="{@name} (bs)"/>
</res>
</systemSpace>
<xsl:for-each select="listGenerators()">
<systemSpace space="{resultatAgent(rootSpaceGen)}">
<res key="{resultatAgent(keyResGen)}">
<description title="{resultatAgent(nameGenerator)}"/>
</res>
</systemSpace>
</xsl:for-each>
<xsl:apply-templates select="sm:generatorSkins/sm:generator" mode="skin"/>
<xsl:if test="listGenerators()">
<xsl:for-each select="listModelsFromGenerators()">
<xsl:variable name="vModel" select="."/>
<xsl:variable name="vOwnerSs" select="si(resultatAgent('//isPublicClass', codeAgent($vModel))='true', agent(resultatAgent('@@/findOwnerClass', codeAgent($vModel))))"/>
<ssOverlay ssUri="{resultatAgent($vOwnerSs/rootPathSs)}/{resultatAgent($vModel/codeModel)}.ss.xml">
<ssFragment>
<module type="eu.scenari.wsp.module.bsbinding.ModuleBsBindingLoader" code="bsBinding">
<xsl:value-of select="buildBsBindgings($vModel)" disable-output-escaping="yes"/>
</module>
</ssFragment>
</ssOverlay>
</xsl:for-each>
				
<xsl:apply-templates select="sm:mainViewsOverlays/sm:class" mode="overlayGen"/>
				
<xsl:for-each select="listGenerators()">
<xsl:variable name="vGen" select="agent(.)"/>
<xsl:variable name="vGenCd" select="resultatAgent($vGen/codeGenerator)"/>
<xsl:for-each select="agentsLies(listAgentRootAllowed)">
<xsl:variable name="vModel" select="."/>
<xsl:if test="setEntryBuffer('genModulesForClass', concat($vGenCd, '@', resultatAgent($vModel/codeModel)))">
<xsl:variable name="vOwnerSs" select="si(resultatAgent('//isPublicClass', codeAgent($vModel))='true', agent(resultatAgent('@@/findOwnerClass', codeAgent($vModel))))"/>
<ssOverlay ssUri="{resultatAgent($vOwnerSs/rootPathSs)}/{resultatAgent($vModel/codeModel)}.ss.xml">
<ssFragment>
<module code="gen_{$vGenCd}" type="eu.scenari.wsp.module.gen.ModuleGenLoader" title="{resultatAgent($vGen/nameGenerator)}">
<context>
<agtBag alias="@" type="append">
<bs sc:refUri="{resultatAgent($vGen/bsRootPath)}"/>
</agtBag>
</context>
<generator classGen="{resultatAgent($vGen/classGenerator)}">
<publishFiles sc:refUri="{resultatAgent($vGen/publishFilesFolderPath)}"/>
<xsl:variable name="vSkinPath" select="resultatAgent($vGen/skinPath, '')"/>
<xsl:if test="$vSkinPath">
<skin sc:refUri="{resultatAgent($vGen/rootPathGen)}{$vSkinPath}" code="default" title="{resultatAgent($vGen/skinName)}" owner="{resultatAgent('/@@/uri')}"/>
</xsl:if>
</generator>
</module>
</ssFragment>
</ssOverlay>
</xsl:if>
</xsl:for-each>
</xsl:for-each>
</xsl:if>
<xsl:call-template name="tGetWspConfig"/>
<editionSheet pack="{resultatAgent('//uri')}" brickSelector="{{{resultatAgent('//keyResMozBrick')};{resultatAgent('//version')};{returnFirst(resultatAgent('//langWsp'), 'zxx')}}}"/>
</wspOption>
</xsl:template>

<xsl:template match="*"/>
<xsl:template match="text()|@*"/>
</xsl:stylesheet>