<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:java="http://xml.apache.org/xslt/java"
		exclude-result-prefixes="sm sc java"
		version="1.0">
<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
	
<xsl:include href="bsco:sm/wspDef/export.wsptypeui.xsl"/>
	
<xsl:template match="/*">
<wspOptionUi uri="{resultatAgent('//uri')}"
					 component="@scenari.com/ui/wspOption;1"
					 lang="{resultatAgent('//langWsp')}" 
					 key="{resultatAgent('//key')}"
					 title="{@name}"
					 version="{resultatAgent('//version')}"
					 nature="{resultatAgent('//nature')}">
			
<wspType key="{resultatAgent('//parentKey')}" lang="{resultatAgent('//parentLangWsp')}"/>
<xsl:if test="sm:requireExtDef or sm:incompatibleExtDef or sm:applyOnExtDef">
<dependencies>
<xsl:for-each select="sm:requireExtDef | sm:incompatibleExtDef | sm:applyOnExtDef">
<xsl:variable name="vOptAgt" select="concat('@', getIdFromPath(@sc:refUri))"/> 
<wspOption key="{resultatAgent(concat($vOptAgt, '/key'))}" name="{resultatAgent(concat($vOptAgt, '/nameWsp'))}" dependency="{si(self::sm:requireExtDef, 'require', si(self::sm:incompatibleExtDef, 'incompatible', 'applyOn'))}"/>
</xsl:for-each>
</dependencies>
</xsl:if>
			
<xsl:for-each select="sm:mainViewsOverlays/sm:class">
<xsl:variable name="vAgentModel" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl:variable name="vOwnerClassPath" select="resultatAgent('@@/findOwnerClass', getIdFromPath(@sc:refUri))"/>
<xsl:if test="$vOwnerClassPath">
<uiOverlay onUriKey="mainView:{resultatAgent($vAgentModel/codeModel)}" src="{resultatAgent($vAgentModel/mainviewOverlay.xul,'act:')}"/>
</xsl:if>
</xsl:for-each>
			
<generators>
<xsl:variable name="vThisDefOwner" select="resultatAgent('/@@/key')"/>
<xsl:variable name="vRooDef" select="."/>
				
<xsl:for-each select="listGenerators()">
<xsl:variable name="vCodeGen" select="resultatAgent(codeGenerator)"/>
<generator code="{$vCodeGen}" title="{resultatAgent(nameGenerator)}" owner="{$vThisDefOwner}" type="{typeAgent(.)}">
						
<xsl:for-each select="agentsLies(listAgentRootAllowed)">
<xsl:variable name="vOwnerSs" select="si(resultatAgent(isStandAloneItem)='true', agent(resultatAgent('@@/findOwnerClass', codeAgent(.))))"/>
<xsl:if test="$vOwnerSs">
<rootModel code="{resultatAgent(codeModel)}" owner="{resultatAgent($vOwnerSs/key)}"/>
</xsl:if>
</xsl:for-each>
						
<xsl:variable name="vKeyResGen" select="resultatAgent(keyResGen)"/>
<xsl:variable name="vAgtSkinPath" select="skinPath"/>
<xsl:variable name="vDefaultSkin" select="resultatAgent($vAgtSkinPath, '')"/>
<xsl:if test="$vDefaultSkin">
<skin srcRes="{$vKeyResGen}" srcVersion="{resultatAgent('@@/version')}" srcLang="{resultatAgent('@@/langWsp')}" srcPath="{$vDefaultSkin}" code="default" title="{resultatAgent(skinName)}" owner="{$vThisDefOwner}"/>
							
<xsl:variable name="vCodeAgtGen" select="codeAgent(.)"/>
<xsl:for-each select="$vRooDef/sm:generatorSkins/sm:generator[getIdFromPath(@sc:refUri)=$vCodeAgtGen]/sm:skin">
<skin srcRes="{$vKeyResGen}" srcVersion="{resultatAgent('@@/version')}" srcLang="{resultatAgent('@@/langWsp')}" srcPath="{resultatAgent($vAgtSkinPath, @code)}" code="{@code}" title="{@name}" owner="{$vThisDefOwner}"/>
</xsl:for-each>
</xsl:if>
</generator>
</xsl:for-each>
				
<xsl:for-each select="$vRooDef/sm:generatorSkins/sm:generator[not(listGenerators()[codeAgent(.)=getIdFromPath(current()/@sc:refUri)])]">
<xsl:variable name="vGen" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl:variable name="vCodeGen" select="resultatAgent($vGen/codeGenerator)"/>
<genOverlay code="{$vCodeGen}">
<xsl:variable name="vAgtSkinPath" select="$vGen/extSkinPath"/>
<xsl:variable name="vCodeAgtGen" select="codeAgent($vGen)"/>
<xsl:for-each select="sm:skin">
<skin srcRes="{resultatAgent('@@/keyResSs')}" srcVersion="{resultatAgent('@@/version')}" srcLang="{resultatAgent('@@/langWsp')}" srcPath="{resultatAgent($vAgtSkinPath, @code)}" code="{@code}" title="{@name}" owner="{$vThisDefOwner}"/>
</xsl:for-each>
</genOverlay>
</xsl:for-each>
</generators>
			
<xsl:call-template name="globalExtSource"/>
			
<xsl:apply-templates select="sm:wspUi/sm:freeUiOverlay"/>
</wspOptionUi>
				
		
		
		
<xsl:for-each select="sm:generatorSkins/sm:generator/sm:skin[@code!='default']/sm:icon">
<xsl:value-of select="execute(si(@sc:refUri,
									resultatAgent('//', 
									concat('resUri:src=wsp:', 
											@sc:refUri,
											';overidedst=content/_skin/',
											resultatAgent(concat('@', getIdFromPath(../../@sc:refUri), '/codeGenerator')),
											'/',
											../@code,
											'/icon.png',
											';transform=img2img&amp;outType=PNG&amp;sizeRules=Px(Bounds(maxW''100''maxH''100''))'
											))))"/>
</xsl:for-each>
</xsl:template>
	
</xsl:stylesheet>