<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	exclude-result-prefixes="sm">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
<xsl0:variable name="vAgentMeta" select="computeNodeAgent($vAgentModel/agentMeta)"/>
	
<xsl0:template match="sm:freeXslOdTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{getAxisSuffix(sm:axis/@code)}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}"
			codecomposant="{si(resultatAgent($vAgentModel/isMeta)='true', concat(&quot;concat(getIdNode(..), '_meta&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), si(sm:axis/@code, concat(&quot;concat(getIdNode(..), '&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), 'getIdNode(..)'))}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
						
<xsl0:if test="boolean($vAgentMeta)">
				
<valeur code="codeMeta">
<source type="xpath-statique">concat(getIdNode(.), '_meta')</source>
</valeur>
				
<xsl0:if test="count(sm:fullTitleText) = 0">
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/fullTitleText'))</source>
</valeur>
</xsl0:if>
				
<xsl0:if test="count(sm:shortTitleText) = 0">
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/shortTitleText'))</source>
</valeur>
</xsl0:if>
</xsl0:if>
<xsl0:apply-templates/>
</structure>
</xsl0:template>
	
	
<xsl0:template match="sm:content">
<valeur code="getContent">
<source type="inclusion-dynamique">
<source type="xslOnSrc-dynamique" href="{resultatAgent('//contentXsl')}"/>
</source>
</valeur>
<set code="cond">
<xsl0:apply-templates select="sm:declareCond"/>
</set>
</xsl0:template>
<xsl0:template match="sm:fullTitleText">
<valeur code="fullTitleText">
<source type="inclusion-dynamique">
<source type="xslOnSrc-dynamique" href="{resultatAgent('//fullTitleTextXsl')}"/>
</source>
</valeur>
</xsl0:template>
<xsl0:template match="sm:shortTitleText">
<valeur code="shortTitleText">
<source type="inclusion-dynamique">
<source type="xslOnSrc-dynamique" href="{resultatAgent('//shortTitleTextXsl')}"/>
</source>
</valeur>
</xsl0:template>
	
<xsl0:template match="sm:declareCond">
<valeur code="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeCond'))}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:template>
	
<xsl0:template match="*"/>

</xsl0:stylesheet>