<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:include href="bsco:sm/binaryPrims/mainviewInc.xul.xsl"/>
	
<xsl:template match="sm:previewBlock" mode="mainview">
		
<xsl:if test="not($vAuthoring/sm:sizeBlock) or not(../sm:block[@code='size'][not(@usedIn='nonBinaryClasses')])">
<blockimage titleblock="{@name}" transform="transform=img2img&amp;outType={resultatAgent('//formatFromMimeType')}&amp;sizeRules=Px(Bounds(maxW'550'maxH'550'))">
<xsl:call-template name="displayMode"/>
<xsl:call-template name="idInView"/>
</blockimage>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:block[@code='size'][not(@usedIn='nonBinaryClasses')]" mode="mainview">
<xsl:if test="$vAuthoring/sm:sizeBlock">
<blockscsize titleblock="{@name}" dimstransform="transform=img2img">
<xsl:if test="$vIsReadOnly"><xsl:attribute name="readonly">true</xsl:attribute></xsl:if>
<xsl:call-template name="displayMode"/>
<xsl:call-template name="idInView"/>
<xsl:apply-templates select="$vAuthoring/sm:sizeBlock/*"/>
</blockscsize>
</xsl:if>
</xsl:template>
<xsl:template match="sm:sizeBlock/*">
<scsizetab type="{local-name(.)}">
<xsl:apply-templates select="sm:defaultValue"/>
<xsl:if test="@name">
<xsl:attribute name="title"><xsl:value-of select="@name"/></xsl:attribute>
</xsl:if>
<xsl:if test="sm:editor">
<xsl:attribute name="editable">true</xsl:attribute>
</xsl:if>
<xsl:if test="sm:editor/sm:textRef">
<xsl:attribute name="textref"><xsl:value-of select="sm:editor/sm:textRef/text()"/></xsl:attribute>
</xsl:if>
<xsl:call-template name="idInView"/>
</scsizetab>
</xsl:template>
<xsl:template match="sm:standardCharSize/sm:defaultValue">
<xsl:attribute name="defaultvalue">
<xsl:variable name="vDpi">
<xsl:choose>
<xsl:when test="@readSourceDpi='false'"><xsl:value-of select="returnFirst(@defaultDpi, 96)"/></xsl:when>
<xsl:otherwise>dpi ? dpi : <xsl:value-of select="returnFirst(@defaultDpi, 96)"/></xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:text>10 * </xsl:text>(<xsl:value-of select="$vDpi"/>)<xsl:text> /96</xsl:text>
</xsl:attribute>
</xsl:template>
<xsl:template match="sm:limitCharSize/sm:defaultValue">
<xsl:attribute name="defaultvalue"><xsl:value-of select="@scaleFromStandardCharsize"/></xsl:attribute>
</xsl:template>
<xsl:template match="sm:rotation/sm:defaultValue">
<xsl:attribute name="defaultvalue"><xsl:value-of select="@allowed='false'"/></xsl:attribute>
</xsl:template>
	
</xsl:stylesheet>
