<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="sm sc xsl"
	>
	
<xsl0:import href="bsco:sm/web/sm_WImg.xml.xsl"/>

<xsl0:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>
	
<xsl0:template match="sm:localOutlineUiWidget">
<xsl:stylesheet version="1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:xalan="http://xml.apache.org/xalan" exclude-result-prefixes="java xalan xhtml">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
								
				
<xsl:template match="/zoneContent">
<xsl0:apply-templates select="sm:content/*"/>
</xsl:template>
<xsl:template match="text()"/>
				
				
<xsl:template match="hx" mode="copy">
<xsl:copy>
<xsl:if test="not(@id) and not(ancestor::scTooltip)"><xsl:attribute name="id"><xsl:value-of select="java:generateId($vDialog, concat(idExportAgent($vAgent), generate-id(.)))"/></xsl:attribute></xsl:if>
<xsl:apply-templates select="@*|node()" mode="copy"/>
</xsl:copy>
</xsl:template>
<xsl:template match="@*|node()" mode="copy">
<xsl:copy>
<xsl:apply-templates select="@*|node()" mode="copy"/>
</xsl:copy>
</xsl:template>

				
<xsl0:apply-templates select="sm:content//sm:localOutline" mode="outline"/>
							
				
<xsl:template name="buildTargetClasses">
<xsl:param name="vTitleBlock"/>
<xsl:if test="$vTitleBlock"><xsl:for-each select="xalan:tokenize($vTitleBlock/@class, ' ')"><xsl:value-of select="concat(., '_lo ')"/></xsl:for-each>			</xsl:if>
</xsl:template>
</xsl:stylesheet>
</xsl0:template>
	
	
<xsl0:template match="sm:includeContent">
<xsl:apply-templates mode="copy"/>
</xsl0:template>
	
<xsl0:template match="sm:localOutline">
<xsl:call-template name="{generate-id(.)}_nodeArch_skel">
<xsl:with-param name="vDepth" select="0"/>
</xsl:call-template>
</xsl0:template>
	
<xsl0:template match="sm:choose">
<xsl:choose>
<xsl0:apply-templates/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:whenOutlineNotEmpty">
<xsl:when test="descendant::scBlock[not(@noLocalOutline) and (scBlockTitle or normalize-space(descendant::hx))]">
<xsl0:apply-templates/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:when">
<xsl:when test="{@xpath}">
<xsl0:apply-templates/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise">
<xsl:otherwise>
<xsl0:apply-templates/>
</xsl:otherwise>
</xsl0:template>
	
	
<xsl0:template match="sm:WImg">
<img alt="{@alt}">
<xsl0:call-template name="imgSrcAtts"/>
<xsl0:if test="@title">
<xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute>
</xsl0:if>
<xsl0:if test="@class">
<xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute>
</xsl0:if>
</img>
</xsl0:template>

	
<xsl0:template match="xhtml:*">
<xsl0:element name="{local-name()}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
<xsl0:apply-templates select="node()"/>
</xsl0:element>
</xsl0:template>

<xsl0:template match="xhtml:img">
<img src="{{translatePubPath2DestUrl(&quot;site/lib/{extractFileNameFromPath(@sc:refUri)}&quot;)}}" alt="{@alt}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
</img>
</xsl0:template>

<xsl0:template match="@*" mode="freeAtts">
<xsl0:attribute name="{local-name()}"><xsl0:value-of select="escapeXslAtt(.)"/></xsl0:attribute>
</xsl0:template>
<xsl0:template match="@sc:*" mode="freeAtts" />
<xsl0:template match="text()">
<xsl0:if test="string-length(normalize-space(.)) &gt; 0">
<xsl0:value-of select="." />
</xsl0:if>
</xsl0:template>
<xsl0:template match="*"/>
	
	
	
<xsl0:template match="sm:localOutline" mode="outline">
<xsl0:variable name="vModeBase" select="generate-id(.)"/>
				
		
<xsl:template match="*" mode="{$vModeBase}_nodeArch">
<xsl:param name="vDepth"/>
<xsl:apply-templates select="*" mode="{$vModeBase}_nodeArch">
<xsl:with-param name="vDepth" select="$vDepth"/>
</xsl:apply-templates>
</xsl:template>
<xsl:template match="scBlock[not(@noLocalOutline)]" mode="{$vModeBase}_nodeArch">
<xsl:param name="vDepth"/>
<xsl:variable name="vTitleBlock" select="descendant::hx[1]"/>
<xsl:call-template name="{$vModeBase}_nodeArch_skel">
<xsl:with-param name="vDepth" select="$vDepth+1"/>
<xsl:with-param name="vTitleBlock" select="$vTitleBlock"/>
</xsl:call-template>
</xsl:template>
<xsl:template match="scTooltip" mode="{$vModeBase}_nodeArch" />
<xsl:template match="text()" mode="{$vModeBase}_nodeArch"/>

<xsl:template name="{$vModeBase}_nodeArch_skel">
<xsl:param name="vDepth"/>
<xsl:param name="vTitleBlock"/>
<xsl:if test="$vDepth = 0 or $vTitleBlock">
<xsl:choose>
<xsl0:apply-templates select="sm:nodeArch">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
</xsl0:apply-templates>
<xsl0:if test="count(sm:nodeArch[not(sm:constraints)])=0">
<xsl:when test="true()">
<xsl0:call-template name="nodeArchEntry">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vListElt">ul</xsl0:with-param>
<xsl0:with-param name="vChildElt">li</xsl0:with-param>
</xsl0:call-template>
</xsl:when>
</xsl0:if>
</xsl:choose>
</xsl:if>
</xsl:template>

		
<xsl:template match="*" mode="{$vModeBase}_nodeArchList">
<xsl:param name="vDepth"/>
<xsl:param name="vTitleBlock"/>
<xsl:param name="vChildElt"/>
<xsl:apply-templates select="*" mode="{$vModeBase}_nodeArchList">
<xsl:with-param name="vDepth" select="$vDepth"/>
<xsl:with-param name="vTitleBlock" select="$vTitleBlock"/>
<xsl:with-param name="vChildElt" select="$vChildElt"/>
</xsl:apply-templates>
</xsl:template>
<xsl:template match="scTooltip" mode="{$vModeBase}_nodeArchList" />
<xsl:template match="text()" mode="{$vModeBase}_nodeArchList"/>
		
<xsl:template match="scBlock[not(@noLocalOutline)]" mode="{$vModeBase}_nodeArchList">
<xsl:param name="vDepth"/>
<xsl:param name="vTitleBlock"/>
<xsl:param name="vChildElt"/>
<xsl:choose>
<xsl:when test="scBlockTitle or normalize-space(descendant::hx)">
<xsl:choose>
<xsl:when test="$vChildElt = 'suppressed'">
							
</xsl:when>
<xsl:when test="$vChildElt = 'none'">
<xsl:apply-templates select="." mode="{$vModeBase}_nodeArch">
<xsl:with-param name="vDepth" select="$vDepth"/>
</xsl:apply-templates>
</xsl:when>
<xsl:otherwise>
<xsl:element name="{{$vChildElt}}">
<xsl:call-template name="{$vModeBase}_classesChildren">
<xsl:with-param name="vDepth" select="$vDepth+1"/>
<xsl:with-param name="vTitleBlock" select="."/>
</xsl:call-template>
<xsl:apply-templates select="." mode="{$vModeBase}_nodeArch">
<xsl:with-param name="vDepth" select="$vDepth"/>
</xsl:apply-templates>
</xsl:element>
</xsl:otherwise>
</xsl:choose>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*" mode="{$vModeBase}_nodeArchList">
<xsl:with-param name="vDepth" select="$vDepth"/>
<xsl:with-param name="vTitleBlock" select="$vTitleBlock"/>
<xsl:with-param name="vChildElt" select="$vChildElt"/>
</xsl:apply-templates>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

		
<xsl:template name="{$vModeBase}_label">
<xsl:param name="vDepth"/>
<xsl:param name="vTitleBlock"/>
<xsl:choose>
<xsl0:apply-templates select="sm:label"/>
<xsl0:if test="count(sm:label[not(sm:constraints)])=0">
<xsl:when test="true()">
<xsl:choose>
<xsl:when test="scBlockTitle"><xsl:apply-templates select="scBlockTitle/node()" mode="copy"/></xsl:when>
<xsl:otherwise>
<xsl:value-of select="$vTitleBlock"/>
</xsl:otherwise>
</xsl:choose>
</xsl:when>
</xsl0:if>
</xsl:choose>
</xsl:template>

		
<xsl:template name="{$vModeBase}_labelTitle">
<xsl:param name="vDepth"/>
<xsl:param name="vTitleBlock"/>
<xsl0:if test="boolean(sm:labelTitle)">
<xsl:choose>
<xsl0:apply-templates select="sm:labelTitle"/>
</xsl:choose>
</xsl0:if>
</xsl:template>

		
<xsl:template name="{$vModeBase}_classesRoot">
<xsl:param name="vDepth"/>
<xsl:param name="vTitleBlock"/>
<xsl0:if test="boolean(sm:classes)">
<xsl:choose>
<xsl0:apply-templates select="sm:classes" mode="classesRoot"/>
</xsl:choose>
</xsl0:if>
</xsl:template>
<xsl:template name="{$vModeBase}_classesEntry">
<xsl:param name="vDepth"/>
<xsl:param name="vTitleBlock"/>
<xsl0:if test="boolean(sm:classes)">
<xsl:choose>
<xsl0:apply-templates select="sm:classes" mode="classesEntry"/>
</xsl:choose>
</xsl0:if>
</xsl:template>
<xsl:template name="{$vModeBase}_classesList">
<xsl:param name="vDepth"/>
<xsl:param name="vTitleBlock"/>
<xsl0:if test="boolean(sm:classes)">
<xsl:choose>
<xsl0:apply-templates select="sm:classes" mode="classesList"/>
</xsl:choose>
</xsl0:if>
</xsl:template>
<xsl:template name="{$vModeBase}_classesChildren">
<xsl:param name="vDepth"/>
<xsl:param name="vTitleBlock"/>
<xsl0:if test="boolean(sm:classes)">
<xsl:choose>
<xsl0:apply-templates select="sm:classes" mode="classesChildren"/>
</xsl:choose>
</xsl0:if>
</xsl:template>
</xsl0:template>


<xsl0:template match="sm:nodeArch">
<xsl0:param name="vModeBase"/>
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:variable name="vRootElt">
<xsl0:choose>
<xsl0:when test="sm:unorderedList"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:unorderedList/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:orderedList"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:orderedList/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:block"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:block/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:inline"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:inline/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:variable name="vListElt">
<xsl0:choose>
<xsl0:when test="sm:unorderedList">ul</xsl0:when>
<xsl0:when test="sm:orderedList">ol</xsl0:when>
<xsl0:when test="sm:block"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:block/sm:children/@listElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:inline"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:inline/sm:children/@listElt"/></xsl0:call-template></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:variable name="vChildElt">
<xsl0:choose>
<xsl0:when test="sm:unorderedList | sm:orderedList">li</xsl0:when>
<xsl0:when test="sm:block"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:block/sm:children/@childElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:inline"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:inline/sm:children/@childElt"/></xsl0:call-template></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:choose>
<xsl0:when test="$vRootElt = 'suppressed'">
					
</xsl0:when>
<xsl0:when test="$vRootElt = 'none'">
<xsl0:call-template name="nodeArchEntry">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vListElt" select="$vListElt"/>
<xsl0:with-param name="vChildElt" select="$vChildElt"/>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl0:element name="{$vRootElt}">
<xsl:call-template name="{$vModeBase}_classesRoot">
<xsl:with-param name="vDepth" select="$vDepth"/>
<xsl:with-param name="vTitleBlock" select="$vTitleBlock"/>
</xsl:call-template>
<xsl0:call-template name="nodeArchEntry">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vListElt" select="$vListElt"/>
<xsl0:with-param name="vChildElt" select="$vChildElt"/>
</xsl0:call-template>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl:when>
</xsl0:template>

<xsl0:template name="nodeArchEntry">
<xsl0:param name="vModeBase"/>
<xsl0:param name="vListElt"/>
<xsl0:param name="vChildElt"/>
<xsl:if test="$vTitleBlock">
<a>
<xsl:attribute name="href">
<xsl:for-each select="$vTitleBlock">#<xsl:value-of select="si(@id,@id,concat(idExportAgent($vAgent), generate-id(.)))"/></xsl:for-each>
</xsl:attribute>
<xsl:call-template name="{$vModeBase}_classesEntry">
<xsl:with-param name="vDepth" select="$vDepth"/>
<xsl:with-param name="vTitleBlock" select="$vTitleBlock"/>
</xsl:call-template>
<xsl:call-template name="{$vModeBase}_labelTitle">
<xsl:with-param name="vDepth" select="$vDepth"/>
<xsl:with-param name="vTitleBlock" select="$vTitleBlock"/>
</xsl:call-template>
<xsl:call-template name="{$vModeBase}_label">
<xsl:with-param name="vDepth" select="$vDepth"/>
<xsl:with-param name="vTitleBlock" select="$vTitleBlock"/>
</xsl:call-template>
</a>
</xsl:if>
<xsl:if test="descendant::scBlock[not(@noLocalOutline) and (scBlockTitle or normalize-space(descendant::hx))]">
<xsl0:choose>
<xsl0:when test="$vListElt = 'suppressed'">
					
</xsl0:when>
<xsl0:when test="$vListElt = 'none'">
<xsl:apply-templates select="*" mode="{$vModeBase}_nodeArchList">
<xsl:with-param name="vDepth" select="$vDepth"/>
<xsl:with-param name="vTitleBlock" select="$vTitleBlock"/>
<xsl:with-param name="vChildElt" select="'{$vChildElt}'"/>
</xsl:apply-templates>
</xsl0:when>
<xsl0:otherwise>
<xsl0:element name="{$vListElt}">
<xsl:call-template name="{$vModeBase}_classesList">
<xsl:with-param name="vDepth" select="$vDepth"/>
<xsl:with-param name="vTitleBlock" select="$vTitleBlock"/>
</xsl:call-template>
<xsl:apply-templates select="*" mode="{$vModeBase}_nodeArchList">
<xsl:with-param name="vDepth" select="$vDepth"/>
<xsl:with-param name="vTitleBlock" select="$vTitleBlock"/>
<xsl:with-param name="vChildElt" select="'{$vChildElt}'"/>
</xsl:apply-templates>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl:if>
</xsl0:template>

<xsl0:template name="nodeElt">
<xsl0:param name="vElt"/>
<xsl0:choose>
<xsl0:when test="$vElt='block'">div</xsl0:when>
<xsl0:when test="$vElt='inline'">span</xsl0:when>
<xsl0:when test="$vElt='none'">none</xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>


<xsl0:template match="sm:label">
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:choose>
<xsl0:when test="count(*) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="*" mode="label"/></span></xsl0:otherwise>
</xsl0:choose>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:title" mode="label">
<xsl:choose>
<xsl:when test="scBlockTitle"><xsl:apply-templates select="scBlockTitle/node()" mode="copy"/></xsl:when>
<xsl:otherwise>
<xsl:value-of select="$vTitleBlock"/>
</xsl:otherwise>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:fixedString" mode="label">
<xsl0:value-of select="@value"/>
</xsl0:template>


<xsl0:template match="sm:labelTitle">
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="*"><xsl:attribute name="title"><xsl0:apply-templates select="*" mode="labelTitle"/></xsl:attribute></xsl0:if>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:title" mode="labelTitle">
<xsl:choose>
<xsl:otherwise>
<xsl:value-of select="$vTitleBlock"/>
</xsl:otherwise>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:fixedString" mode="labelTitle">
<xsl0:value-of select="@value"/>
</xsl0:template>


<xsl0:template match="sm:classes" mode="classesRoot">
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="sm:depth/@onRoot='yes' or sm:elementType/@onRoot='yes' or sm:targetClasses/@onRoot='yes'">
<xsl:attribute name="class">
<xsl0:if test="sm:targetClasses/@onRoot='yes'"><xsl:call-template name="buildTargetClasses"><xsl:with-param name="vTitleBlock" select="$vTitleBlock"/></xsl:call-template></xsl0:if>
<xsl0:if test="sm:depth/@onRoot='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/><xsl:value-of select="$vDepth"/></xsl0:if>
<xsl0:if test="sm:elementType/@onRoot='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>root</xsl0:if>
</xsl:attribute>
</xsl0:if>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:classes" mode="classesEntry">
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="sm:depth/@onEntry='yes' or sm:elementType/@onEntry='yes' or sm:targetClasses/@onEntry='yes'">
<xsl:attribute name="class">
<xsl0:if test="sm:targetClasses/@onEntry='yes'"><xsl:call-template name="buildTargetClasses"><xsl:with-param name="vTitleBlock" select="$vTitleBlock"/></xsl:call-template></xsl0:if>
<xsl0:if test="sm:depth/@onEntry='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/><xsl:value-of select="$vDepth"/></xsl0:if>
<xsl0:if test="sm:elementType/@onEntry='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>entry</xsl0:if>
</xsl:attribute>
</xsl0:if>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:classes" mode="classesList">
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="sm:depth/@onList='yes' or sm:elementType/@onList='yes' or sm:targetClasses/@onList='yes'">
<xsl:attribute name="class">
<xsl0:if test="sm:targetClasses/@onList='yes'"><xsl:call-template name="buildTargetClasses"><xsl:with-param name="vTitleBlock" select="$vTitleBlock"/></xsl:call-template></xsl0:if>
<xsl0:if test="sm:depth/@onList='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/><xsl:value-of select="$vDepth"/></xsl0:if>
<xsl0:if test="sm:elementType/@onList='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>list</xsl0:if>
</xsl:attribute>
</xsl0:if>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:classes" mode="classesChildren">
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="sm:depth/@onChildContainers='yes' or sm:elementType/@onChildContainers='yes' or sm:targetClasses/@onChildContainers='yes'">
<xsl:attribute name="class">
<xsl0:if test="sm:targetClasses/@onChildContainers='yes'"><xsl:call-template name="buildTargetClasses"><xsl:with-param name="vTitleBlock" select="$vTitleBlock"/></xsl:call-template></xsl0:if>
<xsl0:if test="sm:depth/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/><xsl:value-of select="$vDepth"/></xsl0:if>
<xsl0:if test="sm:elementType/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>child</xsl0:if>
</xsl:attribute>
</xsl0:if>
</xsl:when>
</xsl0:template>


<xsl0:template name="constraints">
<xsl0:choose>
<xsl0:when test="sm:constraints"><xsl0:call-template name="constraintsDepth"/></xsl0:when>
<xsl0:otherwise>true()</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template name="constraintsDepth">
<xsl0:choose>
<xsl0:when test="sm:constraints/sm:depth/@min and sm:constraints/sm:depth/@max">$vDepth &gt;= <xsl0:value-of select="sm:constraints/sm:depth/@min"/> and $vDepth&lt;= <xsl0:value-of select="sm:constraints/sm:depth/@max"/></xsl0:when>
<xsl0:when test="sm:constraints/sm:depth/@min">$vDepth &gt;= <xsl0:value-of select="sm:constraints/sm:depth/@min"/></xsl0:when>
<xsl0:when test="sm:constraints/sm:depth/@max">$vDepth &lt;= <xsl0:value-of select="sm:constraints/sm:depth/@max"/></xsl0:when>
</xsl0:choose>
</xsl0:template>

</xsl0:stylesheet>