<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="sm sc xsl xhtml" version="1.0">

<xsl0:output method="xml" indent="no" omit-xml-declaration="yes" />
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0" />

<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>

<xsl0:include href="bs:content.xsl.xsl"/>
	
<xsl0:template match="sm:navUiWidget">
<xsl0:choose>
			
<xsl0:when test="/descendant::sm:Widget">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp">
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
						
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>

<xsl0:call-template name="rootTemplates"/>
			
</xsl:stylesheet>
</source>
</xsl0:when>
<xsl0:otherwise>
<source type="xsl-dynamique" href="{resultatAgent('//xsl','act:')}"/>
</xsl0:otherwise>
</xsl0:choose>
<valeur code="pathDialog">
<source type="navOutline-dynamique"><xsl0:value-of select="resultatAgent('//navOutlineDef','/contentAgent')" disable-output-escaping="yes"/></source>
</valeur>
<xsl0:apply-templates select="sm:content/node()" mode="agts" />
</xsl0:template>


<xsl0:template match="sm:Widget" mode="agts">
<valeur code="widget_{generate-id()}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agtsSubWidgetZones"/>
</valeur>
</xsl0:template>

<xsl0:template match="sm:callModel" mode="agts">
<valeur code="callModel_{generate-id()}">
<source type="xpath-dynamique">resultatAgent(concat(<xsl0:apply-templates mode="callModel"/>, '/xhtmlContent'))</source>
</valeur>
</xsl0:template>
	
<xsl0:template match="*" mode="agts">
<xsl0:apply-templates mode="agts"/>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agts"/>

	
<xsl0:template match="sm:root" mode="callModel">concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>')</xsl0:template>
<xsl0:template match="sm:lookForAscendants" mode="callModel">concat('@', switchAxis(codeAgent(lookForAscendants($vDialog,'<xsl0:value-of select="returnFirst(@direction,'currentToRoot')"/>'<xsl0:apply-templates mode="callModel"/>)), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:callableModel" mode="callModel">,'<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))"/>'</xsl0:template>
<xsl0:template match="sm:agentPath" mode="callModel">pathAgent(agent('<xsl0:value-of select="@path"/>', $vDialog))</xsl0:template>
<xsl0:template match="sm:currentNav" mode="callModel">'.'</xsl0:template>
<xsl0:template match="sm:fromNewRoot" mode="callModel">concat('/', <xsl0:apply-templates mode="callModel"/>)</xsl0:template>
<xsl0:template match="text()|@*" mode="callModel"/>
	
	
<xsl0:template match="sm:xhtmlContentZone" mode="agtsSubWidgetZones">
<valeur code="{concat('xhtmlContentZone_', @key)}">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp">
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
					
<xsl:variable name="vTargetDialog" select="resultatAgent('pathDialog')"/>
<xsl:variable name="vTargetTitle" select="si($vTargetDialog, intituleAgent(dialog($vTargetDialog)), '')"/>
		
<xsl:template match="*">
<xsl0:apply-templates mode="content"/>
</xsl:template>
<xsl:template match="text()"/>
</xsl:stylesheet>
</source>
<valeur code="pathDialog">
<source type="navOutline-dynamique"><xsl0:value-of select="resultatAgent('//navOutlineDef','/contentAgent')" disable-output-escaping="yes"/></source>
</valeur>
<xsl0:apply-templates mode="agts"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:urlZone" mode="agtsSubWidgetZones">
<valeur code="{concat('urlZone_', @key)}">
<source type="xpathOnSrc-dynamique">resultatDialogue(string(resultatAgent('../../pathDialog')), 'act:')</source>
</valeur>
</xsl0:template>
	
</xsl0:stylesheet>