<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		version="1.0">
<xsl:output method="text"/>
	
<xsl:param name="vAgent"/>
	
<xsl:template match="sm:odGenerator">
		generate.by.difference=false
<xsl:variable name="vExtension">
<xsl:choose>
<xsl:when test="sm:output/@format='pdf'">pdf</xsl:when>
<xsl:when test="sm:output/@format='word97'">doc</xsl:when>
<xsl:otherwise>odt</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="vTransform">
<xsl:choose>
<xsl:when test="sm:output/@format='pdfA1'">odtFull2pdf,SelectPdfVersion:1:integer<xsl:value-of select="si(sm:output/@freeOptions ,concat('|', sm:output/@freeOptions))"/>,pdf</xsl:when>
<xsl:when test="sm:output/@format='pdf'">odtFull2pdf,SelectPdfVersion:0:integer<xsl:value-of select="si(sm:output/@freeOptions ,concat('|', sm:output/@freeOptions))"/>,pdf</xsl:when>
<xsl:when test="sm:output/@format='word97'">odtFull2MsWord97,<xsl:value-of select="sm:output/@freeOptions"/>,doc</xsl:when>
<xsl:otherwise>,<xsl:value-of select="sm:output/@freeOptions"/>,odt</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="vMimetype">
<xsl:choose>
<xsl:when test="sm:output/@format='pdf'">application/pdf</xsl:when>
<xsl:when test="sm:output/@format='word97'">application/msword</xsl:when>
<xsl:otherwise>application/vnd.oasis.opendocument.text</xsl:otherwise>
</xsl:choose>
</xsl:variable>
		destination.root.filepath=matchextension:*.<xsl:value-of select="$vExtension"/>
        destination.onestream.builder=file:matchextension:*.<xsl:value-of select="$vExtension"/>
        destination.onestream.mimetype=<xsl:value-of select="$vMimetype"/>
        output.transform.list=<xsl:value-of select="$vTransform"/>
		destination.layout.optimisations=<xsl:for-each select="sm:layoutOptimisations/*"><xsl:value-of select="local-name()"/>:</xsl:for-each>
<xsl:if test="sm:mode/@debug='yes'">
		  generate.debug=yes
</xsl:if>
</xsl:template>

<xsl:template match="*"/>
<xsl:template match="text()|@*"/>
</xsl:stylesheet>