<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
		xmlns:xsl0="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
		xmlns:java="http://xml.apache.org/xslt/java" 
 		xmlns:xhtml="http://www.w3.org/1999/xhtml"
 		exclude-result-prefixes="sm sc xsl xhtml"
		version="1.0">

<xsl0:import href="bsco:sm/webSiteTemplate/template.xsl.xsl"/>

<xsl0:output method="xml" indent="no" encoding="UTF-8"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>
	
<xsl0:template match="sm:openUiTemplate">
	
<xsl0:call-template name="initBuffers"/>
		
<xsl:stylesheet version="1.0" exclude-result-prefixes="java">
<xsl:output method="xml" indent="no" encoding="UTF-8"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:template match="*">
				
<xsl0:if test="resultatAgent('//standard/mmlNamespace') = 'yes'">
					
<xsl0:variable name="vMmlXslPath" select="resultatAgent('//', 'res:src=bsco:sm/webSiteTemplate/mml;dst=ui.doss/site/lib-sm/mml')"/>
					
<xsl:processing-instruction name="xml-stylesheet">type="text/xsl" href="<xsl:value-of select="translatePubPath2DestUrl(&quot;{$vMmlXslPath}/pmathml.xsl&quot;)"/>"</xsl:processing-instruction>
</xsl0:if>
				
<html>
<xsl0:if test="resultatAgent('//standard/xslMethod') = 'xml'">
<xsl0:attribute name="xmlns">http://www.w3.org/1999/xhtml</xsl0:attribute>
</xsl0:if>
<xsl0:if test="resultatAgent('//standard/mmlNamespace') = 'yes'">
<xsl0:attribute name="xmlns:math">http://www.w3.org/1998/Math/MathML</xsl0:attribute>
</xsl0:if>
<xsl0:if test="resultatAgent('//standard/svgNamespace') = 'yes'">
<xsl0:attribute name="xmlns:svg">http://www.w3.org/2000/svg</xsl0:attribute>
</xsl0:if>
<xsl0:if test="resultatAgent('//agentGenerator', 'debug') != 'no'">
<xsl:comment>
							standard : <xsl0:value-of select="resultatAgent('//standard')"/>
							dialog : <xsl:value-of select="pathDialogAgent($vDialog)"/>
</xsl:comment>
</xsl0:if>
<head>
<xsl:variable name="vWinTitle"><xsl0:apply-templates select="sm:head/sm:windowTitle/*"/></xsl:variable>
<title><xsl:value-of select="normalize-space($vWinTitle)"/></title>
<xsl0:choose>
<xsl0:when test="resultatAgent('//standard/xslMethod') = 'xml'">
<meta http-equiv="content-type" content="application/xhtml+xml; charset=UTF-8"/>
</xsl0:when>
<xsl0:otherwise>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
</xsl0:otherwise>
</xsl0:choose>
<xsl0:if test="@blockCache!='no'">
							
<meta content="no-store, no-cache" http-equiv="Cache-Control"/>
</xsl0:if>
<meta content="text/css" http-equiv="Content-Style-Type"/>
<xsl0:apply-templates select="sm:head/sm:meta" mode="metaTags"/>
						(!(inc=css.withTag)!)
						(!(inc=css.link)!)
<xsl0:value-of select="resultatDialogue('.../initUiServices')" disable-output-escaping="yes"/>
						(!(inc=js.withTag)!)
						(!(inc=js.link)!)	
<xsl0:if test="resultatAgent('//agentGenerator', 'debug') != 'no'">
<script type="text/JavaScript">scCoLib.fDebug = true;</script>
</xsl0:if>
<xsl0:apply-templates select="sm:head/*"/>
</head>
<body>
<xsl0:apply-templates select="sm:body"/>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
</xsl0:template>

	
<xsl0:template match="sm:meta"/>	
<xsl0:template match="sm:windowTitle"/>	

	
<xsl0:template match="sm:WBasket">
<scBasket key="{@key}" suppressIfEmpty="{returnFirst(@suppressIfEmpty,'no')}" tagName="{returnFirst(@tagName,'div')}" sort="{returnFirst(@sort,'no')}" widgetClass="{@widgetClass}" class="{@class}"/>
</xsl0:template>
	
	
<xsl0:template match="xhtml:*">
<xsl0:element name="{local-name()}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
<xsl0:apply-templates select="node()" />
</xsl0:element>
</xsl0:template>

<xsl0:template match="xhtml:img">
<img src="{{translatePubPath2DestUrl(&quot;{
					resultatAgent('//',
						concat(
							'res:src=wsp:', 
							@sc:refUri, 
							';mutabledst=',
							resultatDialogue('.../destPathTemplateResInSite'),
							'/',
							java:substring(string(@sc:refUri), java:lastIndexOf(string(@sc:refUri), '/')+1)
						))
				}&quot;)}}" alt="{@alt}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
</img>
</xsl0:template>

<xsl0:template match="@*" mode="freeAtts">
<xsl0:attribute name="{local-name()}"><xsl0:value-of select="escapeXslAtt(.)"/></xsl0:attribute>
</xsl0:template>
<xsl0:template match="@sc:*" mode="freeAtts" />
<xsl0:template match="@sm:*" mode="freeAtts" />

<xsl0:template match="text()">
<xsl0:if test="string-length(normalize-space(.)) &gt; 0">
<xsl0:value-of select="." />
</xsl0:if>
</xsl0:template>
		
</xsl0:stylesheet>