<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="sm xsl xalan"
	>

<xsl0:import href="bsco:sm/web/sm_WImg.xml.xsl"/>
<xsl0:import href="bsco:sm/web/sm_WLink.xml.xsl"/>
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>
<xsl0:variable name="vPrefixClass" select="resultatAgent('//idInDocStyle')"/>
	
<xsl0:template match="sm:treeContent">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc xhtml" xmlns:redirect="com.scenari.xsldom.xalan.lib.Redirect"  extension-element-prefixes="redirect">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>

<xsl:template match="treeContent">
<xsl0:if test="resultatAgent('//agentGenerator', 'debug') != 'no'">
<xsl:variable name="vOutlineStr">
						
<redirect:serialize omit-xml-declaration="yes">
<xsl:apply-templates select="." mode="serialize"/>
</redirect:serialize>
</xsl:variable>
<xsl:comment>outline : <xsl:value-of select="$vOutlineStr"/></xsl:comment>
</xsl0:if>
<xsl0:choose>
					
<xsl0:when test="boolean(//sm:outline)">
						
<xsl0:apply-templates select="node()"/>
</xsl0:when>
					
<xsl0:otherwise>
<xsl:apply-templates select="." mode="default_outline"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>

<xsl0:choose>
				
<xsl0:when test="boolean(//sm:outline)">
					
<xsl0:apply-templates select="//sm:outline" mode="outline"/>
</xsl0:when>
				
<xsl0:otherwise>
<xsl0:call-template name="buildOutline">
<xsl0:with-param name="vModeBase" select="'default'"/>
</xsl0:call-template>
</xsl0:otherwise>
</xsl0:choose>

			
<xsl:template match="node()"/>

			
<xsl:template match="@*|node()" mode="serialize">
<xsl:copy>
<xsl:apply-templates select="@*|node()" mode="serialize"/>
</xsl:copy>
</xsl:template>

</xsl:stylesheet>
</xsl0:template>

	
<xsl0:template match="sm:WImg">
<img alt="{@alt}">
<xsl0:call-template name="imgSrcAtts"/>
<xsl0:if test="@title">
<xsl0:attribute name="title"><xsl0:value-of select="@title"/></xsl0:attribute>
</xsl0:if>
<xsl0:if test="@class">
<xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute>
</xsl0:if>
</img>
</xsl0:template>

	
<xsl0:template match="xhtml:*">
<xsl0:element name="{local-name()}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
<xsl0:apply-templates select="node()"/>
</xsl0:element>
</xsl0:template>

<xsl0:template match="xhtml:img">
<img src="{{translatePubPath2DestUrl(&quot;site/lib/{extractFileNameFromPath(@sc:refUri)}&quot;)}}" alt="{@alt}">
<xsl0:apply-templates select="@*" mode="freeAtts" />
</img>
</xsl0:template>

<xsl0:template match="@*" mode="freeAtts">
<xsl0:attribute name="{local-name()}"><xsl0:value-of select="escapeXslAtt(.)"/></xsl0:attribute>
</xsl0:template>
<xsl0:template match="@sc:*" mode="freeAtts" />
<xsl0:template match="text()">
<xsl0:if test="string-length(normalize-space(.)) &gt; 0">
<xsl0:value-of select="." />
</xsl0:if>
</xsl0:template>
<xsl0:template match="*"/>
	
<xsl0:template match="sm:outline">
<xsl:apply-templates select="." mode="{generate-id(.)}_outline"/>
</xsl0:template>
	
<xsl0:template match="sm:outline" mode="outline">
<xsl0:variable name="vModeBase" select="generate-id(.)"/>
<xsl0:call-template name="buildOutline">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
</xsl0:call-template>
</xsl0:template>
	
<xsl0:template name="buildOutline">
<xsl0:param name="vModeBase"/>
		
<xsl:template match="treeContent" mode="{$vModeBase}_outline">
<xsl:call-template name="{$vModeBase}_nodeArch_treeRoot"/>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_outline"/>

		
<xsl:template name="{$vModeBase}_nodeArch_treeRoot">
<xsl:choose>
<xsl0:apply-templates select="sm:nodeArch" mode="treeRoot">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
</xsl0:apply-templates>
<xsl0:if test="count(sm:nodeArch[not(sm:constraints)])=0 or count(sm:nodeArch[not(sm:constraints/sm:depth/@min &gt; 0)])=0">
<xsl:when test="true()">
<xsl0:call-template name="nodeArchEntry_treeRoot">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vListPrefix">suppressed</xsl0:with-param>
<xsl0:with-param name="vListElt">ul</xsl0:with-param>
<xsl0:with-param name="vChildElt">li</xsl0:with-param>
<xsl0:with-param name="vChildSeparator">suppressed</xsl0:with-param>
</xsl0:call-template>
</xsl:when>
</xsl0:if>
</xsl:choose>
</xsl:template>

		
<xsl:template name="{$vModeBase}_classesRoot_treeRoot">
<xsl:choose>
<xsl0:apply-templates select="sm:classes" mode="classesRoot_treeRoot"/>
<xsl0:if test="count(sm:classes[not(sm:constraints)])=0 or count(sm:classes[not(sm:constraints/sm:depth/@min &gt; 0)])=0">
<xsl:when test="true()">
<xsl:attribute name="class">
<xsl0:value-of select="concat(' ',$vPrefixClass,'_navRoot')"/>
</xsl:attribute>
</xsl:when>
</xsl0:if>
</xsl:choose>
</xsl:template>
<xsl:template name="{$vModeBase}_classesListPrefix_treeRoot">
<xsl0:if test="boolean(sm:classes)">
<xsl:choose>
<xsl0:apply-templates select="sm:classes" mode="classesListPrefix_treeRoot"/>
</xsl:choose>
</xsl0:if>
</xsl:template>
<xsl:template name="{$vModeBase}_classesList_treeRoot">
<xsl:choose>
<xsl0:apply-templates select="sm:classes" mode="classesList_treeRoot"/>
<xsl0:if test="count(sm:classes[not(sm:constraints)])=0 or count(sm:classes[not(sm:constraints/sm:depth/@min &gt; 0)])=0">
<xsl:when test="true()">
<xsl:attribute name="class">
<xsl0:value-of select="concat(' ',$vPrefixClass,'_navList')"/>
</xsl:attribute>
</xsl:when>
</xsl0:if>
</xsl:choose>
</xsl:template>
<xsl:template name="{$vModeBase}_classesChildren_treeRoot">
<xsl0:if test="boolean(sm:classes)">
<xsl:choose>
<xsl0:apply-templates select="sm:classes" mode="classesChildren_treeRoot"/>
</xsl:choose>
</xsl0:if>
</xsl:template>
<xsl:template name="{$vModeBase}_classesChildSeparator_treeRoot">
<xsl0:if test="boolean(sm:classes)">
<xsl:choose>
<xsl0:apply-templates select="sm:classes" mode="classesChildSeparator_treeRoot"/>
</xsl:choose>
</xsl0:if>
</xsl:template>

		
<xsl0:apply-templates select="sm:nodeArch">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
</xsl0:apply-templates>
<xsl0:if test="count(sm:nodeArch[not(sm:constraints)])=0">
<xsl:template match="entry" mode="{$vModeBase}_nodeArch">
<xsl0:call-template name="nodeArchEntry">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vListPrefix">suppressed</xsl0:with-param>
<xsl0:with-param name="vListElt">ul</xsl0:with-param>
<xsl0:with-param name="vChildElt">li</xsl0:with-param>
<xsl0:with-param name="vChildSeparator">suppressed</xsl0:with-param>
</xsl0:call-template>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_nodeArch"/>
</xsl0:if>

		
<xsl0:apply-templates select="sm:link">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
</xsl0:apply-templates>
<xsl0:if test="count(sm:link[not(sm:constraints)])=0">
<xsl:template match="entry" mode="{$vModeBase}_link">
<xsl:choose>
<xsl:when test="@position='current'">
<span>
<xsl:apply-templates select="." mode="{$vModeBase}_classesEntry"/>
<xsl:apply-templates select="." mode="{$vModeBase}_labelTitle"/>
<xsl:apply-templates select="." mode="{$vModeBase}_label"/>
</span>
</xsl:when>
<xsl:otherwise>
<a href="{{resultatDialogue(string(@dialog), 'act:')}}" target="_self">
<xsl:apply-templates select="." mode="{$vModeBase}_classesEntry"/>
<xsl:apply-templates select="." mode="{$vModeBase}_labelTitle"/>
<xsl:apply-templates select="." mode="{$vModeBase}_label"/>
</a>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_link"/>
</xsl0:if>

		
<xsl0:apply-templates select="sm:label">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
</xsl0:apply-templates>
<xsl0:if test="count(sm:label[not(sm:constraints)])=0">
<xsl:template match="entry" mode="{$vModeBase}_label">
<span><xsl:value-of select="@title"/></span>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_label"/>
</xsl0:if>

		
<xsl0:apply-templates select="sm:labelTitle">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
</xsl0:apply-templates>
<xsl0:if test="count(sm:labelTitlel[not(sm:constraints)])=0">
<xsl:template match="node()" mode="{$vModeBase}_labelTitle"/>
</xsl0:if>

		
<xsl0:apply-templates select="sm:classes">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
</xsl0:apply-templates>
<xsl0:if test="count(sm:classes[not(sm:constraints)])=0">
<xsl:template match="node()" mode="{$vModeBase}_classesRoot"/>
<xsl:template match="entry" mode="{$vModeBase}_classesEntry">
<xsl:attribute name="class">mnuSel_<xsl:value-of select="si(@position='current' or (count(entry)=0 and (@position='parent' or @position='ancestor')),'yes','no')"/></xsl:attribute>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_classesEntry"/>
<xsl:template match="node()" mode="{$vModeBase}_classesListPrefix"/>
<xsl:template match="node()" mode="{$vModeBase}_classesList"/>
<xsl:template match="node()" mode="{$vModeBase}_classesChildren"/>
<xsl:template match="node()" mode="{$vModeBase}_classesContainer"/>
<xsl:template match="node()" mode="{$vModeBase}_classesChildSeparator"/>
</xsl0:if>
		
</xsl0:template>


<xsl0:template match="sm:nodeArch">
<xsl0:param name="vModeBase"/>
<xsl:template mode="{$vModeBase}_nodeArch" priority="{count(following-sibling::sm:nodeArch)+1}">
<xsl0:attribute name="match">entry<xsl0:call-template name="constraints"/></xsl0:attribute>

<xsl0:variable name="vRootElt">
<xsl0:choose>
<xsl0:when test="sm:unorderedList"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:unorderedList/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:orderedList"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:orderedList/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:block"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:block/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:inline"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:inline/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:variable name="vListElt">
<xsl0:choose>
<xsl0:when test="sm:unorderedList">ul</xsl0:when>
<xsl0:when test="sm:orderedList">ol</xsl0:when>
<xsl0:when test="sm:block"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:block/sm:children/@listElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:inline"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:inline/sm:children/@listElt"/></xsl0:call-template></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:variable name="vListPrefix">
<xsl0:choose>
<xsl0:when test="sm:block/sm:children/sm:listPrefix"><xsl0:apply-templates select="sm:block/sm:children/sm:listPrefix/node()"/></xsl0:when>
<xsl0:when test="sm:inline/sm:children/sm:listPrefix"><xsl0:apply-templates select="sm:inline/sm:children/sm:listPrefix/node()"/></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:variable name="vChildElt">
<xsl0:choose>
<xsl0:when test="sm:unorderedList | sm:orderedList">li</xsl0:when>
<xsl0:when test="sm:block"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:block/sm:children/@childElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:inline"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:inline/sm:children/@childElt"/></xsl0:call-template></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:variable name="vChildSeparator">
<xsl0:choose>
<xsl0:when test="sm:block/sm:children/sm:childSeparator"><xsl0:apply-templates select="sm:block/sm:children/sm:childSeparator/node()"/></xsl0:when>
<xsl0:when test="sm:inline/sm:children/sm:childSeparator"><xsl0:apply-templates select="sm:inline/sm:children/sm:childSeparator/node()"/></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:choose>
<xsl0:when test="$vRootElt = 'suppressed'">
					
</xsl0:when>
<xsl0:when test="$vRootElt = 'none'">
<xsl0:call-template name="nodeArchEntry">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vListPrefix" select="$vListPrefix"/>
<xsl0:with-param name="vListElt" select="$vListElt"/>
<xsl0:with-param name="vChildElt" select="$vChildElt"/>
<xsl0:with-param name="vChildSeparator" select="$vChildSeparator"/>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl0:element name="{$vRootElt}">
<xsl:apply-templates select="." mode="{$vModeBase}_classesRoot"/>
<xsl0:call-template name="nodeArchEntry">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vListPrefix" select="$vListPrefix"/>
<xsl0:with-param name="vListElt" select="$vListElt"/>
<xsl0:with-param name="vChildElt" select="$vChildElt"/>
<xsl0:with-param name="vChildSeparator" select="$vChildSeparator"/>
</xsl0:call-template>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_nodeArch"/>
</xsl0:template>

<xsl0:template name="nodeArchEntry">
<xsl0:param name="vModeBase"/>
<xsl0:param name="vListPrefix"/>
<xsl0:param name="vListElt"/>
<xsl0:param name="vChildElt"/>
<xsl0:param name="vChildSeparator"/>
<xsl:apply-templates select="." mode="{$vModeBase}_link"/>
<xsl:if test="boolean(entry)">
<xsl0:choose>
<xsl0:when test="$vListElt = 'suppressed'">
					
</xsl0:when>
<xsl0:when test="$vListElt = 'none'">
<xsl0:if test="$vListPrefix != 'suppressed'">
<xsl0:copy-of select="$vListPrefix"/>
</xsl0:if>
<xsl0:call-template name="nodeArchList">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vChildElt" select="$vChildElt"/>
<xsl0:with-param name="vChildSeparator" select="$vChildSeparator"/>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl0:if test="$vListPrefix != 'suppressed'">
<xsl0:element name="{$vListElt}">
<xsl:apply-templates select="." mode="{$vModeBase}_classesListPrefix"/>
<xsl0:copy-of select="$vListPrefix"/>
</xsl0:element>
</xsl0:if>
<xsl0:element name="{$vListElt}">
<xsl:apply-templates select="." mode="{$vModeBase}_classesList"/>
<xsl0:call-template name="nodeArchList">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vChildElt" select="$vChildElt"/>
<xsl0:with-param name="vChildSeparator" select="$vChildSeparator"/>
</xsl0:call-template>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl:if>
</xsl0:template>

<xsl0:template name="nodeArchList">
<xsl0:param name="vModeBase"/>
<xsl0:param name="vChildElt"/>
<xsl0:param name="vChildSeparator"/>
<xsl:for-each select="entry">
<xsl0:choose>
<xsl0:when test="$vChildElt = 'suppressed'">
					
</xsl0:when>
<xsl0:when test="$vChildElt = 'none'">
<xsl:apply-templates select="." mode="{$vModeBase}_nodeArch"/>
<xsl0:if test="$vChildSeparator != 'suppressed'">
<xsl:if test="boolean(following-sibling::entry)">
<xsl0:copy-of select="$vChildSeparator"/>
</xsl:if>
</xsl0:if>
</xsl0:when>
<xsl0:otherwise>
<xsl0:element name="{$vChildElt}">
<xsl:variable name="vClasses"><xsl:apply-templates select="." mode="{$vModeBase}_classesContainer"/><xsl:apply-templates select=".." mode="{$vModeBase}_classesChildren"/></xsl:variable>
<xsl:if test="$vClasses">
<xsl:attribute name="class"><xsl:value-of select="$vClasses"/></xsl:attribute>		
</xsl:if>
<xsl:apply-templates select="." mode="{$vModeBase}_nodeArch"/>
</xsl0:element>
<xsl0:if test="$vChildSeparator != 'suppressed'">
<xsl:if test="boolean(following-sibling::entry)">
<xsl0:element name="{$vChildElt}">
<xsl:apply-templates select=".." mode="{$vModeBase}_classesChildSeparator"/>
<xsl0:copy-of select="$vChildSeparator"/>
</xsl0:element>
</xsl:if>
</xsl0:if>
</xsl0:otherwise>
</xsl0:choose>
</xsl:for-each>
</xsl0:template>

<xsl0:template name="nodeClassAtt">
<xsl0:param name="vClasses"/>
</xsl0:template>

<xsl0:template name="nodeElt">
<xsl0:param name="vElt"/>
<xsl0:choose>
<xsl0:when test="$vElt='block'">div</xsl0:when>
<xsl0:when test="$vElt='inline'">span</xsl0:when>
<xsl0:when test="$vElt='none'">none</xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

	
<xsl0:template match="sm:nodeArch" mode="treeRoot">
<xsl0:param name="vModeBase"/>
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints_treeRoot"/></xsl0:attribute>
<xsl0:variable name="vRootElt">
<xsl0:choose>
<xsl0:when test="sm:unorderedList"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:unorderedList/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:orderedList"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:orderedList/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:block"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:block/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:inline"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:inline/@rootElt"/></xsl0:call-template></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:variable name="vListElt">
<xsl0:choose>
<xsl0:when test="sm:unorderedList">ul</xsl0:when>
<xsl0:when test="sm:orderedList">ol</xsl0:when>
<xsl0:when test="sm:block"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:block/sm:children/@listElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:inline"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:inline/sm:children/@listElt"/></xsl0:call-template></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:variable name="vListPrefix">
<xsl0:choose>
<xsl0:when test="sm:block/sm:children/sm:listPrefix"><xsl0:apply-templates select="sm:block/sm:children/sm:listPrefix/node()"/></xsl0:when>
<xsl0:when test="sm:inline/sm:children/sm:listPrefix"><xsl0:apply-templates select="sm:inline/sm:children/sm:listPrefix/node()"/></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:variable name="vChildElt">
<xsl0:choose>
<xsl0:when test="sm:unorderedList | sm:orderedList">li</xsl0:when>
<xsl0:when test="sm:block"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:block/sm:children/@childElt"/></xsl0:call-template></xsl0:when>
<xsl0:when test="sm:inline"><xsl0:call-template name="nodeElt"><xsl0:with-param name="vElt" select="sm:inline/sm:children/@childElt"/></xsl0:call-template></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:variable name="vChildSeparator">
<xsl0:choose>
<xsl0:when test="sm:block/sm:children/sm:childSeparator"><xsl0:apply-templates select="sm:block/sm:children/sm:childSeparator/node()"/></xsl0:when>
<xsl0:when test="sm:inline/sm:children/sm:childSeparator"><xsl0:apply-templates select="sm:inline/sm:children/sm:childSeparator/node()"/></xsl0:when>
<xsl0:otherwise>suppressed</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl0:choose>
<xsl0:when test="$vRootElt = 'suppressed'">
					
</xsl0:when>
<xsl0:when test="$vRootElt = 'none'">
<xsl0:call-template name="nodeArchEntry_treeRoot">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vListPrefix" select="$vListPrefix"/>
<xsl0:with-param name="vListElt" select="$vListElt"/>
<xsl0:with-param name="vChildElt" select="$vChildElt"/>
<xsl0:with-param name="vChildSeparator" select="$vChildSeparator"/>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl0:element name="{$vRootElt}">
<xsl:call-template name="{$vModeBase}_classesRoot_treeRoot"/>
<xsl0:call-template name="nodeArchEntry_treeRoot">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vListPrefix" select="$vListPrefix"/>
<xsl0:with-param name="vListElt" select="$vListElt"/>
<xsl0:with-param name="vChildElt" select="$vChildElt"/>
<xsl0:with-param name="vChildSeparator" select="$vChildSeparator"/>
</xsl0:call-template>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl:when>
</xsl0:template>
	
<xsl0:template name="nodeArchEntry_treeRoot">
<xsl0:param name="vModeBase"/>
<xsl0:param name="vListPrefix"/>
<xsl0:param name="vListElt"/>
<xsl0:param name="vChildElt"/>
<xsl0:param name="vChildSeparator"/>
<xsl:if test="boolean(entry)">
<xsl0:choose>
<xsl0:when test="$vListElt = 'suppressed'">
					
</xsl0:when>
<xsl0:when test="$vListElt = 'none'">
<xsl0:if test="$vListPrefix != 'suppressed'">
<xsl0:copy-of select="$vListPrefix"/>
</xsl0:if>
<xsl0:call-template name="nodeArchList_treeRoot">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vChildElt" select="$vChildElt"/>
<xsl0:with-param name="vChildSeparator" select="$vChildSeparator"/>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl0:if test="$vListPrefix != 'suppressed'">
<xsl0:element name="{$vListElt}">
<xsl:call-template name="{$vModeBase}_classesListPrefix_treeRoot"/>
<xsl0:copy-of select="$vListPrefix"/>
</xsl0:element>
</xsl0:if>
<xsl0:element name="{$vListElt}">
<xsl:call-template name="{$vModeBase}_classesList_treeRoot"/>
<xsl0:call-template name="nodeArchList_treeRoot">
<xsl0:with-param name="vModeBase" select="$vModeBase"/>
<xsl0:with-param name="vChildElt" select="$vChildElt"/>
<xsl0:with-param name="vChildSeparator" select="$vChildSeparator"/>
</xsl0:call-template>
</xsl0:element>
</xsl0:otherwise>
</xsl0:choose>
</xsl:if>
</xsl0:template>

<xsl0:template name="nodeArchList_treeRoot">
<xsl0:param name="vModeBase"/>
<xsl0:param name="vChildElt"/>
<xsl0:param name="vChildSeparator"/>
<xsl:for-each select="entry">
<xsl0:choose>
<xsl0:when test="$vChildElt = 'suppressed'">
					
</xsl0:when>
<xsl0:when test="$vChildElt = 'none'">
<xsl:apply-templates select="." mode="{$vModeBase}_nodeArch"/>
<xsl0:if test="$vChildSeparator != 'suppressed'">
<xsl:if test="boolean(following-sibling::entry)">
<xsl0:copy-of select="$vChildSeparator"/>
</xsl:if>
</xsl0:if>
</xsl0:when>
<xsl0:otherwise>
<xsl0:element name="{$vChildElt}">
<xsl:variable name="vClasses"><xsl:apply-templates select="." mode="{$vModeBase}_classesContainer"/><xsl:call-template name="{$vModeBase}_classesChildren_treeRoot"/></xsl:variable>
<xsl:if test="$vClasses">
<xsl:attribute name="class"><xsl:value-of select="$vClasses"/></xsl:attribute>		
</xsl:if>
<xsl:apply-templates select="." mode="{$vModeBase}_nodeArch"/>
</xsl0:element>
<xsl0:if test="$vChildSeparator != 'suppressed'">
<xsl:if test="boolean(following-sibling::entry)">
<xsl0:element name="{$vChildElt}">
<xsl:call-template name="{$vModeBase}_classesChildSeparator_treeRoot"/>
<xsl0:copy-of select="$vChildSeparator"/>
</xsl0:element>
</xsl:if>
</xsl0:if>
</xsl0:otherwise>
</xsl0:choose>
</xsl:for-each>
</xsl0:template>


<xsl0:template match="sm:link">
<xsl0:param name="vModeBase"/>
<xsl:template mode="{$vModeBase}_link" priority="{count(following-sibling::sm:link)+1}">
<xsl0:attribute name="match">entry<xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl:choose>
<xsl:when test="@position='current'">
<xsl0:choose>
<xsl0:when test="@ifSelected='noLink'">
<span>
<xsl:apply-templates select="." mode="{$vModeBase}_classesEntry"/>
<xsl:apply-templates select="." mode="{$vModeBase}_labelTitle"/>
<xsl:apply-templates select="." mode="{$vModeBase}_label"/>
</span>
</xsl0:when>
<xsl0:otherwise><xsl0:call-template name="nodeLink"><xsl0:with-param name="vModeBase" select="$vModeBase"/></xsl0:call-template></xsl0:otherwise>
</xsl0:choose>
</xsl:when>
<xsl0:if test="@ifNoFolderPreview='noLink'">
<xsl:when test="entry and resultatDialogue(string(@dialog), 'act:') = resultatDialogue(string(entry/@dialog), 'act:')">
<span>
<xsl:apply-templates select="." mode="{$vModeBase}_classesEntry"/>
<xsl:apply-templates select="." mode="{$vModeBase}_labelTitle"/>
<xsl:apply-templates select="." mode="{$vModeBase}_label"/>
</span>
</xsl:when>
</xsl0:if>
<xsl:otherwise>
<xsl0:choose>
<xsl0:when test="@ifUnselected='noLink'">
<span>
<xsl:apply-templates select="." mode="{$vModeBase}_classesEntry"/>
<xsl:apply-templates select="." mode="{$vModeBase}_labelTitle"/>
<xsl:apply-templates select="." mode="{$vModeBase}_label"/>
</span>
</xsl0:when>
<xsl0:otherwise><xsl0:call-template name="nodeLink"><xsl0:with-param name="vModeBase" select="$vModeBase"/></xsl0:call-template></xsl0:otherwise>
</xsl0:choose>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_link"/>
</xsl0:template>

<xsl0:template name="nodeLink">
<xsl0:param name="vModeBase"/>
<xsl0:variable name="vOptions">
<xsl0:call-template name="linkOptions"/>
</xsl0:variable>
<a>
<xsl0:choose>
<xsl0:when test="$vOptions!=''">
<xsl0:attribute name="href">javascript:window.open(&quot;{resultatDialogue(string(@dialog), 'act:')}&quot;,<xsl0:choose>
<xsl0:when test="@target='newWindow'">&quot;_blank&quot;</xsl0:when>
<xsl0:when test="@target='sameWindow'">&quot;_self&quot;</xsl0:when>
<xsl0:when test="@target='parentWindow'">&quot;_parent&quot;</xsl0:when>
<xsl0:when test="@target='topWindow'">&quot;_top&quot;</xsl0:when>
<xsl0:when test="@target='namedWindow'">&quot;<xsl0:value-of select="si(@windowName, @windowName, '_blank')"/>&quot;</xsl0:when>
<xsl0:otherwise>&quot;_self&quot;</xsl0:otherwise>
</xsl0:choose>,&quot;<xsl0:value-of select="substring($vOptions,0,string-length($vOptions))"/>&quot;)?void(0):void(0)</xsl0:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl0:attribute name="href">{resultatDialogue(string(@dialog), 'act:')}</xsl0:attribute>
<xsl0:attribute name="target">
<xsl0:choose>
<xsl0:when test="@target='newWindow'">_blank</xsl0:when>
<xsl0:when test="@target='sameWindow'">_self</xsl0:when>
<xsl0:when test="@target='parentWindow'">_parent</xsl0:when>
<xsl0:when test="@target='topWindow'">_top</xsl0:when>
<xsl0:when test="@target='namedWindow'"><xsl0:value-of select="si(@windowName, @windowName, '_blank')"/></xsl0:when>
<xsl0:otherwise>_self</xsl0:otherwise>
</xsl0:choose>
</xsl0:attribute>
</xsl0:otherwise>
</xsl0:choose>
<xsl:apply-templates select="." mode="{$vModeBase}_classesEntry"/>
<xsl:apply-templates select="." mode="{$vModeBase}_labelTitle"/>
<xsl:apply-templates select="." mode="{$vModeBase}_label"/>
</a>
</xsl0:template>


<xsl0:template match="sm:label">
<xsl0:param name="vModeBase"/>
<xsl:template mode="{$vModeBase}_label" priority="{count(following-sibling::sm:label)+1}">
<xsl0:attribute name="match">entry<xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:choose>
<xsl0:when test="count(node()) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="node()"/></span></xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
<xsl:template match="node()" mode="{$vModeBase}_label"/>

<xsl0:template match="sm:returnFirst">
<xsl:value-of disable-output-escaping="yes">
<xsl0:attribute name="select">returnFirst(<xsl0:apply-templates select="node()" mode="returnFirst"/>'')</xsl0:attribute>
</xsl:value-of>
</xsl0:template>

<xsl0:template match="sm:title">
<xsl:value-of select="@title"/>
</xsl0:template>
<xsl0:template match="sm:callDescription">
<xsl:value-of select="resultatDialogue(concat(@dialog, '/description'))" disable-output-escaping="yes"/>
</xsl0:template>
<xsl0:template match="sm:fixedString">
<xsl0:value-of select="si(@value=' ','&#160;',@value)"/>
</xsl0:template>

<xsl0:template match="sm:title" mode="returnFirst">@title,</xsl0:template>
<xsl0:template match="sm:callDescription" mode="returnFirst">resultatDialogue(concat(@dialog, '/description')),</xsl0:template>
<xsl0:template match="sm:fixedString" mode="returnFirst">'<xsl0:value-of select="@value"/>',</xsl0:template>
<xsl0:template match="node()" mode="returnFirst"/>



<xsl0:template match="sm:labelTitle">
<xsl0:param name="vModeBase"/>
<xsl:template mode="{$vModeBase}_labelTitle" priority="{count(following-sibling::sm:labelTitle)+1}">
<xsl0:attribute name="match">entry<xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl:attribute name="title"><xsl0:apply-templates select="*"/></xsl:attribute>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_labelTitle"/>
</xsl0:template>


<xsl0:template match="sm:classes">
<xsl0:param name="vModeBase"/>
<xsl:template mode="{$vModeBase}_classesRoot" priority="{count(following-sibling::sm:classes)+1}">
<xsl0:attribute name="match">entry<xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="sm:selected/@onRoot='yes' or sm:relativePosition/@onRoot='yes' or sm:treePosition/@onRoot='yes' or sm:depth/@onRoot='yes' or sm:elementType/@onRoot='yes' or sm:ownerCode/@onRoot='yes' or sm:ownerClasses/@onRoot='yes'">
<xsl:attribute name="class">
<xsl0:if test="sm:selected/@onRoot='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/><xsl:value-of select="si(@position='current' or (count(entry)=0 and (@position='parent' or @position='ancestor')),'yes','no')"/></xsl0:if>
<xsl0:if test="sm:relativePosition/@onRoot='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="@position"/></xsl0:if>
<xsl0:if test="sm:treePosition/@onRoot='yes'"><xsl:value-of select="concat(' ',si(boolean(entry),' {sm:treePosition/@branchClass}',' {sm:treePosition/@leafClass}'))"/></xsl0:if>
<xsl0:if test="sm:depth/@onRoot='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/><xsl:value-of select="count(ancestor::entry)+1"/></xsl0:if>
<xsl0:if test="sm:elementType/@onRoot='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>root</xsl0:if>
<xsl0:if test="sm:ownerCode/@onRoot='yes'"><xsl0:value-of select="concat(' ',sm:ownerCode/@prefix)"/><xsl:value-of select="root"/></xsl0:if>
<xsl0:if test="sm:ownerClasses/@onRoot='yes'"><xsl:value-of select="concat(' ', resultatDialogue(concat(@dialog, '/outlineClasses')))"/></xsl0:if>
</xsl:attribute>
</xsl0:if>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_classesRoot"/>

<xsl:template mode="{$vModeBase}_classesEntry" priority="{count(following-sibling::sm:classes)+1}">
<xsl0:attribute name="match">entry<xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="sm:selected/@onEntry='yes' or sm:relativePosition/@onEntry='yes' or sm:treePosition/@onEntry='yes' or sm:depth/@onEntry='yes' or sm:elementType/@onEntry='yes' or sm:ownerCode/@onEntry='yes' or sm:ownerClasses/@onEntry='yes'">
<xsl:attribute name="class">
<xsl0:if test="sm:selected/@onEntry='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/><xsl:value-of select="si(@position='current' or (count(entry)=0 and (@position='parent' or @position='ancestor')),'yes','no')"/></xsl0:if>
<xsl0:if test="sm:relativePosition/@onEntry='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="@position"/></xsl0:if>
<xsl0:if test="sm:treePosition/@onEntry='yes'"><xsl:value-of select="concat(' ',si(boolean(entry),'{sm:treePosition/@branchClass}','{sm:treePosition/@leafClass}'))"/></xsl0:if>
<xsl0:if test="sm:depth/@onEntry='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/><xsl:value-of select="count(ancestor::entry)+1"/></xsl0:if>
<xsl0:if test="sm:elementType/@onEntry='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>entry</xsl0:if>
<xsl0:if test="sm:ownerCode/@onEntry='yes'"><xsl0:value-of select="concat(' ',sm:ownerCode/@prefix)"/><xsl:value-of select="root"/></xsl0:if>
<xsl0:if test="sm:ownerClasses/@onEntry='yes'"><xsl:value-of select="concat(' ', resultatDialogue(concat(@dialog, '/outlineClasses')))"/></xsl0:if>
</xsl:attribute>
</xsl0:if>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_classesEntry"/>

<xsl:template mode="{$vModeBase}_classesListPrefix" priority="{count(following-sibling::sm:classes)+1}">
<xsl0:attribute name="match">entry<xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="sm:selected/@onList='yes' or sm:relativePosition/@onList='yes' or sm:depth/@onList='yes' or sm:elementType/@onList='yes' or sm:ownerCode/@onList='yes' or sm:ownerClasses/@onList='yes'">
<xsl:attribute name="class">
<xsl0:if test="sm:selected/@onList='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/><xsl:value-of select="si(@position='current' or (count(entry)=0 and (@position='parent' or @position='ancestor')),'yes','no')"/></xsl0:if>
<xsl0:if test="sm:relativePosition/@onList='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="@position"/></xsl0:if>
<xsl0:if test="sm:depth/@onList='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/><xsl:value-of select="count(ancestor::entry)+1"/></xsl0:if>
<xsl0:if test="sm:elementType/@onList='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>listPre</xsl0:if>
<xsl0:if test="sm:ownerCode/@onList='yes'"><xsl0:value-of select="concat(' ',sm:ownerCode/@prefix)"/><xsl:value-of select="root"/></xsl0:if>
<xsl0:if test="sm:ownerClasses/@onList='yes'"><xsl:value-of select="concat(' ', resultatDialogue(concat(@dialog, '/outlineClasses')))"/></xsl0:if>
</xsl:attribute>
</xsl0:if>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_classesListPrefix"/>

<xsl:template mode="{$vModeBase}_classesList" priority="{count(following-sibling::sm:classes)+1}">
<xsl0:attribute name="match">entry<xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="sm:selected/@onList='yes' or sm:relativePosition/@onList='yes' or sm:depth/@onList='yes' or sm:elementType/@onList='yes' or sm:ownerCode/@onList='yes' or sm:ownerClasses/@onList='yes'">
<xsl:attribute name="class">
<xsl0:if test="sm:selected/@onList='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/><xsl:value-of select="si(@position='current' or (count(entry)=0 and (@position='parent' or @position='ancestor')),'yes','no')"/></xsl0:if>
<xsl0:if test="sm:relativePosition/@onList='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="@position"/></xsl0:if>
<xsl0:if test="sm:depth/@onList='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/><xsl:value-of select="count(ancestor::entry)+1"/></xsl0:if>
<xsl0:if test="sm:elementType/@onList='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>list</xsl0:if>
<xsl0:if test="sm:ownerCode/@onList='yes'"><xsl0:value-of select="concat(' ',sm:ownerCode/@prefix)"/><xsl:value-of select="root"/></xsl0:if>
<xsl0:if test="sm:ownerClasses/@onList='yes'"><xsl:value-of select="concat(' ', resultatDialogue(concat(@dialog, '/outlineClasses')))"/></xsl0:if>
</xsl:attribute>
</xsl0:if>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_classesList"/>

<xsl:template mode="{$vModeBase}_classesChildren" priority="{count(following-sibling::sm:classes)+1}">
<xsl0:attribute name="match">entry<xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="sm:selected/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/><xsl:value-of select="si(@position='current' or (count(entry)=0 and (@position='parent' or @position='ancestor')),'yes','no')"/></xsl0:if>
<xsl0:if test="sm:relativePosition/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="@position"/></xsl0:if>
<xsl0:if test="sm:depth/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/><xsl:value-of select="count(ancestor::entry)+1"/></xsl0:if>
<xsl0:if test="sm:elementType/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>child</xsl0:if>
<xsl0:if test="sm:ownerCode/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:ownerCode/@prefix)"/><xsl:value-of select="root"/></xsl0:if>
<xsl0:if test="sm:ownerClasses/@onChildContainers='yes'"><xsl:value-of select="concat(' ', resultatDialogue(concat(@dialog, '/outlineClasses')))"/></xsl0:if>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_classesChildren"/>

<xsl:template mode="{$vModeBase}_classesContainer" priority="{count(following-sibling::sm:classes)+1}">
<xsl0:attribute name="match">entry<xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="sm:selected/@onContainer='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/><xsl:value-of select="si(@position='current' or (count(entry)=0 and (@position='parent' or @position='ancestor')),'yes','no')"/></xsl0:if>
<xsl0:if test="sm:relativePosition/@onContainer='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="@position"/></xsl0:if>
<xsl0:if test="sm:depth/@onContainer='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/><xsl:value-of select="count(ancestor::entry)+1"/></xsl0:if>
<xsl0:if test="sm:ownerCode/@onContainer='yes'"><xsl0:value-of select="concat(' ',sm:ownerCode/@prefix)"/><xsl:value-of select="root"/></xsl0:if>
<xsl0:if test="sm:ownerClasses/@onContainer='yes'"><xsl:value-of select="concat(' ', resultatDialogue(concat(@dialog, '/outlineClasses')))"/></xsl0:if>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_classesContainer"/>

<xsl:template mode="{$vModeBase}_classesChildSeparator" priority="{count(following-sibling::sm:classes)+1}">
<xsl0:attribute name="match">entry<xsl0:call-template name="constraints"/></xsl0:attribute>
<xsl0:if test="sm:selected/@onChildContainers='yes' or sm:relativePosition/@onChildContainers='yes' or sm:depth/@onChildContainers='yes' or sm:elementType/@onChildContainers='yes' or sm:ownerCode/@onChildContainers='yes' or sm:ownerClasses/@onChildContainers='yes'">
<xsl:attribute name="class">
<xsl0:if test="sm:selected/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/><xsl:value-of select="si(@position='current' or (count(entry)=0 and (@position='parent' or @position='ancestor')),'yes','no')"/></xsl0:if>
<xsl0:if test="sm:relativePosition/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="@position"/></xsl0:if>
<xsl0:if test="sm:depth/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/><xsl:value-of select="count(ancestor::entry)+1"/></xsl0:if>
<xsl0:if test="sm:elementType/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>childSep</xsl0:if>
<xsl0:if test="sm:ownerCode/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:ownerCode/@prefix)"/><xsl:value-of select="root"/></xsl0:if>
<xsl0:if test="sm:ownerClasses/@onChildContainers='yes'"><xsl:value-of select="concat(' ', resultatDialogue(concat(@dialog, '/outlineClasses')))"/></xsl0:if>
</xsl:attribute>
</xsl0:if>
</xsl:template>
<xsl:template match="node()" mode="{$vModeBase}_classesChildSeparator"/>
</xsl0:template>

	
<xsl0:template match="sm:classes" mode="classesRoot_treeRoot">
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints_treeRoot"/></xsl0:attribute>
<xsl:attribute name="class">
<xsl0:value-of select="concat(' ',$vPrefixClass,'_navRoot')"/>
<xsl0:if test="sm:selected/@onRoot='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/>yes</xsl0:if>
<xsl0:if test="sm:relativePosition/@onRoot='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="si(boolean(entry[@position='current']),'parent','ancestor')"/></xsl0:if>
<xsl0:if test="sm:depth/@onRoot='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/>0</xsl0:if>
<xsl0:if test="sm:elementType/@onRoot='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>root</xsl0:if>
</xsl:attribute>
</xsl:when>
</xsl0:template>

<xsl0:template match="sm:classes" mode="classesListPrefix_treeRoot">
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints_treeRoot"/></xsl0:attribute>
<xsl0:if test="sm:selected/@onList='yes' or sm:relativePosition/@onList='yes' or sm:depth/@onList='yes' or sm:elementType/@onList='yes'">
<xsl:attribute name="class">
<xsl0:if test="sm:selected/@onList='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/>yes</xsl0:if>
<xsl0:if test="sm:relativePosition/@onList='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="si(boolean(entry[@position='current']),'parent','ancestor')"/></xsl0:if>
<xsl0:if test="sm:depth/@onList='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/>0</xsl0:if>
<xsl0:if test="sm:elementType/@onList='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>listPre</xsl0:if>
</xsl:attribute>
</xsl0:if>
</xsl:when>
</xsl0:template>

<xsl0:template match="sm:classes" mode="classesList_treeRoot">
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints_treeRoot"/></xsl0:attribute>
<xsl:attribute name="class">
<xsl0:value-of select="concat(' ',$vPrefixClass,'_navList')"/>
<xsl0:if test="sm:selected/@onList='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/>yes</xsl0:if>
<xsl0:if test="sm:relativePosition/@onList='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="si(boolean(entry[@position='current']),'parent','ancestor')"/></xsl0:if>
<xsl0:if test="sm:depth/@onList='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/>0</xsl0:if>
<xsl0:if test="sm:elementType/@onList='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>list</xsl0:if>
</xsl:attribute>
</xsl:when>
</xsl0:template>

<xsl0:template match="sm:classes" mode="classesChildren_treeRoot">
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints_treeRoot"/></xsl0:attribute>
<xsl0:if test="sm:selected/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/><xsl:value-of select="si(count(entry)=0 and (@position='parent' or @position='ancestor'),'yes','no')"/></xsl0:if>
<xsl0:if test="sm:relativePosition/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="si(@position='current','parent',si(@position='parent' or @position='ancestor'),'ancestor','uncle')"/></xsl0:if>
<xsl0:if test="sm:depth/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/>0</xsl0:if>
<xsl0:if test="sm:elementType/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>child</xsl0:if>
</xsl:when>
</xsl0:template>

<xsl0:template match="sm:classes" mode="classesChildSeparator_treeRoot">
<xsl:when>
<xsl0:attribute name="test"><xsl0:call-template name="constraints_treeRoot"/></xsl0:attribute>
<xsl0:if test="sm:selected/@onChildContainers='yes' or sm:relativePosition/@onChildContainers='yes' or sm:depth/@onChildContainers='yes' or sm:elementType/@onChildContainers='yes'">
<xsl:attribute name="class">
<xsl0:if test="sm:selected/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:selected/@prefix)"/><xsl:value-of select="si(@position='current' or (count(entry)=0 and (@position='parent' or @position='ancestor')),'yes','no')"/></xsl0:if>
<xsl0:if test="sm:relativePosition/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:relativePosition/@prefix)"/><xsl:value-of select="@position"/></xsl0:if>
<xsl0:if test="sm:depth/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:depth/@prefix)"/>1</xsl0:if>
<xsl0:if test="sm:elementType/@onChildContainers='yes'"><xsl0:value-of select="concat(' ',sm:elementType/@prefix)"/>childSep</xsl0:if>
</xsl:attribute>
</xsl0:if>
</xsl:when>
</xsl0:template>


<xsl0:template name="constraints">
<xsl0:choose>
<xsl0:when test="sm:constraints">[<xsl0:call-template name="constraintsDepth"/>]</xsl0:when>
</xsl0:choose>
</xsl0:template>
<xsl0:template name="constraintsDepth">
<xsl0:choose>
<xsl0:when test="sm:constraints/sm:depth/@min and sm:constraints/sm:depth/@max">count(ancestor::entry)+1&gt;=<xsl0:value-of select="sm:constraints/sm:depth/@min"/> and count(ancestor::entry)+1&lt;=<xsl0:value-of select="sm:constraints/sm:depth/@max"/></xsl0:when>
<xsl0:when test="sm:constraints/sm:depth/@min">count(ancestor::entry)+1&gt;=<xsl0:value-of select="sm:constraints/sm:depth/@min"/></xsl0:when>
<xsl0:when test="sm:constraints/sm:depth/@max">count(ancestor::entry)+1&lt;=<xsl0:value-of select="sm:constraints/sm:depth/@max"/></xsl0:when>
</xsl0:choose>
</xsl0:template>

	
<xsl0:template name="constraints_treeRoot">
<xsl0:choose>
<xsl0:when test="sm:constraints"><xsl0:call-template name="constraintsDepth_treeRoot"/></xsl0:when>
<xsl0:otherwise>true()</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

<xsl0:template name="constraintsDepth_treeRoot">
<xsl0:choose>
<xsl0:when test="sm:constraints/sm:depth/@min and sm:constraints/sm:depth/@max">0&gt;=<xsl0:value-of select="sm:constraints/sm:depth/@min"/> and 0&lt;=<xsl0:value-of select="sm:constraints/sm:depth/@max"/></xsl0:when>
<xsl0:when test="sm:constraints/sm:depth/@min">0&gt;=<xsl0:value-of select="sm:constraints/sm:depth/@min"/></xsl0:when>
<xsl0:when test="sm:constraints/sm:depth/@max">0&lt;=<xsl0:value-of select="sm:constraints/sm:depth/@max"/></xsl0:when>
</xsl0:choose>
</xsl0:template>

</xsl0:stylesheet>