<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
 		exclude-result-prefixes="sm sc"
		version="1.0">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>

<xsl:template match="sm:outlineUiWidget">
<outlineDef>
<scope>
<xsl:apply-templates select="sm:scope/*"/>
</scope>
<result>
<xsl:apply-templates/>
</result>
</outlineDef>
</xsl:template>
	
<xsl:template match="sm:all">
<startingPoint dir="down" offset="{si(not(@startAtLevel), '0', @startAtLevel)}" include="{si(not(@startAtLevel) or @startAtLevel='0', 'y', 'n')}"/>
<uncleFrom dir="down" offset="0"/>
<uncleTo dir="up" offset="0"/>
<uncleDesc depth="noLimit"/>
<currentDesc depth="noLimit"/>
</xsl:template>
	
<xsl:template match="sm:directChildren">
<startingPoint dir="up" offset="0" include="n"/>
<currentDesc depth="1" depthFrom="current"/>
</xsl:template>
	
<xsl:template match="sm:minimalist">
<startingPoint dir="down" offset="{si(not(@startAtLevel), '0', @startAtLevel)}" include="{si(not(@startAtLevel) or @startAtLevel='0', 'y', 'n')}"/>
<uncleFrom dir="down" offset="0"/>
<uncleTo dir="up" offset="0"/>
<currentDesc depth="1" depthFrom="current"/>
</xsl:template>
	
<xsl:template match="sm:stack">
<startingPoint dir="down" offset="{si(not(@startAtLevel), '0', @startAtLevel)}" include="{si(not(@startAtLevel) or @startAtLevel='0', 'y', 'n')}"/>
</xsl:template>	

<xsl:template match="sm:onlyOneLevel">
<startingPoint dir="down" offset="{si(not(@level), '0', @level)}" include="n"/>
<endingPoint depth="1" depthFrom="startingPoint"/>
<uncleFrom dir="down" offset="0"/>
<uncleTo dir="down" offset="1"/>
<currentDesc depth="1" depthFrom="startingPoint"/>
</xsl:template>	

	
<xsl:template match="sm:customized">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:scopeStartingPoint">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:fromAbsoluteTop">
<startingPoint dir="down" offset="{si(not(@descendantOffset), 'max', @descendantOffset)}" include="{si(@includeInScope='no', 'n', 'y')}">
<xsl:apply-templates/>
</startingPoint>
</xsl:template>
<xsl:template match="sm:fromCurrent">
<startingPoint dir="up" offset="{si(not(@ancestorOffset), 'max', @ancestorOffset)}" include="{si(@includeInScope='no', 'n', 'y')}">
<xsl:apply-templates/>
</startingPoint>
</xsl:template>
<xsl:template match="sm:stopAtModel">
<stopCompType code="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))}{getAxisSuffix(@axis)}" include="{si(@includeInScope='no', 'n', 'y')}"/>
</xsl:template>
	
<xsl:template match="sm:ancestorEndingPoint">
<endingPoint depth="{si(sm:depthLimit/@depth, sm:depthLimit/@depth, 'noLimit')}" depthFrom="{si(sm:depthLimit/@from='current', 'current', 'startingPoint')}">
<xsl:apply-templates/>
</endingPoint>
</xsl:template>
	
<xsl:template match="sm:currentAndAncestorSiblings">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:siblingsStartingPoint">
<uncleFrom dir="{si(@direction='currentToScopeStartingPoint', 'up', 'down')}" offset="{si(not(@offset), 'max', @offset)}">
<xsl:apply-templates/>
</uncleFrom>
</xsl:template>
<xsl:template match="sm:siblingsEndingPoint">
<uncleTo dir="{si(@direction='currentToScopeStartingPoint', 'up', 'down')}" offset="{si(not(@offset), 'max', @offset)}">
<xsl:apply-templates/>
</uncleTo>
</xsl:template>
<xsl:template match="sm:siblingDescendants">
<uncleDesc depth="{si(sm:depthLimit/@depth, sm:depthLimit/@depth, 'noLimit')}" depthFrom="{si(sm:depthLimit/@from='current', 'current', 'startingPoint')}">
<xsl:apply-templates/>
</uncleDesc>
</xsl:template>
<xsl:template match="sm:currentDescendants">
<currentDesc depth="{si(sm:depthLimit/@depth, sm:depthLimit/@depth, 'noLimit')}" depthFrom="{si(sm:depthLimit/@from='current', 'current', 'startingPoint')}">
<xsl:apply-templates/>
</currentDesc>
</xsl:template>
<xsl:template match="sm:depthLimit"/>

	
	
<xsl:template match="sm:scope"/>
<xsl:template match="sm:treeContent">
<treeContent/>	
</xsl:template>
<xsl:template match="sm:freeContent">
<treeContent/>
</xsl:template>
<xsl:template match="sm:freeProgressStatus">
<progressStatus>
<xsl:copy-of select="@numPagesToExcludeBefore|@numPagesToExcludeAfter"/>
</progressStatus>
</xsl:template>
	
<xsl:template match="*|text()|@*"/>
</xsl:stylesheet>