<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:stk="scenari.eu:task:1.0"
	exclude-result-prefixes="sm xsl stk java xalan">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
	
<xsl0:include href="bs:widgets.xml.xsl"/>
	
	
<xsl0:template match="sm:simpleTaskXhtmlTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{getAxisSuffix(sm:axis/@code)}" version="1.0">
<xsl0:choose>
<xsl0:when test="starts-with(resultatAgent($vAgentModel/codeModel), 'sfile')">
<xsl0:attribute name="racine"><xsl0:value-of select="concat('/sfile:',resultatAgent($vAgentModel/localNameDescXml))"/></xsl0:attribute>
<xsl0:attribute name="codecomposant"><xsl0:value-of select="si(sm:axis/@code, concat(&quot;concat(getIdNode(.), '&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), 'getIdNode(.)')"/></xsl0:attribute>
<xsl0:attribute name="xmlns:sfile">http://www.utc.fr/ics/scenari/v3/file</xsl0:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl0:choose>
<xsl0:when test="starts-with(resultatAgent($vAgentModel/qNameTagRootModel), 'sfile')">
<xsl0:attribute name="racine"><xsl0:value-of select="concat('/',resultatAgent($vAgentModel/qNameTagRootModel))"/></xsl0:attribute>
<xsl0:attribute name="codecomposant"><xsl0:value-of select="si(sm:axis/@code, concat(&quot;concat(getIdNode(.), '&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), 'getIdNode(.)')"/></xsl0:attribute>
							
</xsl0:when>
<xsl0:otherwise>
<xsl0:attribute name="racine"><xsl0:value-of select="concat('//',resultatAgent($vAgentModel/qNameTagRootModel))"/></xsl0:attribute>
<xsl0:attribute name="codecomposant"><xsl0:value-of select="si(resultatAgent($vAgentModel/isMeta)='true', concat(&quot;concat(getIdNode(..), '_meta&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), si(sm:axis/@code, concat(&quot;concat(getIdNode(..), '&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), 'getIdNode(..)'))"/></xsl0:attribute>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:otherwise>
</xsl0:choose>
<xsl0:if test="resultatAgent($vAgentModel/prefixModel)">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
</xsl0:if>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:apply-templates/>
			
<xsl0:apply-templates mode="agts"/>
</structure>
</xsl0:template>
	
	
<xsl0:template match="sm:fullTitleText|sm:shortTitleText">
		
<xsl0:call-template name="createStringAgent">
<xsl0:with-param name="vAgentName" select="local-name()"/>
</xsl0:call-template>
</xsl0:template>
	
	
<xsl0:template match="sm:navigation">
		
<listenoeuds>
<xsl0:apply-templates mode="listenoeuds"/>
</listenoeuds>
		
<xsl0:apply-templates mode="comps"/>
</xsl0:template>
	
	
<xsl0:template match="sm:folder">
<xsl0:apply-templates select="sm:title" mode="intituleTag"/>
<descriptif type="xpath-statique"><![CDATA[concat('<root>', local-name(.), '</root>')]]></descriptif>
		
<listenoeuds>
<xsl0:apply-templates mode="listenoeuds"/>
</listenoeuds>
		
<xsl0:apply-templates mode="comps"/>
		
<xsl0:call-template name="outlineClasses"/>
</xsl0:template>

	
<xsl0:template match="sm:simpleTaskXhtmlTransf/sm:content">
		
<valeur code="xhtmlContent">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="redirect">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:xalan">http://xml.apache.org/xalan</xsl0:attribute>
<xsl0:attribute name="xmlns:redirect">com.scenari.xsldom.xalan.lib.Redirect</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
					
<xsl:template match="*">
						
<xsl:if test="checkNoCycleAgent()">
<xsl0:apply-templates mode="content"/>
</xsl:if>
</xsl:template>
</xsl:stylesheet>
</source>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
<xsl0:apply-templates mode="compsInContent"/>
</xsl0:template>

<xsl0:template match="*"/>

	
<xsl0:template match="sm:page | sm:folder" mode="listenoeuds">
<noeud cle="p_{generate-id()}" type="singleton">
<ref>.@/_<xsl0:value-of select="generate-id()"/></ref>
</noeud>
</xsl0:template>
<xsl0:template match="sm:folderPreview" mode="listenoeuds">
<xsl0:apply-templates mode="listenoeuds"/>
</xsl0:template>
<xsl0:template match="sm:choose" mode="listenoeuds">
<noeud cle="l_{generate-id()}" type="liste">
<listeref type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:xalan">http://xml.apache.org/xalan</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
<xsl:template match="{resultatAgent($vAgentModel/qNameTagRootModel)}">
<liste><xsl0:apply-templates mode="listenoeuds_xsl" select="."/></liste>
</xsl:template>
<xsl0:apply-templates mode="listenoeuds_tpl" select="."/>
<xsl:template match="node()"/>
</xsl:stylesheet>
</listeref>
</noeud>
</xsl0:template>
	
<xsl0:template match="sm:callModel" mode="listenoeuds">
<noeud type="singleton" cle="s_{generate-id()}"><ref type="resultat-dynamique">agent=//callModel_<xsl0:value-of select="generate-id()"/></ref></noeud>
</xsl0:template>
	
<xsl0:template match="sm:lookForExistingModelPage" mode="listenoeuds">
<noeud cle="p_{generate-id()}" type="singleton"><ref type="resultat-dynamique">agent=//lookForPage_<xsl0:value-of select="generate-id()"/></ref></noeud>
</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds"/>
	
	
<xsl0:template match="sm:choose" mode="listenoeuds_xsl">
<xsl:choose>
<xsl0:apply-templates mode="listenoeuds_choose"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:*" mode="listenoeuds_xsl">
<item>
<xsl:value-of>
<xsl0:attribute name="select">
<xsl0:apply-templates select="." mode="listenoeuds_item"/>
</xsl0:attribute>
</xsl:value-of>
</item>
</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds_xsl"/>
	
	
<xsl0:template match="sm:choose | sm:when | sm:otherwise" mode="listenoeuds_tpl">
		
<xsl0:apply-templates mode="listenoeuds_tpl"/>
</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds_tpl"/>
	
	
<xsl0:template match="sm:when" mode="listenoeuds_choose">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="listenoeuds_xsl"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="listenoeuds_choose">
<xsl:otherwise>
<xsl0:apply-templates mode="listenoeuds_xsl"/>
</xsl:otherwise>
</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds_choose"/>
	
	
<xsl0:template match="sm:page" mode="listenoeuds_item">'.@/_<xsl0:value-of select="generate-id()"/>'</xsl0:template>
<xsl0:template match="sm:folder" mode="listenoeuds_item">'.@/_<xsl0:value-of select="generate-id()"/>'</xsl0:template>
<xsl0:template match="sm:callModel" mode="listenoeuds_item">resultatAgent('//callModel_<xsl0:value-of select="generate-id()"/>')</xsl0:template>
<xsl0:template match="sm:lookForExistingModelPage" mode="listenoeuds_item">resultatAgent('//lookForPage_<xsl0:value-of select="generate-id()"/>')</xsl0:template>
<xsl0:template match="node()" mode="listenoeuds_item"/>

	
<xsl0:template match="sm:page" mode="pathPageInContent">resultatAgent('//_<xsl0:value-of select="generate-id()"/>', 'act:')</xsl0:template>
<xsl0:template match="sm:callModel" mode="pathPageInContent">resultatAgent('//callModel_<xsl0:value-of select="generate-id()"/>')</xsl0:template>
<xsl0:template match="sm:lookForExistingModelPage[sm:ifNoPage]" mode="pathPageInContent">returnFirst(<xsl0:call-template name="lookForExistingModelPage"/>, <xsl0:apply-templates mode="pathPageInContent" select="sm:ifNoPage/*"/>)</xsl0:template>
<xsl0:template match="sm:ifNoPage/sm:lookForExistingModelPage[sm:ifNoPage]" mode="pathPageInContent"><xsl0:call-template name="lookForExistingModelPage"/>, <xsl0:apply-templates mode="pathPageInContent" select="sm:ifNoPage/*"/></xsl0:template>
<xsl0:template match="sm:lookForExistingModelPage" mode="pathPageInContent"><xsl0:call-template name="lookForExistingModelPage"/></xsl0:template>
<xsl0:template match="sm:externalUrl" mode="pathPageInContent"><xsl0:apply-templates mode="pathPageInContent"/></xsl0:template>
<xsl0:template match="sm:fixedString" mode="pathPageInContent">'<xsl0:value-of select="escapeXpathString(@value)"/>'</xsl0:template>
<xsl0:template name="lookForExistingModelPage">resultatDialogue(<xsl0:apply-templates mode="callModel" select="sm:navContext/*"/>, concat('lookFor:computeResultWithArguments=act:&amp;codeAgentPrinc=', escapeQueryString(codeAgent(<xsl0:apply-templates mode="callModel" select="sm:target/*"/>))))</xsl0:template>
<xsl0:template match="node()" mode="pathPageInContent"/>

	
<xsl0:template match="sm:page" mode="comps">
<xsl0:param name="vRacineComp"/>
<affichage code="_{generate-id()}">
<xsl0:choose>
<xsl0:when test="$vRacineComp='$'">
					
<xsl0:apply-templates select="sm:title | ../self::sm:folderPreview/sm:title" mode="intituleTag"/>
<valeur code="idNodePrefixMeta">
<source type="xpath-statique">getIdNode(.)</source>
</valeur>
</xsl0:when>
<xsl0:when test="$vRacineComp">
					
<xsl0:attribute name="racine"><xsl0:value-of select="$vRacineComp"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">concat('_<xsl0:value-of select="generate-id()"/>_', getIdNode(.))</xsl0:attribute>
<xsl0:apply-templates select="sm:title | ../self::sm:folderPreview/preceding-sibling::sm:title" mode="intituleTag"/>
</xsl0:when>
<xsl0:otherwise>
					
<xsl0:apply-templates select="sm:title | ../self::sm:folderPreview/preceding-sibling::sm:title" mode="intituleTag"/>
</xsl0:otherwise>
</xsl0:choose>
			
<xsl0:choose>
<xsl0:when test="boolean(sm:path/*)">
					
<xsl0:apply-templates select="sm:path/*" mode="pathPage"/>
</xsl0:when>
<xsl0:when test="$vRacineComp">
					
<urlPage type="xpath-dynamique">si(@sc:refUri, java:getSrcName(srcNodeByXxxPath(@sc:refUri)), '')</urlPage>
</xsl0:when>
</xsl0:choose>
<descriptif type="xpath-statique"><![CDATA[concat('<root>', local-name(.), '</root>')]]></descriptif>
<xsl0:if test="@step">
<step><xsl0:value-of select="@step"/></step>
</xsl0:if>
<xsl0:if test="../self::sm:folderPreview">
<outlineStatus>rejected</outlineStatus>
</xsl0:if>
			
<xsl0:call-template name="outlineClasses"><xsl0:with-param name="vRacineComp" select="$vRacineComp"/></xsl0:call-template>
<page>
<modele><xsl0:value-of select="@template"/></modele>
<zone cle="mainZone" type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:xalan">http://xml.apache.org/xalan</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl:output method="{si(not(sm:mainZone/@format!='xhtml'), 'xml', sm:mainZone/@format)}" indent="no" omit-xml-declaration="yes"/>
						
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
						
<xsl:template match="*">
							
<xsl0:choose>
<xsl0:when test="not(sm:mainZone/@format!='xhtml')">
<zoneContent>
<xsl0:apply-templates select="sm:mainZone/node()" mode="content"/>
</zoneContent>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="sm:mainZone/node()" mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl:stylesheet>
</zone>
<xsl0:for-each select="sm:zone">
<zone cle="{@key}" type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:xalan">http://xml.apache.org/xalan</xsl0:attribute>
<xsl:output method="{si(not(@format!='xhtml'), 'xml', @format)}" indent="no" omit-xml-declaration="yes"/>
							
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
							
<xsl:template match="*">
								
<xsl0:choose>
<xsl0:when test="not(@format!='xhtml')">
										
<zoneContent>
<xsl0:apply-templates select="node()" mode="content"/>
</zoneContent>
</xsl0:when>
<xsl0:otherwise>
<xsl0:apply-templates select="node()" mode="content"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl:stylesheet>
</zone>
</xsl0:for-each>
</page>
<xsl0:apply-templates mode="agentsWidgets"/>
</affichage>
		
<xsl0:choose>
<xsl0:when test="$vRacineComp">
				
<xsl0:apply-templates select="./*//sm:page" mode="comps">
<xsl0:with-param name="vRacineComp" select="$vRacineComp"/>
</xsl0:apply-templates>
</xsl0:when>
<xsl0:otherwise>
				
<xsl0:apply-templates mode="compsInContent"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template match="sm:folder" mode="comps">
<xsl0:param name="vRacineComp"/>
<structure code="_{generate-id()}">
<xsl0:choose>
<xsl0:when test="$vRacineComp='$'">
					
<xsl0:apply-templates select="sm:title" mode="intituleTag"/>
<descriptif type="xpath-statique"><![CDATA[concat('<root>', local-name(.), '</root>')]]></descriptif>
					
<listenoeuds>
<xsl0:apply-templates mode="listenoeuds"/>
</listenoeuds>
					
<xsl0:apply-templates mode="comps">
<xsl0:with-param name="vRacineComp" select="'$'"/>
</xsl0:apply-templates>
</xsl0:when>
<xsl0:when test="$vRacineComp">
					
<xsl0:attribute name="racine"><xsl0:value-of select="$vRacineComp"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">concat('_<xsl0:value-of select="generate-id()"/>_', getIdNode(.))</xsl0:attribute>
<xsl0:apply-templates select="sm:title" mode="intituleTag"/>
<descriptif type="xpath-statique"><![CDATA[concat('<root>', local-name(.), '</root>')]]></descriptif>
					
<listenoeuds>
<xsl0:apply-templates mode="listenoeuds"/>
</listenoeuds>
					
<xsl0:apply-templates mode="comps">
<xsl0:with-param name="vRacineComp" select="'$'"/>
</xsl0:apply-templates>
</xsl0:when>
<xsl0:otherwise>
					
<xsl0:apply-templates select="sm:title" mode="intituleTag"/>
<descriptif type="xpath-statique"><![CDATA[concat('<root>', local-name(.), '</root>')]]></descriptif>
					
<listenoeuds>
<xsl0:apply-templates mode="listenoeuds"/>
</listenoeuds>
					
<xsl0:apply-templates mode="comps"/>
</xsl0:otherwise>
</xsl0:choose>
			
<xsl0:call-template name="outlineClasses"><xsl0:with-param name="vRacineComp" select="$vRacineComp"/></xsl0:call-template>
</structure>
</xsl0:template>
<xsl0:template match="sm:folderPreview" mode="comps">
<xsl0:apply-templates mode="comps"/>
</xsl0:template>
<xsl0:template match="sm:choose|sm:when|sm:otherwise" mode="comps">
<xsl0:param name="vRacineComp"/>
<xsl0:apply-templates mode="comps">
<xsl0:with-param name="vRacineComp" select="$vRacineComp"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="node()" mode="comps"/>

	
<xsl0:template match="sm:page" mode="compsInContent">
<xsl0:param name="vRacineComp"/>
<xsl0:apply-templates select="." mode="comps">
<xsl0:with-param name="vRacineComp" select="$vRacineComp"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="*" mode="compsInContent">
<xsl0:param name="vRacineComp"/>
<xsl0:apply-templates mode="compsInContent">
<xsl0:with-param name="vRacineComp" select="$vRacineComp"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="text()|@*" mode="compsInContent"/>

	
<xsl0:template match="sm:choose" mode="content">
<xsl0:if test="sm:when[@involvement]">
<xsl:variable name="vTaskInvolvement{generate-id()}" select="resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?transform=facet&amp;facet=taskInvolvement'))"/>
<xsl:variable name="vTaskInvolvementXml{generate-id()}" select="parseXml($vTaskInvolvement{generate-id()})"/>
<xsl:variable name="vCurrentUser{generate-id()}" select="getGeneratorProperty('user')"/>
</xsl0:if>
<xsl:choose>
<xsl0:apply-templates mode="content"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when[@involvement='follower']" mode="content">
<xsl:when test="$vTaskInvolvementXml{generate-id(..)}//user[@account=$vCurrentUser{generate-id()}][@follower='true']">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:when[@involvement='executor']" mode="content">
<xsl:when test="$vTaskInvolvementXml{generate-id(..)}//user[@account=$vCurrentUser{generate-id()}][@executor='true']">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:when[@involvement='executor follower']" mode="content">
<xsl:when test="$vTaskInvolvementXml{generate-id(..)}//user[@account=$vCurrentUser{generate-id()}][@follower='true' and @executor='true']">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:when[@involvement='undefined']" mode="content">
<xsl:when test="$vTaskInvolvementXml{generate-id(..)}//user[@account=$vCurrentUser{generate-id()}][not(@follower='true' and @executor='true')]">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:when" mode="content">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="content">
<xsl:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl:otherwise>
</xsl0:template>
<xsl0:template match="sm:Widget" mode="content"><xsl:value-of select="resultatAgent(concat('widget_{generate-id()}_', generate-id()),.)" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callModel" mode="content"><xsl:value-of select="resultatAgent('//callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callSubModel" mode="content"><xsl:value-of select="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
	
	
<xsl0:template match="sm:callModel" mode="agts">
<valeur code="callModel_{generate-id()}">
<xsl0:choose>
<xsl0:when test="parent::sm:link or parent::sm:ifNoPage">
					
<source type="xpath-dynamique">resultatDialogue(<xsl0:if test="not(*/@navCtx='preserveCurrent')">concat('/', </xsl0:if><xsl0:apply-templates mode="callModel"/><xsl0:if test="not(*/@navCtx='preserveCurrent')">)</xsl0:if>, 'act:')</source>
</xsl0:when>
<xsl0:when test="parent::sm:title or parent::sm:fullTitleText or parent::sm:shortTitleText">
					
<source type="xpath-dynamique">resultatAgent(concat(<xsl0:apply-templates mode="callModel"/>, '/<xsl0:value-of select="returnFirst(@view, 'fullTitleText')"/>'))</source>
</xsl0:when>
<xsl0:when test="/sm:simpleTaskXhtmlTransf/sm:content or ancestor::sm:mainZone or ancestor::sm:zone or ancestor::sm:outlineClasses or ancestor::sm:description">
					
<source type="xpath-dynamique">resultatAgent(concat(<xsl0:apply-templates mode="callModel"/>, '/<xsl0:value-of select="returnFirst(@view, 'xhtmlContent')"/>'))</source>
</xsl0:when>
<xsl0:otherwise>
					
<source type="xpath-dynamique"><xsl0:apply-templates mode="callModel"/></source>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
</xsl0:template>
<xsl0:template match="sm:lookForExistingModelPage" mode="agts">
<valeur code="lookForPage_{generate-id()}">
<xsl0:choose>
<xsl0:when test="ancestor::sm:page or not(ancestor::sm:navigation)">
<source type="xpath-dynamique">resultatDialogue(<xsl0:apply-templates mode="callModel" select="sm:navContext/*"/>, concat('lookFor:computeResultWithArguments=act:&amp;codeAgentPrinc=', escapeQueryString(codeAgent(<xsl0:apply-templates mode="callModel" select="sm:target/*"/>))))</source>
</xsl0:when>
<xsl0:otherwise>
<source type="xpath-dynamique">resultatDialogue(<xsl0:apply-templates mode="callModel" select="sm:navContext/*"/>, concat('lookFor:codeAgentPrinc=', escapeQueryString(codeAgent(<xsl0:apply-templates mode="callModel" select="sm:target/*"/>))))</source>
</xsl0:otherwise>
</xsl0:choose>
</valeur>
</xsl0:template>
<xsl0:template match="sm:when[@sc:refUri]" mode="agts">
<xsl0:variable name="vUri" select="@sc:refUri"/>
<xsl0:if test="count(preceding::sm:when[@sc:refUri=$vUri])=0">
<valeur code="cond_{alphaHash(@sc:refUri)}">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
</valeur>
</xsl0:if>
<xsl0:apply-templates mode="agts"/>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agts"/>

	
<xsl0:template match="sm:root" mode="callModel">concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>')</xsl0:template>
<xsl0:template match="sm:current" mode="callModel">concat('@', switchAxis(codeAgent('//'), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:lookForAscendants" mode="callModel">concat('@', switchAxis(codeAgent(lookForAscendants($vDialog,'<xsl0:value-of select="returnFirst(@direction,'currentToRoot')"/>'<xsl0:apply-templates mode="callModel"/>)), '<xsl0:value-of select="@axis"/>'))</xsl0:template>
<xsl0:template match="sm:callableModel" mode="callModel">,'<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))"/>'</xsl0:template>
<xsl0:template match="sm:agentPath" mode="callModel">pathAgent(agent('<xsl0:value-of select="@path"/>', $vDialog))</xsl0:template>
<xsl0:template match="sm:currentNav" mode="callModel">'.'</xsl0:template>
<xsl0:template match="sm:fromNewRoot" mode="callModel">concat('/', <xsl0:apply-templates mode="callModel"/>)</xsl0:template>
<xsl0:template match="text()|@*" mode="callModel"/>

	
<xsl0:template match="sm:fixedPath" mode="pathPage">
<urlPage><xsl0:value-of select="@value"/></urlPage>
</xsl0:template>
<xsl0:template match="node()" mode="pathPage"/>
	
	
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<valeur code="widget_{generate-id()}" codecomposant="concat('widget_{generate-id()}_', generate-id())">
<xsl0:if test="$pPath"><xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute></xsl0:if>
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agentsWidgetZones"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:forUpdates" mode="agentsWidgets">
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath">stk:update</xsl0:with-param>
</xsl0:apply-templates>
</xsl0:template>

	
<xsl0:template match="sm:page" mode="agentsWidgets"/>
<xsl0:template match="*" mode="agentsWidgets">
<xsl0:param name="pPath"/>
<xsl0:apply-templates mode="agentsWidgets">
<xsl0:with-param name="pPath" select="$pPath"/>
</xsl0:apply-templates>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agentsWidgets"/>
	
	
<xsl0:template match="sm:xhtmlContentZone" mode="agentsWidgetZones">
<xsl0:param name="pPath"/>
<valeur code="{si(@key, concat('xhtmlContentZone_', @key), concat('XZ_', generate-id()))}">
<xsl0:if test="$pPath">
<xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">generate-id()</xsl0:attribute>
</xsl0:if>
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:xalan">http://xml.apache.org/xalan</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
					
<xsl:template match="*">
						
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl:stylesheet>
</source>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:urlZone" mode="agentsWidgetZones">
<xsl0:param name="pPath"/>
<valeur code="{si(@key, concat('urlZone_', @key), concat('UZ_', generate-id()))}">
<xsl0:if test="$pPath">
<xsl0:attribute name="racine"><xsl0:value-of select="$pPath"/></xsl0:attribute>
<xsl0:attribute name="codecomposant">generate-id()</xsl0:attribute>
</xsl0:if>
<source type="xpathOnSrc-dynamique"><xsl0:apply-templates mode="pathPageInContent" select="sm:link/*"/></source>
</valeur>
</xsl0:template>
<xsl0:template match="node()" mode="agentsWidgetZones"/>
	
	
<xsl0:template match="sm:forUpdates" mode="content">
<xsl:for-each select="stk:update">
<xsl0:if test="@sort">
<xsl:sort select="@date" data-type="number" order="{@sort}"/>
</xsl0:if>
<xsl0:apply-templates mode="content"/>
</xsl:for-each>
</xsl0:template>
	
<xsl0:template match="sm:forUpdateDate" mode="mFieldValue">
<xsl:value-of select="ancestor-or-self::stk:update[1]/@date"/>
</xsl0:template>
<xsl0:template match="sm:forUpdateUser" mode="mFieldValue">
<xsl:value-of select="ancestor-or-self::stk:update[1]/@by"/>
</xsl0:template>
	
<xsl0:template match="sm:forUsersList" mode="mFieldValue">
<xsl0:variable name="vResponsability" select="@responsability"/>
<xsl0:choose>
<xsl0:when test="@scope='updateEntry#put'">
<xsl:for-each select="stk:putUser[contains(@resp, '{$vResponsability}')]">
<item><xsl:value-of select="@account"/></item>
</xsl:for-each>
</xsl0:when>
<xsl0:when test="@scope='updateEntry#remove'">
<xsl:for-each select="stk:removeUser[contains(@resp, '{$vResponsability}')]">
<item><xsl:value-of select="@account"/></item>
</xsl:for-each>
</xsl0:when>
<xsl0:otherwise>
				
<xsl:variable name="vTaskInvolvement{generate-id()}" select="resultatAgent('//', concat('get:src:', java:getSrcUri(srcFileAgent()), '?transform=facet&amp;facet=taskInvolvement'))"/>
<xsl:for-each select="parseXml($vTaskInvolvement{generate-id()})//resp[@code='{$vResponsability}']/user">
<item><xsl:value-of select="@account"/></item>
</xsl:for-each>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template match="sm:forStage[@scope='updateEntry']/sm:ifPending" mode="content" priority="2">
<xsl:if test="ancestor-or-self::stk:update/stk:execTransition/@newActStage='pending' or not(preceding::stk:execTransition[@newActStage])">
<xsl0:apply-templates mode="content"/>
</xsl:if>
</xsl0:template>
<xsl0:template match="sm:forStage[@scope='updateEntry']/sm:ifCompleted" mode="content" priority="2">
<xsl:if test="ancestor-or-self::stk:update/stk:execTransition/@newActStage='completed'">
<xsl0:apply-templates mode="content"/>
</xsl:if>
</xsl0:template>
<xsl0:template match="sm:forStage[@scope='updateEntry']/sm:ifForthcoming" mode="content" priority="2">
<xsl:if test="ancestor-or-self::stk:update/stk:execTransition/@newActStage='forthcoming'">
<xsl0:apply-templates mode="content"/>
</xsl:if>
</xsl0:template>
<xsl0:template match="sm:forStage/*" mode="content">
<xsl:variable name="vItemStage{generate-id()}" select="normalize-space(srcFields(srcFileAgent(), 'actStage'))"/>
<xsl0:choose>
<xsl0:when test="self::sm:ifPending">
<xsl:if test="$vItemStage{generate-id()}='pending' or not($vItemStage{generate-id()})">
<xsl0:apply-templates mode="content"/>
</xsl:if>
</xsl0:when>
<xsl0:otherwise>
<xsl:if test="$vItemStage{generate-id()}='{si(self::sm:ifCompleted, 'completed', 'forthcoming')}'">
<xsl0:apply-templates mode="content"/>
</xsl:if>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
	
<xsl0:template match="sm:forState" mode="content" priority="2">
<xsl:variable name="vState{generate-id()}">
<xsl0:attribute name="select">
<xsl0:choose>
<xsl0:when test="@scope='updateEntry'">ancestor-or-self::stk:update/stk:execTransition/@newState</xsl0:when>
<xsl0:otherwise>srcFields(srcFileAgent(), 'lcSt')</xsl0:otherwise>
</xsl0:choose>
</xsl0:attribute>
</xsl:variable>
<xsl:choose>
<xsl0:for-each select="sm:choose/sm:when">
<xsl:when test="$vState{generate-id(../..)}='{@state}'">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:for-each>
<xsl0:for-each select="sm:otherwise">
<xsl:when test="true()">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:for-each>
<xsl:when test="true()"/>
</xsl:choose>
</xsl0:template>
	
	
<xsl0:template match="sm:forTitle[@scope='updateEntry']" mode="mFieldValue">
<xsl:value-of select="ancestor-or-self::stk:update/stk:setTitle[1]/@newTitle"/>
</xsl0:template>
<xsl0:template match="sm:forTitle" mode="mFieldValue">
<xsl:variable name="vTitles{generate-id()}" select="/stk:task/stk:update/stk:setTitle"/>
<xsl:value-of select="$vTitles{generate-id()}[last()]/@newTitle"/>
</xsl0:template>
<xsl0:template match="sm:forDescription[@scope='updateEntry']" mode="mFieldValue">
<xsl:value-of select="getIdNode(ancestor-or-self::stk:update/stk:setDescription[1])"/>
</xsl0:template>
<xsl0:template match="sm:forDescription" mode="mFieldValue">
<xsl:variable name="vDescriptions{generate-id()}" select="/stk:task/stk:update/stk:setDescription"/>
<xsl:value-of select="getIdNode($vDescriptions{generate-id()}[last()])"/>
</xsl0:template>
<xsl0:template match="sm:forComment[@scope='updateEntry']" mode="mFieldValue">
<xsl:value-of select="getIdNode(ancestor-or-self::stk:update/stk:addComment[1])"/>
</xsl0:template>
<xsl0:template match="sm:forComment" mode="mFieldValue">
<xsl:variable name="vComments{generate-id()}" select="/stk:task/stk:update/stk:addComment"/>
</xsl0:template>
	
<xsl0:template match="sm:forDeadline[@scope='updateEntry']" mode="mFieldValue">
<xsl:value-of select="ancestor-or-self::stk:update/stk:setDeadline[1]/@newDt"/>
</xsl0:template>
<xsl0:template match="sm:forDeadline" mode="mFieldValue">
<xsl:variable name="vComments{generate-id()}" select="/stk:task/stk:update/stk:setDeadline"/>
<xsl:value-of select="$vComments{generate-id()}[last()]/@newDt"/>
</xsl0:template>
	
<xsl0:template match="sm:forExecutionDt[@scope='updateEntry']" mode="mFieldValue">
<xsl:value-of select="ancestor-or-self::stk:update/stk:setExecutionDt[1]/@newDt"/>
</xsl0:template>
<xsl0:template match="sm:forExecutionDt" mode="mFieldValue">
<xsl:variable name="vComments{generate-id()}" select="/stk:task/stk:update/stk:setExecutionDt"/>
<xsl:value-of select="$vComments{generate-id()}[last()]/@newDt"/>
</xsl0:template>
	
<xsl0:template match="sm:forScheduledDt[@scope='updateEntry']" mode="mFieldValue">
<xsl:value-of select="ancestor-or-self::stk:update/stk:setScheduledDt[1]/@newDt"/>
</xsl0:template>
<xsl0:template match="sm:forScheduledDt" mode="mFieldValue">
<xsl:variable name="vComments{generate-id()}" select="/stk:task/stk:update/stk:setScheduledDt"/>
<xsl:value-of select="$vComments{generate-id()}[last()]/@newDt"/>
</xsl0:template>
	
<xsl0:template match="sm:forState[@scope='updateEntry']" mode="mFieldValue">
<xsl:value-of select="ancestor-or-self::stk:update/stk:execTransition/@newState"/>
</xsl0:template>
<xsl0:template match="sm:forState" mode="mFieldValue">
<xsl:value-of select="srcFields(srcFileAgent(), 'lcSt')"/>
</xsl0:template>
	
	
<xsl0:template match="sm:forUpdateDate|sm:forUpdateUser|sm:forUsersList|sm:forTitle|sm:forDescription|sm:forComment|sm:forDeadline|sm:forExecutionDt|sm:forScheduledDt" mode="content">
<xsl:variable name="vFieldData{generate-id()}"><xsl0:call-template name="tGetFieldValue"/></xsl:variable>
<xsl:if test="$vFieldData{generate-id()}">
<xsl0:apply-templates mode="content"/>
</xsl:if>
</xsl0:template>
	
	
<xsl0:template name="tGetFieldValue">
<xsl0:apply-templates select="ancestor-or-self::*[starts-with(name(), 'sm:for')][1]" mode="mFieldValue"/>
</xsl0:template>
<xsl0:template match="sm:fieldValueDate" mode="content">
<xsl:variable name="vFieldData{generate-id()}"><xsl0:call-template name="tGetFieldValue"/></xsl:variable>
<xsl0:if test="@prefix"><xsl0:value-of select="@prefix"/></xsl0:if>
<xsl:value-of select="java:eu.scenari.modeling.dataformprim.DateFormatter.formatTimestamp(number($vFieldData{generate-id()}),'{returnFirst(@format,'yyyy.MM.dd')}','{returnFirst(@locale,'fr-FR')}','')"/>
<xsl0:if test="@suffix"><xsl0:value-of select="@suffix"/></xsl0:if>
</xsl0:template>
<xsl0:template match="sm:fieldValueString" mode="content">
<xsl:variable name="vFieldData{generate-id()}"><xsl0:call-template name="tGetFieldValue"/></xsl:variable>
<xsl0:if test="@prefix"><xsl0:value-of select="@prefix"/></xsl0:if>
<xsl:value-of select="$vFieldData{generate-id()}"/>
<xsl0:if test="@suffix"><xsl0:value-of select="@suffix"/></xsl0:if>
</xsl0:template>
<xsl0:template match="sm:fieldValueEnum" mode="content">
<xsl:variable name="vFieldData{generate-id()}"><xsl0:call-template name="tGetFieldValue"/></xsl:variable>
<xsl0:if test="@prefix"><xsl0:value-of select="@prefix"/></xsl0:if>
<xsl:value-of select="concatExpr(xalan:nodeset($vFieldData{generate-id()})/*, ., '{returnFirst(@separator, ', ')}')"/>
<xsl0:if test="@suffix"><xsl0:value-of select="@suffix"/></xsl0:if>
</xsl0:template>
<xsl0:template match="sm:fieldValueSubModel" mode="content">
<xsl:variable name="vFieldData{generate-id()}"><xsl0:call-template name="tGetFieldValue"/></xsl:variable>
<xsl:value-of select="resultatAgent(concat('@', $vFieldData{generate-id()}, '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/>
</xsl0:template>
	
	
	
	
	
	
<xsl0:template match="sm:title" mode="intituleTag">
<xsl0:variable name="vTitleFormat" select="si(local-name(..)='page', 'shortTitleText', 'fullTitleText')"/>
<xsl0:choose>
<xsl0:when test="count(*) &gt; 1">
<intitule type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:xalan">http://xml.apache.org/xalan</xsl0:attribute>
<xsl:output method="text"/>
						
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
						
						
<xsl:template match="*">
<xsl:choose>
<xsl0:apply-templates mode="titleMultiInXslWhen">
<xsl0:with-param name="pTitleFormat" select="$vTitleFormat"/>
</xsl0:apply-templates>
</xsl:choose>
</xsl:template>
</xsl:stylesheet>
</intitule>
</xsl0:when>
<xsl0:when test="sm:callModel">
<intitule type="resultat-dynamique">agent=//callModel_<xsl0:value-of select="generate-id(sm:callModel)"/></intitule>
</xsl0:when>
<xsl0:when test="sm:dynamicString">
<intitule type="xpathOnSrc-dynamique"><xsl0:value-of select="sm:dynamicString/sm:freeSelect/@xpath"/></intitule>
</xsl0:when>
<xsl0:when test="sm:fixedTitle">
<intitule><xsl0:value-of select="sm:fixedTitle/@value"/></intitule>
</xsl0:when>
</xsl0:choose>
</xsl0:template>
		
	
<xsl0:template match="sm:callModel" mode="titleMultiInXslWhen">
<xsl:when test="resultatAgent('//callModel_{generate-id()}') != ''">
<xsl:value-of select="resultatAgent('//callModel_{generate-id()}')"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:dynamicString" mode="titleMultiInXslWhen">
<xsl:when test="{sm:freeSelect/@xpath} != ''">
<xsl:value-of select="{sm:freeSelect/@xpath}"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:fixedTitle" mode="titleMultiInXslWhen">
		
<xsl:otherwise>
<xsl0:value-of select="@value"/>
</xsl:otherwise>
</xsl0:template>
	
	
<xsl0:template name="crossRefEntries">
<xsl0:if test="@crossRefEntries">
<crossRef>
<xsl:variable name="vValue" select="{si(boolean(ancestor::sm:for), 'si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))', 'getIdNode(..)')}"/>
<xsl0:for-each select="xalan:tokenize(@crossRefEntries, ' ')">
<entry keyRef="{.}" value="{{$vValue}}"/>
</xsl0:for-each>
</crossRef>
</xsl0:if>
</xsl0:template>

	
<xsl0:template name="outlineClasses">
<xsl0:param name="vRacineComp"/>
<xsl0:choose>
<xsl0:when test="not(sm:outlineClasses/*)"/>
<xsl0:when test="count(sm:outlineClasses/*)=1 and sm:outlineClasses/sm:fixedString">
<valeur code="outlineClasses">
<source><xsl0:value-of select="sm:outlineClasses/sm:fixedString/@value"/></source>
</valeur>
</xsl0:when>
<xsl0:otherwise>
<valeur code="outlineClasses">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:xalan">http://xml.apache.org/xalan</xsl0:attribute>
<xsl:output method="text"/>
				    
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
				    
<xsl:template match="*">
<xsl0:apply-templates select="sm:outlineClasses/*" mode="content"/>
</xsl:template>
</xsl:stylesheet>
</source>
</valeur>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

	
<xsl0:template name="description">
<xsl0:param name="vRacineComp"/>
<valeur code="description">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
		    
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		    
<xsl:template match="*">
<xsl0:apply-templates select="sm:description/*" mode="content"/>
</xsl:template>
</xsl:stylesheet>
</source>
</valeur>
</xsl0:template>

<xsl0:template name="createStringAgent">
<xsl0:param name="vAgentName"/>
		
<valeur code="{$vAgentName}">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:xalan">http://xml.apache.org/xalan</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
		    
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		    
<xsl:template match="*">
<xsl:variable name="vTi">
<xsl0:apply-templates mode="content"/>
</xsl:variable>
<xsl:value-of select="string($vTi)"/>
</xsl:template>
</xsl:stylesheet>
</source>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>

</xsl0:stylesheet>
