<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" 
	exclude-result-prefixes="sm sc">
	
<xsl:output method="xml" encoding="UTF-8" indent="yes"/>
	
<xsl:include href="bsco:sm/binaryPrims/mainviewInc.xul.xsl"/>

<xsl:template match="sm:previewBlock" mode="mainview">
		
<xsl:if test="not($vAuthoring/sm:sizeBlock) or not(../sm:block[@code='size'][not(@usedIn='nonBinaryClasses')])">
<xsl:choose>
<xsl:when test="$vAuthoring/sm:preview/sm:htmlViewer">
<blockhtml titleblock="{@name}" onopenblock="this.setAttribute('src', document.fUriObject.getContentUrl(vMainStreamSrcUri));">
<xsl:call-template name="displayMode"/>
<xsl:call-template name="idInView"/>
</blockhtml>
</xsl:when>
<xsl:when test="$vAuthoring/sm:preview/sm:flvViewer">
<block id="idBlock" titleblock="{@name}">
<xsl:call-template name="displayMode"/>
<xsl:call-template name="idInView"/>
<iframe src="{resultatAgent('//preview.xul', 'act:')}" flex="1"/>
</block>
</xsl:when>
</xsl:choose>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:block[@code='size'][not(@usedIn='nonBinaryClasses')]" mode="mainview">
<xsl:if test="$vAuthoring/sm:sizeBlock">
			
<blockscsize titleblock="{@name}" viewer="html" dimstransform="transform=ffmpeg">
<xsl:if test="$vAuthoring/sm:sizeBlock/sm:flvViewer">
<xsl:attribute name="viewerurl">
<xsl:value-of select="resultatAgent('//preview.size.xul', 'act:')"/>
</xsl:attribute>
</xsl:if>
<xsl:if test="$vIsReadOnly"><xsl:attribute name="readonly">true</xsl:attribute></xsl:if>
<xsl:call-template name="displayMode"/>
<xsl:call-template name="idInView"/>
<xsl:apply-templates select="$vAuthoring/sm:sizeBlock/*"/>
</blockscsize>
</xsl:if>
</xsl:template>
<xsl:template match="sm:sizeBlock/sm:standardCharSize | sm:sizeBlock/sm:limitCharSize" priority="2">
<scsizetab type="{local-name(.)}">
<xsl:apply-templates select="sm:defaultValue"/>
<xsl:if test="@name">
<xsl:attribute name="title"><xsl:value-of select="@name"/></xsl:attribute>
</xsl:if>
<xsl:if test="sm:editor">
<xsl:attribute name="editable">true</xsl:attribute>
</xsl:if>
<xsl:if test="sm:editor/sm:textRef">
<xsl:attribute name="textref"><xsl:value-of select="sm:editor/sm:textRef/text()"/></xsl:attribute>
</xsl:if>
<xsl:call-template name="idInView"/>
</scsizetab>
</xsl:template>
<xsl:template match="sm:sizeBlock/*"/>
	
<xsl:template match="sm:standardCharSize/sm:defaultValue[@defaultWidthInPx]">
<xsl:attribute name="defaultvalue"><xsl:value-of select="@defaultWidthInPx"/><xsl:text> * 10 / width</xsl:text></xsl:attribute>
</xsl:template>
<xsl:template match="sm:limitCharSize/sm:defaultValue">
<xsl:attribute name="defaultvalue"><xsl:value-of select="@scaleFromStandardCharsize"/></xsl:attribute>
</xsl:template>
	
</xsl:stylesheet>
