<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	exclude-result-prefixes="sm xsl">
	
<xsl0:import href="bs:content.xsl.xsl"/>

<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
<xsl0:variable name="vAgentMeta" select="computeNodeAgent($vAgentModel/agentMeta)"/>
<xsl0:variable name="vAgentGenToCall" select="computeNodeAgent('//agentGeneratorToCall')"/>
	
<xsl0:template match="sm:webSiteToWebSiteGenTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{getAxisSuffix(sm:axis/@code)}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}"
			codecomposant="{si(sm:axis/@code, concat(&quot;concat(getIdNode(..), '&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), 'getIdNode(..)')}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:if test="boolean($vAgentMeta)">
				
<valeur code="codeMeta">
<source type="xpath-statique">concat(getIdNode(.), '_meta')</source>
</valeur>
				
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/fullTitleText'))</source>
</valeur>
				
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/shortTitleText'))</source>
</valeur>
</xsl0:if>
<xsl0:apply-templates/>
<xsl0:if test="boolean($vAgentGenToCall)">
<valeur code="callGen">
<source type="resultat-dynamique">agent=call&amp;arguments=act:</source>
<callGenerator code="call">
<genCode><xsl0:value-of select="resultatAgent($vAgentGenToCall/codeGenerator)"/></genCode>
						
<rootElement>..</rootElement>
<genProps type="inclusion-dynamique">
<source>
<properties>
<entry key="destination.status.deletefile">always</entry>
<entry key="destination.trace.filepath">.~traces</entry>
<entry key="destination.trace.deletefile">always</entry>
<entry key="skin"><xsl0:value-of select="sm:generatorToCall/@skinCode"/></entry>
							   
<xsl0:for-each select="sm:generatorToCall/sm:property">
<entry key="{@code}">[![escapeXml;agent=//props_<xsl0:value-of select="generate-id(.)"/>]!]</entry>
</xsl0:for-each>
</properties>
</source>
</genProps>
</callGenerator>
</valeur>
</xsl0:if>
</structure>
</xsl0:template>
	
	
<xsl0:template match="sm:generatorToCall">
<xsl0:for-each select="sm:property">
<valeur code="props_{generate-id(.)}">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0">
<xsl0:call-template name="commonXslDecl"/>
<xsl:template match="*">
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl:stylesheet>
</source>
</valeur>
<xsl0:apply-templates mode="agents"/>
</xsl0:for-each>
</xsl0:template>
    
	
<xsl0:template match="sm:webSiteToWebSiteGenTransf/sm:content">
<valeur code="xhtmlContent">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0">
<xsl0:call-template name="commonXslDecl"/>
<xsl:template match="*">
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl:stylesheet>
</source>
</valeur>
<xsl0:apply-templates mode="agents"/>
</xsl0:template>
		
	
<xsl0:template match="sm:webSiteToWebSiteGenTransf/sm:navigation">
<listenoeuds>
<noeud type="singleton" cle="call">
<ref>.@/pageGen</ref>
</noeud>
</listenoeuds>
<affichage code="pageGen">
<urlPage type="xpath-dynamique">resultatAgent('//callGen')</urlPage>
</affichage>
</xsl0:template>
	
<xsl0:template match="*"/>
	
<xsl0:template name="commonXslDecl">
<xsl0:attribute name="exclude-result-prefixes">sc sp java <xsl0:value-of select="resultatAgent($vAgentModel/prefixModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
</xsl0:template>

	
	
<xsl0:template match="sm:url" mode="agents">
<valeur code="url_{generate-id(.)}">
<source type="xpath-dynamique">resultatAgent('//callGen')</source>
</valeur>
</xsl0:template>

	
<xsl0:template match="sm:callModel" mode="agents">
<valeur code="callModel_{generate-id()}">
<xsl0:apply-templates mode="agents"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:root" mode="agents">
<source type="xpath-dynamique">resultatAgent(concat('@', getIdFromPath(concat('src:', java:getSrcUri(srcFileAgent('@@')))), '<xsl0:value-of select="getAxisSuffix(@axis)"/>/xhtmlContent'))</source>
</xsl0:template>
<xsl0:template match="sm:current" mode="agents">
<source type="xpath-dynamique">resultatAgent(concat('@', switchAxis(codeAgent('//'), '<xsl0:value-of select="@axis"/>'), '/xhtmlContent'))</source>
</xsl0:template>
<xsl0:template match="sm:lookForAscendants" mode="agents">
<source type="xpath-dynamique">resultatAgent(concat('@', switchAxis(codeAgent(lookForAscendants($vDialog,'<xsl0:value-of select="returnFirst(@direction,'currentToRoot')"/>'<xsl0:apply-templates mode="agents"/>)), '<xsl0:value-of select="@axis"/>'), '/xhtmlContent'))</source>
</xsl0:template>
<xsl0:template match="sm:callableModel" mode="agents">,'<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/codeModel'))"/>'</xsl0:template>
<xsl0:template match="sm:agentPath" mode="agents">
		
<source type="xpath-dynamique">resultatAgent(agent('<xsl0:value-of select="@path"/>', $vDialog))</source>
</xsl0:template>
	
<xsl0:template match="text()|@*" mode="agents"/>
	
	
<xsl0:template match="sm:modelTitle" mode="titleMultiInXslWhen">
<xsl0:param name="pTitleFormat" select="'fullTitleText'"/>
<xsl:when test="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{si(@format, @format, $pTitleFormat)}')) != ''">
<xsl0:value-of select="@prefix"/>
<xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{@axis}'), '/{si(@format, @format, $pTitleFormat)}'))"/>
<xsl0:value-of select="@suffix"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:dynamicString" mode="titleMultiInXslWhen">
<xsl:when test="{sm:freeSelect/@xpath} != ''">
<xsl:value-of select="{sm:freeSelect/@xpath}"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:fixedTitle" mode="titleMultiInXslWhen">
		
<xsl:otherwise>
<xsl0:value-of select="@value"/>
</xsl:otherwise>
</xsl0:template>

<xsl0:template match="text()|@*" mode="titleMultiInXslWhen"/>
	
</xsl0:stylesheet>