<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	exclude-result-prefixes="sm sc sp xsl java">
	
<xsl0:import href="bsco:sm/web/sm_WLink.xml.xsl"/>

<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
	
<xsl0:template match="sm:WLink" mode="content">
<xsl0:variable name="vOptions">
<xsl0:call-template name="linkOptionsXsl"/>
</xsl0:variable>
<a>
<xsl0:if test="@widgetClass"><xsl0:attribute name="class"><xsl0:value-of select="@widgetClass"/></xsl0:attribute></xsl0:if>
<xsl0:call-template name="linkHrefXsl">
<xsl0:with-param name="pUrl"><xsl0:apply-templates select="sm:link/*" mode="contentUrl"/></xsl0:with-param>
<xsl0:with-param name="pOptions"><xsl0:value-of select="$vOptions"/></xsl0:with-param>
</xsl0:call-template>
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/*" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/*) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="sm:label/*" mode="content"/></span></xsl0:otherwise>
</xsl0:choose></a>
</xsl0:template>
	
	
<xsl0:template match="sm:WIFrame" mode="content">
<iframe>
<xsl0:if test="@widgetClass"><xsl0:attribute name="class"><xsl0:value-of select="@widgetClass"/></xsl0:attribute></xsl0:if>
<xsl0:attribute name="frameborder"><xsl0:value-of select="si(@frameborder='yes','1','0')"/></xsl0:attribute>
<xsl0:if test="@scrolling"><xsl0:attribute name="scrolling"><xsl0:value-of select="@scrolling"/></xsl0:attribute></xsl0:if>
<xsl0:if test="@marginheight"><xsl0:attribute name="marginheight"><xsl0:value-of select="@marginheight"/></xsl0:attribute></xsl0:if>
<xsl0:if test="@marginwidth"><xsl0:attribute name="marginwidth"><xsl0:value-of select="@marginwidth"/></xsl0:attribute></xsl0:if>
<xsl:attribute name="src"><xsl0:apply-templates mode="contentUrl"/></xsl:attribute>
<xsl0:if test="boolean(sm:frameTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:frameTitle/*" mode="content"/></addAttribute>
</xsl0:if>
</iframe>
</xsl0:template>
	
	
<xsl0:template match="sm:title[count(*)>1]" mode="content">
<xsl:choose>
<xsl0:apply-templates mode="titleMultiInXslWhen">
<xsl0:with-param name="pTitleFormat" select="'fullTitleText'"/>
</xsl0:apply-templates>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:title" mode="content">
<xsl0:choose>
<xsl0:when test="count(*) = 0">&#160;</xsl0:when>
<xsl0:otherwise>
<xsl0:choose>
<xsl0:when test="sm:modelTitle">
<xsl0:value-of select="sm:modelTitle/@prefix"/><xsl:value-of select="resultatAgent(concat('@', switchAxis(codeAgent('//'), '{sm:modelTitle/@axis}'), '/{si(sm:modelTitle/@format, sm:modelTitle/@format, 'fullTitleText')}'))"/><xsl0:value-of select="sm:modelTitle/@suffix"/>
</xsl0:when>
<xsl0:when test="sm:dynamicString">
<xsl:value-of select="{sm:dynamicString/sm:freeSelect/@xpath}"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="sm:fixedTitle/@value"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>

	
<xsl0:template match="sm:fixedString" mode="content"><xsl0:value-of select="text()"/></xsl0:template>
<xsl0:template match="sm:callModelMeta" mode="content"><xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:callModel" mode="content"><xsl:value-of select="resultatAgent('//callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>

<xsl0:template match="*" mode="content"/>
<xsl0:template match="text()|@*" mode="content"/>
	
	
<xsl0:template match="sm:url" mode="contentUrl"><xsl:value-of select="resultatAgent('//url_{generate-id(.)}')"/></xsl0:template>
<xsl0:template match="*" mode="contentUrl"/>
<xsl0:template match="text()|@*" mode="contentUrl"/>
	
</xsl0:stylesheet>