<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:java="http://xml.apache.org/xslt/java"
	exclude-result-prefixes="sm sc java"
	version="1.0">
<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="yes"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
	
<xsl:include href="bsco:sm/wspDef/export.wsptypeui.xsl"/>
	
<xsl:template match="/*">
<wspTypeUi uri="{resultatAgent('//uri')}"
		           lang="{resultatAgent('//langWsp')}" 
		           key="{resultatAgent('//key')}"
			       component="@scenari.com/ui/wspType;1"
			       title="{resultatAgent('//nameWsp')}"
			       version="{resultatAgent('//version')}">
			
			
			
			
<xsl:for-each select="sm:wspUi/sm:folderSpace/sm:icon">
<xsl:attribute name="spaceFolderIconUrl">
<xsl:value-of select="concat('chrome://', resultatAgent('@@/chromeCode'),'/content/_wspUi/icon/icspace')"/>
</xsl:attribute>
<xsl:attribute name="spaceFolderOpenIconUrl">
<xsl:value-of select="concat('chrome://', resultatAgent('@@/chromeCode'),'/content/_wspUi/icon/icspaceOpen')"/>
</xsl:attribute>
</xsl:for-each>
			
<xsl:for-each select="sm:wspUi/sm:nullItem/sm:icon">
<xsl:attribute name="itemNullFolderIconUrl">
<xsl:value-of select="concat('chrome://', resultatAgent('@@/chromeCode'),'/content/_wspUi/icon/icitemnull')"/>
</xsl:attribute>
</xsl:for-each>
			
<generators>
<xsl:variable name="vThisDefOwner" select="resultatAgent('/@@/key')"/>
<xsl:variable name="vRooDef" select="."/>
<xsl:for-each select="listGenerators()">
<xsl:variable name="vCodeGen" select="resultatAgent(codeGenerator)"/>
<generator code="{$vCodeGen}" title="{resultatAgent(nameGenerator)}" owner="{$vThisDefOwner}" type="{typeAgent(.)}">
						
<xsl:for-each select="agentsLies(listAgentRootAllowed)">
<xsl:variable name="vOwnerSs" select="si(resultatAgent(isStandAloneItem)='true', agent('@@'))"/>
<xsl:if test="$vOwnerSs">
<rootModel code="{resultatAgent(codeModel)}" owner="{resultatAgent($vOwnerSs/key)}"/>
</xsl:if>
</xsl:for-each>
						
<xsl:variable name="vAgtSkinPath" select="skinPath"/>
<xsl:variable name="vDefaultSkin" select="resultatAgent($vAgtSkinPath, '')"/>
<xsl:variable name="vKeyResGen" select="resultatAgent(keyResGen)"/>
<xsl:variable name="vCodeAgtGen" select="codeAgent(.)"/>						
<xsl:if test="$vDefaultSkin and not($vRooDef/sm:generatorSkins/sm:generator[getIdFromPath(@sc:refUri)=$vCodeAgtGen]/sm:skin[@code='default'])">
<skin srcRes="{$vKeyResGen}" srcVersion="{resultatAgent('@@/version')}" srcLang="{resultatAgent('@@/langWsp')}" srcPath="{$vDefaultSkin}" code="default" title="{resultatAgent(skinName)}" owner="{$vThisDefOwner}"/>
</xsl:if>
						
<xsl:for-each select="$vRooDef/sm:generatorSkins/sm:generator[getIdFromPath(@sc:refUri)=$vCodeAgtGen]/sm:skin">
<skin srcRes="{$vKeyResGen}" srcVersion="{resultatAgent('@@/version')}" srcLang="{resultatAgent('@@/langWsp')}" srcPath="{resultatAgent($vAgtSkinPath, @code)}" code="{@code}" title="{@name}" owner="{$vThisDefOwner}"/>
</xsl:for-each>
</generator>
</xsl:for-each>
</generators>
			
<uiOverlay onUriKey="chrome://scenariWsp/content/desks/wspDesk/extTarget.js" src="{resultatAgent('//wspDesk.extSource.js', 'act:')}"/>			
			
<xsl:call-template name="globalExtSource"/>
			
<xsl:apply-templates select="sm:wspUi/sm:freeUiOverlay"/>
</wspTypeUi>
		
		
		
		
		
<xsl:for-each select="sm:wspUi/sm:folderSpace/sm:icon">
<xsl:value-of select="execute(si(sm:open/@sc:refUri,
				resultatAgent('//', 
				concat('resUri:src=wsp:', 
				sm:open/@sc:refUri,
				';overidedst=content/_wspUi/icon/icspaceOpen/icovalid.png'
				))))"/>
<xsl:value-of select="execute(si(sm:closed/@sc:refUri,
				resultatAgent('//', 
				concat('resUri:src=wsp:', 
				sm:closed/@sc:refUri,
				';overidedst=content/_wspUi/icon/icspace/icovalid.png'
				))))"/>
</xsl:for-each>
		
<xsl:for-each select="sm:wspUi/sm:nullItem/sm:icon">
<xsl:value-of select="execute(si(@sc:refUri,
				resultatAgent('//', 
				concat('resUri:src=wsp:', 
				@sc:refUri,
				';overidedst=content/_wspUi/icon/icitemnull/icovalid.png'
				))))"/>
</xsl:for-each>
				
		
		
		
<xsl:for-each select="sm:generatorSkins/sm:generator/sm:skin[@code!='default']/sm:icon">
<xsl:value-of select="execute(si(@sc:refUri,
				resultatAgent('//', 
				concat('resUri:src=wsp:', 
				@sc:refUri,
				';overidedst=content/_skin/',
				resultatAgent(concat('@', getIdFromPath(../../@sc:refUri), '/codeGenerator')),
				'/',
				../@code,
				'/icon.png',
				';transform=img2img&amp;outType=PNG&amp;sizeRules=Px(Bounds(maxW''100''maxH''100''))'
				))))"/>
</xsl:for-each>
			
</xsl:template>
	
</xsl:stylesheet>