<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
        xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
        exclude-result-prefixes="sm" 
        version="1.0">
<xsl:output method="xml" encoding="UTF-8"/>
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
    
<xsl:include href="bs:wsptype.core.xsl"/>
    
<xsl:template match="sm:wspDefinition">
<wspType uri="{resultatAgent('//uri')}" 
                 lang="{resultatAgent('//langWsp')}" 
                 key="{resultatAgent('//key')}"
                 defaultCode="{si(@defaultWspCode, @defaultWspCode, @keyWsp)}" 
                 title="{resultatAgent('//nameWsp')}" 
                 description="{@sm:help/quickHelp}"
                 version="{resultatAgent('//version')}">
<systemSpace space="{resultatAgent('//rootSpaceSs')}">
<res key="{resultatAgent('//keyResSs')}">
<description title="{@name} (ss)"/>
</res>
</systemSpace>
            
<systemSpace space="{resultatAgent('//rootSpaceBs')}" optional="true">
<res key="{resultatAgent('//keyResBs')}">
<description title="{@name} (bs)"/>
</res>
</systemSpace>
<xsl:for-each select="listGenerators()">
<systemSpace space="{resultatAgent(rootSpaceGen)}" optional="true">
<res key="{resultatAgent(keyResGen)}">
<description title="{resultatAgent(nameGenerator)}"/>
</res>
</systemSpace>
</xsl:for-each>
<xsl:apply-templates select="sm:generatorSkins/sm:generator" mode="skin"/>
<xsl:apply-templates select="sm:collaboration/sm:lifeCycle" mode="lifeCycle"/>
<xsl:call-template name="tGetWspConfig"/>
<editionSheet pack="sc_ssPack"/>
<editionSheet pack="{resultatAgent('//uri')}"/>
</wspType>
</xsl:template>

<xsl:template match="*"/>
<xsl:template match="text()|@*"/>
</xsl:stylesheet>