<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
		xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
		xmlns:java="http://xml.apache.org/xslt/java"
		xmlns:xalan="http://xml.apache.org/xalan"
		exclude-result-prefixes="sm java xalan" 
		version="1.0">
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
	
	
	
<xsl:template name="tGetWspConfig">
<xsl:for-each select="/sm:wspDefinition/sm:freeConfig/sm:freeWspType">
<xsl:apply-templates/>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:freeSpace">
<xsl:copy-of select="parseXml(concat('&lt;root&gt;', text(), '&lt;/root&gt;'))/root/*"/>
</xsl:template>
	
<xsl:template match="sm:freeSsOverlay[@sc:refUri]">
<xsl:variable name="vModel" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl:variable name="vOwnerSs" select="si(resultatAgent('//isPublicClass', codeAgent($vModel))='true', agent(resultatAgent('@@/findOwnerClass', codeAgent($vModel))))"/>  
<xsl:if test="$vOwnerSs">
<ssOverlay ssUri="{resultatAgent($vOwnerSs/rootPathSs)}/{resultatAgent($vModel/codeModel)}.ss.xml">
<xsl:copy-of select="parseXml(concat('&lt;ssFragment&gt;', text(), '&lt;/ssFragment&gt;'))"/>
</ssOverlay>
</xsl:if>
</xsl:template>
    
<xsl:template match="sm:freeSsOverlay[not(@sc:refUri)]">
<xsl:variable name="vSsFragment" select="parseXml(concat('&lt;ssFragment&gt;', text(), '&lt;/ssFragment&gt;'))"/>
<xsl:for-each select="/*/sm:publicClasses//sm:class">
<xsl:variable name="vModel" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl:variable name="vOwnerSs" select="agent(resultatAgent('@@/findOwnerClass', codeAgent($vModel)))"/>
<xsl:if test="$vOwnerSs">
<ssOverlay ssUri="{resultatAgent($vOwnerSs/rootPathSs)}/{resultatAgent($vModel/codeModel)}.ss.xml">
<xsl:copy-of select="$vSsFragment"/>
</ssOverlay>
</xsl:if>
</xsl:for-each>
</xsl:template>
	
<xsl:template match="sm:generator" mode="skin">
<xsl:variable name="vGen" select="agent(concat('@', getIdFromPath(@sc:refUri)))"/>
<xsl:variable name="vCodeGen" select="resultatAgent($vGen/codeGenerator)"/>
<xsl:variable name="vAgtSkinPath" select="$vGen/skinPath"/>
<xsl:variable name="vGenContext" select="."/>
<xsl:for-each select="agentsLies($vGen/listAgentRootAllowed)">
<xsl:variable name="vOwnerSs" select="si(resultatAgent(isStandAloneItem)='true', agent('@@'))"/>
<xsl:if test="$vOwnerSs">
<ssOverlay ssUri="{resultatAgent($vOwnerSs/rootPathSs)}/{resultatAgent(codeModel)}.ss.xml">
<ssFragment>
<module code="gen_{$vCodeGen}" type="eu.scenari.wsp.module.gen.ModuleGenLoader">
<xsl:for-each select="$vGenContext/sm:skin">
<skin sc:refUri="{resultatAgent($vGen/rootPathGen)}{resultatAgent($vAgtSkinPath, @code)}" code="{@code}" title="{@name}" owner="{resultatAgent('/@@/key')}"/>
</xsl:for-each>
</module>
</ssFragment>
</ssOverlay>
</xsl:if>
</xsl:for-each>
</xsl:template>
	
</xsl:stylesheet>