<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	version="1.0"
	exclude-result-prefixes="sm sc xalan">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>

<xsl:include href="bs:calledTransformersInc.xsl"/>
	
<xsl:variable name="vKeyMapTransformers" select="resultatAgent('//agentGenerator', 'keyMapTransformers')"/>

<xsl:template match="sm:xhtmlToOdGenTransf">
<xsl:apply-templates select="sm:content | sm:generatorToCall"/>
</xsl:template>
<xsl:template match="sm:content | sm:generatorToCall">
<xsl:variable name="vCalls">
<calls><xsl:apply-templates mode="in"/></calls>
</xsl:variable>
<liste><xsl:apply-templates select="xalan:nodeset($vCalls)" mode="getList"/></liste>
</xsl:template>
<xsl:template match="text()|@*"/>

	
<xsl:template match="call" mode="getList">
<xsl:variable name="vAgentTransf" select="agent(getEntryBuffer($vKeyMapTransformers, concat(@model, ';', @axis)))"/>
<xsl:if test="$vAgentTransf"><item><xsl:value-of select="pathAgent($vAgentTransf)"/>/views/<xsl:value-of select="@view"/></item></xsl:if>
</xsl:template>
<xsl:template match="text()|@*" mode="getList"/>
		
</xsl:stylesheet>
