<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	exclude-result-prefixes="sm sc java ffice text table fo draw svg xlink style">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	

	
<xsl:template match="sm:tableTag">
<text:p text:style-name="odNoDisplay">
<help>
<p>Stylage d'une <b>tabeau</b></p>
<p type="cplt">Pour styler le <i>tableau</i>, placer le curseur à l'intérieur d'une cellule, et aller dans le menu "Table > Table Properties".</p>
<p type="cplt"><i>NOTE : le contenu des cellules du tableau n'est pas stylable ici.</i></p>
</help>
</text:p>
<table:table table:name="{resultatAgent('../../stResolver/table/name')}" table:style-name="{resultatAgent('../../stResolver/table/name')}">
<xsl:variable name="vPosRow" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<table:table-column table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.A')}"/>
<xsl:for-each select="sm:stylesList/sm:rowTag | sm:stylesList/sm:columnTag | sm:stylesList/sm:cellTag">
<xsl:variable name="vCurrentPosRow" select="java:hIncreaseOne($vPosRow)"/>
<table:table-row>
<xsl:if test="name()='sm:rowTag'">
<xsl:attribute name="table:style-name"><xsl:value-of select="concat(resultatAgent('../../stResolver/table/name'), '.', $vCurrentPosRow)"/></xsl:attribute>
</xsl:if>
<table:table-cell table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.A', $vCurrentPosRow)}" office:value-type="string">
<text:p text:style-name="odNoWritable">
<xsl:choose>
<xsl:when test="name()='sm:rowTag'">Ligne <xsl:if test="@role">de rôle "<xsl:value-of select="@role"/>"</xsl:if></xsl:when>
<xsl:when test="name()='sm:columnTag'">Colonne <xsl:if test="@role">de rôle "<xsl:value-of select="@role"/>"</xsl:if></xsl:when>
<xsl:otherwise>Cellule <xsl:if test="@role">de rôle "<xsl:value-of select="@role"/>"</xsl:if></xsl:otherwise>
</xsl:choose>
</text:p>
</table:table-cell>
</table:table-row>
</xsl:for-each>
</table:table>
</xsl:template>
	
<xsl:template match="*"/>
	
</xsl:stylesheet>
