<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	exclude-result-prefixes="sm sc java ffice text table fo draw svg xlink style">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	

	
<xsl:template match="sm:WTable">
<text:p text:style-name="odNoDisplay">
<help>
<p>Stylage d'une <b>tabeau</b></p>
<p type="cplt">Pour styler le <i>tableau</i>, placer le curseur à l'intérieur d'une cellule, et aller dans le menu "Table > Table Properties".</p>
<p type="cplt"><i>NOTE : le contenu des cellules du tableau n'est pas stylable ici.</i></p>
</help>
</text:p>
<table:table table:name="{resultatAgent('../../stResolver/table/name')}" table:style-name="{resultatAgent('../../stResolver/table/name')}">
<xsl:variable name="vPosRow" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl:for-each select=".//sm:WTableRow">
<xsl:variable name="vCurrentPosRow"><xsl:number value="java:hIncreaseOne($vPosRow)" format="1"/></xsl:variable>
<xsl:if test="java:hGet($vPosRow)=1">
					
<xsl:variable name="vPosCol" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl:for-each select=".//sm:WTableCell">
<xsl:variable name="vCurrentPosCol_num"><xsl:value-of select="java:hIncreaseOne($vPosCol)"/></xsl:variable>
<xsl:variable name="vCurrentPosCol"><xsl:number value="$vCurrentPosCol_num" format="A"/></xsl:variable>
<table:table-column table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.', $vCurrentPosCol)}"/>
</xsl:for-each>
</xsl:if>
				
<table:table-row table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.', $vCurrentPosRow)}">
<xsl:variable name="vPosCell" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl:for-each select=".//sm:WTableCell">
						
<xsl:variable name="vCurrentPosCell_num"><xsl:value-of select="java:hIncreaseOne($vPosCell)"/></xsl:variable>
<xsl:variable name="vCurrentPosCell"><xsl:number value="$vCurrentPosCell_num" format="A"/></xsl:variable>
<table:table-cell table:style-name="{concat(resultatAgent('../../stResolver/table/name'), '.', $vCurrentPosCell, $vCurrentPosRow)}">
							
<xsl:for-each select=".//sm:WParagraph">
<xsl:if test="actifAgent(concat('../../../', getIdNode(.), '/isStyleBlockEntry')) and not(resultatAgent(concat('../../../', getIdNode(.), '/isStyleBlockEntry')))">
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('//', getIdNode(.), '/blockStyle/contentFile.getBody'))"/>
</xsl:if>
</xsl:for-each>
</table:table-cell>
</xsl:for-each>
</table:table-row>
</xsl:for-each>
</table:table>
</xsl:template>
				
<xsl:template match="*"/>
	
</xsl:stylesheet>
