<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
		xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" 
		xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
		xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" 
		xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" 
		xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" 
		xmlns:xlink="http://www.w3.org/1999/xlink" 
		xmlns:dc="http://purl.org/dc/elements/1.1/" 
		xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" 
		xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" 
		xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" 
		xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" 
		xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" 
		xmlns:math="http://www.w3.org/1998/Math/MathML" 
		xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" 
		xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" 
		xmlns:ooo="http://openoffice.org/2004/office" 
		xmlns:ooow="http://openoffice.org/2004/writer" 
		xmlns:oooc="http://openoffice.org/2004/calc" 
		xmlns:dom="http://www.w3.org/2001/xml-events" 
		xmlns:xforms="http://www.w3.org/2002/xforms" 
		xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		exclude-result-prefixes="office style text table draw fo xlink dc meta number svg chart dr3d math form script ooo ooow oooc dom xforms xsd xsi">
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	
	
<xsl:template match="/masterStyles">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="/content">
<xsl:apply-templates>
<xsl:sort select="@type"/>
</xsl:apply-templates>
<text:p text:style-name="section.title">Transformers ne possédant aucun élément à paramétrer</text:p>
<xsl:apply-templates mode="empty"/>
</xsl:template>
	
<xsl:template match="section">
<xsl:if test="boolean(*)">
<xsl:apply-templates select="page"/>
<xsl:if test="@title"><text:p text:style-name="section.title"><xsl:value-of select="@title"/></text:p></xsl:if>
<xsl:if test="@subTitle"><text:p text:style-name="section.subTitle"><xsl:value-of select="@subTitle"/></text:p></xsl:if>
<xsl:apply-templates select="*[name()!='page']"/>
</xsl:if>
</xsl:template>
	
<xsl:template match="help">
<xsl:variable name="vContent">
<xsl:apply-templates/>
</xsl:variable>
	   
</xsl:template>
<xsl:template match="p">
<xsl:variable name="vIsFirstBlock">
<xsl:for-each select="ancestor::block">
<xsl:variable name="vCurrentSgn" select="@structSgn"/>
<xsl:value-of select="bool2Str(not(preceding-sibling::block[@structSgn=$vCurrentSgn]))"/>
</xsl:for-each>
</xsl:variable>
<xsl:if test="not(@type='cplt') or $vIsFirstBlock">
<text:p text:style-name="note.p"><xsl:apply-templates select="node()|text()"/></text:p>
</xsl:if>
</xsl:template>
<xsl:template match="u">
<text:span text:style-name="note.u"><xsl:apply-templates select="node()|text()"/></text:span>
</xsl:template>
<xsl:template match="b">
<text:span text:style-name="note.b"><xsl:apply-templates select="node()|text()"/></text:span>
</xsl:template>
<xsl:template match="i">
<text:span text:style-name="note.i"><xsl:apply-templates select="node()|text()"/></text:span>
</xsl:template>
	
<xsl:template match="section" mode="empty">
<xsl:if test="count(*)=0">
<xsl:if test="@title">
<text:p text:style-name="section.emptysection">- <xsl:value-of select="@title"/>
<xsl:if test="string-length(normalize-space(@subTitle))&gt;0"> [<xsl:value-of select="@subTitle"/>]</xsl:if>;
</text:p>
</xsl:if>
</xsl:if>
</xsl:template>
	
<xsl:template match="section[@type='page']">
<xsl:apply-templates select="page"/>
<text:p text:style-name="Standard">
<draw:frame draw:style-name="section.frame" draw:name="Type de page" text:anchor-type="page" svg:x="0cm" svg:y="0cm" svg:width="1.70cm" svg:height="10cm" draw:z-index="0">
<draw:text-box fo:min-height="10cm">
<text:p text:style-name="section.frame.title">Modèle de page &quot;<xsl:value-of select="@title"/>&quot;</text:p>
</draw:text-box>
</draw:frame>
</text:p>
<xsl:apply-templates select="*[name()!='page']"/>
<text:p text:style-name="odNoDisplay">x</text:p>
</xsl:template>
	
<xsl:template match="block[@type='floating']">
<xsl:choose>
<xsl:when test="count(*) + string-length(normalize-space(.)) &gt; 0">
<xsl:apply-templates select="*"/>
</xsl:when>
<xsl:otherwise>
				
<xsl:call-template name="tError">
<xsl:with-param name="pType">info</xsl:with-param>
<xsl:with-param name="pText">Le block flottant '<xsl:value-of select="@title"/>' est vide.</xsl:with-param>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template match="block[@type='hidden']">
		
</xsl:template>
	
<xsl:template match="block">
<xsl:variable name="vBlockCode" select="@code"/>
<xsl:choose>
<xsl:when test="not(preceding-sibling::block[@code=$vBlockCode]) and (count(*) + string-length(normalize-space(.)) &gt; 0)">
<table:table table:name="{@code}" table:style-name="block.table">
<table:table-column table:style-name="block.table.A"/>
<table:table-header-rows>
<table:table-row table:style-name="block.table.1">
<table:table-cell table:style-name="block.table.A1">
								
<xsl:apply-templates select="*"/>
								
</table:table-cell>
</table:table-row>
</table:table-header-rows>
</table:table>
<text:p text:style-name="block.title"><xsl:value-of select="@title"/></text:p>
</xsl:when>
<xsl:otherwise>
				
<xsl:call-template name="tError">
<xsl:with-param name="pType">info</xsl:with-param>
<xsl:with-param name="pText">Le block '<xsl:value-of select="@title"/>' est vide.</xsl:with-param>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
<xsl:if test="string-length(normalize-space(description))&gt;0">
<text:p text:style-name="block.description">
<xsl:text></xsl:text><xsl:apply-templates select="description/* | description/text()"/>
</text:p>
</xsl:if>
</xsl:template>
	
<xsl:template match="description"/>
	
<xsl:template match="page">
<xsl:choose>
<xsl:when test="@default">
<text:p text:style-name="pmParagraphDefault"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template match="pageBreak">
<xsl:if test="normalize-space(text())='true'">
<text:p text:style-name="scodBreakAfter"/>
<text:p/>
<text:p text:style-name="odNoDisplay">x</text:p>
</xsl:if>
</xsl:template>
	
		
	
<xsl:template match="@*|node()|text()">
<xsl:copy>
<xsl:apply-templates select="@*|node()|text()"/>
</xsl:copy>
</xsl:template>
	
<xsl:template name="tError">
<xsl:param name="pType"/>
<xsl:param name="pText"/>
		
</xsl:template>
</xsl:stylesheet>
