<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:repeat="com.scenari.xsldom.xalan.lib.Repeat"
	extension-element-prefixes="repeat"
	exclude-result-prefixes="sm sc sp sma">
	
<xsl0:template match="sm:feedbackModel">
<xsl:template match="sc:solution" mode="{resultatAgent('//codeModel')}">
<xsl:apply-templates mode="{resultatAgent('//codeModel')}"/>
</xsl:template>
<xsl:template match="sc:feedbacks" mode="{resultatAgent('//codeModel')}">
<xsl:variable name="vTitle"><xsl0:value-of select="@name"/></xsl:variable>
<treeBlockElement title="{{$vTitle}}">
<content level="+">
<imgBlock categ="{{normalize-space($vTitle)}}" src="">
<xsl0:apply-templates/>
</imgBlock>
</content>
</treeBlockElement>
</xsl:template>
</xsl0:template>
	
<xsl0:template match="sm:scaledScoreIntervals | sm:pointScoreIntervals">
<xsl:for-each select="sc:feedback">
<treeBlockElement>
<imgBlock src="">
<titleBlock><xsl0:value-of select="sm:interval/@name"/>
<xsl:if test="@gt or @get or @lt or @let">&#160;</xsl:if>
<xsl:for-each select="@*">
<xsl:variable name="vValue">
<xsl0:attribute name="select">
<xsl0:choose>
<xsl0:when test="name()='sm:scaledScoreIntervals'">concat(., '%')</xsl0:when>
<xsl0:otherwise>.</xsl0:otherwise>
</xsl0:choose>
</xsl0:attribute>
</xsl:variable>
<xsl:choose>
<xsl:when test="name()='gt'"><xsl0:value-of select="sm:interval/sm:scoreMoreThan/@name"/>&#160;<xsl:value-of select="$vValue"/></xsl:when>
<xsl:when test="name()='get'"><xsl0:value-of select="sm:interval/sm:scoreMoreOrEqualThan/@name"/>&#160;<xsl:value-of select="$vValue"/></xsl:when>
<xsl:when test="name()='lt'"><xsl0:value-of select="sm:interval/sm:scoreLessThan/@name"/>&#160;<xsl:value-of select="$vValue"/></xsl:when>
<xsl:when test="name()='let'"><xsl0:value-of select="sm:interval/sm:scoreLessOrEqualThan/@name"/>&#160;<xsl:value-of select="$vValue"/></xsl:when>
</xsl:choose>
<xsl:if test="not(position()=last())">, </xsl:if>
</xsl:for-each>
</titleBlock>
</imgBlock>
<indent>
<xsl0:variable name="vAgtModel" select="concat('@', getIdFromPath(../@sc:refUri))"/>
<xsl:call-template name="{resultatAgent(concat($vAgtModel, '/codeModel'))}"><xsl:with-param name="pVisu">content noTitle</xsl:with-param></xsl:call-template>
</indent>
</treeBlockElement>
</xsl:for-each>
</xsl0:template>
	
<xsl0:template match="sm:fixedScaledIntervals">
<xsl0:apply-templates/>
</xsl0:template>
<xsl0:template match="sm:interval">
<treeBlockElement>
<imgBlock src="">
<titleBlock><xsl0:value-of select="@name"/></titleBlock>
</imgBlock>
<indent>
<xsl0:variable name="vAgtModel" select="concat('@', getIdFromPath(../../@sc:refUri))"/>
<xsl:for-each select="sc:feedback[{count(preceding-sibling::sm:interval)+1}]">
<xsl:call-template name="{resultatAgent(concat($vAgtModel, '/codeModel'))}"><xsl:with-param name="pVisu">content</xsl:with-param></xsl:call-template>
</xsl:for-each>
</indent>
</treeBlockElement>
</xsl0:template>
	
</xsl0:stylesheet>
