<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="http://www.w3.org/1999/XSL/Format" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java" 
	exclude-result-prefixes="java xsl sm sc scodPp office text table fo draw svg xlink style">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
		
<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
<xsl0:variable name="vXmlPrim" select="computeNodeAgent($vAgentModel/source)"/>
<xsl0:variable name="vStructure" select="computeNodeAgent($vAgentModel/source)/sm:structure"/>
		
	
	
<xsl0:template name="tCallSubModel">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vPathAgentContent{$vIdCall}" select="concat('@', getIdNode(.), '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentContent{$vIdCall}, '/getContent'))"/>
</xsl0:template>
	
	
<xsl0:template name="tCallRootMeta">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vPathAgentContent{$vIdCall}" select="concat('@', getIdNode(.), '_meta', '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentContent{$vIdCall}, '/getContent'))"/>
</xsl0:template>	
		
<xsl0:template match="*"/>
	
</xsl0:stylesheet>
