<?xml version="1.0" encoding="UTF-8"?>


<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	exclude-result-prefixes="sm xsl sma xhtml java"
	>
	
<xsl0:import href="bsco:sm/web/sm_WLink.xml.xsl"/>
	
<xsl0:output method="xml" indent="no"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
<xsl0:variable name="vStructure" select="computeNodeAgent($vAgentModel/source)/sm:structure"/>
	
	
<xsl0:template match="node()"/>

	
<xsl0:template name="commonJsObj">
	fId : "<xsl:value-of select="alphaHash(getIdNode(..))"/>",
	fCurSeq : null,
	initSeq : function(pCodeSeq){
	try {
		if(pCodeSeq==null) return;
		if(this.fCurSeq!=null) this.closeSeq();
		this.fCurSeq = pCodeSeq;
		switch(this.fCurSeq) {
<xsl0:apply-templates select="sm:scenario/sm:sequence" mode="initSeq"/>
		}
	}catch(e){alert("failed:::"+e)};
	},<xsl0:for-each select="sm:assmntBody//sm:WButton">
	onAction<xsl0:value-of select="generate-id(.)"/> : function(pButton){
		if(scAssmntMgr.isDisabled(pButton)) return;
<xsl0:apply-templates mode="jsAction" select="sm:buttonAction/*"/>
		scServices.assmntMgr.commit();
	},</xsl0:for-each>
<xsl0:for-each select="sm:assmntBody//sm:WToggleButton">
	onAction<xsl0:value-of select="generate-id(.)"/> : function(pButton){
		if(scAssmntMgr.isDisabled(pButton)) return;
		var vIsOn = scAssmntMgr.isToggleOn(pButton);
		if(vIsOn) {
<xsl0:apply-templates mode="jsAction" select="sm:buttonActionOff/*"/>
		} else {
<xsl0:apply-templates mode="jsAction" select="sm:buttonActionOn/*"/>
		}
		scAssmntMgr.setToggleStatus(pButton, ! vIsOn);
		scServices.assmntMgr.commit();
	},</xsl0:for-each>
<xsl0:for-each select="sm:publicFunctions/sm:function">
	fct_<xsl0:value-of select="@fctName"/> : function(){
<xsl0:apply-templates mode="jsAction"/>
	},</xsl0:for-each>

	closeSeq: function(){
		var vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		switch(this.fCurSeq) {
<xsl0:apply-templates select="sm:scenario/sm:sequence" mode="closeSeq"/>
		}
		this.fCurSeq = null;
	},
	getOnLoadSeq:function() {
<xsl0:for-each select="sm:scenario/sm:sequence[count(preceding-sibling::sm:sequence[count(sm:onLoadConditions)=0])=0]">
<xsl0:choose>
<xsl0:when test="boolean(sm:onLoadConditions/*)">
			if(<xsl0:apply-templates select="sm:onLoadConditions/*" mode="conditions"/>true) return "<xsl0:value-of select="@code"/>";
</xsl0:when>
<xsl0:otherwise>
			return "<xsl0:value-of select="@code"/>";
</xsl0:otherwise>
</xsl0:choose>
</xsl0:for-each>
	return null;
	},
</xsl0:template>
	
	
	
	
	
	
<xsl0:template match="sm:assmntBody" mode="content">
<div id="{{$vIdObj}}_A" style="display:none;">
<xsl0:apply-templates mode="content"/>
</div>
</xsl0:template>
<xsl0:template match="sm:content" mode="content">
<xsl0:apply-templates mode="content"/>
</xsl0:template>
	
	
<xsl0:template match="sm:addSrcPath" mode="content">
<scOrigin:addContextNode/>
</xsl0:template>

	
<xsl0:template match="sm:callModel" mode="content"><xsl:value-of select="resultatAgent('//callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>
	
	
<xsl0:template match="sm:callUnitMeta" mode="content"><xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>
	
	
<xsl0:template match="sm:choose" mode="content">
<xsl:choose>
<xsl0:apply-templates mode="content"/>
</xsl:choose>
</xsl0:template>
<xsl0:template match="sm:when" mode="content">
<xsl0:variable name="vMatch">
<xsl0:choose>
<xsl0:when test="@sc:refUri">
<xsl0:value-of select="concat('resultatAgent(''//cond_', alphaHash(@sc:refUri), ''', .)')"/>
</xsl0:when>
<xsl0:when test="@xpath">
<xsl0:value-of select="@xpath"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:value-of select="'false'"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:variable>
<xsl:when test="{$vMatch}">
<xsl0:apply-templates mode="content"/>
</xsl:when>
</xsl0:template>
<xsl0:template match="sm:otherwise" mode="content">
<xsl:otherwise>
<xsl0:apply-templates mode="content"/>
</xsl:otherwise>
</xsl0:template>

	
<xsl0:template match="sm:dynamicString" mode="content">
<xsl0:apply-templates mode="dynamicString"/>
</xsl0:template>
<xsl0:template match="sm:freeSelect" mode="dynamicString"><xsl:value-of select="{@xpath}"/></xsl0:template>
<xsl0:template match="sm:freeXslFragment" mode="dynamicString"><xsl0:copy-of select="parseXml(concat('&lt;root&gt;',.,'&lt;/root&gt;'))/*/*"/></xsl0:template>
<xsl0:template match="node()" mode="dynamicString"/>
	
	
<xsl0:template match="sm:WButton" mode="content">
<a title="{sm:buttonTitle/sm:fixedString/@value}" href="#" onclick="{{$vIdObj}}.onAction{generate-id(.)}(this); return false;"><xsl0:call-template name="attClass"/>
<xsl0:call-template name="smId"/>
<xsl0:apply-templates mode="content" select="sm:buttonBody"/>
</a>
</xsl0:template>
<xsl0:template match="sm:WToggleButton" mode="content">
<a title="{sm:buttonTitle/sm:fixedString/@value}" href="#" onclick="{{$vIdObj}}.onAction{generate-id(.)}(this); return false;"><xsl0:call-template name="attClass"/>
<xsl0:call-template name="smIdForced"/>
<xsl0:apply-templates mode="content" select="sm:buttonBody"/>
</a>
</xsl0:template>
<xsl0:template match="sm:buttonBody" mode="content">
<xsl0:apply-templates mode="content"/>
</xsl0:template>

	
<xsl0:template match="sm:WScore" mode="content">
<div><xsl0:call-template name="attClass"/>
<xsl0:call-template name="smId"/>
<xsl0:apply-templates mode="content"/>
</div>
</xsl0:template>
<xsl0:template match="sm:scoreText" mode="content">
		
<div id="{{$vIdObj}}_S{generate-id(.)}"><span></span></div>
</xsl0:template>
<xsl0:template match="sm:scoreBar" mode="content">
		
<table id="{{$vIdObj}}_S{generate-id(.)}"><xsl0:apply-templates select=".." mode="attClass"><xsl0:with-param name="pSuffix" select="'_ta'"/></xsl0:apply-templates>
<tr>
<td class="scoreBarStart"><span>&#160;</span></td>
<td class="scoreBarIn"><span>&#160;</span></td>
<td class="scoreBarLimit"><span>&#160;</span></td>
<td class="scoreBarOut"><span>&#160;</span></td>
<td class="scoreBarEnd"><span>&#160;</span></td>
</tr>
</table>
</xsl0:template>
	
	
<xsl0:template match="sm:WFeedback" mode="content">
<div><xsl0:call-template name="attClass"/>
<xsl0:call-template name="smId"/>
<xsl0:apply-templates mode="content"/>
</div>
</xsl0:template>
	
	
	
<xsl0:template match="sm:Widget" mode="content"><xsl:value-of select="resultatAgent(concat('widget_{generate-id()}_', generate-id()),.)" disable-output-escaping="yes"/></xsl0:template>

	
<xsl0:template match="sm:WLink" mode="content">
<a>
<xsl0:call-template name="attClass"/>
<xsl0:call-template name="linkHrefXsl">
<xsl0:with-param name="pUrl">
<xsl:value-of>
<xsl0:attribute name="select">
<xsl0:apply-templates mode="pathPageInContent" select="sm:link/*"/>
</xsl0:attribute>
</xsl:value-of>
</xsl0:with-param>
<xsl0:with-param name="pOptions">
<xsl0:call-template name="linkOptionsXsl"/>
</xsl0:with-param>
</xsl0:call-template>
<xsl0:if test="boolean(sm:labelTitle)">
<addAttribute name="title" filter="textOnly"><xsl0:apply-templates select="sm:labelTitle/*" mode="content"/></addAttribute>
</xsl0:if>
<xsl0:choose>
<xsl0:when test="count(sm:label/node()) = 0">&#160;</xsl0:when>
<xsl0:otherwise><span><xsl0:apply-templates select="sm:label/node()" mode="content"/></span></xsl0:otherwise>
</xsl0:choose></a>
</xsl0:template>
	
	
<xsl0:template match="sm:WGlobalExplanation" mode="content">
<xsl:for-each select="sc:globalExplanation">
<div><xsl0:call-template name="attClass"/>
<xsl0:call-template name="smId"/>
<xsl0:apply-templates mode="content"/>
</div>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:callExplanationModel" mode="content">
<xsl0:call-template name="CallSubModel"/>
</xsl0:template>
	
	
<xsl0:template match="xhtml:*" mode="content">
<xsl0:element name="{local-name()}">
<xsl0:apply-templates select="@*" mode="freeAtts"/>
<xsl0:apply-templates select="node()" mode="content"/>
</xsl0:element >
</xsl0:template>
<xsl0:template match="xhtml:img" mode="content">
<img src="{{translatePubPath2DestUrl(&quot;site/lib/{extractFileNameFromPath(@sc:refUri)}&quot;)}}" alt="{@alt}">
<xsl0:apply-templates select="@*" mode="freeAtts"/>
</img>
</xsl0:template>
<xsl0:template match="@*" mode="freeAtts">
<xsl0:copy/>
</xsl0:template>
<xsl0:template match="@sc:*" mode="freeAtts"/>
<xsl0:template match="@sm:id" mode="freeAtts">
<xsl0:attribute name="id">{$vIdObj}_N_<xsl0:value-of select="."/></xsl0:attribute>
</xsl0:template>
<xsl0:template match="text()" mode="content">
<xsl0:if test="string-length(normalize-space(.)) &gt; 0"><xsl0:value-of select="."/></xsl0:if>
</xsl0:template>
	
<xsl0:template match="*" mode="content"/>
	
	
<xsl0:template match="sm:callModel" mode="pathPageInContent">resultatAgent('//callModel_<xsl0:value-of select="generate-id()"/>')</xsl0:template>
<xsl0:template match="sm:lookForExistingModelPage[sm:ifNoPage]" mode="pathPageInContent">returnFirst(<xsl0:call-template name="lookForExistingModelPage"/>, <xsl0:apply-templates mode="pathPageInContent" select="sm:ifNoPage/*"/>)</xsl0:template>
<xsl0:template match="sm:ifNoPage/sm:lookForExistingModelPage[sm:ifNoPage]" mode="pathPageInContent"><xsl0:call-template name="lookForExistingModelPage"/>, <xsl0:apply-templates mode="pathPageInContent" select="sm:ifNoPage/*"/></xsl0:template>
<xsl0:template match="sm:lookForExistingModelPage" mode="pathPageInContent"><xsl0:call-template name="lookForExistingModelPage"/></xsl0:template>
<xsl0:template match="sm:externalUrl" mode="pathPageInContent"><xsl0:apply-templates mode="pathPageInContent"/></xsl0:template>
<xsl0:template match="sm:fixedString" mode="pathPageInContent">'<xsl0:value-of select="escapeXpathString(@value)"/>'</xsl0:template>
<xsl0:template name="lookForExistingModelPage">resultatAgent('//lookForPage_<xsl0:value-of select="generate-id()"/>')</xsl0:template>
<xsl0:template match="node()" mode="pathPageInContent"/>
	
	
<xsl0:template match="sm:jsExpression" mode="conditions"><xsl0:call-template name="js"/> &amp;&amp; </xsl0:template>
<xsl0:template match="sm:jsFunctionBody" mode="conditions">function(){<xsl0:call-template name="js"/>}.call(this) &amp;&amp; </xsl0:template>
<xsl0:template match="sm:completionStatus" mode="conditions">scServices.assmntMgr.getCompletionStatus(this.fId, <xsl0:apply-templates select="sm:responseSessionKey/*" mode="session"/>) <xsl0:value-of select="si(@operator='is', '==', '!=')"/> "<xsl0:value-of select="@status"/>" &amp;&amp; </xsl0:template>
<xsl0:template match="node()" mode="conditions"/>
	
	
	
<xsl0:template match="node()" mode="initSeq"/>
	
	
	
	
<xsl0:template match="node()" mode="closeSeq"/>
	
	
	
<xsl0:template match="sm:fixedKey" mode="session">"<xsl0:value-of select="@value"/>"</xsl0:template>
<xsl0:template match="sm:jsExpression" mode="session"><xsl0:call-template name="js"/></xsl0:template>
<xsl0:template match="sm:jsFunctionBody" mode="session">function(){<xsl0:call-template name="js"/>}.call(this)</xsl0:template>
<xsl0:template match="sm:refExp" mode="session"><xsl0:apply-templates select="//*[@expId=current()/@refExpId]" mode="session"/></xsl0:template>
<xsl0:template match="node()" mode="session"/>
	
	
<xsl0:template match="sm:rateScore" mode="computePts">
		this.fMinPts *= <xsl0:value-of select="@rate"/>;
		this.fScorePts *= <xsl0:value-of select="@rate"/>; 
		this.fMaxPts *= <xsl0:value-of select="@rate"/>;
</xsl0:template>
<xsl0:template match="sm:fixBounds" mode="computePts">
<xsl0:variable name="vMinPoints" select="si(@minPoints,@minPoints,'this.fMinPts')"/>
<xsl0:variable name="vMaxPoints" select="si(@maxPoints,@maxPoints,'this.fMaxPts')"/>
<xsl0:choose>
<xsl0:when test="@scoreModulation='truncate'">
				this.fScorePts = Math.min(Math.max(this.fScorePts,<xsl0:value-of select="$vMinPoints"/>),<xsl0:value-of select="$vMaxPoints"/>);
</xsl0:when>
<xsl0:otherwise>
				this.fScorePts = <xsl0:value-of select="$vMinPoints"/> + (this.fScorePts-this.fMinPts) / (this.fMaxPts-this.fMinPts) * (<xsl0:value-of select="$vMaxPoints"/> - <xsl0:value-of select="$vMinPoints"/>); 
</xsl0:otherwise>
</xsl0:choose>
<xsl0:if test="@minPoints">
			this.fMinPts = <xsl0:value-of select="@minPoints"/>;
</xsl0:if>
<xsl0:if test="@maxPoints">
			this.fMaxPts = <xsl0:value-of select="@maxPoints"/>;
</xsl0:if>
</xsl0:template>
<xsl0:template match="sm:restrictMinPoints" mode="computePts">
<xsl0:if test="@moreOrEqualThan">
		if(this.fMinPts &lt; <xsl0:value-of select="@moreOrEqualThan"/>) {
<xsl0:choose>
<xsl0:when test="@scoreModulation='truncate'">
				this.fScorePts = Math.max(this.fScorePts,<xsl0:value-of select="@moreOrEqualThan"/>);
</xsl0:when>
<xsl0:otherwise>
				this.fScorePts = <xsl0:value-of select="@moreOrEqualThan"/> + (this.fScorePts-this.fMinPts) / (this.fMaxPts-this.fMinPts) * (this.fMaxPts-<xsl0:value-of select="@moreOrEqualThan"/>); 
</xsl0:otherwise>
</xsl0:choose>
		this.fMinPts = <xsl0:value-of select="@moreOrEqualThan"/>;
		}
</xsl0:if>
<xsl0:if test="@lessOrEqualThan">
		if(this.fMinPts &gt; <xsl0:value-of select="@lessOrEqualThan"/>) {
<xsl0:choose>
<xsl0:when test="@scoreModulation='truncate'">
				this.fScorePts = Math.max(this.fScorePts,<xsl0:value-of select="@lessOrEqualThan"/>);
</xsl0:when>
<xsl0:otherwise>
				this.fScorePts = <xsl0:value-of select="@lessOrEqualThan"/> + (this.fScorePts-this.fMinPts) / (this.fMaxPts-this.fMinPts) * (this.fMaxPts-<xsl0:value-of select="@lessOrEqualThan"/>); 
</xsl0:otherwise>
</xsl0:choose>
		this.fMinPts = <xsl0:value-of select="@lessOrEqualThan"/>;
		}
</xsl0:if>
</xsl0:template>
<xsl0:template match="sm:restrictMaxPoints" mode="computePts">
<xsl0:if test="@moreOrEqualThan">
		if(this.fMaxPts &lt; <xsl0:value-of select="@moreOrEqualThan"/>) {
<xsl0:choose>
<xsl0:when test="@scoreModulation='truncate'">
				this.fScorePts = Math.min(this.fScorePts,<xsl0:value-of select="@moreOrEqualThan"/>);
</xsl0:when>
<xsl0:otherwise>
				this.fScorePts = this.fMinPts + (this.fScorePts-this.fMinPts) / (this.fMaxPts-this.fMinPts) * (<xsl0:value-of select="@moreOrEqualThan"/>-this.fMinPts); 
</xsl0:otherwise>
</xsl0:choose>
			this.fMaxPts = <xsl0:value-of select="@moreOrEqualThan"/>;
		}
</xsl0:if>
<xsl0:if test="@lessOrEqualThan">
		if(this.fMaxPts &gt; <xsl0:value-of select="@lessOrEqualThan"/>) {
<xsl0:choose>
<xsl0:when test="@scoreModulation='truncate'">
				this.fScorePts = Math.min(this.fScorePts,<xsl0:value-of select="@lessOrEqualThan"/>);
</xsl0:when>
<xsl0:otherwise>
				this.fScorePts = this.fMinPts + (this.fScorePts-this.fMinPts) / (this.fMaxPts-this.fMinPts) * (<xsl0:value-of select="@lessOrEqualThan"/>-this.fMinPts); 
</xsl0:otherwise>
</xsl0:choose>
			this.fMaxPts = <xsl0:value-of select="@lessOrEqualThan"/>;
		}
</xsl0:if>
</xsl0:template>
<xsl0:template match="sm:jsEval" mode="computePts">
<xsl0:call-template name="js"/>
</xsl0:template>
	
	
<xsl0:template match="sm:elementDisplay|sm:buttonDisplay" mode="jsAction">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N_<xsl0:value-of select="@refId"/>"), "<xsl0:value-of select="@mode"/>");
</xsl0:template>
<xsl0:template match="sm:goToSequence" mode="jsAction">this.initSeq("<xsl0:value-of select="@refCode"/>");
</xsl0:template>
<xsl0:template match="sm:setCompletionStatus" mode="jsAction">scServices.assmntMgr.setCompletionStatus(this.fId, <xsl0:apply-templates select="sm:responseSessionKey/*" mode="session"/>, "<xsl0:value-of select="@status"/>"); 
</xsl0:template>
<xsl0:template match="sm:resetSession" mode="jsAction">var vSess=<xsl0:apply-templates select="sm:sessionKey/*" mode="session"/>;
<xsl0:if test="@response='yes'">scServices.assmntMgr.resetResponses(this.fId, vSess);
</xsl0:if>
<xsl0:if test="@score='yes'">scServices.assmntMgr.setPts(this.fId, vSess, null, null, null); 
</xsl0:if>
<xsl0:if test="@hint='yes'">scServices.assmntMgr.setHintsShown(this.fId, vSess, null); 
</xsl0:if>
</xsl0:template>
<xsl0:template match="sm:link[@target='subWindow']" mode="jsAction">
<xsl0:variable name="vOptions">
<xsl0:call-template name="linkOptions"/>
</xsl0:variable>scDynUiMgr.displaySubWindow(pButton,&quot;<xsl0:apply-templates mode="jsAction"/>&quot;,&quot;<xsl0:value-of select="si(@windowName, @windowName, 'subWindow')"/>&quot;,&quot;<xsl0:value-of select="$vOptions"/>&quot;);
</xsl0:template>
<xsl0:template match="sm:link[not(@target) or @target='sameWindow']" mode="jsAction">window.location.assign(&quot;<xsl0:apply-templates mode="jsAction"/>&quot;);
</xsl0:template>
<xsl0:template match="sm:link" mode="jsAction">
<xsl0:variable name="vOptions">
<xsl0:call-template name="linkOptions"/>
</xsl0:variable>window.open(&quot;<xsl0:apply-templates mode="jsAction"/>&quot;,<xsl0:choose>
<xsl0:when test="@target='newWindow'">&quot;_blank&quot;</xsl0:when>
<xsl0:otherwise>&quot;<xsl0:value-of select="si(@windowName, @windowName, '_blank')"/>&quot;</xsl0:otherwise>
</xsl0:choose>,&quot;<xsl0:value-of select="substring($vOptions,0,string-length($vOptions))"/>&quot;);
</xsl0:template>
<xsl0:template match="sm:callModel" mode="jsAction"><xsl:value-of select="resultatAgent('//callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>
<xsl0:template match="sm:externalUrl" mode="jsAction"><xsl0:value-of select="@value"/></xsl0:template>
<xsl0:template match="sm:nav" mode="jsAction"><xsl:value-of select="resultatAgent('//callModel_{generate-id()}')" disable-output-escaping="yes"/></xsl0:template>

<xsl0:template match="sm:jsEval" mode="jsAction">
<xsl0:call-template name="js"/>
</xsl0:template>
<xsl0:template match="sm:choose" mode="jsAction">
<xsl0:apply-templates mode="jsAction"/>
</xsl0:template>
<xsl0:template match="sm:choose/sm:when" mode="jsAction">
<xsl0:if test="boolean(preceding-sibling::*)">else </xsl0:if>if(<xsl0:apply-templates select="sm:conditions/*" mode="conditions"/>true) {
<xsl0:apply-templates mode="jsAction"/>
	}
</xsl0:template>
<xsl0:template match="sm:choose/sm:otherwise" mode="jsAction">
	else {
<xsl0:apply-templates mode="jsAction"/>
	}
</xsl0:template>
<xsl0:template match="node()" mode="jsAction"/>
		
	
<xsl0:template match="sm:WScore" mode="jsScore">
<xsl0:apply-templates mode="jsScore"/>
</xsl0:template>
<xsl0:template match="sm:scoreText" mode="jsScore">
		var vScoreNode = sc$("<xsl:value-of select="$vIdObj"/>_S<xsl0:value-of select="generate-id(.)"/>");
<xsl0:apply-templates mode="jsScore"/>
</xsl0:template>
<xsl0:template match="sm:scaleScore" mode="jsScore">
		var vScore = (Math.round((this.fScorePts-this.fMinPts) / (this.fMaxPts-this.fMinPts) * <xsl0:value-of select="(@max - @min) div @step"/>) * <xsl0:value-of select="@step"/>)<xsl0:if test="@min">+ <xsl0:value-of select="@min"/></xsl0:if>;
<xsl0:if test="boolean(sm:display[@valueFormat='alpha+-'])">
		function toAlphaScore(){
			var vArr = ["+","","-"];
			return String.fromCharCode(<xsl0:value-of select="65 + floor((@max) div 3)"/> - Math.floor(vScore / 3)) + vArr[(<xsl0:value-of select="@max"/> - vScore) % 3];
		}
</xsl0:if>
<xsl0:for-each select="sm:display">if(<xsl0:if test="@scoreMoreThan">vScore &gt; <xsl0:value-of select="@scoreMoreThan"/> &amp;&amp; </xsl0:if><xsl0:if test="@scoreLessOrEqualThan">vScore &lt;= <xsl0:value-of select="@scoreLessOrEqualThan"/> &amp;&amp; </xsl0:if>true) {
			vScoreNode.innerHTML = "&lt;span><xsl0:value-of select="chaineProtegeJs(@prefix)"/>" <xsl0:choose>
<xsl0:when test="@valueFormat='numeric'">+ vScore</xsl0:when>
<xsl0:when test="@valueFormat='unsignedNumeric'">+ Math.abs(vScore)</xsl0:when>
<xsl0:when test="@valueFormat='hidden'"/>
<xsl0:when test="@valueFormat='alpha'">+ String.fromCharCode(<xsl0:value-of select="64 + ../@max"/> - vScore)</xsl0:when>
<xsl0:when test="@valueFormat='alpha+-'">+ toAlphaScore(vScore)</xsl0:when>
</xsl0:choose> + "<xsl0:value-of select="chaineProtegeJs(@suffix)"/>&lt;\/span>";
			vScoreNode.className = "<xsl0:value-of select="chaineProtegeJs(@class)"/>";
		} else </xsl0:for-each> {
			vScoreNode.innerHTML = "";
			vScoreNode.className = "";
		}
</xsl0:template>
<xsl0:template match="sm:pointsScore" mode="jsScore">
<xsl0:variable name="vPrecision" select="string-length(substring-after(@step, '.'))"/>
		var vStep = <xsl0:value-of select="@step"/>;
		var vScore = Math.round(this.fScorePts / vStep);
		function scoreStr(pVal){
			return new Number(pVal).toFixed(<xsl0:value-of select="$vPrecision"/>)<xsl0:if test="$vPrecision &gt; 0">.replace(/\.?[0]+$/, '')</xsl0:if>;
		}
<xsl0:for-each select="sm:display">if(<xsl0:if test="@pointsMoreThan">vScore &gt; <xsl0:value-of select="round(@pointsMoreThan div ../@step)"/> &amp;&amp; </xsl0:if><xsl0:if test="@pointsLessOrEqualThan">vScore &lt;= <xsl0:value-of select="round(@pointsLessOrEqualThan div ../@step)"/> &amp;&amp; </xsl0:if>true) {
			vScoreNode.innerHTML = <xsl0:apply-templates mode="jsScoreCo"/>"";
			vScoreNode.className = "<xsl0:value-of select="chaineProtegeJs(@class)"/>";
		} else </xsl0:for-each> {
			vScoreNode.innerHTML = "";
			vScoreNode.className = "";
		}
</xsl0:template>
<xsl0:template match="sm:scoreBar" mode="jsScore">
		
</xsl0:template>
<xsl0:template match="node()" mode="jsScore"/>
	
<xsl0:template match="sm:scorePoints" mode="jsScoreCo">"&lt;span class='<xsl0:value-of select="chaineProtegeJs(@class)"/>'>"+<xsl0:if test="@valueFormat='unsignedNumeric'">Math.abs</xsl0:if>(scoreStr(vScore*vStep))+"&lt;/span>"+</xsl0:template>
<xsl0:template match="sm:minPoints" mode="jsScoreCo">"&lt;span class='<xsl0:value-of select="chaineProtegeJs(@class)"/>'>"+<xsl0:if test="@valueFormat='unsignedNumeric'">Math.abs</xsl0:if>(scoreStr(Math.round(this.fMinPts / vStep) * vStep))+"&lt;/span>"+</xsl0:template>
<xsl0:template match="sm:maxPoints" mode="jsScoreCo">"&lt;span class='<xsl0:value-of select="chaineProtegeJs(@class)"/>'>"+<xsl0:if test="@valueFormat='unsignedNumeric'">Math.abs</xsl0:if>(scoreStr(Math.round(this.fMaxPts / vStep) * vStep))+"&lt;/span>"+</xsl0:template>
<xsl0:template match="sm:fixedString" mode="jsScoreCo">"<xsl0:value-of select="chaineProtegeJs(@value)"/>"+</xsl0:template>
<xsl0:template match="node()" mode="jsScoreCo"/>
	
	
	
	
<xsl0:template name="feedbackIntervals_js">
<xsl0:param name="vSelectFeedbacks"/>
<xsl0:param name="vModel"/>
<xsl0:choose>
<xsl0:when test="$vModel/sm:pointScoreIntervals">var vVal = this.fScorePts;
<xsl:for-each select="{$vSelectFeedbacks}">
			scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_F<xsl:value-of select="count(preceding-sibling::sc:feedback)"/>"), (<xsl:if test="@lt">vVal &lt; <xsl:value-of select="@lt"/> &amp;&amp; </xsl:if>
<xsl:if test="@let">vVal &lt;= <xsl:value-of select="@let"/> &amp;&amp; </xsl:if>
<xsl:if test="@gt">vVal &gt; <xsl:value-of select="@gt"/> &amp;&amp; </xsl:if>
<xsl:if test="@get">vVal &gt;= <xsl:value-of select="@get"/> &amp;&amp; </xsl:if>true) ? "visible" : "collapsed");
</xsl:for-each>
</xsl0:when>
<xsl0:when test="$vModel/sm:scaledScoreIntervals">var vVal = (this.fScorePts - this.fMinPts) / (this.fMaxPts - this.fMinPts) * <xsl0:value-of select="$vModel/sm:scaledScoreIntervals/sm:interval/@max - $vModel/sm:scaledScoreIntervals/sm:interval/@min"/>;
<xsl:for-each select="{$vSelectFeedbacks}">
			scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_F<xsl:value-of select="count(preceding-sibling::sc:feedback)"/>"), (<xsl:if test="@lt">vVal &lt; <xsl:value-of select="@lt"/> &amp;&amp; </xsl:if>
<xsl:if test="@let">vVal &lt;= <xsl:value-of select="@let"/> &amp;&amp; </xsl:if>
<xsl:if test="@gt">vVal &gt; <xsl:value-of select="@gt"/> &amp;&amp; </xsl:if>
<xsl:if test="@get">vVal &gt;= <xsl:value-of select="@get"/> &amp;&amp; </xsl:if>true) ? "visible" : "collapsed");
</xsl:for-each>
</xsl0:when>
<xsl0:when test="$vModel/sm:fixedScaledIntervals">var vVal = (this.fScorePts - this.fMinPts) / (this.fMaxPts - this.fMinPts) * 100;
<xsl0:for-each select="$vModel/sm:fixedScaledIntervals/sm:interval">
			scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_F<xsl0:value-of select="position() - 1"/>"), (<xsl0:if test="@lessThan">vVal &lt; <xsl0:value-of select="@lessThan"/> &amp;&amp; </xsl0:if>
<xsl0:if test="@lessOrEqualThan">vVal &lt;= <xsl0:value-of select="@lessOrEqualThan"/> &amp;&amp; </xsl0:if>
<xsl0:if test="@moreThan">vVal &gt; <xsl0:value-of select="@moreThan"/> &amp;&amp; </xsl0:if>
<xsl0:if test="@moreOrEqualThan">vVal &gt;= <xsl0:value-of select="@moreOrEqualThan"/> &amp;&amp; </xsl0:if>true) ? "visible" : "collapsed");
</xsl0:for-each>
</xsl0:when>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template name="feedbackIntervals_co">
<xsl0:param name="vSelectFeedbacks"/>
<xsl:for-each select="{$vSelectFeedbacks}">
<div class="WFeedbackEntry" id="{{$vIdObj}}_F{{count(preceding-sibling::sc:feedback)}}">
<xsl0:call-template name="CallSubModel"/>
</div>
</xsl:for-each>
</xsl0:template>
	
	
	
	
	
<xsl0:template name="js"><xsl0:value-of select="java:replaceAll(java:com.scenari.s.fw.util.xml.HEncodingXml.getTextValue(text()), '\$\{assmntId\}', '&lt;xsl:value-of select=&quot;\$vIdObj&quot;/&gt;')" disable-output-escaping="yes"/></xsl0:template>
	
	
<xsl0:template name="CallSubModel"><xsl:value-of select="resultatAgent(concat('@', si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)), '{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>

	
<xsl0:template name="smId">
<xsl0:if test="@sm:id">
<xsl0:attribute name="id">{$vIdObj}_N_<xsl0:value-of select="@sm:id"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>
<xsl0:template name="smIdForced">
<xsl0:choose>
<xsl0:when test="@sm:id">
<xsl0:attribute name="id">{$vIdObj}_N_<xsl0:value-of select="@sm:id"/></xsl0:attribute>
</xsl0:when>
<xsl0:otherwise>
<xsl0:attribute name="id">{$vIdObj}_S_<xsl0:value-of select="generate-id(.)"/></xsl0:attribute>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
<xsl0:template name="attClass" match="*" mode="attClass">
<xsl0:param name="pExtraClasses"/>
<xsl0:param name="pSuffix"/>
<xsl0:if test="@widgetClass or $pExtraClasses">
<xsl0:attribute name="class"><xsl0:value-of select="concat(addSuffixOnWords(@widgetClass, $pSuffix),si(@widgetClass,' ',''),$pExtraClasses)"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>
</xsl0:stylesheet>