<?xml version="1.0" encoding="UTF-8"?>


<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="sm xsl sma xhtml"
	>
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
	
<xsl0:template match="sm:Widget" mode="agentsWidgets">
<valeur code="widget_{generate-id()}" codecomposant="concat('widget_{generate-id()}_', generate-id())">
<xsl0:value-of select="resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/contentAgent'))" disable-output-escaping="yes"/>
			
<xsl0:apply-templates mode="agentsWidgetZones"/>
</valeur>
</xsl0:template>
	
<xsl0:template match="*" mode="agentsWidgets">
<xsl0:apply-templates mode="agentsWidgets"/>
</xsl0:template>
<xsl0:template match="text()|@*" mode="agentsWidgets"/>
	
	
<xsl0:template match="sm:xhtmlContentZone" mode="agentsWidgetZones">
<valeur code="{si(@key, concat('xhtmlContentZone_', @key), concat('XZ_', generate-id()))}">
<source type="xslOnSrc-dynamique">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
					
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
					
<xsl:template match="*">
						
<xsl0:apply-templates mode="content"/>
</xsl:template>
<xsl:template match="text()"/>
</xsl:stylesheet>
</source>
			
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
</xsl0:template>
<xsl0:template match="sm:urlZone" mode="agentsWidgetZones">
<valeur code="{si(@key, concat('urlZone_', @key), concat('UZ_', generate-id()))}">
<source type="xpathOnSrc-dynamique"><xsl0:apply-templates mode="pathPageInContent" select="sm:link/*"/></source>
</valeur>
</xsl0:template>
<xsl0:template match="node()" mode="agentsWidgetZones"/>
	
</xsl0:stylesheet>