<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	exclude-result-prefixes="sm xsl sma xhtml java"
	>
	
<xsl0:import href="bsco:sma/xhtmlTransf/common.xsl.xsl"/>
	
<xsl0:template match="sma:assmntCompositionDhtmlTransf" mode="content">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin redirect">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl0:attribute name="xmlns:redirect">com.scenari.xsldom.xalan.lib.Redirect</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
			
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
			
<xsl:variable name="vIdObj" select="concat(alphaHash(getIdNode(..)), '{getAxisSuffix(sm:axis/@code)}')"/>
			
<xsl:template match="*">
<script type="text/JavaScript">
var <xsl:value-of select="$vIdObj"/> = {
<xsl0:call-template name="commonJsObj"/>
	
	refreshScoresFeedbacks : function(){
<xsl0:apply-templates select="sm:assmntBody//sm:WScore" mode="jsScore"/>
<xsl0:if test="boolean(sm:assmntBody//sm:WFeedback)">




<xsl0:call-template name="feedbackIntervals_js">
<xsl0:with-param name="vSelectFeedbacks">sc:feedbacks/sc:feedback</xsl0:with-param>
<xsl0:with-param name="vModel" select="$vStructure/sm:feedbackModel"/>
</xsl0:call-template>
</xsl0:if>
	},
	onLoad: function(){
		this.initSeq(this.getOnLoadSeq()); 
		var vNodeRoot = sc$("<xsl:value-of select="$vIdObj"/>_A");
		vNodeRoot.style.display = "block"; 
	},
	onUnload: function(){
		this.closeSeq();
	},
	loadSortKey: "B",
	unloadSortKey: "B"
};

scOnLoads[scOnLoads.length] = <xsl:value-of select="$vIdObj"/>;
scOnUnloads[scOnUnloads.length] = <xsl:value-of select="$vIdObj"/>;
</script>
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl:stylesheet>
</xsl0:template>
	
	
	
	
	
	
<xsl0:template match="sm:callCompositionMeta" mode="content"><xsl:value-of select="resultatAgent(concat('@', getIdNode(.), '_meta{getAxisSuffix(@axis)}/xhtmlContent'))" disable-output-escaping="yes"/></xsl0:template>

	
<xsl0:template match="sm:callFeedbackModel" mode="content">
<xsl0:call-template name="feedbackIntervals_co">
<xsl0:with-param name="vSelectFeedbacks">sc:feedbacks/sc:feedback</xsl0:with-param>
</xsl0:call-template>
</xsl0:template>
	
	
	
<xsl0:template match="sm:sequence" mode="initSeq">
<xsl0:variable name="vSeq" select="."/>
	case "<xsl0:value-of select="@code"/>" : {
<xsl0:if test="boolean(sm:loadData/sm:scoreSessionKey/*)">var vLoadScoreSession = <xsl0:apply-templates select="sm:loadData/sm:scoreSessionKey/*" mode="session"/>;
		this.fMinPts = scServices.assmntMgr.getMinPts(this.fId, vLoadScoreSession);
		this.fScorePts = scServices.assmntMgr.getScorePts(this.fId, vLoadScoreSession);
		this.fMaxPts = scServices.assmntMgr.getMaxPts(this.fId, vLoadScoreSession);
</xsl0:if>
<xsl0:for-each select="/sma:assmntCompositionDhtmlTransf/sm:assmntBody//*[@sm:id]">
<xsl0:variable name="vMode" select="$vSeq/sm:initBody/*[@refId=current()/@sm:id]/@mode"/>scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N_<xsl0:value-of select="@sm:id"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl0:for-each>
<xsl0:for-each select="/sma:assmntCompositionDhtmlTransf/sm:assmntBody//sm:WToggleButton">
<xsl0:variable name="vStatus" select="$vSeq/sm:initBody/sm:buttonDisplay[@refId=current()/@sm:id]/@toggleStatus"/>scAssmntMgr.setToggleStatus(sc$("<xsl:value-of select="$vIdObj"/><xsl0:value-of select="si(@sm:id, concat('_N_', @sm:id), concat('_S_', generate-id()))"/>"), <xsl0:value-of select="$vStatus='on'"/>);
</xsl0:for-each>
<xsl0:if test="sm:scoreComputing">
		this.computeScore = function(pInput, pIdx) {
			this.fMinPts = 0;
			this.fMaxPts = 0;
			this.fScorePts = 0;
			var vRate;
<xsl0:apply-templates select="sm:scoreComputing/sm:computeScoreSubAssmnt" mode="initSeq"/>
<xsl0:apply-templates select="sm:scoreComputing/sm:postProcessing/*" mode="computePts"/>
<xsl0:if test="boolean(sm:saveData/sm:scoreSessionKey/*)">var vScoreSession = <xsl0:apply-templates select="sm:saveData/sm:scoreSessionKey/*" mode="session"/>;
			scServices.assmntMgr.setPts(this.fId, vScoreSession, this.fMinPts, this.fScorePts, this.fMaxPts);
</xsl0:if>
						this.refreshScoresFeedbacks();
		}
</xsl0:if>
<xsl0:apply-templates select="sm:onEnter/*" mode="jsAction"/>
<xsl0:if test="sm:scoreComputing">
		this.handleAssmntPts = function(pEvent){if(<xsl0:for-each select="sm:scoreComputing/sm:computeScoreSubAssmnt">
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">pEvent.fId=="<xsl:value-of select="alphaHash(si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)))"/>" || </xsl:for-each>
</xsl0:for-each>false) this.computeScore();}
		scServices.assmntMgr.addEventListener(this);
		this.computeScore();
</xsl0:if>
		break;
	}
</xsl0:template>
	
<xsl0:template match="sm:computeScoreSubAssmnt" mode="initSeq">
		var vSubAssmnt = {fSession:<xsl0:apply-templates select="sm:scoreSessionKey/*" mode="session"/>, compute:function(pParent, pId, pRate){
			this.fMinPts = scServices.assmntMgr.getMinPts(pId, this.fSession)||0;
			this.fScorePts = scServices.assmntMgr.getScorePts(pId, this.fSession)||0;
			this.fMaxPts = scServices.assmntMgr.getMaxPts(pId, this.fSession)||1;
<xsl0:apply-templates select="sm:postProcessing/*" mode="computePts"/>
			pParent.fMinPts += this.fMinPts;
			pParent.fScorePts += this.fScorePts;
			pParent.fMaxPts += this.fMaxPts;
		}};
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
		vSubAssmnt.compute(this, "<xsl:value-of select="alphaHash(si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.)))"/>", <xsl:value-of select="si(sc:globalRating/@rate, sc:globalRating/@rate, '1')"/>);
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:applyAuthorGlobalRate" mode="computePts">
		if(!pRate) pRate = <xsl0:value-of select="si(@defaultRate, @defaultRate, '1')"/>;
		if(pRate!=1) {this.fMinPts *= pRate; this.fScorePts *= pRate; this.fMaxPts *= pRate;}
</xsl0:template>
	
	
<xsl0:template match="sm:sequence" mode="closeSeq">
	case "<xsl0:value-of select="@code"/>" : {
<xsl0:apply-templates select="sm:onExit/*" mode="jsAction"/>
<xsl0:if test="sm:scoreComputing">
		scServices.assmntMgr.removeEventListener(this);
		this.computeScore();
</xsl0:if>
		break;
	}
</xsl0:template>
	
	
	
<xsl0:template match="sm:for" mode="jsAction">
<xsl:for-each select="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates mode="jsAction"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:callFunction" mode="jsAction">
<xsl:value-of select="concat(alphaHash(si(@sc:refUri, getIdFromPath(@sc:refUri), getIdNode(.))), '{getAxisSuffix(@axis)}')"/>.fct_<xsl0:value-of select="@fctName"/>(); 
</xsl0:template>
</xsl0:stylesheet>