<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="http://www.w3.org/1999/XSL/Format" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java" 
	exclude-result-prefixes="java xsl sm sc scodPp office text table fo draw svg xlink style">
		
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
<xsl0:include href="bsco:sm/textOdTransf/getContent.xsl.xsl"/>
	

<xsl0:template match="/*">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
<xsl:param name="vArguments"/>
		
<xsl:template match="{resultatAgent('//agentModel', 'prefixModel')}:{resultatAgent('//agentModel', 'tagRootModel')}">
<xsl:variable name="vNewSrc" select="getDialogVar('txtContent')"/>
<xsl:value-of select="removeDialogVar('txtContent')"/>
<xsl:choose>
<xsl:when test="$vNewSrc">
<xsl:apply-templates select="$vNewSrc/*"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="*"/>
<xsl:template match="text()"><xsl:copy-of select="."/></xsl:template>
		
<xsl0:apply-templates select="sm:gapsDefinition | sm:staticContent"/>
</xsl0:template>
	
<xsl0:template match="sm:staticContent">
<xsl0:call-template name="sm:content"/>
</xsl0:template>
			

<xsl0:template match="sm:gapsDefinition">
<xsl0:apply-templates/>
</xsl0:template>
	
		
<xsl0:template match="sm:textLeafTagAsGap">
<xsl0:variable name="vMatchXPath"><xsl0:call-template name="getMatchXPath"/></xsl0:variable>
<xsl0:variable name="vBlockCode"><xsl0:call-template name="tGetBlockCode"/></xsl0:variable>
<xsl:template match="{$vMatchXPath}">
<xsl:comment># sm:textLeafTagAsGap (inline extended)</xsl:comment>
<xsl0:choose>
<xsl0:when test="@showSolution='no'">
<text:span text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/text:p/text:span[office:annotation]/@text:style-name}}">
<xsl0:value-of select="@noSolutionContent" disable-output-escaping="yes"/>
</text:span>
</xsl0:when>
<xsl0:otherwise>
<xsl0:call-template name="sm:WInlineExtended"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
</xsl0:template>
				
</xsl0:stylesheet>
