<?xml version="1.0" encoding="UTF-8"?>


<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:xalan="http://xml.apache.org/xalan"
	version="1.0"
	exclude-result-prefixes="sm sc xalan">
	
<xsl:import href="bsco:sma/xhtmlTransf/calledTransformersInc.xsl"/>
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
	
<xsl:variable name="vStructureModel" select="computeNodeAgent(computeNodeAgent('//agentModel', 'source'))/sm:structure"/>

	
	
<xsl:template match="sm:callQuestionModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:questionModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:callUnitMeta" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:meta"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:callSolutionModel" mode="in">
<xsl:variable name="vAxis" select="@axis"/>
<xsl:variable name="vForCodes" select="ancestor::*[starts-with(name(), 'sm:for')][1]/@codes"/>
<xsl:choose>
<xsl:when test="$vForCodes = '*'">
<xsl:for-each select="$vStructureModel//sm:notAssessableField/sm:solutionModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="xhtmlContent"/>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:for-each select="xalan:tokenize($vForCodes, ' ')">
<xsl:variable name="vDefModel" select="$vStructureModel//sm:notAssessableField[@code=current()]"/>
<xsl:if test="$vDefModel">
<xsl:for-each select="$vDefModel/sm:solutionModel">
<call model="{@sc:refUri}" axis="{$vAxis}" view="xhtmlContent"/>
</xsl:for-each>
</xsl:if>
</xsl:for-each>				
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template match="sm:callTextModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:interaction/sm:gapInText/sm:textModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:callExplanationModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:globalExplanationModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>
	
<xsl:template match="sm:callFeedbackModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:interaction/*/sm:feedbackModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>	
	
<xsl:template match="sm:callHintModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:hintModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
</xsl:if>
</xsl:template>	
	
<xsl:template match="sm:callTextModel" mode="in">
<xsl:variable name="vDefModel" select="$vStructureModel/sm:interaction/sm:gapInText/sm:textModel"/>
<xsl:if test="$vDefModel[@sc:refUri]">
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="xhtmlContent"/>
<call model="{$vDefModel/@sc:refUri}" axis="{@axis}" view="fieldList"/>
</xsl:if>
</xsl:template>	
	
</xsl:stylesheet>
