<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	exclude-result-prefixes="sm xsl sma xhtml"
	>
	
<xsl0:import href="bsco:sma/xhtmlTransf/common.xsl.xsl"/>
	
<xsl0:variable name="vIsStructuredFields" select="boolean($vStructure/sm:interaction/sm:structuredFields)"/>
	
<xsl0:template match="sma:assmntUnitEditDhtmlTransf" mode="content">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin redirect">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl0:attribute name="xmlns:redirect">com.scenari.xsldom.xalan.lib.Redirect</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
			
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
			
<xsl:variable name="vIdObj" select="concat(alphaHash(getIdNode(..)), '{getAxisSuffix(sm:axis/@code)}')"/>
			
			
<xsl0:apply-templates select="$vStructure/sm:interaction/*" mode="vFieldsBuild">
<xsl0:with-param name="pInputZone" select="//sm:WInputZone"/>
</xsl0:apply-templates>
			
<xsl:template match="*">
<script type="text/JavaScript">
var <xsl:value-of select="$vIdObj"/> = {
<xsl0:call-template name="commonJsObj"/>
	refreshScoresFeedbacks : function(){
		
<xsl0:apply-templates select="sm:assmntBody//sm:WScore" mode="jsScore"/>
		
<xsl0:if test="boolean(sm:assmntBody//sm:WFeedback)">
<xsl0:choose>
<xsl0:when test="$vStructure/sm:interaction/sm:gapInText">
<xsl0:call-template name="feedbackIntervals_js">
<xsl0:with-param name="vSelectFeedbacks">sc:feedbacks/sc:feedback</xsl0:with-param>
<xsl0:with-param name="vModel" select="$vStructure/sm:interaction/sm:gapInText/sm:feedbackModel"/>
</xsl0:call-template>
</xsl0:when>
<xsl0:otherwise>
<xsl:for-each select="$vFields">
<xsl:variable name="vPrefixId" select="concat($vIdObj, '_F', si(@index, @index, 'field'))"/>
			var vSolIdx = this.getSolIdx("<xsl:value-of select="si(@index, @index, 'field')"/>");
			for(var i = this._Sol.<xsl:value-of select="si(@index, @index, 'field')"/>.s.length-1; i&gt;=0; i--)  scAssmntMgr.setMode(sc$("<xsl:value-of select="$vPrefixId"/>_"+i), (i==vSolIdx) ? "visible" : "collapsed");
</xsl:for-each>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:if>
	},
	setSolution : function(pIfRight, pIfNotBest){
		for(var vF in this._Sol) if(vF != "_") scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_X_"+vF), this.getSolIdx(vF)==0 ? pIfRight || "collapsed" : pIfNotBest || "collapsed");
	},
	setInteraction : function(pElt, pMode){
		if(!pElt) return;
		switch(pMode) {
		case "collapsed" :
			pElt.style.display = "none";
			if("scSiLib" in window) scSiLib.fireResizedNode(pElt);
			break;
		case "invisible" :
			pElt.style.display = "";
			pElt.style.visibility = "hidden";
			if("scSiLib" in window) scSiLib.fireResizedNode(pElt);
			break;
		case "enabled" : 
		case "disabled" : 
			pElt.disabled = (pMode=="disabled");
		default :
			pElt.style.display = "";
			pElt.style.visibility = "visible";
			if("scSiLib" in window) scSiLib.fireResizedNode(pElt);
		}
	},
	refreshResult : function(pMode){
		this._resultDisplay = pMode || "none";
		var vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		for (var i=0; i &lt; vForm.length; i++) this.refreshResultInput(vForm.elements[i]);
	},
	onLoad: function(){
		this.initSeq(this.getOnLoadSeq()); 
		var vNodeRoot = sc$("<xsl:value-of select="$vIdObj"/>_A");
		vNodeRoot.style.display = "block"; 
	},
	onUnload: function(){
		this.closeSeq();
	},
	loadSortKey: "A",
	unloadSortKey: "A"
};

scOnLoads[scOnLoads.length] = <xsl:value-of select="$vIdObj"/>;
scOnUnloads[scOnUnloads.length] = <xsl:value-of select="$vIdObj"/>;
</script>
<xsl0:apply-templates mode="content"/>
</xsl:template>
			
			
<xsl0:apply-templates select="//sm:WInputZone/*" mode="inputZoneTpl"/>
			
			
<xsl0:for-each select="sm:scenario/sm:sequence">
<xsl:template match="sc:SFSolution" mode="fillData_{@code}">{isMatch:function(pResp){<xsl:call-template name="getSFMatch_{@code}"/>}, score:<xsl:call-template name="getScore_{@code}"/>},</xsl:template>
<xsl:template match="sc:NFSolution" mode="fillData_{@code}">{isMatch:function(pResp){try{<xsl:call-template name="getNFMatch_{@code}"/>}catch(e){return false;}}, score:<xsl:call-template name="getScore_{@code}"/>},</xsl:template>
<xsl:template match="sc:undefinedResponse" mode="fillData_{@code}">{isMatch:function(pResp){return true}, score:<xsl:call-template name="getScore_{@code}"/>},</xsl:template>
<xsl:template match="node()" mode="fillData_{@code}"/>
				
<xsl:template name="getSFMatch_{@code}">if(typeof pResp == 'undefined') return false; pResp=pResp.toUpperCase(); return <xsl:for-each select="sc:value">'<xsl:value-of select="chaineProtegeJs(java:toUpperCase(java:trim(translate(normalize-space(.),'&#160;',' '))))"/>'==pResp || </xsl:for-each>false;</xsl:template>
<xsl:template name="getNFMatch_{@code}">if(typeof pResp == 'undefined') return false; return <xsl:for-each select="sc:condition">
<xsl:choose>
<xsl:when test="@operation = '+-'">Math.abs(Number(pResp.replace(",",".")) - Number('<xsl:value-of select="java:trim(translate(normalize-space(../sc:value),',','.'))"/>')) &lt;= Number('<xsl:value-of select="java:trim(translate(normalize-space(.),',','.'))"/>') &amp;&amp; </xsl:when>
<xsl:when test="@operation = '%'">Math.abs(Number(pResp.replace(",",".")) - Number('<xsl:value-of select="java:trim(translate(normalize-space(../sc:value),',','.'))"/>')) / Number('<xsl:value-of select="java:trim(translate(normalize-space(../sc:value),',','.'))"/>') * 100  &lt;= Number('<xsl:value-of select="java:trim(translate(normalize-space(.),',','.'))"/>') &amp;&amp; </xsl:when>
<xsl:otherwise>Number(pResp.replace(",",".")) <xsl:value-of select="@operation"/> Number('<xsl:value-of select="java:trim(translate(normalize-space(.),',','.'))"/>') &amp;&amp; </xsl:otherwise>
</xsl:choose>
</xsl:for-each>true;</xsl:template>
<xsl:template name="getScore_{@code}">
<xsl:choose>
						
<xsl:when test="sc:score/@value"><xsl:value-of select="sc:score/@value"/></xsl:when>
						
<xsl0:for-each select="sm:scoreComputing/sm:pointsPerField/sm:field">
<xsl:when test="../self::sp:{@code}"><xsl:value-of select="si(self::sc:undefinedResponse, '{si(@pointsIfWrong, @pointsIfWrong, si(../@defaultPointsIfWrong, ../@defaultPointsIfWrong, '0'))}', '{si(@pointsIfRight, @pointsIfRight, si(../@defaultPointsIfRight, ../@defaultPointsIfRight, '1'))}')"/></xsl:when>
</xsl0:for-each>
<xsl:otherwise>
<xsl:value-of select="si(self::sc:undefinedResponse,'{si(sm:scoreComputing/sm:pointsPerField/@defaultPointsIfWrong, sm:scoreComputing/sm:pointsPerField/@defaultPointsIfWrong, '0')}', '{si(sm:scoreComputing/sm:pointsPerField/@defaultPointsIfRight, sm:scoreComputing/sm:pointsPerField/@defaultPointsIfRight, '1')}')"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="minScore_{@code}">
<xsl:variable name="vTransfMin">
<xsl:choose>
<xsl0:for-each select="sm:scoreComputing/sm:pointsPerField/sm:field">
<xsl:when test="self::sp:{@code}"><xsl0:value-of select="si(@pointsIfWrong, @pointsIfWrong, si(../@defaultPointsIfWrong, ../@defaultPointsIfWrong, '0'))"/></xsl:when>
</xsl0:for-each>
<xsl:otherwise>
<xsl0:value-of select="si(sm:scoreComputing/sm:pointsPerField/@defaultPointsIfWrong, sm:scoreComputing/sm:pointsPerField/@defaultPointsIfWrong, '0')"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="vList">
<l>
<xsl:for-each select="*">
<a><xsl:value-of select="si(sc:score/@value, sc:score/@value, $vTransfMin)"/></a>
</xsl:for-each>
<xsl:if test="count(sc:undefinedResponse)=0">
<a><xsl:value-of select="$vTransfMin"/></a>
</xsl:if>
</l>
</xsl:variable>
<xsl:value-of select="min(xalan:nodeset($vList)/l/*)"/>
</xsl:template>
<xsl:template name="maxScore_{@code}">
<xsl:variable name="vTransfMax">
<xsl:choose>
<xsl0:for-each select="sm:scoreComputing/sm:pointsPerField/sm:field">
<xsl:when test="self::sp:{@code}"><xsl0:value-of select="si(@pointsIfRight, @pointsIfRight, si(../@defaultPointsIfRight, ../@defaultPointsIfRight, '1'))"/></xsl:when>
</xsl0:for-each>
<xsl:otherwise>
<xsl0:value-of select="si(sm:scoreComputing/sm:pointsPerField/@defaultPointsIfRight, sm:scoreComputing/sm:pointsPerField/@defaultPointsIfRight, '1')"/>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="vList">
<l>
<xsl:for-each select="*">
<a><xsl:value-of select="si(sc:score/@value, sc:score/@value, $vTransfMax)"/></a>
</xsl:for-each>
</l>
</xsl:variable>
<xsl:value-of select="max(xalan:nodeset($vList)/l/*)"/>
</xsl:template>
</xsl0:for-each>
</xsl:stylesheet>
</xsl0:template>
	
	
	
	
<xsl0:template match="sm:structuredFields|sm:singleField" mode="inputZoneTpl">
<xsl0:apply-templates mode="inputZoneTpl"/>
<xsl:template match="node()" mode="inputZone{generate-id(..)}"/>
</xsl0:template>
<xsl0:template match="sm:forDivision" mode="inputZoneTpl">
<xsl:template match="sc:division" mode="inputZone{generate-id(../..)}">
<xsl:variable name="vIndex" select="generate-id(.)"/>
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:forContent" mode="inputZoneTpl">
<xsl:template match="sc:content" mode="inputZone{generate-id(../..)}">
<xsl:variable name="vIndex" select="generate-id(.)"/>
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:forStringField|sm:forNumberField|sm:forNotAssessableField" mode="inputZoneTpl">
<xsl:template match="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}[{si(boolean(self::sm:forStringField), 'sc:SFSolution', si(boolean(self::sm:forNumberField), 'sc:NFSolution', 'sc:NAFSolution'))}]" mode="inputZone{generate-id(../..)}">
<xsl:variable name="vIndex" select="{si(boolean(../self::sm:singleField), &quot;'field'&quot;, 'generate-id(.)')}"/>
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl0:template>
<xsl0:template match="node()" mode="inputZoneTpl"/>
	
	
	
<xsl0:template match="sm:singleField" mode="vFieldsBuild">
<xsl:variable name="vFields" select="sp:*"/>
</xsl0:template>
<xsl0:template match="sm:structuredFields" mode="vFieldsBuild">
<xsl:variable name="vFieldList"><fields><xsl:apply-templates select="sc:core/*" mode="fieldList"/></fields></xsl:variable>
<xsl:variable name="vFields" select="xalan:nodeset($vFieldList)/fields/*"/>
		
<xsl:template match="sc:division" mode="fieldList">
<xsl:apply-templates mode="fieldList"/>
</xsl:template>
<xsl:template match="sp:*" mode="fieldList">
<xsl:copy>
<xsl:attribute name="index"><xsl:value-of select="generate-id(.)"/></xsl:attribute>
<xsl:for-each select="@*"><xsl:copy/></xsl:for-each>
<xsl:copy-of select="*"/>
</xsl:copy>
</xsl:template>
<xsl:template match="node()" mode="fieldList"/>
</xsl0:template>
<xsl0:template match="sm:gapInText" mode="vFieldsBuild">
<xsl0:param name="pInputZone"/>
<xsl:variable name="vFields" select="parseXml(resultatAgent(concat('@', getIdNode(sc:gapText), '{getAxisSuffix($pInputZone/sm:gapInText/sm:callTextModel/@axis)}/fieldList')))/fields/*"/>
</xsl0:template>
<xsl0:template match="node()" mode="vFieldsBuild"/>
	
	
	
	
<xsl0:template match="sm:callQuestionModel" mode="content">
<xsl:for-each select="sc:question"><xsl0:call-template name="CallSubModel"/></xsl:for-each>
</xsl0:template>

	
<xsl0:template match="sm:WInputZone" mode="content">
<form action="javascript:void(0);" name="{{$vIdObj}}_form" id="{{$vIdObj}}_form">
<xsl0:apply-templates mode="content"/>
</form>
</xsl0:template>
<xsl0:template match="sm:WInputZone/sm:singleField" mode="content">
<xsl:apply-templates select="sp:*" mode="inputZone{generate-id(..)}"/>
</xsl0:template>
<xsl0:template match="sm:WInputZone/sm:structuredFields" mode="content">
<xsl:apply-templates select="sc:core/*" mode="inputZone{generate-id(..)}"/>
</xsl0:template>
<xsl0:template match="sm:WInputZone/sm:gapInText" mode="content">
<xsl:value-of select="execute(setDialogVar('assmntIdObj',$vIdObj))"/>
<xsl:value-of select="resultatAgent(concat('@', getIdNode(sc:gapText), '{getAxisSuffix(sm:callTextModel/@axis)}/xhtmlContent'))" disable-output-escaping="yes"/>
</xsl0:template>
	
<xsl0:template match="sm:WInputText" mode="content">
<span>
<input type="text" name="{{$vIndex}}" onblur="{{$vIdObj}}.setResp(this);">
<xsl0:call-template name="attClass"/>
</input>
</span>
</xsl0:template>
	
<xsl0:template match="sm:WInputTextArea" mode="content">
<span>
<textarea name="{{$vIndex}}" onblur="{{$vIdObj}}.setResp(this);">
<xsl0:call-template name="attClass"/>
</textarea>
</span>
</xsl0:template>
	
	
<xsl0:template match="sm:divisionTitle" mode="content">
<xsl:value-of select="@title"/>
</xsl0:template>
<xsl0:template match="sm:callChildren" mode="content">
<xsl:apply-templates mode="inputZone{generate-id(ancestor::sm:WInputZone)}"/>
</xsl0:template>
<xsl0:template match="sm:callContentModel" mode="content">
<xsl0:call-template name="CallSubModel"/>
</xsl0:template>
	
	
<xsl0:template match="sm:WSolution" mode="content">
<span id="{{$vIdObj}}_X_{{$vIndex}}" >
<xsl0:call-template name="attClass"/>
<xsl0:apply-templates mode="content"/>
</span>
</xsl0:template>
<xsl0:template match="sm:solution" mode="content">
<span>
<xsl0:if test="@class">
<xsl0:attribute name="class"><xsl0:value-of select="@class"/></xsl0:attribute>
</xsl0:if>
<xsl:value-of select="sc:SFSolution[not(sc:score) or max(following-sibling::sc:SFSolution/sc:score/@value) &lt;= sc:score/@value]/sc:value[1]/text()"/>
<xsl:value-of select="sc:NFSolution[not(sc:score) or max(following-sibling::sc:NFSolution/sc:score/@value) &lt;= sc:score/@value]/sc:value[1]/text()"/>
</span>
</xsl0:template>
<xsl0:template match="sm:callSolutionModel" mode="content">
<xsl:for-each select="sc:NAFSolution"><xsl0:call-template name="CallSubModel"/></xsl:for-each>
</xsl0:template>
	
	
<xsl0:template match="sm:callFeedbackModel" mode="content">
<xsl0:call-template name="feedbackIntervals_co">
<xsl0:with-param name="vSelectFeedbacks">sc:feedbacks/sc:feedback</xsl0:with-param>
</xsl0:call-template>
</xsl0:template>
<xsl0:template match="sm:WInputZone//sm:callFeedbackModel" mode="content">
<xsl:for-each select="sc:*/sc:feedback">
<div class="WFeedbackEntry" id="{{$vIdObj}}_F{{$vIndex}}_{{count(../preceding-sibling::sc:*)}}">
<xsl0:call-template name="CallSubModel"/>
</div>
</xsl:for-each>
</xsl0:template>
	
<xsl0:template match="sm:WInputZone//sm:WFeedback" mode="content">
<div><xsl0:call-template name="attClass"/>
<xsl0:call-template name="smIdInInputZone"/>
<xsl0:apply-templates mode="content"/>
</div>
</xsl0:template>
	
	
	
<xsl0:template match="sm:WInputZone//@sm:id" mode="freeAtts">
<xsl0:attribute name="id">{$vIdObj}_N{$vIndex}_<xsl0:value-of select="."/></xsl0:attribute>
</xsl0:template>
	
	
	
<xsl0:template match="sm:sequence" mode="initSeq">
<xsl0:variable name="vSeq" select="."/>
		case "<xsl0:value-of select="@code"/>" : {
		var vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		this._Sol = {<xsl:for-each select="$vFields"><xsl:value-of select="si(@index, @index, 'field')"/>:{s:[<xsl:apply-templates mode="fillData_{@code}"/>null],min:<xsl:call-template name="minScore_{@code}"/>,max:<xsl:call-template name="maxScore_{@code}"/>},</xsl:for-each>_:null};
		this.getSolIdx = function(pFieldIndex){
			var vF = this._Sol[pFieldIndex];
			var vVal = vForm[pFieldIndex].value;
			for (var i = 0; i &lt; vF.s.length-1; i++) if(vF.s[i].isMatch(vVal)) return i;
			return -1;
		};
		this.getFieldScore = function(pFieldIndex) {
			var vI = this.getSolIdx(pFieldIndex);
			if(vI >= 0) return this._Sol[pFieldIndex].s[vI].score;
			return <xsl0:value-of select="si(sm:scoreComputing/sm:pointsPerField/@defaultPointsIfWrong, sm:scoreComputing/sm:pointsPerField/@defaultPointsIfWrong, '0')"/>;
		};
		this.refreshResultInput = function(pInput){
			if(this._resultDisplay == "none") pInput.parentNode.className="";
			else {
				var vSol = this._Sol[pInput.name];
				var vRes = Math.round((this.getFieldScore(pInput.name) - vSol.min) / (vSol.max - vSol.min) * <xsl0:value-of select="si(number(sm:resultDisplaying/sm:rangesClass/@rangeCount)>1, number(sm:resultDisplaying/sm:rangesClass/@rangeCount)-1, '1')"/>);
				pInput.parentNode.className= "<xsl0:value-of select="si(sm:resultDisplaying/sm:rangesClass/@prefixClass, sm:resultDisplaying/sm:rangesClass/@prefixClass, 'assmntResult_')"/>" + vRes;
			}
		};
<xsl0:choose>
<xsl0:when test="boolean(sm:loadData/sm:responseSessionKey/*)">var vLoadRespSession = <xsl0:apply-templates select="sm:loadData/sm:responseSessionKey/*" mode="session"/>;
</xsl0:when>
<xsl0:otherwise>var vLoadRespSession = null;
</xsl0:otherwise>
</xsl0:choose>
		for (var i=0; i &lt; vForm.length; i++) {
			var vFi = vForm.elements[i];
			this.setInteraction(vFi, "<xsl0:value-of select="sm:initBody/sm:inputInteraction/@mode"/>");
			vFi.value = vLoadRespSession == null ? "" : scServices.assmntMgr.getResponse(this.fId, vLoadRespSession, vFi.name) || "";
		}
	this.refreshResult("<xsl0:value-of select="sm:initBody/sm:resultDisplay/@mode"/>");

<xsl0:if test="boolean(sm:loadData/sm:scoreSessionKey/*)">var vLoadScoreSession = <xsl0:apply-templates select="sm:loadData/sm:scoreSessionKey/*" mode="session"/>;
		this.fMinPts = scServices.assmntMgr.getMinPts(this.fId, vLoadScoreSession);
		this.fScorePts = scServices.assmntMgr.getScorePts(this.fId, vLoadScoreSession);
		this.fMaxPts = scServices.assmntMgr.getMaxPts(this.fId, vLoadScoreSession);
</xsl0:if>
		this.setSolution('<xsl0:value-of select="sm:initBody/sm:solutionDisplay/@ifRight"/>', '<xsl0:value-of select="sm:initBody/sm:solutionDisplay/@ifNotBestResponse"/>');
<xsl0:for-each select="/sma:assmntUnitEditDhtmlTransf/sm:assmntBody//*[@sm:id]">
<xsl0:variable name="vMode" select="$vSeq/sm:initBody/*[@refId=current()/@sm:id]/@mode"/>
<xsl0:choose>
<xsl0:when test="$vIsStructuredFields">
<xsl0:choose>
<xsl0:when test="boolean(ancestor::sm:forDivision)">
<xsl:for-each select="./descendant::sc:*/sc:division">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="generate-id(.)"/>_<xsl0:value-of select="@sm:id"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl:for-each>
</xsl0:when>
<xsl0:when test="boolean(ancestor::sm:forContent)">
<xsl:for-each select="./descendant::sc:*/sc:content">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="generate-id(.)"/>_<xsl0:value-of select="@sm:id"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl:for-each>
</xsl0:when>
<xsl0:when test="boolean(ancestor::sm:forStringField)">
<xsl:for-each select="./descendant::sc:*/sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}[sc:SFSolution]">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="generate-id(.)"/>_<xsl0:value-of select="@sm:id"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl:for-each>
</xsl0:when>
<xsl0:when test="boolean(ancestor::sm:forNumberField)">
<xsl:for-each select="./descendant::sc:*/sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}[sc:NFSolution]">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="generate-id(.)"/>_<xsl0:value-of select="@sm:id"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl:for-each>
</xsl0:when>
<xsl0:when test="boolean(ancestor::sm:forNotAssessableField)">
<xsl:for-each select="./descendant::sc:*/sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}[sc:NAFSolution]">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="generate-id(.)"/>_<xsl0:value-of select="@sm:id"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl:for-each>
</xsl0:when>
<xsl0:otherwise>scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N_<xsl0:value-of select="@sm:id"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl0:otherwise>
</xsl0:choose>
</xsl0:when>
<xsl0:otherwise>scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl0:if test="boolean(ancestor::sm:forStringField) or boolean(ancestor::sm:forNotAssessableField)">field</xsl0:if>_<xsl0:value-of select="@sm:id"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl0:otherwise>
</xsl0:choose>
</xsl0:for-each>
<xsl0:for-each select="/sma:assmntUnitEditDhtmlTransf/sm:assmntBody//sm:WToggleButton">
<xsl0:variable name="vStatus" select="$vSeq/sm:initBody/sm:buttonDisplay[@refId=current()/@sm:id]/@toggleStatus"/>scAssmntMgr.setToggleStatus(sc$("<xsl:value-of select="$vIdObj"/><xsl0:value-of select="si(@sm:id, concat('_N_', @sm:id), concat('_S_', generate-id()))"/>"), <xsl0:value-of select="$vStatus='on'"/>);
</xsl0:for-each>
<xsl0:choose>
<xsl0:when test="boolean(sm:saveData/sm:responseSessionKey/*)">var vRespSession = <xsl0:apply-templates select="sm:saveData/sm:responseSessionKey/*" mode="session"/>;
		if(scServices.assmntMgr.getCompletionStatus(this.fId, vRespSession)=="notAttempt") scServices.assmntMgr.setCompletionStatus(this.fId, vRespSession, "attempt");
		this.setResp = function(pInput) {
			scServices.assmntMgr.setResponse(this.fId, vRespSession, pInput.name, pInput.value);
			this.computeScore();
			scServices.assmntMgr.commit();
			this.refreshResultInput(pInput);
		}				
</xsl0:when>
<xsl0:otherwise>this.setResp = function(pInput) {
			this.computeScore();
			scServices.assmntMgr.commit();
			this.refreshResultInput(pInput);
		}	
</xsl0:otherwise>
</xsl0:choose>
		this.computeScore = function() {
<xsl0:if test="sm:scoreComputing">
			this.fMinPts = 0;
			this.fMaxPts = 0;
			for(var vF in this._Sol) if(vF!="_") {this.fMinPts += this._Sol[vF].min; this.fMaxPts += this._Sol[vF].max;}
			this.fScorePts = <xsl:for-each select="$vFields">this.getFieldScore("<xsl:value-of select="si(@index, @index, 'field')"/>")+</xsl:for-each>0;
<xsl0:apply-templates select="sm:scoreComputing/sm:postProcessing/*" mode="computePts"/>
			//alert("score:::::"+this.fMinPts+" - "+this.fScorePts+" - "+this.fMaxPts);
<xsl0:if test="boolean(sm:saveData/sm:scoreSessionKey/*)">var vScoreSession = <xsl0:apply-templates select="sm:saveData/sm:scoreSessionKey/*" mode="session"/>;
			if(this.fScorePts != null) scServices.assmntMgr.setPts(this.fId, vScoreSession, this.fMinPts, this.fScorePts, this.fMaxPts);
</xsl0:if>
</xsl0:if>
			this.refreshScoresFeedbacks();
		}

<xsl0:if test="boolean(sm:saveData/sm:responseSessionKey/*)">if(vRespSession != vLoadRespSession) for (var i=0; i &lt; vForm.length; i++) scServices.assmntMgr.setResponse(this.fId, vRespSession, vForm.elements[i].name, vForm.elements[i].value);
</xsl0:if>this.computeScore();
<xsl0:apply-templates select="sm:onEnter/*" mode="jsAction"/>
		scServices.assmntMgr.commit();
		break;
	}
</xsl0:template>
	
	
<xsl0:template match="sm:applyAuthorBounds" mode="computePts">
		var vScore=(this.fScorePts-this.fMinPts) / (this.fMaxPts-this.fMinPts);
		this.fMinPts = <xsl:value-of select="si(sc:score/@min, sc:score/@min, '{si(@defaultMin, @defaultMin, '0')}')"/>;
		this.fMaxPts = <xsl:value-of select="si(sc:score/@max, sc:score/@max, '{si(@defaultMax, @defaultMax, '1')}')"/>;
		this.fScorePts = this.fMinPts + (vScore * (this.fMaxPts-this.fMinPts) );
</xsl0:template>
	
	
<xsl0:template match="sm:sequence" mode="closeSeq">
	case "<xsl0:value-of select="@code"/>" : {
<xsl0:apply-templates select="sm:onExit/*" mode="jsAction"/>
		break;
	}
</xsl0:template>
	
	
	
<xsl0:template match="sm:elementDisplay[//*[@sm:id=current()/@refId]/ancestor::sm:WInputZone]" mode="jsAction">
<xsl0:variable name="vIdToFind" select="string(@refId)"/>
<xsl0:choose>
<xsl0:when test="$vIsStructuredFields">
<xsl0:choose>
<xsl0:when test="/descendant::*[@sm:id=$vIdToFind]/ancestor::sm:forDivision">
<xsl:for-each select="./descendant::sc:*/sc:division">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="generate-id(.)"/>_<xsl0:value-of select="@refId"/>"), "<xsl0:value-of select="@mode"/>"); </xsl:for-each>
</xsl0:when>
<xsl0:when test="/descendant::*[@sm:id=$vIdToFind]/ancestor::sm:forContent">
<xsl:for-each select="./descendant::sc:*/sc:content">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="generate-id(.)"/>_<xsl0:value-of select="@refId"/>"), "<xsl0:value-of select="@mode"/>"); </xsl:for-each>
</xsl0:when>
<xsl0:when test="/descendant::*[@sm:id=$vIdToFind]/ancestor::sm:forStringField">
<xsl:for-each select="./descendant::sc:*/sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}[sc:SFSolution]">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="generate-id(.)"/>_<xsl0:value-of select="@refId"/>"), "<xsl0:value-of select="@mode"/>"); </xsl:for-each>
</xsl0:when>
<xsl0:when test="/descendant::*[@sm:id=$vIdToFind]/ancestor::sm:forNumberField">
<xsl:for-each select="./descendant::sc:*/sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}[sc:NFSolution]">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="generate-id(.)"/>_<xsl0:value-of select="@refId"/>"), "<xsl0:value-of select="@mode"/>"); </xsl:for-each>
</xsl0:when>
<xsl0:when test="/descendant::*[@sm:id=$vIdToFind]/ancestor::sm:forNotAssessableField">
<xsl:for-each select="./descendant::sc:*/sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}[sc:NAFSolution]">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="generate-id(.)"/>_<xsl0:value-of select="@refId"/>"), "<xsl0:value-of select="@mode"/>"); </xsl:for-each>
</xsl0:when>
</xsl0:choose>
</xsl0:when>
<xsl0:otherwise>scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_Nfield_<xsl0:value-of select="@refId"/>"), "<xsl0:value-of select="@mode"/>"); </xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
<xsl0:template match="sm:inputInteraction" mode="jsAction">var vForm=document.forms.<xsl:value-of select="$vIdObj"/>_form; for (var i=0; i &lt; vForm.length; i++) this.setInteraction(vForm.elements[i], "<xsl0:value-of select="@mode"/>"); </xsl0:template>
<xsl0:template match="sm:resultDisplay" mode="jsAction">this.refreshResult("<xsl0:value-of select="@mode"/>");</xsl0:template>
<xsl0:template match="sm:solutionDisplay" mode="jsAction">this.setSolution('<xsl0:value-of select="@ifRight"/>', '<xsl0:value-of select="@ifNotBestResponse"/>'); </xsl0:template>

	
	
<xsl0:template name="smIdInInputZone">
<xsl0:if test="@sm:id">
<xsl0:attribute name="id">{$vIdObj}_N{$vIndex}_<xsl0:value-of select="@sm:id"/></xsl0:attribute>
</xsl0:if>
</xsl0:template>
</xsl0:stylesheet>