<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="http://www.w3.org/1999/XSL/Format" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	xmlns:java="http://xml.apache.org/xslt/java" 
	exclude-result-prefixes="java xsl sm sc scodPp office text table fo draw svg xlink style">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
	
<xsl0:include href="bsco:sma/odTransf/communContent.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>
	

<xsl0:template match="/*">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
		
<xsl:variable name="idRootAgt" select="getIdNode(..)"/>
		
<xsl:template match="{resultatAgent('//agentModel', 'prefixModel')}:{resultatAgent('//agentModel', 'tagRootModel')}">
<xsl0:apply-templates select="sm:content | sm:heading"/>
</xsl:template>
<xsl0:apply-templates select="sm:content | sm:heading" mode="mTemplate"/>

<xsl:template match="*"/>
</xsl0:template>
		

<xsl0:template match="sm:content">
<scodPp:notIfNotNull>
<xsl0:apply-templates/>
</scodPp:notIfNotNull>
</xsl0:template>
	

<xsl0:template match="sm:WInputZone">
<xsl0:apply-templates/>
</xsl0:template>
		
	
<xsl0:template match="sm:gapInText">
<xsl0:apply-templates/>
</xsl0:template>
<xsl0:template match="sm:callTextModel">
<xsl:for-each select="sc:gapText">
<xsl0:call-template name="tCallSubModel"/>
</xsl:for-each>
</xsl0:template>
	
	
<xsl0:template match="sm:singleField">
<xsl:apply-templates/>
</xsl0:template>
	
<xsl0:template match="sm:forStringField | sm:forNumberField  | sm:forNotAssessableField" mode="mTemplate">
<xsl:template match="sp:{si(@codes, java:replaceAll(string(@codes), '\s', ' | sp:'), '*')}">
<xsl0:apply-templates/>
</xsl:template>
</xsl0:template>
	
<xsl0:template match="sm:solution">
<xsl:choose>
<xsl:when test="count(sc:SFSolution)&gt;1">
<xsl:variable name="vMaxPoint" select="max(sc:SFSolution/sc:score/@value)"/>
<xsl:value-of select="sc:SFSolution[sc:score/@value=$vMaxPoint][1]/sc:value"/>
</xsl:when>
<xsl:when test="count(sc:NFSolution)&gt;1">
<xsl:variable name="vMaxPoint" select="max(sc:NFSolution/sc:score/@value)"/>
<xsl:value-of select="sc:NFSolution[sc:score/@value=$vMaxPoint][1]/sc:value"/>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="sc:SFSolution/sc:value"/>
<xsl:value-of select="sc:NFSolution/sc:value"/>
</xsl:otherwise>
</xsl:choose>
<xsl:for-each select="sp:simple">
<xsl:value-of select="sc:SFSolution/sc:value"/>
<xsl:value-of select="sc:NFSolution/sc:value"/>
</xsl:for-each>
</xsl0:template>
	
<xsl0:template match="sm:callSolutionModel">
<xsl:for-each select="sc:NAFSolution">
<xsl0:call-template name="tCallSubModel"/>
</xsl:for-each>
</xsl0:template>
	
	
	
<xsl0:template match="sm:structuredFields">
<xsl:apply-templates select="sc:core/*"/>
</xsl0:template>
	
<xsl0:template match="sm:forDivision" mode="mTemplate">
<xsl:template match="sc:division">
<xsl0:apply-templates/>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:divisionTitle">
<xsl:value-of select="ancestor-or-self::sc:division/@title"/>
</xsl0:template>
<xsl0:template match="sm:callChildren">
<xsl:apply-templates select="ancestor-or-self::sc:division/*"/>
</xsl0:template>
	
<xsl0:template match="sm:forContent" mode="mTemplate">
<xsl:template match="sc:content">
<xsl0:apply-templates/>
</xsl:template>
</xsl0:template>
<xsl0:template match="sm:callContentModel">
<xsl0:call-template name="tCallSubModel"/>
</xsl0:template>
	
	

<xsl0:template match="sm:callQuestionModel">
<xsl:for-each select="sc:question">
<xsl0:call-template name="tCallSubModel"/>
</xsl:for-each>
</xsl0:template>
	
<xsl0:template match="sm:callGlobalExplanationModel">
<xsl:for-each select="sc:globalExplanation">
<xsl0:call-template name="tCallSubModel"/>
</xsl:for-each>
</xsl0:template>
	
<xsl0:template match="sm:callUnitMeta">
<xsl0:call-template name="tCallRootMeta"/>
</xsl0:template>
	
<xsl0:template match="*"/>			
</xsl0:stylesheet>
