<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:xhtml="http://www.w3.org/1999/xhtml"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	exclude-result-prefixes="sm xsl sma xhtml java"
	>
	
<xsl0:import href="bsco:sma/xhtmlTransf/common.xsl.xsl"/>
	
<xsl0:variable name="vIsSingleResp" select="boolean($vStructure/sm:solution/sm:singleUserResponse)"/>
	
<xsl0:template match="sma:assmntUnitMcqDhtmlTransf" mode="content">
<xsl:stylesheet version="1.0" exclude-result-prefixes="sc sp java {resultatAgent($vAgentModel/prefixModel)}" extension-element-prefixes="scOrigin redirect">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:xsl">http://www.w3.org/1999/XSL/Transform</xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:attribute name="xmlns:sc">http://www.utc.fr/ics/scenari/v3/core</xsl0:attribute>
<xsl0:attribute name="xmlns:sp">http://www.utc.fr/ics/scenari/v3/primitive</xsl0:attribute>
<xsl0:attribute name="xmlns:scOrigin">eu.scenari.gen.xslt.OriginSrc</xsl0:attribute>
<xsl0:attribute name="xmlns:redirect">com.scenari.xsldom.xalan.lib.Redirect</xsl0:attribute>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
			
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
			
<xsl:variable name="vIdObj" select="concat(alphaHash(getIdNode(..)), '{getAxisSuffix(sm:axis/@code)}')"/>
			
<xsl:template match="*">			
<script type="text/JavaScript">
var <xsl:value-of select="$vIdObj"/> = {
<xsl0:call-template name="commonJsObj"/>

<xsl0:if test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:mappedNumericScoring)">
<xsl0:if test="boolean(sm:scenario/sm:sequence/sm:scoreComputing) or boolean(//sm:WFeedback)">
		getMap : function(){
		var vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
<xsl:variable name="vNbChoices" select="boolean(sc:choices/sc:choice)"/>
<xsl:for-each select="sc:solutions/sc:response">if(true<xsl:for-each select="sc:choice[count(preceding-sibling::sc:choice) &lt;= $vNbChoices][@solution!='undefined']"> &amp;&amp; <xsl:if test="@solution='unchecked'">! </xsl:if>vForm.elements[<xsl:value-of select="count(preceding-sibling::sc:choice)"/>].checked</xsl:for-each>){
				return <xsl:value-of select="count(preceding-sibling::sc:response)+1"/>;
			} else
</xsl:for-each>
		return 0;
	},
</xsl0:if>
</xsl0:if>
	refreshScoresFeedbacks : function(){
		
<xsl0:apply-templates select="sm:assmntBody//sm:WScore" mode="jsScore"/>
		
<xsl0:if test="boolean(sm:assmntBody//sm:WFeedback)">
<xsl0:choose>
		
<xsl0:when test="boolean($vStructure/sm:solution/*/sm:booleanScoring)">
		var vIsRight = (this.fScorePts - this.fMinPts) >= (this.fMaxPts - this.fMinPts)/2;
		scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_F"+( !vIsRight ? "W" : "R")), "visible");
		scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_F"+( vIsRight ? "W" : "R")), "collapsed");
</xsl0:when>
		
<xsl0:when test="boolean($vStructure/sm:solution/sm:singleUserResponse/sm:numericScoring)">
<xsl:for-each select="sc:choices/sc:choice/sc:feedback">
		scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_F<xsl:value-of select="count(../preceding-sibling::sc:choice)"/>"), this.fSelectedChoice == <xsl:value-of select="count(../preceding-sibling::sc:choice)"/> ? "visible" : "collapsed");
</xsl:for-each>
</xsl0:when>
		
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:summedNumericScoring)">
<xsl0:call-template name="feedbackIntervals_js">
<xsl0:with-param name="vSelectFeedbacks">sc:solution/sc:feedbacks/sc:feedback</xsl0:with-param>
<xsl0:with-param name="vModel" select="$vStructure/sm:solution/sm:multipleUserResponse/sm:summedNumericScoring/sm:feedbackModel"/>
</xsl0:call-template>
</xsl0:when>
		
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:mappedNumericScoring)">
		scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_F0"), this.fCurrentMap == 0 ? "visible" : "collapsed");
<xsl:for-each select="sc:solutions/sc:response/sc:feedback">
		scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_F<xsl:value-of select="count(../preceding-sibling::sc:response)+1"/>"), this.fCurrentMap == <xsl:value-of select="count(../preceding-sibling::sc:response)+1"/> ? "visible" : "collapsed");
</xsl:for-each>
</xsl0:when>
</xsl0:choose>
</xsl0:if>
	},
	solIsShown : false,
	setSolution : function(pShown){
		var vTR = document.forms.<xsl:value-of select="$vIdObj"/>_form.firstChild;
		while(vTR.nodeType!=1) vTR = vTR.nextSibling;
		vTR = vTR.firstChild;
		while(vTR.nodeType!=1) vTR = vTR.nextSibling;
		vTR = vTR.firstChild;
		while(vTR.nodeType!=1) vTR = vTR.nextSibling;
		if(!pShown &amp;&amp; this.solIsShown) {
			while(vTR) {
				if(vTR.nodeName=="TR") {
					var vOffs = vTR.className.indexOf("assmntSol");
					if(vOffs&gt;=0) vTR.className = vTR.className.substring(0, vOffs) + vTR.className.substring(vOffs+14);
				}
				vTR = vTR.nextSibling;
			}
		} else if(pShown &amp;&amp; ! this.solIsShown) {
<xsl0:choose>
<xsl0:when test="boolean($vStructure/sm:solution/sm:singleUserResponse/sm:booleanScoring)">
			var vIdx = 0;
			while(vTR) {
				if(vTR.nodeName=="TR") {
					vIdx++;
					vTR.className = ( vIdx == <xsl:value-of select="sc:solution/@choice"/> ? "assmntSolRight " : "assmntSolWrong ") + vTR.className;
				}
				vTR = vTR.nextSibling;
			}
</xsl0:when>
			
<xsl0:when test="boolean($vStructure/sm:solution/sm:singleUserResponse/sm:numericScoring)">
<xsl:variable name="vMaxScoring" select="max(sc:choices/sc:choice/@score)"/>
<xsl:variable name="vIdx" select="count(sc:choices/sc:choice[@score = $vMaxScoring][1]/preceding-sibling::sc:choice)"/>
			var vIdx = 0;
			while(vTR) {
				if(vTR.nodeName=="TR") vTR.className = ( vIdx++ == <xsl:value-of select="$vIdx"/> ? "assmntSolRight " : "assmntSolWrong ") + vTR.className;
				vTR = vTR.nextSibling;
			}
</xsl0:when>
			
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:booleanScoring)">
<xsl:for-each select="sc:choices/sc:choice">
			while(vTR.nodeName!="TR") vTR = vTR.nextSibling;
			vTR.className = "<xsl:value-of select="si(@solution='checked', 'assmntSolCheck ', 'assmntSolUnche ')"/>" + vTR.className;
			vTR = vTR.nextSibling;
</xsl:for-each>
</xsl0:when>
			
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:summedNumericScoring)">
<xsl:for-each select="sc:choices/sc:choice">
			while(vTR.nodeName!="TR") vTR = vTR.nextSibling;
<xsl0:choose>
<xsl0:when test="$vStructure/sm:solution/sm:multipleUserResponse/sm:summedNumericScoring/sm:scoreIfUnselected">
			vTR.className = "<xsl:value-of select="si(@scoreIfSelected &gt; @scoreIfUnselected, 'assmntSolCheck ', 'assmntSolUnche ')"/>" + vTR.className;
</xsl0:when>
<xsl0:otherwise>
						
			vTR.className = "<xsl:value-of select="si(@scoreIfSelected &gt; 0, 'assmntSolCheck ', 'assmntSolUnche ')"/>" + vTR.className;
</xsl0:otherwise>
</xsl0:choose>
			vTR = vTR.nextSibling;
</xsl:for-each>
</xsl0:when>			

<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:mappedNumericScoring)">
<xsl:variable name="vBestMap" select="sc:solutions/sc:response[@score=max(../sc:response/@score)]"/>
<xsl:for-each select="sc:choices/sc:choice">
			while(vTR.nodeName!="TR") vTR = vTR.nextSibling;
			vTR.className = "<xsl:value-of select="si($vBestMap/sc:choice[count(current()/preceding-sibling::sc:choice)+1]/@solution='checked', 'assmntSolCheck ', 'assmntSolUnche ')"/>" + vTR.className;
			vTR = vTR.nextSibling;
</xsl:for-each>
</xsl0:when>
</xsl0:choose>
		}
		this.solIsShown = pShown;
	},
	onLoad: function(){
		this.initSeq(this.getOnLoadSeq()); 
		var vNodeRoot = sc$("<xsl:value-of select="$vIdObj"/>_A");
		vNodeRoot.style.display = "block"; 
	},
	onUnload: function(){
		this.closeSeq();
	},
	loadSortKey: "A",
	unloadSortKey: "A"
};

scOnLoads[scOnLoads.length] = <xsl:value-of select="$vIdObj"/>;
scOnUnloads[scOnUnloads.length] = <xsl:value-of select="$vIdObj"/>;
</script>
<xsl0:apply-templates mode="content"/>
</xsl:template>
</xsl:stylesheet>
</xsl0:template>
	
	
	
	
<xsl0:template match="sm:callQuestionModel" mode="content">
<xsl:for-each select="sc:question"><xsl0:call-template name="CallSubModel"/></xsl:for-each>
</xsl0:template>

	
<xsl0:template match="sm:WChoiceList" mode="content">
<form action="" name="{{$vIdObj}}_form" id="{{$vIdObj}}_form"><table><xsl0:call-template name="attClass"/>
<xsl0:call-template name="smId"/>
<xsl:for-each select="sc:choices/sc:choice">
<xsl:variable name="vIndex" select="count(preceding-sibling::sc:choice)"/>
<xsl:variable name="vIdChoice" select="concat($vIdObj, '_', $vIndex)"/>
<tr><xsl0:call-template name="attClass"><xsl0:with-param name="pSuffix" select="'_ch'"/></xsl0:call-template>
<td><xsl0:call-template name="attClass"><xsl0:with-param name="pSuffix" select="'_in'"/></xsl0:call-template>
<xsl0:choose>
<xsl0:when test="$vIsSingleResp">
<input type="radio" name="{{$vIdObj}}_radio" id="{{$vIdChoice}}" value="{{$vIndex}}" onclick="{{$vIdObj}}.setResp(this, {{$vIndex}});"/>
</xsl0:when>
<xsl0:otherwise>
<input type="checkbox" name="{{$vIdChoice}}" id="{{$vIdChoice}}" value="{{$vIndex}}" onclick="{{$vIdObj}}.setResp(this, {{$vIndex}});"/>
</xsl0:otherwise>
</xsl0:choose>
</td>
<td><xsl0:call-template name="attClass"><xsl0:with-param name="pSuffix" select="'_la'"/></xsl0:call-template>
<xsl0:apply-templates select="sm:choiceBody/*" mode="content"/>
</td>
</tr>
</xsl:for-each>
<xsl0:apply-templates select="sm:noChoiceBody" mode="content"/>
</table></form>
</xsl0:template>
<xsl0:template match="sm:callLabelModel" mode="content">
<xsl:for-each select="sc:choiceLabel"><xsl0:call-template name="CallSubModel"/></xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:noChoiceBody" mode="content">
<tr><xsl0:call-template name="attClass"><xsl0:with-param name="pSuffix" select="'_noch'"/></xsl0:call-template>
<td><xsl0:apply-templates select=".." mode="attClass"><xsl0:with-param name="pSuffix" select="'_in'"/></xsl0:apply-templates><input type="radio" name="{{$vIdObj}}_radio" id="{{$vIdObj}}_nochoice" value="nochoice" onclick="{{$vIdObj}}.setResp(this, 'nochoice');"/></td>
<td><xsl0:apply-templates select=".." mode="attClass"><xsl0:with-param name="pSuffix" select="'_la'"/></xsl0:apply-templates><xsl0:apply-templates mode="content"/></td>
</tr>
</xsl0:template>
		
<xsl0:template match="sm:WChoiceExplanation" mode="content">
<xsl:for-each select="sc:choiceExplanation">
<div><xsl0:call-template name="attClass"/>
<xsl0:call-template name="smIdInChoice"/>
<xsl0:apply-templates mode="content"/>
</div>
</xsl:for-each>
</xsl0:template>
	
	
<xsl0:template match="sm:callFeedbackModel" mode="content">
<xsl0:choose>
		
<xsl0:when test="boolean($vStructure/sm:solution/*/sm:booleanScoring)">
<xsl:for-each select="sc:solution/sc:feedbackRight">
<div class="WFeedbackEntry" id="{{$vIdObj}}_FR">
<xsl0:call-template name="CallSubModel"/>
</div>
</xsl:for-each>
<xsl:for-each select="sc:solution/sc:feedbackWrong">
<div class="WFeedbackEntry" id="{{$vIdObj}}_FW">
<xsl0:call-template name="CallSubModel"/>
</div>
</xsl:for-each>
</xsl0:when>
		
<xsl0:when test="boolean($vStructure/sm:solution/sm:singleUserResponse/sm:numericScoring)">
<xsl:for-each select="sc:choices/sc:choice/sc:feedback">
<div class="WFeedbackEntry" id="{{$vIdObj}}_F{{count(../preceding-sibling::sc:choice)}}">
<xsl0:call-template name="CallSubModel"/>
</div>
</xsl:for-each>
</xsl0:when>
		
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:summedNumericScoring)">
<xsl0:call-template name="feedbackIntervals_co">
<xsl0:with-param name="vSelectFeedbacks">sc:solution/sc:feedbacks/sc:feedback</xsl0:with-param>
</xsl0:call-template>
</xsl0:when>
		
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:mappedNumericScoring)">
<xsl:for-each select="sc:solutions/sc:undefinedResponse/sc:feedback">
<div class="WFeedbackEntry" id="{{$vIdObj}}_F0">
<xsl0:call-template name="CallSubModel"/>
</div>
</xsl:for-each>
<xsl:for-each select="sc:solutions/sc:response/sc:feedback">
<div class="WFeedbackEntry" id="{{$vIdObj}}_F{{count(../preceding-sibling::sc:response)+1}}">
<xsl0:call-template name="CallSubModel"/>
</div>
</xsl:for-each>
</xsl0:when>
</xsl0:choose>
</xsl0:template>
	
	
	
<xsl0:template match="sm:choiceBody//@sm:id" mode="freeAtts">
<xsl0:attribute name="id">{$vIdObj}_N{$vIndex}_<xsl0:value-of select="."/></xsl0:attribute>
		
		
</xsl0:template>
	
	
	
<xsl0:template match="sm:sequence" mode="initSeq">
<xsl0:variable name="vWChoiceList" select="//sm:WChoiceList"/>case "<xsl0:value-of select="@code"/>" : {
		var vForm = document.forms.<xsl:value-of select="$vIdObj"/>_form;
		for (var i=0; i &lt; vForm.length; i++) {
			vForm.elements[i].disabled = <xsl0:value-of select="sm:initBody/sm:choiceInteraction/@mode='disabled'"/>;
			vForm.elements[i].checked = false;
		}

<xsl0:choose>
<xsl0:when test="boolean(sm:loadData/sm:responseSessionKey/*)">var vLoadRespSession = <xsl0:apply-templates select="sm:loadData/sm:responseSessionKey/*" mode="session"/>;
<xsl0:choose>
<xsl0:when test="$vIsSingleResp">var vResp = scServices.assmntMgr.getResponse(this.fId, vLoadRespSession, "choice");
		if(vResp != null) sc$("<xsl:value-of select="$vIdObj"/>_"+vResp).checked = true;
</xsl0:when>
<xsl0:otherwise>for (var i=0; i &lt; vForm.length; i++) {
			var vInput = vForm.elements[i];
			vInput.checked = scServices.assmntMgr.getResponse(this.fId, vLoadRespSession, vInput.value);
		}
</xsl0:otherwise>
</xsl0:choose>
</xsl0:when>
<xsl0:otherwise>var vLoadRespSession = null;
</xsl0:otherwise>
</xsl0:choose>

<xsl0:if test="boolean(sm:loadData/sm:scoreSessionKey/*)">var vLoadScoreSession = <xsl0:apply-templates select="sm:loadData/sm:scoreSessionKey/*" mode="session"/>;
		this.fMinPts = scServices.assmntMgr.getMinPts(this.fId, vLoadScoreSession);
		this.fScorePts = scServices.assmntMgr.getScorePts(this.fId, vLoadScoreSession);
		this.fMaxPts = scServices.assmntMgr.getMaxPts(this.fId, vLoadScoreSession);
</xsl0:if>
		this.setSolution(<xsl0:value-of select="boolean(sm:initBody/sm:solutionDisplay/@mode='shown')"/>);
<xsl0:variable name="vSeq" select="."/>
<xsl0:for-each select="/sma:assmntUnitMcqDhtmlTransf/sm:assmntBody//*[@sm:id]">
<xsl0:variable name="vMode" select="$vSeq/sm:initBody/*[@refId=current()/@sm:id]/@mode"/>
<xsl0:choose>
<xsl0:when test="boolean(ancestor::sm:choiceBody)">
<xsl:for-each select="sc:choices/sc:choice">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_<xsl0:value-of select="@sm:id"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl:for-each>
</xsl0:when>
<xsl0:otherwise>scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N_<xsl0:value-of select="@sm:id"/>"), "<xsl0:value-of select="si($vMode, $vMode, 'visible')"/>");
</xsl0:otherwise>
</xsl0:choose>
</xsl0:for-each>
<xsl0:for-each select="/sma:assmntUnitMcqDhtmlTransf/sm:assmntBody//sm:WToggleButton">
<xsl0:variable name="vStatus" select="$vSeq/sm:initBody/sm:buttonDisplay[@refId=current()/@sm:id]/@toggleStatus"/>scAssmntMgr.setToggleStatus(sc$("<xsl:value-of select="$vIdObj"/><xsl0:value-of select="si(@sm:id, concat('_N_', @sm:id), concat('_S_', generate-id()))"/>"), <xsl0:value-of select="$vStatus='on'"/>);
</xsl0:for-each>
<xsl0:choose>
<xsl0:when test="boolean(sm:saveData/sm:responseSessionKey/*)">var vRespSession = <xsl0:apply-templates select="sm:saveData/sm:responseSessionKey/*" mode="session"/>;
		if(scServices.assmntMgr.getCompletionStatus(this.fId, vRespSession)=="notAttempt") scServices.assmntMgr.setCompletionStatus(this.fId, vRespSession, "attempt");
		this.setResp = function(pInput, pIdx) {
			scServices.assmntMgr.setResponse(this.fId, vRespSession, <xsl0:value-of select="si($vIsSingleResp, '&quot;choice&quot;, pIdx', 'pIdx, pInput.checked')"/>);
<xsl0:if test="not($vIsSingleResp) and boolean($vWChoiceList/sm:noChoiceBody)">if(pIdx != "nochoice") {
				
				pInput.form.elements[pInput.form.length - 1].checked = false;
				scServices.assmntMgr.setResponse(this.fId, vRespSession, "nochoice", "false");
			} else {
				
				for (var i=0; i &lt; pInput.form.length; i++) {
					var vInput = pInput.form.elements[i]; 
					if(vInput!=pInput) {
						vInput.checked=false;
						scServices.assmntMgr.setResponse(this.fId, vRespSession, i, "false");
					}
				}
			}
</xsl0:if>
			this.computeScore();
			scServices.assmntMgr.commit();
		}				
</xsl0:when>
<xsl0:otherwise>this.setResp = function(pInput, pIdx) {
<xsl0:if test="not($vIsSingleResp) and boolean($vWChoiceList/sm:noChoiceBody)">if(pIdx != "nochoice") {
				
				pInput.form.elements[pInput.form.length - 1].checked = false;
			} else {
				
				for (var i=0; i &lt; pInput.form.length; i++) {
					var vInput = pInput.form.elements[i]; 
					if(vInput!=pInput) vInput.checked=false;
				}
			}
</xsl0:if>
			this.computeScore();
			scServices.assmntMgr.commit();
		}	
</xsl0:otherwise>
</xsl0:choose>
		this.computeScore = function() {
<xsl0:if test="sm:scoreComputing or //sm:WFeedback">
			
<xsl0:choose>
<xsl0:when test="$vStructure/sm:solution/sm:singleUserResponse/sm:numericScoring">for (var i=vForm.elements.length-1; i &gt;= 0 ; i--) if(vForm.elements[i].checked) break;
		this.fSelectedChoice = i;
</xsl0:when>
<xsl0:when test="$vStructure/sm:solution/sm:multipleUserResponse/sm:mappedNumericScoring">this.fCurrentMap = this.getMap();
</xsl0:when>
</xsl0:choose>
</xsl0:if>
<xsl0:if test="sm:scoreComputing">
			
<xsl0:apply-templates select="sm:scoreComputing" mode="initSeq"/>
<xsl0:if test="count(sm:saveData/sm:scoreSessionKey/*)">var vScoreSession = <xsl0:apply-templates select="sm:saveData/sm:scoreSessionKey/*" mode="session"/>;
		if(this.fScorePts != null) scServices.assmntMgr.setPts(this.fId, vScoreSession, this.fMinPts, this.fScorePts, this.fMaxPts);
</xsl0:if>
</xsl0:if>
			this.refreshScoresFeedbacks();
		}

<xsl0:if test="boolean(sm:saveData/sm:responseSessionKey/*)">if(vRespSession != vLoadRespSession) {
<xsl0:choose>
<xsl0:when test="$vIsSingleResp">for(var i = 0; i &lt; vForm.length; i++) if(vForm.elements[i].checked) break;
		scServices.assmntMgr.setResponse(this.fId, vRespSession, "choice", (i &lt; vForm.length) ? vForm.elements[i].value : null);
</xsl0:when>
<xsl0:otherwise>
<xsl0:if test="boolean($vWChoiceList/sm:noChoiceBody)">scServices.assmntMgr.setResponse(this.fId, vRespSession, "nochoice", vForm.elements[pInput.form.length - 1].checked);
</xsl0:if>for (var i=0; i &lt; vForm.length; i++) {
			var vInput = vForm.elements[i];
			scServices.assmntMgr.setResponse(this.fId, vRespSession, vInput.value, vInput.checked);
		}
</xsl0:otherwise>
</xsl0:choose>}
</xsl0:if>this.computeScore();
<xsl0:apply-templates select="sm:onEnter/*" mode="jsAction"/>
		scServices.assmntMgr.commit();
		break;
	}
</xsl0:template>
	
<xsl0:template match="sm:scoreComputing" mode="initSeq">
<xsl0:variable name="vScoreIfUnSel" select="si(sm:forSummedNumericScoring/@scoreIfUnselected, number(sm:forSummedNumericScoring/@scoreIfUnselected), 0)"/>
<xsl0:choose>
<xsl0:when test="boolean($vStructure/sm:solution/sm:singleUserResponse/sm:booleanScoring)">
		this.fMinPts = <xsl:value-of select="si(sc:solution/@pointsIfWrong, sc:solution/@pointsIfWrong, {si(sm:forBooleanScoring/@scoreIfWrong, sm:forBooleanScoring/@scoreIfWrong, '0')})"/>;
		this.fMaxPts = <xsl:value-of select="si(sc:solution/@pointsIfRight, sc:solution/@pointsIfRight , {si(sm:forBooleanScoring/@scoreIfRight, sm:forBooleanScoring/@scoreIfRight, '1')})"/>;
		this.fScorePts = document.forms.<xsl:value-of select="$vIdObj"/>_form.<xsl:value-of select="$vIdObj"/>_radio[<xsl:value-of select="sc:solution/@choice - 1"/>].checked ?  this.fMaxPts : this.fMinPts;
</xsl0:when>
<xsl0:when test="boolean($vStructure/sm:solution/sm:singleUserResponse/sm:numericScoring)">
<xsl0:variable name="vNumScoring" select="$vStructure/sm:solution/sm:singleUserResponse/sm:numericScoring"/>
	  this.fMinPts = <xsl:value-of select="min(sc:choices/sc:choice/@score)"/>;
	  this.fMaxPts = <xsl:value-of select="max(sc:choices/sc:choice/@score)"/>;
 		var vValues = [0<xsl:for-each select="sc:choices/sc:choice">,<xsl:value-of select="@score"/></xsl:for-each>];
		this.fScorePts = vValues[this.fSelectedChoice+1];
</xsl0:when>
<xsl0:when test="$vStructure/sm:solution/sm:multipleUserResponse/sm:booleanScoring">
		this.fMinPts = <xsl:value-of select="si(sc:solution/@pointsIfWrong, sc:solution/@pointsIfWrong, {si(sm:forBooleanScoring/@scoreIfWrong, sm:forBooleanScoring/@scoreIfWrong, '0')})"/>;
		this.fMaxPts = <xsl:value-of select="si(sc:solution/@pointsIfRight, sc:solution/@pointsIfRight , {si(sm:forBooleanScoring/@scoreIfRight, sm:forBooleanScoring/@scoreIfRight, '1')})"/>;
		this.fScorePts = true<xsl:for-each select="sc:choices/sc:choice"> &amp;&amp; <xsl:if test="@solution!='checked'">! </xsl:if>vForm.elements[<xsl:value-of select="count(preceding-sibling::sc:choice)"/>].checked</xsl:for-each> ? this.fMaxPts : this.fMinPts;
</xsl0:when>
<xsl0:when test="$vStructure/sm:solution/sm:multipleUserResponse/sm:summedNumericScoring">
<xsl0:choose>
<xsl0:when test="$vStructure/sm:solution/sm:multipleUserResponse/sm:summedNumericScoring/sm:scoreIfUnselected">
		this.fMinPts = <xsl:value-of select="somme(sc:choices/sc:choice[@scoreIfSelected &gt; @scoreIfUnselected]/@scoreIfUnselected, sc:choices/sc:choice[@scoreIfSelected &lt;= @scoreIfUnselected]/@scoreIfSelected)"/>;
		this.fMaxPts = <xsl:value-of select="somme(sc:choices/sc:choice[@scoreIfSelected &gt; @scoreIfUnselected]/@scoreIfSelected, sc:choices/sc:choice[@scoreIfSelected &lt;= @scoreIfUnselected]/@scoreIfUnselected)"/>;
</xsl0:when>
<xsl0:otherwise>
		this.fMinPts = <xsl:value-of select="somme(count(sc:choices/sc:choice[@scoreIfSelected &gt; {$vScoreIfUnSel}]) * {$vScoreIfUnSel}, sc:choices/sc:choice[@scoreIfSelected &lt;= {$vScoreIfUnSel}]/@scoreIfSelected)"/>;
		this.fMaxPts = <xsl:value-of select="somme(sc:choices/sc:choice[@scoreIfSelected &gt; {$vScoreIfUnSel}]/@scoreIfSelected, count(sc:choices/sc:choice[@scoreIfSelected &lt;= {$vScoreIfUnSel}]) * {$vScoreIfUnSel})"/>;
</xsl0:otherwise>
</xsl0:choose>
		this.fScorePts = 0 <xsl:for-each select="sc:choices/sc:choice"> + (vForm.elements[<xsl:value-of select="count(preceding-sibling::sc:choice)"/>].checked ? <xsl:value-of select="@scoreIfSelected"/> : <xsl:value-of select="si(@scoreIfUnselected, @scoreIfUnselected, {si($vScoreIfUnSel, $vScoreIfUnSel, '0')})"/>)</xsl:for-each>;
</xsl0:when>			
<xsl0:when test="$vStructure/sm:solution/sm:multipleUserResponse/sm:mappedNumericScoring">
<xsl0:variable name="vMapScoring" select="$vStructure/sm:solution/sm:multipleUserResponse/sm:mappedNumericScoring"/>
		this.fMinPts = <xsl:value-of select="min(sc:solutions/sc:response/@score , si(sc:solutions/sc:undefinedResponse/@score, sc:solutions/sc:undefinedResponse/@score, {min($vMapScoring/sm:response/sm:scoring/@min, si($vMapScoring/sm:undefinedResponse/sm:scoring, $vMapScoring/sm:undefinedResponse/sm:scoring/@min, sm:forMappedNumericScoring/@scoreUndefinedResponse))}))"/>;
		this.fMaxPts = <xsl:value-of select="max(sc:solutions/sc:response/@score , si(sc:solutions/sc:undefinedResponse/@score, sc:solutions/sc:undefinedResponse/@score, {max($vMapScoring/sm:response/sm:scoring/@max, si($vMapScoring/sm:undefinedResponse/sm:scoring, $vMapScoring/sm:undefinedResponse/sm:scoring/@max, sm:forMappedNumericScoring/@scoreUndefinedResponse))}))"/>;
		var vValues = [<xsl:value-of select="si(sc:solutions/sc:undefinedResponse/@score, sc:solutions/sc:undefinedResponse/@score, {si(sm:forMappedNumericScoring/@scoreUndefinedResponse, sm:forMappedNumericScoring/@scoreUndefinedResponse, '0')})"/><xsl:for-each select="sc:solutions/sc:response">,<xsl:value-of select="@score"/></xsl:for-each>];
		this.fScorePts = vValues[this.fCurrentMap];
</xsl0:when>
</xsl0:choose>
<xsl0:apply-templates select="sm:postProcessing/*" mode="computePts"/>
		//alert("score:::::"+this.fMinPts+" - "+this.fScorePts+" - "+this.fMaxPts);
</xsl0:template>
	
	
<xsl0:template match="sm:sequence" mode="closeSeq">
	case "<xsl0:value-of select="@code"/>" : {
<xsl0:apply-templates select="sm:onExit/*" mode="jsAction"/>
		break;
	}
</xsl0:template>
	
	
<xsl0:template match="sm:elementDisplay[//*[@sm:id=current()/@refId]/ancestor::sm:choiceBody]" mode="jsAction">
<xsl:for-each select="sc:choices/sc:choice">scAssmntMgr.setMode(sc$("<xsl:value-of select="$vIdObj"/>_N<xsl:value-of select="count(preceding-sibling::sc:choice)"/>_<xsl0:value-of select="@refId"/>"), "<xsl0:value-of select="@mode"/>"); </xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:choiceInteraction" mode="jsAction">var vForm=document.forms.<xsl:value-of select="$vIdObj"/>_form; for (var i=0; i &lt; vForm.length; i++) vForm.elements[i].disabled = <xsl0:value-of select="@mode='disabled'"/>; </xsl0:template>
<xsl0:template match="sm:solutionDisplay" mode="jsAction">this.setSolution(<xsl0:value-of select="boolean(@mode='shown')"/>); </xsl0:template>

	
	
<xsl0:template name="smIdInChoice">
<xsl0:if test="@sm:id">
<xsl0:attribute name="id">{$vIdObj}_N{$vIndex}_<xsl0:value-of select="@sm:id"/></xsl0:attribute>
			
</xsl0:if>
</xsl0:template>
</xsl0:stylesheet>