<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:xalan="http://xml.apache.org/xalan"
	xmlns:scOrigin="eu.scenari.gen.xslt.OriginSrc"
	exclude-result-prefixes="sm xsl java xalan scOrigin">
	
<xsl0:output method="xml" encoding="UTF-8" indent="no"/>
	
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>

<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>

<xsl0:variable name="vAgentModel" select="computeNodeAgent('//agentModel')"/>
	
<xsl0:include href="bs:content.xsl.xsl"/>
<xsl0:include href="bs:contentAgents.xsl"/>
<xsl0:include href="bsco:sma/xhtmlTransf/commonAgentsWidgets.xsl"/>
	
	
<xsl0:template match="sma:assmntUnitMcqHtmlTransf">
<structure code="{resultatAgent($vAgentModel/codeModel)}{getAxisSuffix(sm:axis/@code)}" racine="//{resultatAgent($vAgentModel/qNameTagRootModel)}" codecomposant="{si(sm:axis/@code, concat(&quot;concat(getIdNode(..), '&quot;, getAxisSuffix(sm:axis/@code), &quot;')&quot;), 'getIdNode(..)')}" version="1.0">
<xsl0:attribute name="xmlns:{resultatAgent($vAgentModel/prefixModel)}"><xsl0:value-of select="resultatAgent($vAgentModel/nsModel)"/></xsl0:attribute>
<xsl0:attribute name="xmlns:java">http://xml.apache.org/xslt/java</xsl0:attribute>
<xsl0:if test="computeNodeAgent($vAgentModel/source)/sm:structure/sm:meta/@sc:refUri">
				
				
<valeur code="codeMeta">
<source type="xpath-statique">concat(getIdNode(.), '_meta')</source>
</valeur>
				
<valeur code="fullTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/fullTitleText'))</source>
</valeur>
				
<valeur code="shortTitleText">
<source type="xpath-dynamique">resultatAgent(concat('@', resultatAgent('//codeMeta'), '/shortTitleText'))</source>
</valeur>
</xsl0:if>
			
<valeur code="xhtmlContent">
<source type="xslOnSrc-dynamique">
<xsl0:apply-templates select="." mode="content"/>
</source>
					
<xsl0:apply-templates mode="agentsWidgets"/>
</valeur>
			
<xsl0:apply-templates select="." mode="callModel"/>
</structure>
</xsl0:template>
	
</xsl0:stylesheet>
