<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet version="1.0" 
    xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
    xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"
    xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
    xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
    xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
    xmlns:fo="http://www.w3.org/1999/XSL/Format" 
    xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
    xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
    xmlns:java="http://xml.apache.org/xslt/java" 
    exclude-result-prefixes="java xsl sm sc scodPp office text table fo draw svg xlink style">
    
<xsl0:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
    
<xsl0:param name="vAgent"/>
<xsl0:param name="vDialog"/>
    
<xsl0:include href="bsco:sma/odTransf/communContent.xsl.xsl"/>
<xsl0:include href="bsco:sm/od/getContent.xsl.xsl"/>


<xsl0:template match="/*">
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
        
<xsl:variable name="idRootAgt" select="getIdNode(..)"/>
        
<xsl:template match="{resultatAgent('//agentModel', 'prefixModel')}:{resultatAgent('//agentModel', 'tagRootModel')}">
<xsl0:apply-templates select="sm:content | sm:heading"/>
</xsl:template>

<xsl:template match="*"/>
</xsl0:template>
        

<xsl0:template match="sm:content">
<xsl0:apply-templates/>
</xsl0:template>
    
<xsl0:template match="sm:heading">
<scodPp:section>
<xsl0:if test="sm:title">
<scodPp:title><xsl0:apply-templates select="sm:title"/></scodPp:title>
</xsl0:if>
<scodPp:content>
<xsl0:apply-templates/>
</scodPp:content>
</scodPp:section>
</xsl0:template>


<xsl0:template match="sm:WQcmTable">
<xsl:comment># sm:WQcmTable</xsl:comment>
<xsl0:variable name="vBlockCode"><xsl0:for-each select="ancestor-or-self::sm:WQcmTable[1]"><xsl0:call-template name="tGetBlockCode"/></xsl0:for-each></xsl0:variable>
<xsl0:variable name="vPosLigne" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
<xsl0:variable name="vIsRtl" select="ancestor-or-self::sm:WQcmTable[1]/@direction='rtl'"/>
        
<table:table table:name="WQcmTable" table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/@table:style-name}}">
<xsl:copy-of select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-column"/>
<xsl0:for-each select="sm:WLine|sm:WChoiceLines">
<xsl0:choose>
<xsl0:when test="local-name()='WChoiceLines'">
<xsl0:variable name="vCurrentPosCellChecked"><xsl0:number value="java:hIncreaseOne($vPosLigne)" format="1"/></xsl0:variable>
<xsl0:variable name="vCurrentPosCellUnchecked"><xsl0:number value="java:hIncreaseOne($vPosLigne)" format="1"/></xsl0:variable>
                        
<xsl:variable name="vChecked.img{generate-id(ancestor-or-self::sm:WQcmTable[1])}">
<xsl:copy-of select="getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellChecked}]/table:table-cell[{si($vIsRtl, 2, 1)}]/text:p/*"/>
</xsl:variable>
<xsl:variable name="vUnchecked.img{generate-id(ancestor-or-self::sm:WQcmTable[1])}">
<xsl:copy-of select="getEntryBuffer('odStyleBlocks','{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellUnchecked}]/table:table-cell[{si($vIsRtl, 2, 1)}]/text:p/*"/>
</xsl:variable>
<xsl:variable name="vShowSolution{generate-id(ancestor-or-self::sm:WQcmTable[1])}"><xsl0:value-of select="@showSolution"/></xsl:variable>
<xsl:for-each select="sc:choices/sc:choice">
<xsl:variable name="isCorrectChoice">
<xsl0:choose>
<xsl0:when test="boolean($vStructure/sm:solution/sm:singleUserResponse/sm:booleanScoring)">
<xsl:variable name="vSolutionPosition" select="../../sc:solution/@choice"/>
<xsl:value-of select="si($vSolutionPosition=position(), 'true', 'false')"/>
</xsl0:when>
<xsl0:when test="boolean($vStructure/sm:solution/sm:singleUserResponse/sm:numericScoring)">
<xsl:variable name="vMaxScoring" select="max(../sc:choice/@score)"/>
<xsl:value-of select="si($vMaxScoring=@score, 'true', 'false')"/>
</xsl0:when>
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:booleanScoring)">
<xsl:value-of select="si(@solution='checked', 'true', 'false')"/>
</xsl0:when>
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:summedNumericScoring)">
<xsl0:choose>
<xsl0:when test="$vStructure/sm:solution/sm:multipleUserResponse/sm:summedNumericScoring/sm:scoreIfUnselected">
<xsl:value-of select="si(@scoreIfSelected &gt; @scoreIfUnselected, 'true', 'false')"/>
</xsl0:when>
<xsl0:otherwise>
<xsl0:variable name="vScoreIfUnSel" select="0"/>
<xsl:value-of select="si(@scoreIfSelected &gt; {$vScoreIfUnSel}, 'true', 'false')"/>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:when>
<xsl0:when test="boolean($vStructure/sm:solution/sm:multipleUserResponse/sm:mappedNumericScoring)">
<xsl:variable name="vBestMap" select="../../sc:solutions/sc:response[@score=max(../sc:response/@score)]"/>
<xsl:value-of select="si($vBestMap/sc:choice[count(current()/preceding-sibling::sc:choice)+1]/@solution='checked', 'true', 'false')"/>
</xsl0:when>
</xsl0:choose>
</xsl:variable>
                            
<xsl:choose>
<xsl:when test="$vShowSolution{generate-id(ancestor-or-self::sm:WQcmTable[1])}='no' or ($vShowSolution{generate-id(ancestor-or-self::sm:WQcmTable[1])}='yes' and $isCorrectChoice='false')">
<table:table-row table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellUnchecked}]/@table:style-name}}">
<xsl0:if test="$vIsRtl">
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellUnchecked}]/table:table-cell[{si($vIsRtl, 1, 2)}]/@table:style-name}}">
<xsl0:apply-templates select="sm:choiceBody/*"/>
</table:table-cell>
</xsl0:if>
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellUnchecked}]/table:table-cell[{si($vIsRtl, 2, 1)}]/@table:style-name}}">
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellUnchecked}]/table:table-cell[{si($vIsRtl, 2, 1)}]/text:p[1]/@text:style-name}}">
<xsl:copy-of select="$vUnchecked.img{generate-id(ancestor-or-self::sm:WQcmTable[1])}"/>
<xsl0:apply-templates select="sm:txtUnchecked/*"/>
</text:p>
</table:table-cell>
<xsl0:if test="not($vIsRtl)">
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellUnchecked}]/table:table-cell[{si($vIsRtl, 1, 2)}]/@table:style-name}}">
<xsl0:apply-templates select="sm:choiceBody/*"/>
</table:table-cell>
</xsl0:if>
</table:table-row>
</xsl:when>
<xsl:when test="$isCorrectChoice='true'">
<table:table-row table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellChecked}]/@table:style-name}}">
<xsl0:if test="$vIsRtl">
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellChecked}]/table:table-cell[{si($vIsRtl, 1, 2)}]/@table:style-name}}">
<xsl0:apply-templates select="sm:choiceBody/*"/>
</table:table-cell>
</xsl0:if>
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellChecked}]/table:table-cell[{si($vIsRtl, 2, 1)}]/@table:style-name}}">
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellChecked}]/table:table-cell[{si($vIsRtl, 2, 1)}]/text:p[1]/@text:style-name}}">
<xsl:copy-of select="$vChecked.img{generate-id(ancestor-or-self::sm:WQcmTable[1])}"/>
<xsl0:apply-templates select="sm:txtChecked/*"/>
</text:p>
</table:table-cell>
<xsl0:if test="not($vIsRtl)">
<table:table-cell table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellChecked}]/table:table-cell[{si($vIsRtl, 1, 2)}]/@table:style-name}}">
<xsl0:apply-templates select="sm:choiceBody/*"/>
</table:table-cell>
</xsl0:if>
</table:table-row>
</xsl:when>
</xsl:choose>
</xsl:for-each>
<xsl0:if test="sm:noChoiceBody">
<table:table-row table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellUnchecked}]/@table:style-name}}">
<xsl0:if test="$vIsRtl">
<table:table-cell table:style-name="{$vTableDom/table:table-row[position()=$vCurrentPosCellUnchecked]/table:table-cell[2]/@table:style-name}">
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellUnchecked}]/table:table-cell[{si($vIsRtl, 1, 2)}]/text:p[2]/text:style-name}}"><xsl0:apply-templates select="sm:noChoiceBody/text()"/></text:p>
</table:table-cell>
</xsl0:if>
<table:table-cell table:style-name="{{$vTableDom/table:table-row[position()=$vCurrentPosCellUnchecked]/table:table-cell[{si($vIsRtl, 2, 1)}]/@table:style-name}}">
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellUnchecked}]/table:table-cell[{si($vIsRtl, 2, 1)}]/text:p[1]/@text:style-name}}">
<xsl:copy-of select="$vUnchecked.img{generate-id(ancestor-or-self::sm:WQcmTable[1])}"/>
<xsl0:apply-templates select="sm:txtUnchecked/*"/>
</text:p>
</table:table-cell>
<xsl0:if test="not($vIsRtl)">
<table:table-cell table:style-name="{{$vTableDom/table:table-row[position()=$vCurrentPosCellUnchecked]/table:table-cell[2]/@table:style-name}}">
<text:p text:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCellUnchecked}]/table:table-cell[{si($vIsRtl, 1, 2)}]/text:p[2]/text:style-name}}"><xsl0:apply-templates select="sm:noChoiceBody/text()"/></text:p>
</table:table-cell>
</xsl0:if>
</table:table-row>
</xsl0:if>
</xsl0:when>
<xsl0:otherwise>
<xsl0:variable name="vCurrentPosCell"><xsl0:number value="java:hIncreaseOne($vPosLigne)" format="1"/></xsl0:variable>
<xsl:variable name="vContent"><xsl0:apply-templates/></xsl:variable>
<xsl:if test="string-length(normalize-space($vContent))&gt;0">
<table:table-row table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCell}]/@table:style-name}}">
<table:table-cell table:number-columns-spanned="2" table:style-name="{{getEntryBuffer('odStyleBlocks', '{$vBlockCode}')/table:table/table:table-row[{$vCurrentPosCell}]/table:table-cell/@table:style-name}}">
<xsl:copy-of select="$vContent"/>
</table:table-cell>
<table:covered-table-cell/>
</table:table-row>
</xsl:if>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:for-each>
</table:table>
</xsl0:template>
    
    
<xsl0:template match="sm:callMcqMeta">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vPathAgentContent{$vIdCall}" select="concat('@', getIdNode(.), '_meta', '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentContent{$vIdCall}, '/getContent'))"/>
</xsl0:template>
        
    
<xsl0:template match="sm:callGlobalExplanationModel">
<xsl:for-each select="sc:globalExplanation">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vPathAgentContent{$vIdCall}" select="concat('@', getIdNode(.), '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentContent{$vIdCall}, '/getContent'))"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:callQuestionModel">
<xsl:for-each select="sc:question">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vPathAgentContent{$vIdCall}" select="concat('@', getIdNode(.), '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentContent{$vIdCall}, '/getContent'))"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:callLabelModel">
<xsl:for-each select="sc:choiceLabel">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vPathAgentContent{$vIdCall}" select="concat('@', getIdNode(.), '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentContent{$vIdCall}, '/getContent'))"/>
</xsl:for-each>
</xsl0:template>
<xsl0:template match="sm:callExplanationModel">
<xsl:for-each select="sc:choiceExplanation">
<xsl0:variable name="vIdCall" select="generate-id()"/>
<xsl:variable name="vPathAgentContent{$vIdCall}" select="concat('@', getIdNode(.), '{getAxisSuffix(@axis)}')"/>
<xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vPathAgentContent{$vIdCall}, '/getContent'))"/>
</xsl:for-each>
</xsl0:template>
    
    
</xsl0:stylesheet>
