<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:se="http://www.utc.fr/ics/scenari/v3/editing" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
	xmlns:java="http://xml.apache.org/xslt/java" 
	xmlns:sma="kelis.fr:scenari/modeling/assessment"
	xmlns:repeat="com.scenari.xsldom.xalan.lib.Repeat"
	extension-element-prefixes="repeat"
	exclude-result-prefixes="sm sc sp se java sma">
	
<xsl:output method="xml" encoding="UTF-8" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	
<xsl:variable name="vIdLabel" select="concat(resultatAgent('//codeModel'), ':label')"/>
	
<xsl:template match="sma:assmntUnitMlqPrim">
<xsl:if test="boolean(sm:authoring/sm:formEditor/sm:assmntUnitMlq[@fullTitleStyle or @shortTitleStyle])">
<se:uiLib>
<se:style>
		@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");
		@namespace se url("http://www.utc.fr/ics/scenari/v3/editing");
<xsl:apply-templates select="sm:authoring/sm:formEditor/sm:assmntUnitMlq" mode="titleStyles"/>
</se:style>
</se:uiLib>
</xsl:if>
<se:lib>
<dropPasteItem se:id="{resultatAgent('//codeModel')}" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<element>
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="sm:authoring/sm:formEditor/sm:assmntUnitMlq/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="sm:authoring/sm:formEditor/sm:assmntUnitMlq/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="sm:authoring/sm:formEditor/sm:assmntUnitMlq/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="sm:authoring/sm:formEditor/sm:assmntUnitMlq/@tagStyle"/></xsl:attribute></xsl:if>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</element>
</dropPasteItem>
<dropPasteItem se:id="{resultatAgent('//codeModel')}:hideHeader" se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<hiddenElement>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</hiddenElement>
</dropPasteItem>
<se:template se:id="s_content">
<xsl:apply-templates select="sm:structure"/>
</se:template>
</se:lib>
<xmlview se:bind="document">
<hiddenElement se:bind="element" se:name="sc:item" se:title="￼?uri=sc:sma:;Item￼">
<childs>
<dropPasteItem se:bind="element" se:name="{resultatAgent('//qNameTagRootModel')}" se:title="{resultatAgent('//nameModel')}" se:declareNs="(!(inc=xedDeclareNs)!)" regexpSgn=".*@{resultatAgent('//codeModel')}\b.*" childrenRoot="true">
<element insert="collapsed">
<xsl:if test="sm:help/@quickHelp"><xsl:attribute name="tooltipTag"><xsl:value-of select="sm:help/@quickHelp"/></xsl:attribute></xsl:if>
<xsl:if test="sm:authoring/sm:formEditor/sm:assmntUnitMlq/sm:iconTag/@sc:refUri"><xsl:attribute name="icon"><xsl:call-template name="getIconUrl"><xsl:with-param name="vUriRes" select="sm:authoring/sm:formEditor/sm:assmntUnitMlq/sm:iconTag/@sc:refUri"/></xsl:call-template></xsl:attribute></xsl:if>
<xsl:if test="sm:authoring/sm:formEditor/sm:assmntUnitMlq/@tagStyle"><xsl:attribute name="styleTag"><xsl:value-of select="sm:authoring/sm:formEditor/sm:assmntUnitMlq/@tagStyle"/></xsl:attribute></xsl:if>
<childs>
<se:ref se:refid="s_content"/>
</childs>
</element>
</dropPasteItem>
</childs>
</hiddenElement>
</xmlview>
</xsl:template>
	
<xsl:template match="sm:structure">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:interaction">
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:matchTarget">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:associateLabels">
<xsl:apply-templates/>
</xsl:template>
<xsl:template match="sm:orderLabels">
<xsl:apply-templates/>
</xsl:template>
		
<xsl:template match="sm:group">
<xsl:variable name="vMin" select="si(@min, number(@min), 0)"/>
<xsl:variable name="vMax" select="si(@max, number(@max), '')"/>
<element se:name="sc:group" se:id="{$vIdLabel}" se:bind="element" se:title="{@name}" removable="true">
<childs>
<xsl:apply-templates/>
</childs>
</element>
<repeat:count from="1" to="{$vMin}">
<se:ref se:refid="{$vIdLabel}"/>
</repeat:count>
<xsl:choose>
<xsl:when test="$vMax and $vMax &lt; 11">
<repeat:count from="{$vMin}" to="{$vMax}">
<se:ref se:refid="{$vIdLabel}" se:card="?"/>
</repeat:count>
</xsl:when>
<xsl:otherwise>
				
<se:ref se:refid="{$vIdLabel}" se:card="*"/>
<insert se:bind="current"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
	
<xsl:template match="sm:traps">
<element se:name="sc:traps" se:bind="element" se:title="{@name}" se:card="{si(@usage='optional', '?', 1)}" se:show="always">
<childs>
<xsl:for-each select="../sm:group/sm:labelModel">
<xsl:call-template name="labelModel"/>
</xsl:for-each>
</childs>
</element>
</xsl:template>
	
<xsl:template match="sm:targetModel">
<element se:name="sc:target" se:bind="element" se:title="{@name}" class="content">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader'))}"/>
</childs>
</element>
</xsl:template>
	
<xsl:template match="sm:labelModel" name="labelModel">
<xsl:variable name="vMin" select="si(@min, number(@min), 0)"/>
<xsl:variable name="vMax" select="si(@max, number(@max), '')"/>
<xsl:variable name="vClass" select="si(boolean(../self::sm:orderLabels), '', 'content')"/>
<xsl:choose>
<xsl:when test="$vMax=1">
<element se:name="sc:label" se:bind="element" se:title="{@name}" se:card="{si($vMin=0, '?', '1')}" class="{$vClass}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</xsl:when>
<xsl:otherwise>
<xsl:if test="$vMin &gt; 0">
<repeat:count from="0" to="{$vMin}">
<element se:name="sc:label" se:bind="element" se:title="{@name}" removable="true" class="{$vClass}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</repeat:count>
</xsl:if>
<xsl:choose>
<xsl:when test="$vMax and $vMax &lt; 11">
<repeat:count from="{$vMin}" to="{$vMax}">
<element se:name="sc:label" se:bind="element" se:title="{@name}" se:card="?" class="{$vClass}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
</repeat:count>
</xsl:when>
<xsl:otherwise>
						
<element se:name="sc:label" se:bind="element" se:title="{@name}" se:card="*" class="{$vClass}">
<childs>
<se:ref se:refurl="{resultatAgent(concat('@', getIdFromPath(@sc:refUri), '/xedRefUrlFormHideHeader') )}"/>
</childs>
</element>
<insert se:bind="current"/>
</xsl:otherwise>
</xsl:choose>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template match="sm:scoreBounds">
<element se:name="sc:score" se:bind="element" se:title="{@name}">
<atts>
<xsl:apply-templates/>
</atts>
</element>
</xsl:template>
<xsl:template match="sm:pointsIfAllIsRight">
<attribute se:bind="attribute" se:name="max" se:title="{@name}" se:mandat="true">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</xsl:template>
<xsl:template match="sm:pointsIfAllIsWrong">
<attribute se:bind="attribute" se:name="min" se:title="{@name}" se:mandat="true">
<xsl:if test="@default"><xsl:attribute name="se:defaultvalue"><xsl:value-of select="@default"/></xsl:attribute></xsl:if>
<xsl:call-template name="inputMinMaxStepFormat"/>
</attribute>
</xsl:template>
<xsl:template match="sm:feedbackModel">
<xsl:apply-templates select="." mode="intervalsFeedbackBlock"/>
</xsl:template>
	
	
	
<xsl:template match="sm:assmntUnitMlq" mode="titleStyles">
<xsl:if test="@fullTitleStyle">
			*[se|name="<xsl:value-of select="resultatAgent('//qNameTagRootModel')"/>"] > * > childs > *[se|name="<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(/sma:assmntUnitMlqPrim/sm:structure/sm:meta/@sc:refUri), '/qNameTagRootModel'))"/>"] *[fullTitleField] {
<xsl:value-of select="@fullTitleStyle"/>
			}
</xsl:if>
<xsl:if test="@shortTitleStyle">
			*[se|name="<xsl:value-of select="resultatAgent('//qNameTagRootModel')"/>"] > * > childs > *[se|name="<xsl:value-of select="resultatAgent(concat('@', getIdFromPath(/sma:assmntUnitMlqPrim/sm:structure/sm:meta/@sc:refUri), '/qNameTagRootModel'))"/>"] *[shortTitleField] {
<xsl:value-of select="@shortTitleStyle"/>
			}
</xsl:if>
</xsl:template>
<xsl:template match="*" mode="titleStyles"/>

</xsl:stylesheet>
