<?xml version="1.0" encoding="UTF-8"?>

<xsl0:stylesheet 
	xmlns:xsl0="http://www.w3.org/1999/XSL/Transform" 
	xmlns:xsl="http://www.w3.org/1999/XSL/TransformAlias" 
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling"
	xmlns:sma="kelis.fr:scenari/modeling/assessment" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" 
	version="1.0"
	exclude-result-prefixes="xsl sm">
	
<xsl0:output method="xml" indent="no" omit-xml-declaration="no"/>
<xsl0:namespace-alias stylesheet-prefix="xsl" result-prefix="xsl0"/>
	
<xsl0:param name="vDialog"/>
<xsl0:param name="vAgent"/>
	
<xsl0:variable name="vScormVersion" select="resultatAgent('//scorm.version')"/>
	
<xsl0:template match="sma:scormGenDeploy">
		￼?uri=sc:sma:￼
<xsl0:variable name="vMetaVersion" select="si(resultatAgent('//scorm.version')='scorm2k4', '2004 3rd Edition', '1.2')"/>
<xsl0:variable name="vAdlcpNs" select="si($vScormVersion='scorm2k4', 'http://www.adlnet.org/xsd/adlcp_v1p3', 'http://www.adlnet.org/xsd/adlcp_rootv1p2')"/>
<structure code="_root" xmlns:java="http://xml.apache.org/xslt/java">
			
			
<affichage code="generateXslManifest">
<urlPage>/tmp/generateManifest.xsl</urlPage>
<page>
<modele>xsl</modele>
<info cle="ns:1">sc=http://www.utc.fr/ics/scenari/v3/core</info>
<info cle="ns:2">sp=http://www.utc.fr/ics/scenari/v3/primitive</info>
<info cle="ns:3">xsi=http://www.w3.org/2001/XMLSchema-instance</info>
<xsl0:choose>
<xsl0:when test="$vScormVersion='scorm2k4'">
<info cle="ns:0">#default=http://www.imsglobal.org/xsd/imscp_v1p1</info>
<info cle="ns:4">adlcp=http://www.adlnet.org/xsd/adlcp_v1p3</info>
<info cle="ns:5">adlseq=http://www.adlnet.org/xsd/adlseq_v1p3</info>
<info cle="ns:6">imsss=http://www.imsglobal.org/xsd/imsss</info>
<info cle="ns:7">adlnav=http://www.adlnet.org/xsd/adlnav_v1p3</info>
</xsl0:when>
<xsl0:otherwise>
<info cle="ns:0">#default=http://www.imsproject.org/xsd/imscp_rootv1p1p2</info>
<info cle="ns:4">adlcp=http://www.adlnet.org/xsd/adlcp_rootv1p2</info>
</xsl0:otherwise>
</xsl0:choose>
<info cle="xslExcludePrefix:1">sp</info>
<info cle="xslExcludePrefix:2">sc</info>
		
					
					
<zone cle="mainZone" type="inclusion-dynamique">
<source>
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
							
<xsl:param name="vDialog"/>
<xsl:param name="vAgent"/>
<xsl:param name="vArguments"/>
							
<xsl:variable name="vIdOrg">[![agent=//scorm.moduleCode]!]</xsl:variable>
	
<xsl:template match="*">
<xsl0:choose>
									
<xsl0:when test="$vScormVersion='scorm2k4'">
<manifest 
											identifier="{{$vIdOrg}}" version="1.3"
											xsi:schemaLocation="http://www.imsglobal.org/xsd/imscp_v1p1 imscp_v1p1.xsd 
																http://www.adlnet.org/xsd/adlcp_v1p3 adlcp_v1p3.xsd 
																http://www.adlnet.org/xsd/adlseq_v1p3 adlseq_v1p3.xsd 
																http://www.imsglobal.org/xsd/imsss imsss_v1p0.xsd 
																http://www.adlnet.org/xsd/adlnav_v1p3 adlnav_v1p3.xsd">
<metadata>
<schema>ADL SCORM</schema>
<schemaversion><xsl0:value-of select="$vMetaVersion"/></schemaversion>
</metadata>
<organizations default="O_{{$vIdOrg}}">
<organization identifier="O_{{$vIdOrg}}">
<xsl:apply-templates select="/*" mode="org"/>
<imsss:sequencing>
<imsss:controlMode choice="false" choiceExit="true" flow="true" forwardOnly="false"/>
</imsss:sequencing>
</organization>
</organizations>
<resources>
<xsl:apply-templates select="/*" mode="res"/>
												[![agent=//resultScormResources]!]
</resources>
</manifest>
</xsl0:when>
									
<xsl0:otherwise>
<manifest identifier="{{$vIdOrg}}" version="1.1"
											  xsi:schemaLocation="http://www.imsproject.org/xsd/imscp_rootv1p1p2 imscp_rootv1p1p2.xsd
																  http://www.imsglobal.org/xsd/imsmd_rootv1p2p1 imsmd_rootv1p2p1.xsd
																  http://www.adlnet.org/xsd/adlcp_rootv1p2 adlcp_rootv1p2.xsd">
<organizations default="O_{{$vIdOrg}}">
<organization identifier="O_{{$vIdOrg}}">
<xsl:apply-templates select="/*" mode="org"/>
</organization>
</organizations>
										   
<resources>
<xsl:apply-templates select="/*" mode="res"/>
											   [![agent=//resultScormResources]!]
</resources>
</manifest>
</xsl0:otherwise>
</xsl0:choose>
</xsl:template>
							
							
<xsl:template match="organization" mode="org">
<title>[![escapeXml;agent=//scorm.moduleTitle]!]</title>
<xsl:choose>
<xsl:when test="count(*)=0">
<item identifier="I_{{$vIdOrg}}" identifierref="R_{{$vIdOrg}}" isvisible="true">
<title><xsl:value-of select="@title"/></title>
</item>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates mode="org"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
							
<xsl:template match="item[descendant::item[string-length(@href)&gt;0]]" mode="org">
<item identifier="I_{{@identifier}}" isvisible="true">
<xsl:if test="string-length(@href)"><xsl:attribute name="identifierref">R_{@identifier}</xsl:attribute></xsl:if>
<title><xsl:value-of select="@title"/></title>
<xsl0:call-template name="tItemSubElts"/>
<xsl:apply-templates mode="org"/>
</item>
</xsl:template>
<xsl:template match="item" mode="org">
<xsl:if test="string-length(@href)">
<item identifier="I_{{@identifier}}" identifierref="R_{{@identifier}}" isvisible="true">
<title><xsl:value-of select="@title"/></title>
<xsl0:call-template name="tItemSubElts"/>
</item>
</xsl:if>
</xsl:template>
							
							
<xsl:template match="organization" mode="res">
<xsl:choose>
<xsl:when test="count(*)=0">
<resource identifier="R_{{$vIdOrg}}" type="webcontent" href="{{@mainFile}}">
<xsl:attribute name="{si($vScormVersion='scorm2k4', 'adlcp:scormType', 'adlcp:scormtype')}" namespace="{$vAdlcpNs}">sco</xsl:attribute>
<metadata>
<schema>ADL SCORM</schema>
<schemaversion><xsl0:value-of select="$vMetaVersion"/></schemaversion>
</metadata>
<xsl0:if test="$vScormVersion='scorm2k4'">
<file href="{{@mainFile}}"/> 
</xsl0:if>
<dependency identifierref="fullResList"/>
</resource>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates mode="res"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
							
<xsl:template match="item[@href]" mode="res">
<xsl:variable name="vScormType">
<xsl:choose>
<xsl:when test="starts-with(@identifier, 'asset_')">asset</xsl:when>
<xsl:otherwise>sco</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<resource identifier="R_{{@identifier}}" type="webcontent">
<xsl:attribute name="{si($vScormVersion='scorm2k4', 'adlcp:scormType', 'adlcp:scormtype')}" namespace="{$vAdlcpNs}"><xsl:value-of select="$vScormType"/></xsl:attribute>
<xsl:if test="string-length(@href)!='0'">
<xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
</xsl:if>
<metadata>
<schema>ADL SCORM</schema>
<schemaversion><xsl0:value-of select="$vMetaVersion"/></schemaversion>
							            
</metadata>
							         
<dependency identifierref="fullResList"/>
</resource>
<xsl:apply-templates mode="res"/>
</xsl:template>
							
<xsl:template match="item" mode="res">
<xsl:apply-templates mode="res"/>
</xsl:template>
							
</source>
</zone>
</page>
</affichage>
			
<valeur code="resultScormResources">
<source type="xslOnSrc-dynamique">
<xsl0:text disable-output-escaping="yes"><![CDATA[<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">]]></xsl0:text>
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
<xsl:template match="*">
<resource identifier="fullResList" type="webcontent">
<xsl:attribute name="{si($vScormVersion='scorm2k4', 'adlcp:scormType', 'adlcp:scormtype')}" namespace="{$vAdlcpNs}">asset</xsl:attribute>
<xsl:apply-templates mode="files" select="scanFolder('dest:/tmp/site')/*/*">
<xsl:with-param name="vPath" select="''"/>
</xsl:apply-templates>
</resource>
</xsl:template>
						
<xsl:template match="folder" mode="files">
<xsl:param name="vPath"/>
<xsl:apply-templates mode="files">
<xsl:with-param name="vPath" select="concat($vPath, @name, '/')"/>
</xsl:apply-templates>
</xsl:template>
<xsl:template match="file" mode="files">
<xsl:param name="vPath"/>
<xsl:if test="@name!='imsScormCam.xml' and @name!='preview.html'">
<file href="{{$vPath}}{{@name}}"/>
</xsl:if>
</xsl:template>
<xsl0:text disable-output-escaping="yes"><![CDATA[</xsl:stylesheet>]]></xsl0:text>
</source>
</valeur>
				
<valeur code="scorm.version">
<source><xsl0:value-of select="local-name(sm:scormVersion/*[1])"/></source>
</valeur>
			
			
<valeur code="scorm.moduleCode">
<source type="xpath-dynamique">getGeneratorProperty("code@stored")</source>
</valeur>
<valeur code="scorm.moduleTitle">
<source type="xpath-dynamique">getGeneratorProperty("title@stored")</source>
</valeur>
<valeur code="scorm.moduleTitle_attXml">
<source type="xpath-dynamique">chaineProtegeAttHtml(resultatAgent('../scorm.moduleTitle'))</source>
</valeur>
		
</structure>
		￼￼
</xsl0:template>
	
<xsl0:template name="tItemSubElts">
<xsl0:choose>
			
<xsl0:when test="$vScormVersion='scorm2k4'">
<xsl:if test="@timeLimitAction">
<adlcp:timelimitaction><xsl:value-of select="@timeLimitAction"/><xsl:value-of select="si(string-length(@timeLimitMessage)&gt;0, @timeLimitMessage, 'no message')"/></adlcp:timelimitaction>
</xsl:if>
<xsl:if test="@maxTimeAllowed or @masteryScore">
<imsss:sequencing>
<xsl:if test="@maxTimeAllowed">
<imsss:limitConditions attemptAbsoluteDurationLimit="{{@maxTimeAllowed}}"/>
</xsl:if>
<xsl:if test="@masteryScore">
<imsss:objectives>
<imsss:primaryObjective satisfiedByMeasure="true">
<imsss:minNormalizedMeasure><xsl:value-of select="@masteryScore"/></imsss:minNormalizedMeasure>
</imsss:primaryObjective>
</imsss:objectives>
</xsl:if>
</imsss:sequencing>
</xsl:if>
</xsl0:when>
			
<xsl0:otherwise>
<xsl:if test="@masteryScore">
<adlcp:masteryscore><xsl:value-of select="@masteryScore"/></adlcp:masteryscore>
</xsl:if>
<xsl:if test="@maxTimeAllowed">
<adlcp:maxtimeallowed><xsl:value-of select="@maxTimeAllowed"/></adlcp:maxtimeallowed>
</xsl:if>
<xsl:if test="@timeLimitAction">
<adlcp:timelimitaction><xsl:value-of select="@timeLimitAction"/>,<xsl:value-of select="si(string-length(@timeLimitMessage)&gt;0, @timeLimitMessage, 'no message')"/></adlcp:timelimitaction>
</xsl:if>
</xsl0:otherwise>
</xsl0:choose>
</xsl0:template>
	
</xsl0:stylesheet>

