<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sm="http://www.utc.fr/ics/scenari/v3/modeling" 
	xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:java="http://xml.apache.org/xslt/java"
	xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" 
	xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" 
	xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
	xmlns:fo="http://www.w3.org/1999/XSL/Format" 
	xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
	xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
	xmlns:xlink="http://www.w3.org/1999/xlink"
	xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
	exclude-result-prefixes="sm sc java ffice text table fo draw svg xlink style">
	
<xsl:output method="xml" indent="no" omit-xml-declaration="yes"/>
	
<xsl:param name="vAgent"/>
<xsl:param name="vDialog"/>
	

<xsl:variable name="vPosLigne" select="java:com.scenari.s.fw.utils.HDouble.new()"/>
	
<xsl:template match="sm:WQcmTable">
<xsl:variable name="vIsRtl" select="ancestor-or-self::sm:WQcmTable/@direction='rtl'"/>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}" style:display-name="{resultatAgent('../../stResolver/table/displayName')}" style:family="table">
<style:table-properties style:width="20.048cm" table:align="margins"/>
</style:style>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.{si($vIsRtl, 'B', 'A')}" style:family="table-column">
<style:table-column-properties style:column-width="1cm"/>
</style:style>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.{si($vIsRtl, 'A', 'B')}" style:family="table-column">
<style:table-column-properties style:column-width="19cm"/>
</style:style>
<xsl:apply-templates/>
</xsl:template>
	
<xsl:template match="sm:WLine">
<xsl:variable name="vCurrentPosCell"><xsl:number value="java:hIncreaseOne($vPosLigne)" format="1"/></xsl:variable>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.{$vCurrentPosCell}" style:family="table-row">
<style:table-row-properties/>
</style:style>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.A{$vCurrentPosCell}" style:family="table-cell">
<style:table-cell-properties fo:padding="0.097cm" fo:border="0.002cm solid #FFFFFF"/>
</style:style>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.B{$vCurrentPosCell}" style:family="table-cell">
<style:table-cell-properties fo:padding="0.097cm" fo:border="0.002cm solid #FFFFFF"/>
</style:style>
</xsl:template>
<xsl:template match="sm:WChoiceLines">
		
<xsl:variable name="vCurrentPosCellChecked"><xsl:number value="java:hIncreaseOne($vPosLigne)" format="1"/></xsl:variable>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.{$vCurrentPosCellChecked}" style:family="table-row">
<style:table-row-properties/>
</style:style>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.A{$vCurrentPosCellChecked}" style:family="table-cell">
<style:table-cell-properties fo:padding="0.097cm" fo:border="0.002cm solid #FFFFFF"/>
</style:style>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.B{$vCurrentPosCellChecked}" style:family="table-cell">
<style:table-cell-properties fo:padding="0.097cm" fo:border="0.002cm solid #FFFFFF"/>
</style:style>
		
<xsl:variable name="vCurrentPosCellUnchecked"><xsl:number value="java:hIncreaseOne($vPosLigne)" format="1"/></xsl:variable>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.{$vCurrentPosCellUnchecked}" style:family="table-row">
<style:table-row-properties/>
</style:style>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.A{$vCurrentPosCellUnchecked}" style:family="table-cell">
<style:table-cell-properties fo:padding="0.097cm" fo:border="0.002cm solid #FFFFFF"/>
</style:style>
<style:style style:name="{resultatAgent('../../stResolver/table/name')}.B{$vCurrentPosCellUnchecked}" style:family="table-cell">
<style:table-cell-properties fo:padding="0.097cm" fo:border="0.002cm solid #FFFFFF"/>
</style:style>
</xsl:template>
			
<xsl:template match="*"/>
	
</xsl:stylesheet>
